#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1274
#define LARGE_STATE_COUNT 34
#define SYMBOL_COUNT 453
#define ALIAS_COUNT 0
#define TOKEN_COUNT 184
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 14

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    anon_sym_char = 21,
    anon_sym_wchar = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_wstring = 25,
    anon_sym_LT = 26,
    anon_sym_GT = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    anon_sym_id = 95,
    anon_sym_autoid = 96,
    anon_sym_SEQUENTIAL = 97,
    anon_sym_HASH = 98,
    anon_sym_optional = 99,
    anon_sym_position = 100,
    anon_sym_value = 101,
    anon_sym_extensibility = 102,
    anon_sym_FINAL = 103,
    anon_sym_APPENDABLE = 104,
    anon_sym_MUTABLE = 105,
    anon_sym_final = 106,
    anon_sym_appendable = 107,
    anon_sym_mutable = 108,
    anon_sym_key = 109,
    anon_sym_must_understand = 110,
    anon_sym_default_literal = 111,
    anon_sym_range = 112,
    anon_sym_min = 113,
    anon_sym_max = 114,
    anon_sym_unit = 115,
    anon_sym_bit_bound = 116,
    anon_sym_external = 117,
    anon_sym_nested = 118,
    anon_sym_verbatim = 119,
    anon_sym_c = 120,
    anon_sym_c_PLUS_PLUS = 121,
    anon_sym_java = 122,
    anon_sym_idl = 123,
    anon_sym_BEGIN_FILE = 124,
    anon_sym_BEFORE_DECLARATION = 125,
    anon_sym_BEGIN_DECLARATION = 126,
    anon_sym_END_DECLARATION = 127,
    anon_sym_AFTER_DECLARATION = 128,
    anon_sym_END_FILE = 129,
    anon_sym_service = 130,
    anon_sym_CORBA = 131,
    anon_sym_DDS = 132,
    anon_sym_oneway = 133,
    anon_sym_ami = 134,
    anon_sym_module = 135,
    anon_sym_typename = 136,
    anon_sym_valuetype = 137,
    anon_sym_eventtype = 138,
    anon_sym_struct = 139,
    anon_sym_union = 140,
    anon_sym_enum = 141,
    anon_sym_const = 142,
    anon_sym_alias = 143,
    anon_sym_custom = 144,
    anon_sym_truncatable = 145,
    anon_sym_supports = 146,
    anon_sym_public = 147,
    anon_sym_private = 148,
    anon_sym_factory = 149,
    anon_sym_typedef = 150,
    anon_sym_LBRACK = 151,
    anon_sym_RBRACK = 152,
    anon_sym_ATdefault_literal = 153,
    anon_sym_ATignore_literal_names = 154,
    anon_sym_switch = 155,
    anon_sym_case = 156,
    anon_sym_typeid = 157,
    anon_sym_typeprefix = 158,
    anon_sym_import = 159,
    anon_sym_Object = 160,
    anon_sym_context = 161,
    sym_value_base_type = 162,
    anon_sym_component = 163,
    anon_sym_provides = 164,
    anon_sym_uses = 165,
    anon_sym_multiple = 166,
    anon_sym_home = 167,
    anon_sym_manages = 168,
    anon_sym_emits = 169,
    anon_sym_publishes = 170,
    anon_sym_consumes = 171,
    anon_sym_primarykey = 172,
    anon_sym_finder = 173,
    anon_sym_porttype = 174,
    anon_sym_port = 175,
    anon_sym_mirrorport = 176,
    anon_sym_connector = 177,
    anon_sym_native = 178,
    sym_identifier = 179,
    anon_sym_SLASH_SLASH = 180,
    aux_sym_comment_token1 = 181,
    anon_sym_SLASH_STAR = 182,
    aux_sym_comment_token2 = 183,
    sym_specification = 184,
    sym_signed_short_int = 185,
    sym_signed_long_int = 186,
    sym_signed_longlong_int = 187,
    sym_unsigned_int = 188,
    sym_fixed_pt_const_type = 189,
    sym_integer_type = 190,
    sym_signed_int = 191,
    sym_unsigned_short_int = 192,
    sym_unsigned_long_int = 193,
    sym_unsigned_longlong_int = 194,
    sym_floating_pt_type = 195,
    sym_char_type = 196,
    sym_scoped_name = 197,
    sym_string_type = 198,
    sym_type_spec = 199,
    sym_simple_type_spec = 200,
    sym_base_type_spec = 201,
    sym_any_type = 202,
    sym_fixed_pt_type = 203,
    sym_template_type_spec = 204,
    sym_sequence_type = 205,
    sym_map_type = 206,
    sym_positive_int_const = 207,
    sym_const_expr = 208,
    sym_or_expr = 209,
    sym_xor_expr = 210,
    sym_and_expr = 211,
    sym_shift_expr = 212,
    sym_add_expr = 213,
    sym_mult_expr = 214,
    sym_unary_expr = 215,
    sym_primary_expr = 216,
    sym_unary_operator = 217,
    sym_literal = 218,
    sym_integer_literal = 219,
    sym_integer_sign = 220,
    sym_oct_number = 221,
    sym_dec_number = 222,
    sym_floating_pt_literal = 223,
    sym_fixed_pt_literal = 224,
    sym_string_literal = 225,
    sym_wide_string_literal = 226,
    sym_char_literal = 227,
    sym_wide_character_literal = 228,
    sym_boolean_literal = 229,
    sym_preproc_define = 230,
    sym_preproc_call = 231,
    sym_preproc_include = 232,
    sym_system_lib_string = 233,
    sym_except_dcl = 234,
    sym_interface_dcl = 235,
    sym_interface_kind = 236,
    sym_interface_forward_dcl = 237,
    sym_interface_def = 238,
    sym_interface_header = 239,
    sym_interface_inheritance_spec = 240,
    sym_interface_name = 241,
    sym_interface_body = 242,
    sym_export = 243,
    sym_op_dcl = 244,
    sym_op_type_spec = 245,
    sym_parameter_dcls = 246,
    sym_param_dcl = 247,
    sym_param_attribute = 248,
    sym_raises_expr = 249,
    sym_attr_dcl = 250,
    sym_readonly_attr_spec = 251,
    sym_readonly_attr_declarator = 252,
    sym_attr_spec = 253,
    sym_attr_declarator = 254,
    sym_attr_raises_expr = 255,
    sym_get_excep_expr = 256,
    sym_set_excep_expr = 257,
    sym_exception_list = 258,
    sym_bitset_dcl = 259,
    sym_bitfield = 260,
    sym_bitfield_spec = 261,
    sym_destination_type = 262,
    sym_bitmask_dcl = 263,
    sym_bit_value = 264,
    sym_annotation_dcl = 265,
    sym_annotation_body = 266,
    sym_annotation_member = 267,
    sym_annotation_member_type = 268,
    sym_any_const_type = 269,
    sym_annotation_appl = 270,
    sym_extend_annotation_appl = 271,
    sym_annotation_appl_custom_body = 272,
    sym_annotation_appl_params = 273,
    sym_annotation_appl_param = 274,
    sym_annotation_appl_builtin_body = 275,
    sym_annotation_appl_id = 276,
    sym_annotation_appl_autoid = 277,
    sym_autoid_kind = 278,
    sym_annotation_appl_optional = 279,
    sym_annotation_appl_position = 280,
    sym_annotation_appl_value = 281,
    sym_annotation_appl_extensibility = 282,
    sym_extensibility_kind = 283,
    sym_annotation_appl_final = 284,
    sym_annotation_appl_appendable = 285,
    sym_annotation_appl_mutable = 286,
    sym_annotation_appl_key = 287,
    sym_annotation_appl_must_understand = 288,
    sym_annotation_appl_default_literal = 289,
    sym_annotation_appl_default = 290,
    sym_annotation_appl_range = 291,
    sym_min_expr = 292,
    sym_max_expr = 293,
    sym_annotation_appl_min = 294,
    sym_annotation_appl_max = 295,
    sym_annotation_appl_unit = 296,
    sym_annotation_appl_bit_bound = 297,
    sym_annotation_appl_external = 298,
    sym_annotation_appl_nested = 299,
    sym_annotation_appl_verbatim = 300,
    sym_verbatim_language = 301,
    sym_placement_kind = 302,
    sym_annotation_appl_service = 303,
    sym_service_platform = 304,
    sym_annotation_appl_oneway = 305,
    sym_annotation_appl_ami = 306,
    sym_template_module_dcl = 307,
    sym_formal_parameters = 308,
    sym_formal_parameter = 309,
    sym_formal_parameter_type = 310,
    sym_tpl_definition = 311,
    sym_template_module_inst = 312,
    sym_actual_parameters = 313,
    sym_actual_parameter = 314,
    sym_template_module_ref = 315,
    sym_formal_parameter_names = 316,
    sym_value_dcl = 317,
    sym_value_def = 318,
    sym_value_kind = 319,
    sym_value_header = 320,
    sym_value_inheritance_spec = 321,
    sym_value_inheritance = 322,
    sym_value_supports = 323,
    sym_value_name = 324,
    sym_value_element = 325,
    sym_state_member = 326,
    sym_init_dcl = 327,
    sym_init_param_dcls = 328,
    sym_init_param_dcl = 329,
    sym_value_forward_dcl = 330,
    sym_typedef_dcl = 331,
    sym_type_declarator = 332,
    sym_any_declarators = 333,
    sym_any_declarator = 334,
    sym_simple_declarator = 335,
    sym_declarator = 336,
    sym_declarators = 337,
    sym_array_declarator = 338,
    sym_fixed_array_size = 339,
    sym_enum_dcl = 340,
    sym_enumerator = 341,
    sym_enum_modifier = 342,
    sym_enum_anno = 343,
    sym_union_dcl = 344,
    sym_union_forward_dcl = 345,
    sym_union_def = 346,
    sym_case = 347,
    sym_case_label = 348,
    sym_element_spec = 349,
    sym_switch_type_spec = 350,
    sym_type_id_dcl = 351,
    sym_type_prefix_dcl = 352,
    sym_import_dcl = 353,
    sym_imported_scope = 354,
    sym_object_type = 355,
    sym_op_oneway_dcl = 356,
    sym_in_parameter_dcls = 357,
    sym_in_param_dcl = 358,
    sym_op_with_context = 359,
    sym_context_expr = 360,
    sym_value_box_def = 361,
    sym_value_abs_def = 362,
    sym_component_dcl = 363,
    sym_component_forward_dcl = 364,
    sym_component_def = 365,
    sym_component_header = 366,
    sym_component_inheritance_spec = 367,
    sym_component_body = 368,
    sym_component_export = 369,
    sym_provides_dcl = 370,
    sym_interface_type = 371,
    sym_uses_dcl = 372,
    sym_home_dcl = 373,
    sym_home_header = 374,
    sym_home_inheritance_spec = 375,
    sym_home_body = 376,
    sym_home_export = 377,
    sym_factory_dcl = 378,
    sym_factory_param_dcls = 379,
    sym_factory_param_dcl = 380,
    sym_supported_interface_spec = 381,
    sym_emits_dcl = 382,
    sym_publishes_dcl = 383,
    sym_consumes_dcl = 384,
    sym_primary_key_spec = 385,
    sym_finder_dcl = 386,
    sym_event_dcl = 387,
    sym_event_forward_dcl = 388,
    sym_event_abs_def = 389,
    sym_event_def = 390,
    sym_event_header = 391,
    sym_porttype_dcl = 392,
    sym_porttype_forward_dcl = 393,
    sym_porttype_def = 394,
    sym_port_body = 395,
    sym_port_ref = 396,
    sym_port_export = 397,
    sym_port_dcl = 398,
    sym_connector_dcl = 399,
    sym_connector_header = 400,
    sym_connector_inherit_spec = 401,
    sym_connector_export = 402,
    sym_definition = 403,
    sym_type_dcl = 404,
    sym_constr_type_dcl = 405,
    sym_native_dcl = 406,
    sym_module_dcl = 407,
    sym_struct_dcl = 408,
    sym_struct_forward_dcl = 409,
    sym_struct_def = 410,
    sym_member = 411,
    sym_default = 412,
    sym_const_dcl = 413,
    sym_const_type = 414,
    sym_comment = 415,
    aux_sym_specification_repeat1 = 416,
    aux_sym_string_literal_repeat1 = 417,
    aux_sym_char_literal_repeat1 = 418,
    aux_sym_except_dcl_repeat1 = 419,
    aux_sym_interface_def_repeat1 = 420,
    aux_sym_interface_inheritance_spec_repeat1 = 421,
    aux_sym_interface_body_repeat1 = 422,
    aux_sym_parameter_dcls_repeat1 = 423,
    aux_sym_raises_expr_repeat1 = 424,
    aux_sym_readonly_attr_declarator_repeat1 = 425,
    aux_sym_bitset_dcl_repeat1 = 426,
    aux_sym_bitfield_repeat1 = 427,
    aux_sym_bitmask_dcl_repeat1 = 428,
    aux_sym_annotation_dcl_repeat1 = 429,
    aux_sym_annotation_appl_params_repeat1 = 430,
    aux_sym_template_module_dcl_repeat1 = 431,
    aux_sym_formal_parameters_repeat1 = 432,
    aux_sym_actual_parameters_repeat1 = 433,
    aux_sym_formal_parameter_names_repeat1 = 434,
    aux_sym_value_def_repeat1 = 435,
    aux_sym_value_inheritance_spec_repeat1 = 436,
    aux_sym_init_param_dcls_repeat1 = 437,
    aux_sym_any_declarators_repeat1 = 438,
    aux_sym_declarators_repeat1 = 439,
    aux_sym_array_declarator_repeat1 = 440,
    aux_sym_enum_dcl_repeat1 = 441,
    aux_sym_enumerator_repeat1 = 442,
    aux_sym_union_def_repeat1 = 443,
    aux_sym_case_repeat1 = 444,
    aux_sym_in_parameter_dcls_repeat1 = 445,
    aux_sym_context_expr_repeat1 = 446,
    aux_sym_component_body_repeat1 = 447,
    aux_sym_home_body_repeat1 = 448,
    aux_sym_factory_param_dcls_repeat1 = 449,
    aux_sym_port_body_repeat1 = 450,
    aux_sym_connector_dcl_repeat1 = 451,
    aux_sym_module_dcl_repeat1 = 452,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [anon_sym_char] = "char",
    [anon_sym_wchar] = "wchar",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_wstring] = "wstring",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [anon_sym_id] = "id",
    [anon_sym_autoid] = "autoid",
    [anon_sym_SEQUENTIAL] = "SEQUENTIAL",
    [anon_sym_HASH] = "HASH",
    [anon_sym_optional] = "optional",
    [anon_sym_position] = "position",
    [anon_sym_value] = "value",
    [anon_sym_extensibility] = "extensibility",
    [anon_sym_FINAL] = "FINAL",
    [anon_sym_APPENDABLE] = "APPENDABLE",
    [anon_sym_MUTABLE] = "MUTABLE",
    [anon_sym_final] = "final",
    [anon_sym_appendable] = "appendable",
    [anon_sym_mutable] = "mutable",
    [anon_sym_key] = "key",
    [anon_sym_must_understand] = "must_understand",
    [anon_sym_default_literal] = "default_literal",
    [anon_sym_range] = "range",
    [anon_sym_min] = "min",
    [anon_sym_max] = "max",
    [anon_sym_unit] = "unit",
    [anon_sym_bit_bound] = "bit_bound",
    [anon_sym_external] = "external",
    [anon_sym_nested] = "nested",
    [anon_sym_verbatim] = "verbatim",
    [anon_sym_c] = "c",
    [anon_sym_c_PLUS_PLUS] = "c++",
    [anon_sym_java] = "java",
    [anon_sym_idl] = "idl",
    [anon_sym_BEGIN_FILE] = "BEGIN_FILE",
    [anon_sym_BEFORE_DECLARATION] = "BEFORE_DECLARATION",
    [anon_sym_BEGIN_DECLARATION] = "BEGIN_DECLARATION",
    [anon_sym_END_DECLARATION] = "END_DECLARATION",
    [anon_sym_AFTER_DECLARATION] = "AFTER_DECLARATION",
    [anon_sym_END_FILE] = "END_FILE",
    [anon_sym_service] = "service",
    [anon_sym_CORBA] = "CORBA",
    [anon_sym_DDS] = "DDS",
    [anon_sym_oneway] = "oneway",
    [anon_sym_ami] = "ami",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_ATdefault_literal] = "@default_literal",
    [anon_sym_ATignore_literal_names] = "@ignore_literal_names",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_char_type] = "char_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_enum_modifier] = "enum_modifier",
    [sym_enum_anno] = "enum_anno",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_def_repeat1] = "interface_def_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [anon_sym_char] = anon_sym_char,
    [anon_sym_wchar] = anon_sym_wchar,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [anon_sym_id] = anon_sym_id,
    [anon_sym_autoid] = anon_sym_autoid,
    [anon_sym_SEQUENTIAL] = anon_sym_SEQUENTIAL,
    [anon_sym_HASH] = anon_sym_HASH,
    [anon_sym_optional] = anon_sym_optional,
    [anon_sym_position] = anon_sym_position,
    [anon_sym_value] = anon_sym_value,
    [anon_sym_extensibility] = anon_sym_extensibility,
    [anon_sym_FINAL] = anon_sym_FINAL,
    [anon_sym_APPENDABLE] = anon_sym_APPENDABLE,
    [anon_sym_MUTABLE] = anon_sym_MUTABLE,
    [anon_sym_final] = anon_sym_final,
    [anon_sym_appendable] = anon_sym_appendable,
    [anon_sym_mutable] = anon_sym_mutable,
    [anon_sym_key] = anon_sym_key,
    [anon_sym_must_understand] = anon_sym_must_understand,
    [anon_sym_default_literal] = anon_sym_default_literal,
    [anon_sym_range] = anon_sym_range,
    [anon_sym_min] = anon_sym_min,
    [anon_sym_max] = anon_sym_max,
    [anon_sym_unit] = anon_sym_unit,
    [anon_sym_bit_bound] = anon_sym_bit_bound,
    [anon_sym_external] = anon_sym_external,
    [anon_sym_nested] = anon_sym_nested,
    [anon_sym_verbatim] = anon_sym_verbatim,
    [anon_sym_c] = anon_sym_c,
    [anon_sym_c_PLUS_PLUS] = anon_sym_c_PLUS_PLUS,
    [anon_sym_java] = anon_sym_java,
    [anon_sym_idl] = anon_sym_idl,
    [anon_sym_BEGIN_FILE] = anon_sym_BEGIN_FILE,
    [anon_sym_BEFORE_DECLARATION] = anon_sym_BEFORE_DECLARATION,
    [anon_sym_BEGIN_DECLARATION] = anon_sym_BEGIN_DECLARATION,
    [anon_sym_END_DECLARATION] = anon_sym_END_DECLARATION,
    [anon_sym_AFTER_DECLARATION] = anon_sym_AFTER_DECLARATION,
    [anon_sym_END_FILE] = anon_sym_END_FILE,
    [anon_sym_service] = anon_sym_service,
    [anon_sym_CORBA] = anon_sym_CORBA,
    [anon_sym_DDS] = anon_sym_DDS,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_ami] = anon_sym_ami,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_ATdefault_literal] = anon_sym_ATdefault_literal,
    [anon_sym_ATignore_literal_names] = anon_sym_ATignore_literal_names,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_char_type] = sym_char_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_enum_modifier] = sym_enum_modifier,
    [sym_enum_anno] = sym_enum_anno,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_def_repeat1] = aux_sym_interface_def_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_char] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wchar] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_id] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEQUENTIAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_HASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_optional] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_position] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_value] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extensibility] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FINAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_APPENDABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_MUTABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_final] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_appendable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mutable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_key] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_must_understand] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_range] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_min] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_max] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unit] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bit_bound] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_external] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_nested] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_verbatim] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c_PLUS_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_java] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_idl] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEFORE_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AFTER_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_service] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CORBA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DDS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ami] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATdefault_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATignore_literal_names] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_modifier] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_anno] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enumerator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_text = 11,
    field_type = 12,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 1 },
    [8] = { .index = 10, .length = 2 },
    [9] = { .index = 12, .length = 3 },
    [10] = { .index = 15, .length = 4 },
    [11] = { .index = 19, .length = 4 },
    [12] = { .index = 23, .length = 1 },
    [13] = { .index = 24, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_identifier, 1 },
    { field_type, 0 },
    [9] = { field_parent, 3 },
    [10] = { field_identifier, 2 },
    { field_type, 1 },
    [12] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [15] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [19] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [23] = { field_parent, 4 },
    [24] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 34,
    [35] = 35,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 59,
    [60] = 60,
    [61] = 61,
    [62] = 62,
    [63] = 58,
    [64] = 64,
    [65] = 65,
    [66] = 66,
    [67] = 67,
    [68] = 68,
    [69] = 67,
    [70] = 58,
    [71] = 71,
    [72] = 72,
    [73] = 73,
    [74] = 67,
    [75] = 75,
    [76] = 66,
    [77] = 67,
    [78] = 78,
    [79] = 66,
    [80] = 66,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 84,
    [85] = 85,
    [86] = 86,
    [87] = 87,
    [88] = 88,
    [89] = 88,
    [90] = 88,
    [91] = 88,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 160,
    [161] = 161,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 166,
    [167] = 167,
    [168] = 168,
    [169] = 169,
    [170] = 170,
    [171] = 171,
    [172] = 172,
    [173] = 173,
    [174] = 174,
    [175] = 175,
    [176] = 176,
    [177] = 177,
    [178] = 178,
    [179] = 179,
    [180] = 180,
    [181] = 181,
    [182] = 182,
    [183] = 183,
    [184] = 184,
    [185] = 185,
    [186] = 186,
    [187] = 187,
    [188] = 188,
    [189] = 189,
    [190] = 190,
    [191] = 191,
    [192] = 192,
    [193] = 193,
    [194] = 194,
    [195] = 191,
    [196] = 190,
    [197] = 189,
    [198] = 194,
    [199] = 190,
    [200] = 194,
    [201] = 191,
    [202] = 191,
    [203] = 190,
    [204] = 194,
    [205] = 189,
    [206] = 189,
    [207] = 207,
    [208] = 129,
    [209] = 209,
    [210] = 130,
    [211] = 211,
    [212] = 131,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 245,
    [246] = 246,
    [247] = 247,
    [248] = 246,
    [249] = 246,
    [250] = 246,
    [251] = 251,
    [252] = 252,
    [253] = 253,
    [254] = 254,
    [255] = 255,
    [256] = 256,
    [257] = 256,
    [258] = 258,
    [259] = 259,
    [260] = 258,
    [261] = 258,
    [262] = 256,
    [263] = 259,
    [264] = 259,
    [265] = 256,
    [266] = 258,
    [267] = 259,
    [268] = 111,
    [269] = 269,
    [270] = 270,
    [271] = 129,
    [272] = 272,
    [273] = 273,
    [274] = 126,
    [275] = 275,
    [276] = 131,
    [277] = 130,
    [278] = 278,
    [279] = 129,
    [280] = 119,
    [281] = 278,
    [282] = 278,
    [283] = 283,
    [284] = 122,
    [285] = 285,
    [286] = 125,
    [287] = 130,
    [288] = 114,
    [289] = 120,
    [290] = 124,
    [291] = 121,
    [292] = 123,
    [293] = 113,
    [294] = 278,
    [295] = 295,
    [296] = 173,
    [297] = 163,
    [298] = 164,
    [299] = 165,
    [300] = 166,
    [301] = 167,
    [302] = 168,
    [303] = 303,
    [304] = 157,
    [305] = 171,
    [306] = 154,
    [307] = 153,
    [308] = 160,
    [309] = 152,
    [310] = 151,
    [311] = 150,
    [312] = 312,
    [313] = 146,
    [314] = 145,
    [315] = 144,
    [316] = 159,
    [317] = 317,
    [318] = 143,
    [319] = 133,
    [320] = 142,
    [321] = 141,
    [322] = 322,
    [323] = 158,
    [324] = 156,
    [325] = 155,
    [326] = 162,
    [327] = 137,
    [328] = 170,
    [329] = 329,
    [330] = 138,
    [331] = 172,
    [332] = 131,
    [333] = 139,
    [334] = 334,
    [335] = 140,
    [336] = 169,
    [337] = 337,
    [338] = 174,
    [339] = 132,
    [340] = 340,
    [341] = 341,
    [342] = 342,
    [343] = 343,
    [344] = 344,
    [345] = 345,
    [346] = 346,
    [347] = 347,
    [348] = 348,
    [349] = 349,
    [350] = 350,
    [351] = 351,
    [352] = 352,
    [353] = 353,
    [354] = 354,
    [355] = 355,
    [356] = 356,
    [357] = 357,
    [358] = 358,
    [359] = 359,
    [360] = 360,
    [361] = 111,
    [362] = 362,
    [363] = 363,
    [364] = 364,
    [365] = 358,
    [366] = 357,
    [367] = 367,
    [368] = 357,
    [369] = 369,
    [370] = 370,
    [371] = 371,
    [372] = 372,
    [373] = 373,
    [374] = 358,
    [375] = 111,
    [376] = 357,
    [377] = 358,
    [378] = 378,
    [379] = 379,
    [380] = 131,
    [381] = 381,
    [382] = 382,
    [383] = 383,
    [384] = 126,
    [385] = 385,
    [386] = 130,
    [387] = 130,
    [388] = 388,
    [389] = 389,
    [390] = 390,
    [391] = 391,
    [392] = 129,
    [393] = 129,
    [394] = 126,
    [395] = 395,
    [396] = 131,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 403,
    [404] = 404,
    [405] = 405,
    [406] = 406,
    [407] = 407,
    [408] = 408,
    [409] = 409,
    [410] = 410,
    [411] = 411,
    [412] = 412,
    [413] = 413,
    [414] = 414,
    [415] = 415,
    [416] = 416,
    [417] = 417,
    [418] = 418,
    [419] = 419,
    [420] = 420,
    [421] = 421,
    [422] = 422,
    [423] = 423,
    [424] = 424,
    [425] = 425,
    [426] = 426,
    [427] = 427,
    [428] = 428,
    [429] = 429,
    [430] = 430,
    [431] = 431,
    [432] = 432,
    [433] = 433,
    [434] = 434,
    [435] = 435,
    [436] = 436,
    [437] = 437,
    [438] = 438,
    [439] = 439,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 445,
    [446] = 446,
    [447] = 447,
    [448] = 448,
    [449] = 449,
    [450] = 450,
    [451] = 119,
    [452] = 449,
    [453] = 437,
    [454] = 120,
    [455] = 455,
    [456] = 435,
    [457] = 457,
    [458] = 435,
    [459] = 459,
    [460] = 460,
    [461] = 437,
    [462] = 462,
    [463] = 457,
    [464] = 464,
    [465] = 465,
    [466] = 466,
    [467] = 467,
    [468] = 443,
    [469] = 469,
    [470] = 470,
    [471] = 125,
    [472] = 431,
    [473] = 122,
    [474] = 474,
    [475] = 457,
    [476] = 437,
    [477] = 457,
    [478] = 113,
    [479] = 443,
    [480] = 121,
    [481] = 124,
    [482] = 114,
    [483] = 483,
    [484] = 123,
    [485] = 485,
    [486] = 121,
    [487] = 487,
    [488] = 433,
    [489] = 443,
    [490] = 435,
    [491] = 122,
    [492] = 125,
    [493] = 493,
    [494] = 494,
    [495] = 495,
    [496] = 120,
    [497] = 497,
    [498] = 119,
    [499] = 499,
    [500] = 500,
    [501] = 501,
    [502] = 502,
    [503] = 123,
    [504] = 504,
    [505] = 505,
    [506] = 114,
    [507] = 124,
    [508] = 113,
    [509] = 509,
    [510] = 510,
    [511] = 511,
    [512] = 512,
    [513] = 160,
    [514] = 514,
    [515] = 515,
    [516] = 171,
    [517] = 517,
    [518] = 159,
    [519] = 519,
    [520] = 520,
    [521] = 158,
    [522] = 504,
    [523] = 523,
    [524] = 524,
    [525] = 525,
    [526] = 526,
    [527] = 517,
    [528] = 174,
    [529] = 156,
    [530] = 173,
    [531] = 172,
    [532] = 132,
    [533] = 170,
    [534] = 169,
    [535] = 168,
    [536] = 167,
    [537] = 166,
    [538] = 155,
    [539] = 165,
    [540] = 164,
    [541] = 541,
    [542] = 542,
    [543] = 163,
    [544] = 544,
    [545] = 545,
    [546] = 546,
    [547] = 547,
    [548] = 548,
    [549] = 162,
    [550] = 157,
    [551] = 154,
    [552] = 552,
    [553] = 553,
    [554] = 554,
    [555] = 555,
    [556] = 153,
    [557] = 557,
    [558] = 558,
    [559] = 559,
    [560] = 560,
    [561] = 152,
    [562] = 562,
    [563] = 563,
    [564] = 564,
    [565] = 151,
    [566] = 150,
    [567] = 146,
    [568] = 145,
    [569] = 545,
    [570] = 570,
    [571] = 571,
    [572] = 144,
    [573] = 143,
    [574] = 574,
    [575] = 575,
    [576] = 541,
    [577] = 133,
    [578] = 142,
    [579] = 141,
    [580] = 140,
    [581] = 139,
    [582] = 138,
    [583] = 137,
    [584] = 584,
    [585] = 585,
    [586] = 524,
    [587] = 587,
    [588] = 588,
    [589] = 589,
    [590] = 590,
    [591] = 591,
    [592] = 547,
    [593] = 593,
    [594] = 594,
    [595] = 546,
    [596] = 155,
    [597] = 597,
    [598] = 598,
    [599] = 599,
    [600] = 600,
    [601] = 601,
    [602] = 602,
    [603] = 170,
    [604] = 604,
    [605] = 605,
    [606] = 156,
    [607] = 607,
    [608] = 158,
    [609] = 609,
    [610] = 610,
    [611] = 611,
    [612] = 612,
    [613] = 159,
    [614] = 614,
    [615] = 160,
    [616] = 171,
    [617] = 617,
    [618] = 618,
    [619] = 619,
    [620] = 620,
    [621] = 621,
    [622] = 622,
    [623] = 623,
    [624] = 174,
    [625] = 625,
    [626] = 173,
    [627] = 627,
    [628] = 172,
    [629] = 629,
    [630] = 630,
    [631] = 132,
    [632] = 632,
    [633] = 625,
    [634] = 495,
    [635] = 169,
    [636] = 636,
    [637] = 168,
    [638] = 167,
    [639] = 166,
    [640] = 165,
    [641] = 641,
    [642] = 164,
    [643] = 546,
    [644] = 163,
    [645] = 162,
    [646] = 646,
    [647] = 647,
    [648] = 547,
    [649] = 649,
    [650] = 650,
    [651] = 651,
    [652] = 652,
    [653] = 653,
    [654] = 157,
    [655] = 655,
    [656] = 656,
    [657] = 657,
    [658] = 154,
    [659] = 659,
    [660] = 660,
    [661] = 661,
    [662] = 662,
    [663] = 663,
    [664] = 664,
    [665] = 153,
    [666] = 152,
    [667] = 667,
    [668] = 668,
    [669] = 669,
    [670] = 670,
    [671] = 151,
    [672] = 672,
    [673] = 673,
    [674] = 674,
    [675] = 150,
    [676] = 146,
    [677] = 545,
    [678] = 678,
    [679] = 679,
    [680] = 680,
    [681] = 681,
    [682] = 541,
    [683] = 145,
    [684] = 684,
    [685] = 144,
    [686] = 686,
    [687] = 143,
    [688] = 688,
    [689] = 133,
    [690] = 517,
    [691] = 524,
    [692] = 541,
    [693] = 693,
    [694] = 694,
    [695] = 545,
    [696] = 142,
    [697] = 697,
    [698] = 698,
    [699] = 141,
    [700] = 547,
    [701] = 701,
    [702] = 702,
    [703] = 703,
    [704] = 546,
    [705] = 705,
    [706] = 706,
    [707] = 140,
    [708] = 708,
    [709] = 139,
    [710] = 138,
    [711] = 711,
    [712] = 137,
    [713] = 713,
    [714] = 714,
    [715] = 715,
    [716] = 716,
    [717] = 717,
    [718] = 718,
    [719] = 524,
    [720] = 720,
    [721] = 721,
    [722] = 722,
    [723] = 517,
    [724] = 724,
    [725] = 725,
    [726] = 726,
    [727] = 660,
    [728] = 625,
    [729] = 588,
    [730] = 589,
    [731] = 731,
    [732] = 732,
    [733] = 733,
    [734] = 734,
    [735] = 733,
    [736] = 733,
    [737] = 737,
    [738] = 738,
    [739] = 739,
    [740] = 740,
    [741] = 741,
    [742] = 742,
    [743] = 743,
    [744] = 744,
    [745] = 745,
    [746] = 746,
    [747] = 737,
    [748] = 737,
    [749] = 749,
    [750] = 739,
    [751] = 741,
    [752] = 752,
    [753] = 753,
    [754] = 744,
    [755] = 755,
    [756] = 756,
    [757] = 757,
    [758] = 758,
    [759] = 759,
    [760] = 760,
    [761] = 737,
    [762] = 762,
    [763] = 763,
    [764] = 739,
    [765] = 741,
    [766] = 766,
    [767] = 744,
    [768] = 768,
    [769] = 769,
    [770] = 770,
    [771] = 771,
    [772] = 772,
    [773] = 773,
    [774] = 774,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 733,
    [781] = 781,
    [782] = 782,
    [783] = 783,
    [784] = 744,
    [785] = 785,
    [786] = 786,
    [787] = 787,
    [788] = 788,
    [789] = 789,
    [790] = 790,
    [791] = 791,
    [792] = 792,
    [793] = 793,
    [794] = 794,
    [795] = 795,
    [796] = 796,
    [797] = 797,
    [798] = 798,
    [799] = 799,
    [800] = 800,
    [801] = 801,
    [802] = 802,
    [803] = 803,
    [804] = 804,
    [805] = 805,
    [806] = 806,
    [807] = 807,
    [808] = 808,
    [809] = 809,
    [810] = 810,
    [811] = 811,
    [812] = 812,
    [813] = 813,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 818,
    [819] = 819,
    [820] = 820,
    [821] = 821,
    [822] = 822,
    [823] = 823,
    [824] = 824,
    [825] = 825,
    [826] = 826,
    [827] = 827,
    [828] = 828,
    [829] = 829,
    [830] = 830,
    [831] = 831,
    [832] = 832,
    [833] = 833,
    [834] = 834,
    [835] = 835,
    [836] = 836,
    [837] = 837,
    [838] = 838,
    [839] = 739,
    [840] = 840,
    [841] = 741,
    [842] = 842,
    [843] = 843,
    [844] = 844,
    [845] = 845,
    [846] = 846,
    [847] = 847,
    [848] = 848,
    [849] = 849,
    [850] = 850,
    [851] = 851,
    [852] = 852,
    [853] = 853,
    [854] = 854,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 861,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 886,
    [887] = 887,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 893,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 952,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 962,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 865,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 225,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 1036,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 1039,
    [1040] = 224,
    [1041] = 1041,
    [1042] = 1042,
    [1043] = 1043,
    [1044] = 1044,
    [1045] = 1045,
    [1046] = 1046,
    [1047] = 1047,
    [1048] = 1048,
    [1049] = 1049,
    [1050] = 1050,
    [1051] = 1051,
    [1052] = 1052,
    [1053] = 1053,
    [1054] = 1054,
    [1055] = 1055,
    [1056] = 1037,
    [1057] = 1057,
    [1058] = 1058,
    [1059] = 1018,
    [1060] = 1060,
    [1061] = 979,
    [1062] = 978,
    [1063] = 976,
    [1064] = 975,
    [1065] = 974,
    [1066] = 973,
    [1067] = 971,
    [1068] = 970,
    [1069] = 1069,
    [1070] = 966,
    [1071] = 965,
    [1072] = 964,
    [1073] = 963,
    [1074] = 962,
    [1075] = 961,
    [1076] = 958,
    [1077] = 954,
    [1078] = 953,
    [1079] = 952,
    [1080] = 891,
    [1081] = 1081,
    [1082] = 1082,
    [1083] = 983,
    [1084] = 987,
    [1085] = 997,
    [1086] = 1086,
    [1087] = 936,
    [1088] = 1088,
    [1089] = 1051,
    [1090] = 1090,
    [1091] = 1091,
    [1092] = 1092,
    [1093] = 1037,
    [1094] = 1094,
    [1095] = 1018,
    [1096] = 1096,
    [1097] = 979,
    [1098] = 978,
    [1099] = 976,
    [1100] = 975,
    [1101] = 974,
    [1102] = 973,
    [1103] = 971,
    [1104] = 970,
    [1105] = 865,
    [1106] = 966,
    [1107] = 965,
    [1108] = 964,
    [1109] = 963,
    [1110] = 962,
    [1111] = 961,
    [1112] = 958,
    [1113] = 954,
    [1114] = 953,
    [1115] = 952,
    [1116] = 891,
    [1117] = 983,
    [1118] = 987,
    [1119] = 997,
    [1120] = 936,
    [1121] = 1121,
    [1122] = 1051,
    [1123] = 1123,
    [1124] = 1124,
    [1125] = 1125,
    [1126] = 1037,
    [1127] = 1042,
    [1128] = 979,
    [1129] = 978,
    [1130] = 976,
    [1131] = 975,
    [1132] = 974,
    [1133] = 973,
    [1134] = 971,
    [1135] = 970,
    [1136] = 865,
    [1137] = 966,
    [1138] = 965,
    [1139] = 964,
    [1140] = 963,
    [1141] = 962,
    [1142] = 961,
    [1143] = 958,
    [1144] = 954,
    [1145] = 953,
    [1146] = 952,
    [1147] = 891,
    [1148] = 983,
    [1149] = 987,
    [1150] = 997,
    [1151] = 936,
    [1152] = 1051,
    [1153] = 1051,
    [1154] = 1037,
    [1155] = 1155,
    [1156] = 1156,
    [1157] = 1157,
    [1158] = 1158,
    [1159] = 1159,
    [1160] = 1051,
    [1161] = 1161,
    [1162] = 1162,
    [1163] = 1163,
    [1164] = 1164,
    [1165] = 1165,
    [1166] = 1166,
    [1167] = 1167,
    [1168] = 1168,
    [1169] = 1169,
    [1170] = 1170,
    [1171] = 1171,
    [1172] = 1172,
    [1173] = 1042,
    [1174] = 1174,
    [1175] = 1175,
    [1176] = 1176,
    [1177] = 1177,
    [1178] = 1178,
    [1179] = 1179,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1182,
    [1183] = 1183,
    [1184] = 1184,
    [1185] = 1185,
    [1186] = 1186,
    [1187] = 1187,
    [1188] = 1188,
    [1189] = 1189,
    [1190] = 1190,
    [1191] = 1191,
    [1192] = 1192,
    [1193] = 1193,
    [1194] = 1194,
    [1195] = 1195,
    [1196] = 1196,
    [1197] = 1197,
    [1198] = 1198,
    [1199] = 1199,
    [1200] = 1200,
    [1201] = 1201,
    [1202] = 1202,
    [1203] = 1203,
    [1204] = 1204,
    [1205] = 1205,
    [1206] = 1206,
    [1207] = 1207,
    [1208] = 1208,
    [1209] = 1209,
    [1210] = 1210,
    [1211] = 1211,
    [1212] = 1212,
    [1213] = 1213,
    [1214] = 1214,
    [1215] = 1215,
    [1216] = 1216,
    [1217] = 1217,
    [1218] = 1218,
    [1219] = 1219,
    [1220] = 1220,
    [1221] = 1221,
    [1222] = 1222,
    [1223] = 1223,
    [1224] = 1224,
    [1225] = 1225,
    [1226] = 1159,
    [1227] = 1158,
    [1228] = 1157,
    [1229] = 1156,
    [1230] = 1155,
    [1231] = 1125,
    [1232] = 1124,
    [1233] = 1123,
    [1234] = 1121,
    [1235] = 1058,
    [1236] = 967,
    [1237] = 957,
    [1238] = 956,
    [1239] = 988,
    [1240] = 1159,
    [1241] = 1158,
    [1242] = 1157,
    [1243] = 1156,
    [1244] = 1155,
    [1245] = 1125,
    [1246] = 1124,
    [1247] = 1123,
    [1248] = 1121,
    [1249] = 1058,
    [1250] = 967,
    [1251] = 957,
    [1252] = 956,
    [1253] = 988,
    [1254] = 1159,
    [1255] = 1158,
    [1256] = 1157,
    [1257] = 1156,
    [1258] = 1155,
    [1259] = 1125,
    [1260] = 1124,
    [1261] = 1123,
    [1262] = 1121,
    [1263] = 1058,
    [1264] = 967,
    [1265] = 957,
    [1266] = 956,
    [1267] = 988,
    [1268] = 1268,
    [1269] = 1269,
    [1270] = 1270,
    [1271] = 1042,
    [1272] = 1272,
    [1273] = 1273,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(806);
            ADVANCE_MAP(
                '"', 909,
                '#', 323,
                '%', 873,
                '&', 865,
                '\'', 915,
                '(', 874,
                ')', 875,
                '*', 870,
                '+', 868,
                ',', 858,
                '-', 869,
                '.', 898,
                '/', 871,
                '0', 892,
                '1', 881,
                ':', 964,
                ';', 965,
                '<', 853,
                '=', 997,
                '>', 855,
                '@', 993,
                'A', 170,
                'B', 877,
                'C', 201,
                'D', 903,
                'E', 900,
                'F', 123,
                'H', 125,
                'L', 913,
                'M', 228,
                'O', 290,
                'S', 154,
                'T', 211,
                'V', 240,
                '[', 1092,
            );
            if(lookahead == '\\')
                SKIP(799);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == 'a')
                ADVANCE(293);
            if(lookahead == 'b')
                ADVANCE(878);
            if(lookahead == 'c')
                ADVANCE(1044);
            if(lookahead == 'd')
                ADVANCE(904);
            if(lookahead == 'e')
                ADVANCE(901);
            if(lookahead == 'f')
                ADVANCE(241);
            if(lookahead == 'g')
                ADVANCE(401);
            if(lookahead == 'h')
                ADVANCE(574);
            if(lookahead == 'i')
                ADVANCE(324);
            if(lookahead == 'j')
                ADVANCE(242);
            if(lookahead == 'k')
                ADVANCE(371);
            if(lookahead == 'l')
                ADVANCE(575);
            if(lookahead == 'm')
                ADVANCE(243);
            if(lookahead == 'n')
                ADVANCE(252);
            if(lookahead == 'o')
                ADVANCE(309);
            if(lookahead == 'p')
                ADVANCE(577);
            if(lookahead == 'r')
                ADVANCE(244);
            if(lookahead == 's')
                ADVANCE(344);
            if(lookahead == 't')
                ADVANCE(630);
            if(lookahead == 'u')
                ADVANCE(440);
            if(lookahead == 'v')
                ADVANCE(283);
            if(lookahead == 'w')
                ADVANCE(305);
            if(lookahead == '{')
                ADVANCE(956);
            if(lookahead == '|')
                ADVANCE(863);
            if(lookahead == '}')
                ADVANCE(957);
            if(lookahead == '~')
                ADVANCE(876);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(894);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(94);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(94);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(95);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(95);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(97);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(97);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(92);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(92);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(77);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(77);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(74);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(74);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(75);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(75);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(76);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(76);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(93);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(93);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(45);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(45);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                ADVANCE(996);
            if(lookahead == '\r')
                ADVANCE(45);
            if(lookahead == '(')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(992);
            if(lookahead == '\\')
                SKIP(44);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(45);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(103);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                SKIP(46);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(48);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '"')
                ADVANCE(909);
            if(lookahead == '/')
                ADVANCE(910);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(911);
            if(lookahead != 0)
                ADVANCE(912);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                ADVANCE(906);
            if(lookahead == '\r')
                ADVANCE(905);
            if(lookahead == 'U')
                ADVANCE(796);
            if(lookahead == 'u')
                ADVANCE(792);
            if(lookahead == 'x')
                ADVANCE(790);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(908);
            if(lookahead != 0)
                ADVANCE(905);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(54);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\'')
                ADVANCE(915);
            if(lookahead == '/')
                ADVANCE(918);
            if(lookahead == '\\')
                ADVANCE(917);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(919);
            if(lookahead != 0)
                ADVANCE(916);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(57);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                ADVANCE(929);
            if(lookahead == '\r')
                ADVANCE(61);
            if(lookahead == '/')
                ADVANCE(945);
            if(lookahead == '\\')
                ADVANCE(942);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                ADVANCE(929);
            if(lookahead == '\r')
                ADVANCE(62);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(929);
            if(lookahead == '/')
                ADVANCE(945);
            if(lookahead == '\\')
                ADVANCE(942);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                ADVANCE(929);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(63);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                ADVANCE(1546);
            if(lookahead == '\r')
                ADVANCE(1543);
            if(lookahead == '\\')
                ADVANCE(1544);
            if(lookahead != 0)
                ADVANCE(1547);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '\r')
                ADVANCE(67);
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                SKIP(96);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                SKIP(96);
            if(lookahead == '\r')
                SKIP(68);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(98);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                SKIP(70);
            END_STATE();
        case 72:
            if(lookahead == '\r')
                ADVANCE(1548);
            if(lookahead == '\\')
                ADVANCE(1544);
            if(lookahead != 0)
                ADVANCE(1547);
            END_STATE();
        case 73:
            if(lookahead == ' ')
                ADVANCE(513);
            END_STATE();
        case 74:
            ADVANCE_MAP(
                '"', 909,
                '%', 873,
                '&', 865,
                '\'', 915,
                ')', 875,
                '*', 870,
                '+', 868,
                ',', 858,
                '-', 869,
                '/', 872,
                '0', 892,
                '1', 881,
                ':', 964,
                ';', 965,
                '<', 122,
                '>', 855,
                'A', 207,
                'B', 885,
                'C', 201,
                'D', 146,
                'F', 123,
                'H', 125,
                'L', 913,
                'M', 228,
                'S', 154,
                'T', 211,
                '[', 1092,
            );
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == 'a')
                ADVANCE(684);
            if(lookahead == 'b')
                ADVANCE(879);
            if(lookahead == 'c')
                ADVANCE(246);
            if(lookahead == 'd')
                ADVANCE(408);
            if(lookahead == 'e')
                ADVANCE(521);
            if(lookahead == 'g')
                ADVANCE(401);
            if(lookahead == 'i')
                ADVANCE(562);
            if(lookahead == 'l')
                ADVANCE(600);
            if(lookahead == 'm')
                ADVANCE(268);
            if(lookahead == 'o')
                ADVANCE(308);
            if(lookahead == 'p')
                ADVANCE(606);
            if(lookahead == 'r')
                ADVANCE(286);
            if(lookahead == 's')
                ADVANCE(411);
            if(lookahead == 'u')
                ADVANCE(441);
            if(lookahead == 'v')
                ADVANCE(271);
            if(lookahead == '{')
                ADVANCE(956);
            if(lookahead == '|')
                ADVANCE(863);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(74);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(894);
            END_STATE();
        case 75:
            ADVANCE_MAP(
                '"', 909,
                '%', 873,
                '&', 865,
                ')', 875,
                '*', 870,
                '+', 868,
                ',', 858,
                '-', 869,
                '/', 872,
                ':', 964,
                ';', 965,
                '<', 122,
                '>', 855,
                '@', 343,
            );
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == '{')
                ADVANCE(956);
            if(lookahead == '|')
                ADVANCE(863);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(75);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 76:
            ADVANCE_MAP(
                '"', 909,
                '&', 865,
                ')', 875,
                '*', 870,
                ',', 858,
                '/', 87,
                ':', 963,
                ';', 965,
                '>', 854,
                'A', 169,
                'B', 153,
                'E', 192,
            );
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == 'c')
                ADVANCE(1043);
            if(lookahead == 'i')
                ADVANCE(336);
            if(lookahead == 'j')
                ADVANCE(242);
            if(lookahead == '|')
                ADVANCE(863);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(76);
            END_STATE();
        case 77:
            ADVANCE_MAP(
                '"', 909,
                '\'', 915,
                '(', 874,
                '+', 868,
                '-', 869,
                '/', 87,
                '0', 893,
                '1', 883,
                ':', 121,
                'F', 1139,
                'L', 914,
                'T', 1144,
            );
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == '~')
                ADVANCE(876);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(77);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 909,
                ')', 875,
                ',', 858,
                '/', 87,
                ':', 121,
                ';', 965,
                '<', 853,
                '>', 854,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == '{')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 79:
            if(lookahead == '"')
                ADVANCE(909);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '%', 873,
                '&', 865,
                ')', 875,
                '*', 870,
                '+', 868,
                ',', 858,
                '-', 869,
                '.', 898,
                '/', 872,
                '0', 891,
                ':', 963,
                ';', 965,
                '<', 122,
                '>', 855,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == 'b')
                ADVANCE(464);
            if(lookahead == 'i')
                ADVANCE(540);
            if(lookahead == 'm')
                ADVANCE(267);
            if(lookahead == 's')
                ADVANCE(750);
            if(lookahead == '{')
                ADVANCE(956);
            if(lookahead == '|')
                ADVANCE(863);
            if(lookahead == '}')
                ADVANCE(957);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(902);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(899);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(894);
            END_STATE();
        case 81:
            if(lookahead == '\'')
                ADVANCE(915);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            END_STATE();
        case 82:
            if(lookahead == '(')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(992);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 83:
            if(lookahead == '(')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(992);
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == 'a')
                ADVANCE(291);
            if(lookahead == 'b')
                ADVANCE(465);
            if(lookahead == 'i')
                ADVANCE(571);
            if(lookahead == 'l')
                ADVANCE(581);
            if(lookahead == 's')
                ADVANCE(721);
            if(lookahead == 'u')
                ADVANCE(567);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            END_STATE();
        case 84:
            if(lookahead == '(')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(992);
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 85:
            if(lookahead == ')')
                ADVANCE(875);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1357);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1201);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 86:
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1539);
            END_STATE();
        case 87:
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1537);
            END_STATE();
        case 88:
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead == '/')
                ADVANCE(90);
            if(lookahead == '\\')
                ADVANCE(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(88);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 89:
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 90:
            if(lookahead == '*')
                ADVANCE(1550);
            if(lookahead == '/')
                ADVANCE(1538);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 91:
            if(lookahead == '+')
                ADVANCE(1045);
            END_STATE();
        case 92:
            ADVANCE_MAP(
                ',', 858,
                '/', 87,
                ':', 964,
                ';', 965,
                '<', 853,
                '>', 854,
                'O', 1184,
                'V', 1149,
            );
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1228);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '{')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(92);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 93:
            if(lookahead == ',')
                ADVANCE(858);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '<')
                ADVANCE(853);
            if(lookahead == '>')
                ADVANCE(854);
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == 'm')
                ADVANCE(267);
            if(lookahead == 'p')
                ADVANCE(642);
            if(lookahead == 's')
                ADVANCE(750);
            if(lookahead == '{')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(93);
            END_STATE();
        case 94:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(994);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1185);
            if(lookahead == 'b')
                ADVANCE(1295);
            if(lookahead == 'c')
                ADVANCE(1287);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1363);
            if(lookahead == 'f')
                ADVANCE(1152);
            if(lookahead == 'i')
                ADVANCE(1346);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'n')
                ADVANCE(1160);
            if(lookahead == 'o')
                ADVANCE(1200);
            if(lookahead == 'p')
                ADVANCE(1421);
            if(lookahead == 'r')
                ADVANCE(1256);
            if(lookahead == 's')
                ADVANCE(1226);
            if(lookahead == 't')
                ADVANCE(1529);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'v')
                ADVANCE(1180);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(94);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 95:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(994);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1185);
            if(lookahead == 'b')
                ADVANCE(1295);
            if(lookahead == 'c')
                ADVANCE(1287);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1363);
            if(lookahead == 'f')
                ADVANCE(1153);
            if(lookahead == 'i')
                ADVANCE(1346);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'n')
                ADVANCE(1160);
            if(lookahead == 'o')
                ADVANCE(1200);
            if(lookahead == 'r')
                ADVANCE(1256);
            if(lookahead == 's')
                ADVANCE(1226);
            if(lookahead == 't')
                ADVANCE(1529);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'v')
                ADVANCE(1180);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(95);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 96:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(994);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(69);
            if(lookahead == 'a')
                ADVANCE(1185);
            if(lookahead == 'b')
                ADVANCE(1295);
            if(lookahead == 'c')
                ADVANCE(1287);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1363);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1346);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'n')
                ADVANCE(1160);
            if(lookahead == 'o')
                ADVANCE(1200);
            if(lookahead == 'r')
                ADVANCE(1256);
            if(lookahead == 's')
                ADVANCE(1226);
            if(lookahead == 't')
                ADVANCE(1529);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'v')
                ADVANCE(1180);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(96);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 97:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(994);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1295);
            if(lookahead == 'c')
                ADVANCE(1173);
            if(lookahead == 'd')
                ADVANCE(1253);
            if(lookahead == 'e')
                ADVANCE(1364);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1226);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(97);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 98:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(994);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(71);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1295);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1364);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1226);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(945);
            if(lookahead == '\\')
                ADVANCE(942);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(435);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1288);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1364);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 't')
                ADVANCE(1531);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1288);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'e')
                ADVANCE(1362);
            if(lookahead == 'f')
                ADVANCE(1330);
            if(lookahead == 'i')
                ADVANCE(1378);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1227);
            if(lookahead == 't')
                ADVANCE(1532);
            if(lookahead == 'u')
                ADVANCE(1300);
            if(lookahead == 'v')
                ADVANCE(1181);
            if(lookahead == 'w')
                ADVANCE(1196);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == 'V')
                ADVANCE(1149);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == '\\')
                SKIP(47);
            if(lookahead == 'm')
                ADVANCE(1514);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1184);
            if(lookahead == '\\')
                SKIP(49);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1311);
            if(lookahead == 'd')
                ADVANCE(1275);
            if(lookahead == 'e')
                ADVANCE(1522);
            if(lookahead == 'f')
                ADVANCE(1310);
            if(lookahead == 'i')
                ADVANCE(1215);
            if(lookahead == 'k')
                ADVANCE(1258);
            if(lookahead == 'm')
                ADVANCE(1157);
            if(lookahead == 'n')
                ADVANCE(1274);
            if(lookahead == 'o')
                ADVANCE(1360);
            if(lookahead == 'p')
                ADVANCE(1396);
            if(lookahead == 'r')
                ADVANCE(1169);
            if(lookahead == 's')
                ADVANCE(1264);
            if(lookahead == 'u')
                ADVANCE(1384);
            if(lookahead == 'v')
                ADVANCE(1183);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == 'b')
                ADVANCE(1393);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1401);
            if(lookahead == 's')
                ADVANCE(1290);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1196);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(51);
            if(lookahead == 't')
                ADVANCE(1438);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(963);
            if(lookahead == ';')
                ADVANCE(965);
            if(lookahead == '\\')
                SKIP(55);
            if(lookahead == '{')
                ADVANCE(956);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ';')
                ADVANCE(965);
            if(lookahead == '\\')
                SKIP(58);
            if(lookahead == 's')
                ADVANCE(1519);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 112:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(828);
            END_STATE();
        case 113:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(828);
            if(lookahead == 'e')
                ADVANCE(649);
            END_STATE();
        case 114:
            if(lookahead == '1')
                ADVANCE(120);
            if(lookahead == '3')
                ADVANCE(116);
            if(lookahead == '6')
                ADVANCE(118);
            if(lookahead == '8')
                ADVANCE(820);
            END_STATE();
        case 115:
            if(lookahead == '2')
                ADVANCE(815);
            END_STATE();
        case 116:
            if(lookahead == '2')
                ADVANCE(834);
            END_STATE();
        case 117:
            if(lookahead == '4')
                ADVANCE(818);
            END_STATE();
        case 118:
            if(lookahead == '4')
                ADVANCE(837);
            END_STATE();
        case 119:
            if(lookahead == '6')
                ADVANCE(809);
            END_STATE();
        case 120:
            if(lookahead == '6')
                ADVANCE(831);
            END_STATE();
        case 121:
            if(lookahead == ':')
                ADVANCE(848);
            END_STATE();
        case 122:
            if(lookahead == '<')
                ADVANCE(867);
            END_STATE();
        case 123:
            if(lookahead == 'A')
                ADVANCE(183);
            if(lookahead == 'I')
                ADVANCE(197);
            END_STATE();
        case 124:
            if(lookahead == 'A')
                ADVANCE(1056);
            END_STATE();
        case 125:
            if(lookahead == 'A')
                ADVANCE(219);
            END_STATE();
        case 126:
            if(lookahead == 'A')
                ADVANCE(181);
            END_STATE();
        case 127:
            if(lookahead == 'A')
                ADVANCE(138);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(213);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(182);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(224);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(225);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(226);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(227);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(141);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(215);
            END_STATE();
        case 136:
            if(lookahead == 'A')
                ADVANCE(216);
            END_STATE();
        case 137:
            if(lookahead == 'A')
                ADVANCE(217);
            END_STATE();
        case 138:
            if(lookahead == 'B')
                ADVANCE(185);
            END_STATE();
        case 139:
            if(lookahead == 'B')
                ADVANCE(124);
            END_STATE();
        case 140:
            if(lookahead == 'B')
                ADVANCE(282);
            END_STATE();
        case 141:
            if(lookahead == 'B')
                ADVANCE(187);
            END_STATE();
        case 142:
            if(lookahead == 'C')
                ADVANCE(184);
            END_STATE();
        case 143:
            if(lookahead == 'C')
                ADVANCE(189);
            END_STATE();
        case 144:
            if(lookahead == 'C')
                ADVANCE(190);
            END_STATE();
        case 145:
            if(lookahead == 'C')
                ADVANCE(191);
            END_STATE();
        case 146:
            if(lookahead == 'D')
                ADVANCE(218);
            END_STATE();
        case 147:
            if(lookahead == 'D')
                ADVANCE(231);
            END_STATE();
        case 148:
            if(lookahead == 'D')
                ADVANCE(157);
            if(lookahead == 'F')
                ADVANCE(177);
            END_STATE();
        case 149:
            if(lookahead == 'D')
                ADVANCE(134);
            END_STATE();
        case 150:
            if(lookahead == 'D')
                ADVANCE(165);
            END_STATE();
        case 151:
            if(lookahead == 'D')
                ADVANCE(166);
            if(lookahead == 'F')
                ADVANCE(180);
            END_STATE();
        case 152:
            if(lookahead == 'D')
                ADVANCE(167);
            END_STATE();
        case 153:
            if(lookahead == 'E')
                ADVANCE(171);
            END_STATE();
        case 154:
            if(lookahead == 'E')
                ADVANCE(209);
            END_STATE();
        case 155:
            if(lookahead == 'E')
                ADVANCE(920);
            END_STATE();
        case 156:
            if(lookahead == 'E')
                ADVANCE(922);
            END_STATE();
        case 157:
            if(lookahead == 'E')
                ADVANCE(142);
            END_STATE();
        case 158:
            if(lookahead == 'E')
                ADVANCE(1014);
            END_STATE();
        case 159:
            if(lookahead == 'E')
                ADVANCE(1053);
            END_STATE();
        case 160:
            if(lookahead == 'E')
                ADVANCE(1013);
            END_STATE();
        case 161:
            if(lookahead == 'E')
                ADVANCE(1048);
            END_STATE();
        case 162:
            if(lookahead == 'E')
                ADVANCE(198);
            END_STATE();
        case 163:
            if(lookahead == 'E')
                ADVANCE(212);
            END_STATE();
        case 164:
            if(lookahead == 'E')
                ADVANCE(199);
            END_STATE();
        case 165:
            if(lookahead == 'E')
                ADVANCE(143);
            END_STATE();
        case 166:
            if(lookahead == 'E')
                ADVANCE(144);
            END_STATE();
        case 167:
            if(lookahead == 'E')
                ADVANCE(145);
            END_STATE();
        case 168:
            if(lookahead == 'E')
                ADVANCE(239);
            END_STATE();
        case 169:
            if(lookahead == 'F')
                ADVANCE(221);
            END_STATE();
        case 170:
            if(lookahead == 'F')
                ADVANCE(221);
            if(lookahead == 'P')
                ADVANCE(208);
            END_STATE();
        case 171:
            if(lookahead == 'F')
                ADVANCE(202);
            if(lookahead == 'G')
                ADVANCE(174);
            END_STATE();
        case 172:
            if(lookahead == 'H')
                ADVANCE(1003);
            END_STATE();
        case 173:
            if(lookahead == 'I')
                ADVANCE(203);
            END_STATE();
        case 174:
            if(lookahead == 'I')
                ADVANCE(200);
            END_STATE();
        case 175:
            if(lookahead == 'I')
                ADVANCE(204);
            END_STATE();
        case 176:
            if(lookahead == 'I')
                ADVANCE(129);
            END_STATE();
        case 177:
            if(lookahead == 'I')
                ADVANCE(186);
            END_STATE();
        case 178:
            if(lookahead == 'I')
                ADVANCE(205);
            END_STATE();
        case 179:
            if(lookahead == 'I')
                ADVANCE(206);
            END_STATE();
        case 180:
            if(lookahead == 'I')
                ADVANCE(188);
            END_STATE();
        case 181:
            if(lookahead == 'L')
                ADVANCE(1012);
            END_STATE();
        case 182:
            if(lookahead == 'L')
                ADVANCE(1002);
            END_STATE();
        case 183:
            if(lookahead == 'L')
                ADVANCE(220);
            END_STATE();
        case 184:
            if(lookahead == 'L')
                ADVANCE(128);
            END_STATE();
        case 185:
            if(lookahead == 'L')
                ADVANCE(158);
            END_STATE();
        case 186:
            if(lookahead == 'L')
                ADVANCE(159);
            END_STATE();
        case 187:
            if(lookahead == 'L')
                ADVANCE(160);
            END_STATE();
        case 188:
            if(lookahead == 'L')
                ADVANCE(161);
            END_STATE();
        case 189:
            if(lookahead == 'L')
                ADVANCE(135);
            END_STATE();
        case 190:
            if(lookahead == 'L')
                ADVANCE(136);
            END_STATE();
        case 191:
            if(lookahead == 'L')
                ADVANCE(137);
            END_STATE();
        case 192:
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 193:
            if(lookahead == 'N')
                ADVANCE(1051);
            END_STATE();
        case 194:
            if(lookahead == 'N')
                ADVANCE(1052);
            END_STATE();
        case 195:
            if(lookahead == 'N')
                ADVANCE(1050);
            END_STATE();
        case 196:
            if(lookahead == 'N')
                ADVANCE(1049);
            END_STATE();
        case 197:
            if(lookahead == 'N')
                ADVANCE(126);
            END_STATE();
        case 198:
            if(lookahead == 'N')
                ADVANCE(149);
            END_STATE();
        case 199:
            if(lookahead == 'N')
                ADVANCE(223);
            END_STATE();
        case 200:
            if(lookahead == 'N')
                ADVANCE(237);
            END_STATE();
        case 201:
            if(lookahead == 'O')
                ADVANCE(210);
            END_STATE();
        case 202:
            if(lookahead == 'O')
                ADVANCE(214);
            END_STATE();
        case 203:
            if(lookahead == 'O')
                ADVANCE(193);
            END_STATE();
        case 204:
            if(lookahead == 'O')
                ADVANCE(194);
            END_STATE();
        case 205:
            if(lookahead == 'O')
                ADVANCE(195);
            END_STATE();
        case 206:
            if(lookahead == 'O')
                ADVANCE(196);
            END_STATE();
        case 207:
            if(lookahead == 'P')
                ADVANCE(208);
            END_STATE();
        case 208:
            if(lookahead == 'P')
                ADVANCE(162);
            END_STATE();
        case 209:
            if(lookahead == 'Q')
                ADVANCE(230);
            END_STATE();
        case 210:
            if(lookahead == 'R')
                ADVANCE(139);
            END_STATE();
        case 211:
            if(lookahead == 'R')
                ADVANCE(229);
            END_STATE();
        case 212:
            if(lookahead == 'R')
                ADVANCE(232);
            END_STATE();
        case 213:
            if(lookahead == 'R')
                ADVANCE(130);
            END_STATE();
        case 214:
            if(lookahead == 'R')
                ADVANCE(168);
            END_STATE();
        case 215:
            if(lookahead == 'R')
                ADVANCE(131);
            END_STATE();
        case 216:
            if(lookahead == 'R')
                ADVANCE(132);
            END_STATE();
        case 217:
            if(lookahead == 'R')
                ADVANCE(133);
            END_STATE();
        case 218:
            if(lookahead == 'S')
                ADVANCE(1057);
            END_STATE();
        case 219:
            if(lookahead == 'S')
                ADVANCE(172);
            END_STATE();
        case 220:
            if(lookahead == 'S')
                ADVANCE(156);
            END_STATE();
        case 221:
            if(lookahead == 'T')
                ADVANCE(163);
            END_STATE();
        case 222:
            if(lookahead == 'T')
                ADVANCE(127);
            END_STATE();
        case 223:
            if(lookahead == 'T')
                ADVANCE(176);
            END_STATE();
        case 224:
            if(lookahead == 'T')
                ADVANCE(173);
            END_STATE();
        case 225:
            if(lookahead == 'T')
                ADVANCE(175);
            END_STATE();
        case 226:
            if(lookahead == 'T')
                ADVANCE(178);
            END_STATE();
        case 227:
            if(lookahead == 'T')
                ADVANCE(179);
            END_STATE();
        case 228:
            if(lookahead == 'U')
                ADVANCE(222);
            END_STATE();
        case 229:
            if(lookahead == 'U')
                ADVANCE(155);
            END_STATE();
        case 230:
            if(lookahead == 'U')
                ADVANCE(164);
            END_STATE();
        case 231:
            if(lookahead == '_')
                ADVANCE(148);
            END_STATE();
        case 232:
            if(lookahead == '_')
                ADVANCE(150);
            END_STATE();
        case 233:
            if(lookahead == '_')
                ADVANCE(295);
            if(lookahead == 'f')
                ADVANCE(461);
            if(lookahead == 'm')
                ADVANCE(255);
            if(lookahead == 's')
                ADVANCE(400);
            END_STATE();
        case 234:
            if(lookahead == '_')
                ADVANCE(573);
            END_STATE();
        case 235:
            if(lookahead == '_')
                ADVANCE(510);
            END_STATE();
        case 236:
            if(lookahead == '_')
                ADVANCE(759);
            END_STATE();
        case 237:
            if(lookahead == '_')
                ADVANCE(151);
            END_STATE();
        case 238:
            if(lookahead == '_')
                ADVANCE(516);
            END_STATE();
        case 239:
            if(lookahead == '_')
                ADVANCE(152);
            END_STATE();
        case 240:
            if(lookahead == 'a')
                ADVANCE(490);
            END_STATE();
        case 241:
            if(lookahead == 'a')
                ADVANCE(320);
            if(lookahead == 'i')
                ADVANCE(532);
            if(lookahead == 'l')
                ADVANCE(582);
            END_STATE();
        case 242:
            if(lookahead == 'a')
                ADVANCE(768);
            END_STATE();
        case 243:
            if(lookahead == 'a')
                ADVANCE(554);
            if(lookahead == 'i')
                ADVANCE(533);
            if(lookahead == 'o')
                ADVANCE(334);
            if(lookahead == 'u')
                ADVANCE(508);
            END_STATE();
        case 244:
            if(lookahead == 'a')
                ADVANCE(468);
            if(lookahead == 'e')
                ADVANCE(247);
            END_STATE();
        case 245:
            if(lookahead == 'a')
                ADVANCE(1046);
            END_STATE();
        case 246:
            if(lookahead == 'a')
                ADVANCE(674);
            if(lookahead == 'o')
                ADVANCE(539);
            END_STATE();
        case 247:
            if(lookahead == 'a')
                ADVANCE(341);
            END_STATE();
        case 248:
            if(lookahead == 'a')
                ADVANCE(777);
            END_STATE();
        case 249:
            if(lookahead == 'a')
                ADVANCE(484);
            if(lookahead == 'd')
                ADVANCE(390);
            END_STATE();
        case 250:
            if(lookahead == 'a')
                ADVANCE(659);
            END_STATE();
        case 251:
            if(lookahead == 'a')
                ADVANCE(713);
            END_STATE();
        case 252:
            if(lookahead == 'a')
                ADVANCE(713);
            if(lookahead == 'e')
                ADVANCE(675);
            END_STATE();
        case 253:
            if(lookahead == 'a')
                ADVANCE(625);
            END_STATE();
        case 254:
            if(lookahead == 'a')
                ADVANCE(485);
            END_STATE();
        case 255:
            if(lookahead == 'a')
                ADVANCE(661);
            END_STATE();
        case 256:
            if(lookahead == 'a')
                ADVANCE(752);
            END_STATE();
        case 257:
            if(lookahead == 'a')
                ADVANCE(626);
            END_STATE();
        case 258:
            if(lookahead == 'a')
                ADVANCE(486);
            END_STATE();
        case 259:
            if(lookahead == 'a')
                ADVANCE(487);
            END_STATE();
        case 260:
            if(lookahead == 'a')
                ADVANCE(491);
            END_STATE();
        case 261:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 262:
            if(lookahead == 'a')
                ADVANCE(632);
            END_STATE();
        case 263:
            if(lookahead == 'a')
                ADVANCE(535);
            END_STATE();
        case 264:
            if(lookahead == 'a')
                ADVANCE(489);
            END_STATE();
        case 265:
            if(lookahead == 'a')
                ADVANCE(690);
            END_STATE();
        case 266:
            if(lookahead == 'a')
                ADVANCE(470);
            END_STATE();
        case 267:
            if(lookahead == 'a')
                ADVANCE(553);
            END_STATE();
        case 268:
            if(lookahead == 'a')
                ADVANCE(553);
            if(lookahead == 'i')
                ADVANCE(633);
            END_STATE();
        case 269:
            if(lookahead == 'a')
                ADVANCE(746);
            END_STATE();
        case 270:
            if(lookahead == 'a')
                ADVANCE(493);
            END_STATE();
        case 271:
            if(lookahead == 'a')
                ADVANCE(493);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 272:
            if(lookahead == 'a')
                ADVANCE(428);
            END_STATE();
        case 273:
            if(lookahead == 'a')
                ADVANCE(760);
            END_STATE();
        case 274:
            if(lookahead == 'a')
                ADVANCE(726);
            END_STATE();
        case 275:
            if(lookahead == 'a')
                ADVANCE(526);
            END_STATE();
        case 276:
            if(lookahead == 'a')
                ADVANCE(764);
            END_STATE();
        case 277:
            if(lookahead == 'a')
                ADVANCE(314);
            END_STATE();
        case 278:
            if(lookahead == 'a')
                ADVANCE(527);
            END_STATE();
        case 279:
            if(lookahead == 'a')
                ADVANCE(723);
            END_STATE();
        case 280:
            if(lookahead == 'a')
                ADVANCE(317);
            END_STATE();
        case 281:
            if(lookahead == 'a')
                ADVANCE(558);
            END_STATE();
        case 282:
            if(lookahead == 'a')
                ADVANCE(682);
            END_STATE();
        case 283:
            if(lookahead == 'a')
                ADVANCE(509);
            if(lookahead == 'e')
                ADVANCE(629);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 284:
            if(lookahead == 'a')
                ADVANCE(471);
            END_STATE();
        case 285:
            if(lookahead == 'a')
                ADVANCE(301);
            END_STATE();
        case 286:
            if(lookahead == 'a')
                ADVANCE(467);
            if(lookahead == 'e')
                ADVANCE(247);
            END_STATE();
        case 287:
            if(lookahead == 'a')
                ADVANCE(302);
            END_STATE();
        case 288:
            if(lookahead == 'a')
                ADVANCE(745);
            END_STATE();
        case 289:
            if(lookahead == 'a')
                ADVANCE(304);
            END_STATE();
        case 290:
            if(lookahead == 'b')
                ADVANCE(480);
            END_STATE();
        case 291:
            if(lookahead == 'b')
                ADVANCE(683);
            END_STATE();
        case 292:
            if(lookahead == 'b')
                ADVANCE(683);
            if(lookahead == 'l')
                ADVANCE(448);
            END_STATE();
        case 293:
            if(lookahead == 'b')
                ADVANCE(683);
            if(lookahead == 'l')
                ADVANCE(448);
            if(lookahead == 'm')
                ADVANCE(436);
            if(lookahead == 'n')
                ADVANCE(775);
            if(lookahead == 'p')
                ADVANCE(610);
            if(lookahead == 't')
                ADVANCE(710);
            if(lookahead == 'u')
                ADVANCE(715);
            END_STATE();
        case 294:
            if(lookahead == 'b')
                ADVANCE(495);
            END_STATE();
        case 295:
            if(lookahead == 'b')
                ADVANCE(608);
            END_STATE();
        case 296:
            if(lookahead == 'b')
                ADVANCE(279);
            END_STATE();
        case 297:
            if(lookahead == 'b')
                ADVANCE(476);
            END_STATE();
        case 298:
            if(lookahead == 'b')
                ADVANCE(498);
            END_STATE();
        case 299:
            if(lookahead == 'b')
                ADVANCE(765);
            END_STATE();
        case 300:
            if(lookahead == 'b')
                ADVANCE(497);
            END_STATE();
        case 301:
            if(lookahead == 'b')
                ADVANCE(501);
            END_STATE();
        case 302:
            if(lookahead == 'b')
                ADVANCE(505);
            END_STATE();
        case 303:
            if(lookahead == 'b')
                ADVANCE(506);
            END_STATE();
        case 304:
            if(lookahead == 'b')
                ADVANCE(507);
            END_STATE();
        case 305:
            if(lookahead == 'c')
                ADVANCE(432);
            if(lookahead == 's')
                ADVANCE(733);
            END_STATE();
        case 306:
            if(lookahead == 'c')
                ADVANCE(1084);
            if(lookahead == 's')
                ADVANCE(431);
            END_STATE();
        case 307:
            if(lookahead == 'c')
                ADVANCE(430);
            END_STATE();
        case 308:
            if(lookahead == 'c')
                ADVANCE(730);
            END_STATE();
        case 309:
            if(lookahead == 'c')
                ADVANCE(730);
            if(lookahead == 'n')
                ADVANCE(345);
            if(lookahead == 'p')
                ADVANCE(716);
            if(lookahead == 'u')
                ADVANCE(686);
            END_STATE();
        case 310:
            if(lookahead == 'c')
                ADVANCE(377);
            END_STATE();
        case 311:
            if(lookahead == 'c')
                ADVANCE(377);
            if(lookahead == 't')
                ADVANCE(373);
            END_STATE();
        case 312:
            if(lookahead == 'c')
                ADVANCE(694);
            END_STATE();
        case 313:
            if(lookahead == 'c')
                ADVANCE(697);
            END_STATE();
        case 314:
            if(lookahead == 'c')
                ADVANCE(700);
            END_STATE();
        case 315:
            if(lookahead == 'c')
                ADVANCE(357);
            END_STATE();
        case 316:
            if(lookahead == 'c')
                ADVANCE(359);
            END_STATE();
        case 317:
            if(lookahead == 'c')
                ADVANCE(370);
            END_STATE();
        case 318:
            if(lookahead == 'c')
                ADVANCE(254);
            END_STATE();
        case 319:
            if(lookahead == 'c')
                ADVANCE(254);
            if(lookahead == 'n')
                ADVANCE(419);
            END_STATE();
        case 320:
            if(lookahead == 'c')
                ADVANCE(735);
            END_STATE();
        case 321:
            if(lookahead == 'c')
                ADVANCE(269);
            END_STATE();
        case 322:
            if(lookahead == 'c')
                ADVANCE(736);
            END_STATE();
        case 323:
            if(lookahead == 'd')
                ADVANCE(932);
            if(lookahead == 'i')
                ADVANCE(938);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 324:
            if(lookahead == 'd')
                ADVANCE(998);
            if(lookahead == 'm')
                ADVANCE(618);
            if(lookahead == 'n')
                ADVANCE(969);
            END_STATE();
        case 325:
            if(lookahead == 'd')
                ADVANCE(966);
            END_STATE();
        case 326:
            if(lookahead == 'd')
                ADVANCE(824);
            END_STATE();
        case 327:
            if(lookahead == 'd')
                ADVANCE(1000);
            END_STATE();
        case 328:
            if(lookahead == 'd')
                ADVANCE(1039);
            END_STATE();
        case 329:
            if(lookahead == 'd')
                ADVANCE(1100);
            END_STATE();
        case 330:
            if(lookahead == 'd')
                ADVANCE(984);
            END_STATE();
        case 331:
            if(lookahead == 'd')
                ADVANCE(73);
            END_STATE();
        case 332:
            if(lookahead == 'd')
                ADVANCE(1035);
            END_STATE();
        case 333:
            if(lookahead == 'd')
                ADVANCE(1023);
            END_STATE();
        case 334:
            if(lookahead == 'd')
                ADVANCE(762);
            END_STATE();
        case 335:
            if(lookahead == 'd')
                ADVANCE(609);
            if(lookahead == 'l')
                ADVANCE(593);
            END_STATE();
        case 336:
            if(lookahead == 'd')
                ADVANCE(483);
            END_STATE();
        case 337:
            if(lookahead == 'd')
                ADVANCE(372);
            if(lookahead == 'i')
                ADVANCE(329);
            if(lookahead == 'n')
                ADVANCE(275);
            if(lookahead == 'p')
                ADVANCE(648);
            END_STATE();
        case 338:
            if(lookahead == 'd')
                ADVANCE(372);
            if(lookahead == 'i')
                ADVANCE(329);
            if(lookahead == 'p')
                ADVANCE(648);
            END_STATE();
        case 339:
            if(lookahead == 'd')
                ADVANCE(388);
            END_STATE();
        case 340:
            if(lookahead == 'd')
                ADVANCE(394);
            END_STATE();
        case 341:
            if(lookahead == 'd')
                ADVANCE(589);
            END_STATE();
        case 342:
            if(lookahead == 'd')
                ADVANCE(287);
            END_STATE();
        case 343:
            if(lookahead == 'd')
                ADVANCE(410);
            END_STATE();
        case 344:
            if(lookahead == 'e')
                ADVANCE(623);
            if(lookahead == 'h')
                ADVANCE(585);
            if(lookahead == 't')
                ADVANCE(624);
            if(lookahead == 'u')
                ADVANCE(622);
            if(lookahead == 'w')
                ADVANCE(457);
            END_STATE();
        case 345:
            if(lookahead == 'e')
                ADVANCE(772);
            END_STATE();
        case 346:
            if(lookahead == 'e')
                ADVANCE(1098);
            END_STATE();
        case 347:
            if(lookahead == 'e')
                ADVANCE(1115);
            END_STATE();
        case 348:
            if(lookahead == 'e')
                ADVANCE(337);
            END_STATE();
        case 349:
            if(lookahead == 'e')
                ADVANCE(774);
            END_STATE();
        case 350:
            if(lookahead == 'e')
                ADVANCE(1027);
            END_STATE();
        case 351:
            if(lookahead == 'e')
                ADVANCE(1008);
            END_STATE();
        case 352:
            if(lookahead == 'e')
                ADVANCE(841);
            END_STATE();
        case 353:
            if(lookahead == 'e')
                ADVANCE(1062);
            END_STATE();
        case 354:
            if(lookahead == 'e')
                ADVANCE(1127);
            END_STATE();
        case 355:
            if(lookahead == 'e')
                ADVANCE(1019);
            END_STATE();
        case 356:
            if(lookahead == 'e')
                ADVANCE(1086);
            END_STATE();
        case 357:
            if(lookahead == 'e')
                ADVANCE(1054);
            END_STATE();
        case 358:
            if(lookahead == 'e')
                ADVANCE(1113);
            END_STATE();
        case 359:
            if(lookahead == 'e')
                ADVANCE(859);
            END_STATE();
        case 360:
            if(lookahead == 'e')
                ADVANCE(1063);
            END_STATE();
        case 361:
            if(lookahead == 'e')
                ADVANCE(1108);
            END_STATE();
        case 362:
            if(lookahead == 'e')
                ADVANCE(978);
            END_STATE();
        case 363:
            if(lookahead == 'e')
                ADVANCE(1067);
            END_STATE();
        case 364:
            if(lookahead == 'e')
                ADVANCE(1065);
            END_STATE();
        case 365:
            if(lookahead == 'e')
                ADVANCE(1017);
            END_STATE();
        case 366:
            if(lookahead == 'e')
                ADVANCE(843);
            END_STATE();
        case 367:
            if(lookahead == 'e')
                ADVANCE(1080);
            END_STATE();
        case 368:
            if(lookahead == 'e')
                ADVANCE(338);
            END_STATE();
        case 369:
            if(lookahead == 'e')
                ADVANCE(1123);
            END_STATE();
        case 370:
            if(lookahead == 'e')
                ADVANCE(961);
            END_STATE();
        case 371:
            if(lookahead == 'e')
                ADVANCE(776);
            END_STATE();
        case 372:
            if(lookahead == 'e')
                ADVANCE(412);
            END_STATE();
        case 373:
            if(lookahead == 'e')
                ADVANCE(550);
            END_STATE();
        case 374:
            if(lookahead == 'e')
                ADVANCE(658);
            END_STATE();
        case 375:
            if(lookahead == 'e')
                ADVANCE(416);
            END_STATE();
        case 376:
            if(lookahead == 'e')
                ADVANCE(140);
            END_STATE();
        case 377:
            if(lookahead == 'e')
                ADVANCE(620);
            END_STATE();
        case 378:
            if(lookahead == 'e')
                ADVANCE(326);
            END_STATE();
        case 379:
            if(lookahead == 'e')
                ADVANCE(235);
            END_STATE();
        case 380:
            if(lookahead == 'e')
                ADVANCE(546);
            END_STATE();
        case 381:
            if(lookahead == 'e')
                ADVANCE(494);
            END_STATE();
        case 382:
            if(lookahead == 'e')
                ADVANCE(328);
            END_STATE();
        case 383:
            if(lookahead == 'e')
                ADVANCE(662);
            END_STATE();
        case 384:
            if(lookahead == 'e')
                ADVANCE(780);
            END_STATE();
        case 385:
            if(lookahead == 'e')
                ADVANCE(663);
            END_STATE();
        case 386:
            if(lookahead == 'e')
                ADVANCE(664);
            END_STATE();
        case 387:
            if(lookahead == 'e')
                ADVANCE(563);
            END_STATE();
        case 388:
            if(lookahead == 'e')
                ADVANCE(665);
            END_STATE();
        case 389:
            if(lookahead == 'e')
                ADVANCE(331);
            END_STATE();
        case 390:
            if(lookahead == 'e')
                ADVANCE(627);
            END_STATE();
        case 391:
            if(lookahead == 'e')
                ADVANCE(667);
            END_STATE();
        case 392:
            if(lookahead == 'e')
                ADVANCE(668);
            END_STATE();
        case 393:
            if(lookahead == 'e')
                ADVANCE(669);
            END_STATE();
        case 394:
            if(lookahead == 'e')
                ADVANCE(650);
            END_STATE();
        case 395:
            if(lookahead == 'e')
                ADVANCE(263);
            END_STATE();
        case 396:
            if(lookahead == 'e')
                ADVANCE(670);
            END_STATE();
        case 397:
            if(lookahead == 'e')
                ADVANCE(652);
            END_STATE();
        case 398:
            if(lookahead == 'e')
                ADVANCE(692);
            END_STATE();
        case 399:
            if(lookahead == 'e')
                ADVANCE(649);
            END_STATE();
        case 400:
            if(lookahead == 'e')
                ADVANCE(695);
            END_STATE();
        case 401:
            if(lookahead == 'e')
                ADVANCE(714);
            END_STATE();
        case 402:
            if(lookahead == 'e')
                ADVANCE(312);
            END_STATE();
        case 403:
            if(lookahead == 'e')
                ADVANCE(559);
            END_STATE();
        case 404:
            if(lookahead == 'e')
                ADVANCE(560);
            END_STATE();
        case 405:
            if(lookahead == 'e')
                ADVANCE(653);
            END_STATE();
        case 406:
            if(lookahead == 'e')
                ADVANCE(654);
            END_STATE();
        case 407:
            if(lookahead == 'e')
                ADVANCE(737);
            END_STATE();
        case 408:
            if(lookahead == 'e')
                ADVANCE(417);
            END_STATE();
        case 409:
            if(lookahead == 'e')
                ADVANCE(322);
            END_STATE();
        case 410:
            if(lookahead == 'e')
                ADVANCE(418);
            END_STATE();
        case 411:
            if(lookahead == 'e')
                ADVANCE(747);
            if(lookahead == 'h')
                ADVANCE(585);
            if(lookahead == 'u')
                ADVANCE(622);
            if(lookahead == 'w')
                ADVANCE(457);
            END_STATE();
        case 412:
            if(lookahead == 'f')
                ADVANCE(1090);
            END_STATE();
        case 413:
            if(lookahead == 'f')
                ADVANCE(256);
            END_STATE();
        case 414:
            if(lookahead == 'f')
                ADVANCE(461);
            END_STATE();
        case 415:
            if(lookahead == 'f')
                ADVANCE(280);
            END_STATE();
        case 416:
            if(lookahead == 'f')
                ADVANCE(442);
            END_STATE();
        case 417:
            if(lookahead == 'f')
                ADVANCE(273);
            END_STATE();
        case 418:
            if(lookahead == 'f')
                ADVANCE(276);
            END_STATE();
        case 419:
            if(lookahead == 'g')
                ADVANCE(811);
            END_STATE();
        case 420:
            if(lookahead == 'g')
                ADVANCE(849);
            END_STATE();
        case 421:
            if(lookahead == 'g')
                ADVANCE(851);
            END_STATE();
        case 422:
            if(lookahead == 'g')
                ADVANCE(817);
            END_STATE();
        case 423:
            if(lookahead == 'g')
                ADVANCE(833);
            END_STATE();
        case 424:
            if(lookahead == 'g')
                ADVANCE(836);
            END_STATE();
        case 425:
            if(lookahead == 'g')
                ADVANCE(813);
            END_STATE();
        case 426:
            if(lookahead == 'g')
                ADVANCE(561);
            END_STATE();
        case 427:
            if(lookahead == 'g')
                ADVANCE(350);
            END_STATE();
        case 428:
            if(lookahead == 'g')
                ADVANCE(385);
            END_STATE();
        case 429:
            if(lookahead == 'g')
                ADVANCE(564);
            END_STATE();
        case 430:
            if(lookahead == 'h')
                ADVANCE(1096);
            END_STATE();
        case 431:
            if(lookahead == 'h')
                ADVANCE(392);
            END_STATE();
        case 432:
            if(lookahead == 'h')
                ADVANCE(257);
            END_STATE();
        case 433:
            if(lookahead == 'h')
                ADVANCE(604);
            END_STATE();
        case 434:
            if(lookahead == 'i')
                ADVANCE(938);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 435:
            if(lookahead == 'i')
                ADVANCE(429);
            END_STATE();
        case 436:
            if(lookahead == 'i')
                ADVANCE(1060);
            END_STATE();
        case 437:
            if(lookahead == 'i')
                ADVANCE(531);
            if(lookahead == 'o')
                ADVANCE(769);
            END_STATE();
        case 438:
            if(lookahead == 'i')
                ADVANCE(584);
            if(lookahead == 's')
                ADVANCE(466);
            END_STATE();
        case 439:
            if(lookahead == 'i')
                ADVANCE(306);
            END_STATE();
        case 440:
            if(lookahead == 'i')
                ADVANCE(557);
            if(lookahead == 'n')
                ADVANCE(438);
            if(lookahead == 's')
                ADVANCE(374);
            END_STATE();
        case 441:
            if(lookahead == 'i')
                ADVANCE(557);
            if(lookahead == 'n')
                ADVANCE(672);
            if(lookahead == 's')
                ADVANCE(374);
            END_STATE();
        case 442:
            if(lookahead == 'i')
                ADVANCE(773);
            END_STATE();
        case 443:
            if(lookahead == 'i')
                ADVANCE(771);
            END_STATE();
        case 444:
            if(lookahead == 'i')
                ADVANCE(325);
            END_STATE();
        case 445:
            if(lookahead == 'i')
                ADVANCE(315);
            END_STATE();
        case 446:
            if(lookahead == 'i')
                ADVANCE(519);
            END_STATE();
        case 447:
            if(lookahead == 'i')
                ADVANCE(299);
            END_STATE();
        case 448:
            if(lookahead == 'i')
                ADVANCE(250);
            END_STATE();
        case 449:
            if(lookahead == 'i')
                ADVANCE(617);
            END_STATE();
        case 450:
            if(lookahead == 'i')
                ADVANCE(530);
            END_STATE();
        case 451:
            if(lookahead == 'i')
                ADVANCE(530);
            if(lookahead == 'o')
                ADVANCE(769);
            END_STATE();
        case 452:
            if(lookahead == 'i')
                ADVANCE(297);
            END_STATE();
        case 453:
            if(lookahead == 'i')
                ADVANCE(544);
            if(lookahead == 'u')
                ADVANCE(313);
            END_STATE();
        case 454:
            if(lookahead == 'i')
                ADVANCE(327);
            END_STATE();
        case 455:
            if(lookahead == 'i')
                ADVANCE(712);
            END_STATE();
        case 456:
            if(lookahead == 'i')
                ADVANCE(339);
            END_STATE();
        case 457:
            if(lookahead == 'i')
                ADVANCE(707);
            END_STATE();
        case 458:
            if(lookahead == 'i')
                ADVANCE(583);
            END_STATE();
        case 459:
            if(lookahead == 'i')
                ADVANCE(545);
            END_STATE();
        case 460:
            if(lookahead == 'i')
                ADVANCE(671);
            END_STATE();
        case 461:
            if(lookahead == 'i')
                ADVANCE(381);
            END_STATE();
        case 462:
            if(lookahead == 'i')
                ADVANCE(718);
            END_STATE();
        case 463:
            if(lookahead == 'i')
                ADVANCE(704);
            END_STATE();
        case 464:
            if(lookahead == 'i')
                ADVANCE(732);
            END_STATE();
        case 465:
            if(lookahead == 'i')
                ADVANCE(717);
            END_STATE();
        case 466:
            if(lookahead == 'i')
                ADVANCE(426);
            END_STATE();
        case 467:
            if(lookahead == 'i')
                ADVANCE(678);
            END_STATE();
        case 468:
            if(lookahead == 'i')
                ADVANCE(678);
            if(lookahead == 'n')
                ADVANCE(427);
            END_STATE();
        case 469:
            if(lookahead == 'i')
                ADVANCE(607);
            END_STATE();
        case 470:
            if(lookahead == 'i')
                ADVANCE(680);
            END_STATE();
        case 471:
            if(lookahead == 'i')
                ADVANCE(681);
            END_STATE();
        case 472:
            if(lookahead == 'i')
                ADVANCE(728);
            END_STATE();
        case 473:
            if(lookahead == 'i')
                ADVANCE(594);
            END_STATE();
        case 474:
            if(lookahead == 'i')
                ADVANCE(595);
            END_STATE();
        case 475:
            if(lookahead == 'i')
                ADVANCE(596);
            END_STATE();
        case 476:
            if(lookahead == 'i')
                ADVANCE(512);
            END_STATE();
        case 477:
            if(lookahead == 'i')
                ADVANCE(738);
            END_STATE();
        case 478:
            if(lookahead == 'i')
                ADVANCE(741);
            END_STATE();
        case 479:
            if(lookahead == 'i')
                ADVANCE(743);
            END_STATE();
        case 480:
            if(lookahead == 'j')
                ADVANCE(402);
            END_STATE();
        case 481:
            if(lookahead == 'k')
                ADVANCE(985);
            END_STATE();
        case 482:
            if(lookahead == 'k')
                ADVANCE(384);
            END_STATE();
        case 483:
            if(lookahead == 'l')
                ADVANCE(1047);
            END_STATE();
        case 484:
            if(lookahead == 'l')
                ADVANCE(1015);
            END_STATE();
        case 485:
            if(lookahead == 'l')
                ADVANCE(958);
            END_STATE();
        case 486:
            if(lookahead == 'l')
                ADVANCE(1037);
            END_STATE();
        case 487:
            if(lookahead == 'l')
                ADVANCE(1004);
            END_STATE();
        case 488:
            if(lookahead == 'l')
                ADVANCE(1025);
            END_STATE();
        case 489:
            if(lookahead == 'l')
                ADVANCE(1094);
            END_STATE();
        case 490:
            if(lookahead == 'l')
                ADVANCE(753);
            END_STATE();
        case 491:
            if(lookahead == 'l')
                ADVANCE(234);
            END_STATE();
        case 492:
            if(lookahead == 'l')
                ADVANCE(779);
            END_STATE();
        case 493:
            if(lookahead == 'l')
                ADVANCE(766);
            END_STATE();
        case 494:
            if(lookahead == 'l')
                ADVANCE(330);
            END_STATE();
        case 495:
            if(lookahead == 'l')
                ADVANCE(439);
            END_STATE();
        case 496:
            if(lookahead == 'l')
                ADVANCE(395);
            END_STATE();
        case 497:
            if(lookahead == 'l')
                ADVANCE(460);
            END_STATE();
        case 498:
            if(lookahead == 'l')
                ADVANCE(352);
            END_STATE();
        case 499:
            if(lookahead == 'l')
                ADVANCE(353);
            END_STATE();
        case 500:
            if(lookahead == 'l')
                ADVANCE(699);
            END_STATE();
        case 501:
            if(lookahead == 'l')
                ADVANCE(355);
            END_STATE();
        case 502:
            if(lookahead == 'l')
                ADVANCE(358);
            END_STATE();
        case 503:
            if(lookahead == 'l')
                ADVANCE(706);
            END_STATE();
        case 504:
            if(lookahead == 'l')
                ADVANCE(748);
            END_STATE();
        case 505:
            if(lookahead == 'l')
                ADVANCE(365);
            END_STATE();
        case 506:
            if(lookahead == 'l')
                ADVANCE(366);
            END_STATE();
        case 507:
            if(lookahead == 'l')
                ADVANCE(367);
            END_STATE();
        case 508:
            if(lookahead == 'l')
                ADVANCE(719);
            if(lookahead == 's')
                ADVANCE(708);
            if(lookahead == 't')
                ADVANCE(285);
            END_STATE();
        case 509:
            if(lookahead == 'l')
                ADVANCE(756);
            END_STATE();
        case 510:
            if(lookahead == 'l')
                ADVANCE(472);
            END_STATE();
        case 511:
            if(lookahead == 'l')
                ADVANCE(593);
            END_STATE();
        case 512:
            if(lookahead == 'l')
                ADVANCE(462);
            END_STATE();
        case 513:
            if(lookahead == 'l')
                ADVANCE(597);
            if(lookahead == 's')
                ADVANCE(433);
            END_STATE();
        case 514:
            if(lookahead == 'l')
                ADVANCE(599);
            END_STATE();
        case 515:
            if(lookahead == 'l')
                ADVANCE(478);
            END_STATE();
        case 516:
            if(lookahead == 'l')
                ADVANCE(479);
            END_STATE();
        case 517:
            if(lookahead == 'm')
                ADVANCE(1073);
            END_STATE();
        case 518:
            if(lookahead == 'm')
                ADVANCE(1078);
            END_STATE();
        case 519:
            if(lookahead == 'm')
                ADVANCE(1041);
            END_STATE();
        case 520:
            if(lookahead == 'm')
                ADVANCE(618);
            if(lookahead == 'n')
                ADVANCE(729);
            END_STATE();
        case 521:
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(749);
            if(lookahead == 'v')
                ADVANCE(403);
            END_STATE();
        case 522:
            if(lookahead == 'm')
                ADVANCE(255);
            END_STATE();
        case 523:
            if(lookahead == 'm')
                ADVANCE(255);
            if(lookahead == 's')
                ADVANCE(400);
            END_STATE();
        case 524:
            if(lookahead == 'm')
                ADVANCE(347);
            END_STATE();
        case 525:
            if(lookahead == 'm')
                ADVANCE(386);
            END_STATE();
        case 526:
            if(lookahead == 'm')
                ADVANCE(360);
            END_STATE();
        case 527:
            if(lookahead == 'm')
                ADVANCE(396);
            END_STATE();
        case 528:
            if(lookahead == 'm')
                ADVANCE(611);
            if(lookahead == 'n')
                ADVANCE(565);
            END_STATE();
        case 529:
            if(lookahead == 'm')
                ADVANCE(611);
            if(lookahead == 'n')
                ADVANCE(566);
            END_STATE();
        case 530:
            if(lookahead == 'm')
                ADVANCE(262);
            END_STATE();
        case 531:
            if(lookahead == 'm')
                ADVANCE(262);
            if(lookahead == 'v')
                ADVANCE(274);
            END_STATE();
        case 532:
            if(lookahead == 'n')
                ADVANCE(249);
            if(lookahead == 'x')
                ADVANCE(378);
            END_STATE();
        case 533:
            if(lookahead == 'n')
                ADVANCE(1029);
            if(lookahead == 'r')
                ADVANCE(651);
            END_STATE();
        case 534:
            if(lookahead == 'n')
                ADVANCE(1071);
            END_STATE();
        case 535:
            if(lookahead == 'n')
                ADVANCE(822);
            END_STATE();
        case 536:
            if(lookahead == 'n')
                ADVANCE(1006);
            END_STATE();
        case 537:
            if(lookahead == 'n')
                ADVANCE(954);
            END_STATE();
        case 538:
            if(lookahead == 'n')
                ADVANCE(987);
            END_STATE();
        case 539:
            if(lookahead == 'n')
                ADVANCE(676);
            END_STATE();
        case 540:
            if(lookahead == 'n')
                ADVANCE(968);
            END_STATE();
        case 541:
            if(lookahead == 'n')
                ADVANCE(749);
            if(lookahead == 'v')
                ADVANCE(403);
            if(lookahead == 'x')
                ADVANCE(310);
            END_STATE();
        case 542:
            if(lookahead == 'n')
                ADVANCE(548);
            END_STATE();
        case 543:
            if(lookahead == 'n')
                ADVANCE(321);
            END_STATE();
        case 544:
            if(lookahead == 'n')
                ADVANCE(420);
            END_STATE();
        case 545:
            if(lookahead == 'n')
                ADVANCE(421);
            END_STATE();
        case 546:
            if(lookahead == 'n')
                ADVANCE(342);
            END_STATE();
        case 547:
            if(lookahead == 'n')
                ADVANCE(422);
            END_STATE();
        case 548:
            if(lookahead == 'n')
                ADVANCE(598);
            END_STATE();
        case 549:
            if(lookahead == 'n')
                ADVANCE(423);
            END_STATE();
        case 550:
            if(lookahead == 'n')
                ADVANCE(677);
            if(lookahead == 'r')
                ADVANCE(569);
            END_STATE();
        case 551:
            if(lookahead == 'n')
                ADVANCE(424);
            END_STATE();
        case 552:
            if(lookahead == 'n')
                ADVANCE(492);
            END_STATE();
        case 553:
            if(lookahead == 'n')
                ADVANCE(272);
            END_STATE();
        case 554:
            if(lookahead == 'n')
                ADVANCE(272);
            if(lookahead == 'p')
                ADVANCE(861);
            if(lookahead == 'x')
                ADVANCE(1031);
            END_STATE();
        case 555:
            if(lookahead == 'n')
                ADVANCE(425);
            END_STATE();
        case 556:
            if(lookahead == 'n')
                ADVANCE(332);
            END_STATE();
        case 557:
            if(lookahead == 'n')
                ADVANCE(709);
            END_STATE();
        case 558:
            if(lookahead == 'n')
                ADVANCE(333);
            END_STATE();
        case 559:
            if(lookahead == 'n')
                ADVANCE(725);
            END_STATE();
        case 560:
            if(lookahead == 'n')
                ADVANCE(701);
            END_STATE();
        case 561:
            if(lookahead == 'n')
                ADVANCE(389);
            END_STATE();
        case 562:
            if(lookahead == 'n')
                ADVANCE(705);
            END_STATE();
        case 563:
            if(lookahead == 'n')
                ADVANCE(316);
            END_STATE();
        case 564:
            if(lookahead == 'n')
                ADVANCE(588);
            END_STATE();
        case 565:
            if(lookahead == 'n')
                ADVANCE(409);
            if(lookahead == 's')
                ADVANCE(689);
            if(lookahead == 't')
                ADVANCE(349);
            END_STATE();
        case 566:
            if(lookahead == 'n')
                ADVANCE(409);
            if(lookahead == 's')
                ADVANCE(688);
            END_STATE();
        case 567:
            if(lookahead == 'n')
                ADVANCE(458);
            END_STATE();
        case 568:
            if(lookahead == 'n')
                ADVANCE(340);
            END_STATE();
        case 569:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 570:
            if(lookahead == 'n')
                ADVANCE(259);
            END_STATE();
        case 571:
            if(lookahead == 'n')
                ADVANCE(729);
            END_STATE();
        case 572:
            if(lookahead == 'n')
                ADVANCE(404);
            END_STATE();
        case 573:
            if(lookahead == 'n')
                ADVANCE(278);
            END_STATE();
        case 574:
            if(lookahead == 'o')
                ADVANCE(524);
            END_STATE();
        case 575:
            if(lookahead == 'o')
                ADVANCE(319);
            END_STATE();
        case 576:
            if(lookahead == 'o')
                ADVANCE(334);
            END_STATE();
        case 577:
            if(lookahead == 'o')
                ADVANCE(637);
            if(lookahead == 'r')
                ADVANCE(437);
            if(lookahead == 'u')
                ADVANCE(294);
            END_STATE();
        case 578:
            if(lookahead == 'o')
                ADVANCE(496);
            END_STATE();
        case 579:
            if(lookahead == 'o')
                ADVANCE(529);
            if(lookahead == 'u')
                ADVANCE(673);
            END_STATE();
        case 580:
            if(lookahead == 'o')
                ADVANCE(518);
            END_STATE();
        case 581:
            if(lookahead == 'o')
                ADVANCE(318);
            END_STATE();
        case 582:
            if(lookahead == 'o')
                ADVANCE(265);
            END_STATE();
        case 583:
            if(lookahead == 'o')
                ADVANCE(534);
            END_STATE();
        case 584:
            if(lookahead == 'o')
                ADVANCE(534);
            if(lookahead == 't')
                ADVANCE(1033);
            END_STATE();
        case 585:
            if(lookahead == 'o')
                ADVANCE(641);
            END_STATE();
        case 586:
            if(lookahead == 'o')
                ADVANCE(572);
            END_STATE();
        case 587:
            if(lookahead == 'o')
                ADVANCE(454);
            END_STATE();
        case 588:
            if(lookahead == 'o')
                ADVANCE(645);
            END_STATE();
        case 589:
            if(lookahead == 'o')
                ADVANCE(552);
            END_STATE();
        case 590:
            if(lookahead == 'o')
                ADVANCE(631);
            END_STATE();
        case 591:
            if(lookahead == 'o')
                ADVANCE(657);
            END_STATE();
        case 592:
            if(lookahead == 'o')
                ADVANCE(628);
            END_STATE();
        case 593:
            if(lookahead == 'o')
                ADVANCE(547);
            END_STATE();
        case 594:
            if(lookahead == 'o')
                ADVANCE(536);
            END_STATE();
        case 595:
            if(lookahead == 'o')
                ADVANCE(537);
            END_STATE();
        case 596:
            if(lookahead == 'o')
                ADVANCE(538);
            END_STATE();
        case 597:
            if(lookahead == 'o')
                ADVANCE(549);
            END_STATE();
        case 598:
            if(lookahead == 'o')
                ADVANCE(739);
            END_STATE();
        case 599:
            if(lookahead == 'o')
                ADVANCE(551);
            END_STATE();
        case 600:
            if(lookahead == 'o')
                ADVANCE(555);
            END_STATE();
        case 601:
            if(lookahead == 'o')
                ADVANCE(643);
            END_STATE();
        case 602:
            if(lookahead == 'o')
                ADVANCE(644);
            END_STATE();
        case 603:
            if(lookahead == 'o')
                ADVANCE(646);
            END_STATE();
        case 604:
            if(lookahead == 'o')
                ADVANCE(647);
            END_STATE();
        case 605:
            if(lookahead == 'o')
                ADVANCE(656);
            END_STATE();
        case 606:
            if(lookahead == 'o')
                ADVANCE(636);
            if(lookahead == 'r')
                ADVANCE(451);
            if(lookahead == 'u')
                ADVANCE(300);
            END_STATE();
        case 607:
            if(lookahead == 'o')
                ADVANCE(570);
            END_STATE();
        case 608:
            if(lookahead == 'o')
                ADVANCE(763);
            END_STATE();
        case 609:
            if(lookahead == 'o')
                ADVANCE(767);
            END_STATE();
        case 610:
            if(lookahead == 'p')
                ADVANCE(380);
            END_STATE();
        case 611:
            if(lookahead == 'p')
                ADVANCE(586);
            END_STATE();
        case 612:
            if(lookahead == 'p')
                ADVANCE(348);
            END_STATE();
        case 613:
            if(lookahead == 'p')
                ADVANCE(363);
            END_STATE();
        case 614:
            if(lookahead == 'p')
                ADVANCE(364);
            END_STATE();
        case 615:
            if(lookahead == 'p')
                ADVANCE(368);
            END_STATE();
        case 616:
            if(lookahead == 'p')
                ADVANCE(369);
            END_STATE();
        case 617:
            if(lookahead == 'p')
                ADVANCE(502);
            END_STATE();
        case 618:
            if(lookahead == 'p')
                ADVANCE(601);
            END_STATE();
        case 619:
            if(lookahead == 'p')
                ADVANCE(602);
            END_STATE();
        case 620:
            if(lookahead == 'p')
                ADVANCE(742);
            END_STATE();
        case 621:
            if(lookahead == 'p')
                ADVANCE(603);
            END_STATE();
        case 622:
            if(lookahead == 'p')
                ADVANCE(619);
            END_STATE();
        case 623:
            if(lookahead == 'q')
                ADVANCE(755);
            if(lookahead == 'r')
                ADVANCE(770);
            if(lookahead == 't')
                ADVANCE(655);
            END_STATE();
        case 624:
            if(lookahead == 'r')
                ADVANCE(453);
            END_STATE();
        case 625:
            if(lookahead == 'r')
                ADVANCE(844);
            END_STATE();
        case 626:
            if(lookahead == 'r')
                ADVANCE(846);
            END_STATE();
        case 627:
            if(lookahead == 'r')
                ADVANCE(1121);
            END_STATE();
        case 628:
            if(lookahead == 'r')
                ADVANCE(1126);
            END_STATE();
        case 629:
            if(lookahead == 'r')
                ADVANCE(296);
            END_STATE();
        case 630:
            if(lookahead == 'r')
                ADVANCE(751);
            if(lookahead == 'y')
                ADVANCE(612);
            END_STATE();
        case 631:
            if(lookahead == 'r')
                ADVANCE(778);
            END_STATE();
        case 632:
            if(lookahead == 'r')
                ADVANCE(782);
            END_STATE();
        case 633:
            if(lookahead == 'r')
                ADVANCE(651);
            END_STATE();
        case 634:
            if(lookahead == 'r')
                ADVANCE(447);
            END_STATE();
        case 635:
            if(lookahead == 'r')
                ADVANCE(761);
            END_STATE();
        case 636:
            if(lookahead == 'r')
                ADVANCE(687);
            END_STATE();
        case 637:
            if(lookahead == 'r')
                ADVANCE(687);
            if(lookahead == 's')
                ADVANCE(477);
            END_STATE();
        case 638:
            if(lookahead == 'r')
                ADVANCE(266);
            END_STATE();
        case 639:
            if(lookahead == 'r')
                ADVANCE(277);
            END_STATE();
        case 640:
            if(lookahead == 'r')
                ADVANCE(459);
            END_STATE();
        case 641:
            if(lookahead == 'r')
                ADVANCE(693);
            END_STATE();
        case 642:
            if(lookahead == 'r')
                ADVANCE(450);
            END_STATE();
        case 643:
            if(lookahead == 'r')
                ADVANCE(696);
            END_STATE();
        case 644:
            if(lookahead == 'r')
                ADVANCE(720);
            END_STATE();
        case 645:
            if(lookahead == 'r')
                ADVANCE(379);
            END_STATE();
        case 646:
            if(lookahead == 'r')
                ADVANCE(702);
            END_STATE();
        case 647:
            if(lookahead == 'r')
                ADVANCE(703);
            END_STATE();
        case 648:
            if(lookahead == 'r')
                ADVANCE(375);
            END_STATE();
        case 649:
            if(lookahead == 'r')
                ADVANCE(415);
            END_STATE();
        case 650:
            if(lookahead == 'r')
                ADVANCE(679);
            END_STATE();
        case 651:
            if(lookahead == 'r')
                ADVANCE(591);
            END_STATE();
        case 652:
            if(lookahead == 'r')
                ADVANCE(260);
            END_STATE();
        case 653:
            if(lookahead == 'r')
                ADVANCE(261);
            END_STATE();
        case 654:
            if(lookahead == 'r')
                ADVANCE(264);
            END_STATE();
        case 655:
            if(lookahead == 'r')
                ADVANCE(284);
            END_STATE();
        case 656:
            if(lookahead == 'r')
                ADVANCE(740);
            END_STATE();
        case 657:
            if(lookahead == 'r')
                ADVANCE(621);
            END_STATE();
        case 658:
            if(lookahead == 's')
                ADVANCE(1112);
            END_STATE();
        case 659:
            if(lookahead == 's')
                ADVANCE(1077);
            END_STATE();
        case 660:
            if(lookahead == 's')
                ADVANCE(1117);
            END_STATE();
        case 661:
            if(lookahead == 's')
                ADVANCE(481);
            END_STATE();
        case 662:
            if(lookahead == 's')
                ADVANCE(975);
            END_STATE();
        case 663:
            if(lookahead == 's')
                ADVANCE(1116);
            END_STATE();
        case 664:
            if(lookahead == 's')
                ADVANCE(1119);
            END_STATE();
        case 665:
            if(lookahead == 's')
                ADVANCE(1111);
            END_STATE();
        case 666:
            if(lookahead == 's')
                ADVANCE(1082);
            END_STATE();
        case 667:
            if(lookahead == 's')
                ADVANCE(980);
            END_STATE();
        case 668:
            if(lookahead == 's')
                ADVANCE(1118);
            END_STATE();
        case 669:
            if(lookahead == 's')
                ADVANCE(981);
            END_STATE();
        case 670:
            if(lookahead == 's')
                ADVANCE(1095);
            END_STATE();
        case 671:
            if(lookahead == 's')
                ADVANCE(431);
            END_STATE();
        case 672:
            if(lookahead == 's')
                ADVANCE(466);
            END_STATE();
        case 673:
            if(lookahead == 's')
                ADVANCE(731);
            END_STATE();
        case 674:
            if(lookahead == 's')
                ADVANCE(346);
            END_STATE();
        case 675:
            if(lookahead == 's')
                ADVANCE(722);
            END_STATE();
        case 676:
            if(lookahead == 's')
                ADVANCE(757);
            if(lookahead == 't')
                ADVANCE(349);
            END_STATE();
        case 677:
            if(lookahead == 's')
                ADVANCE(452);
            END_STATE();
        case 678:
            if(lookahead == 's')
                ADVANCE(383);
            END_STATE();
        case 679:
            if(lookahead == 's')
                ADVANCE(724);
            END_STATE();
        case 680:
            if(lookahead == 's')
                ADVANCE(391);
            END_STATE();
        case 681:
            if(lookahead == 's')
                ADVANCE(393);
            END_STATE();
        case 682:
            if(lookahead == 's')
                ADVANCE(361);
            END_STATE();
        case 683:
            if(lookahead == 's')
                ADVANCE(734);
            END_STATE();
        case 684:
            if(lookahead == 't')
                ADVANCE(710);
            END_STATE();
        case 685:
            if(lookahead == 't')
                ADVANCE(233);
            END_STATE();
        case 686:
            if(lookahead == 't')
                ADVANCE(971);
            END_STATE();
        case 687:
            if(lookahead == 't')
                ADVANCE(1124);
            END_STATE();
        case 688:
            if(lookahead == 't')
                ADVANCE(1075);
            END_STATE();
        case 689:
            if(lookahead == 't')
                ADVANCE(1075);
            if(lookahead == 'u')
                ADVANCE(525);
            END_STATE();
        case 690:
            if(lookahead == 't')
                ADVANCE(839);
            END_STATE();
        case 691:
            if(lookahead == 't')
                ADVANCE(973);
            END_STATE();
        case 692:
            if(lookahead == 't')
                ADVANCE(826);
            END_STATE();
        case 693:
            if(lookahead == 't')
                ADVANCE(807);
            END_STATE();
        case 694:
            if(lookahead == 't')
                ADVANCE(1105);
            END_STATE();
        case 695:
            if(lookahead == 't')
                ADVANCE(982);
            END_STATE();
        case 696:
            if(lookahead == 't')
                ADVANCE(1103);
            END_STATE();
        case 697:
            if(lookahead == 't')
                ADVANCE(1069);
            END_STATE();
        case 698:
            if(lookahead == 't')
                ADVANCE(1107);
            END_STATE();
        case 699:
            if(lookahead == 't')
                ADVANCE(990);
            END_STATE();
        case 700:
            if(lookahead == 't')
                ADVANCE(959);
            END_STATE();
        case 701:
            if(lookahead == 't')
                ADVANCE(1110);
            END_STATE();
        case 702:
            if(lookahead == 't')
                ADVANCE(1125);
            END_STATE();
        case 703:
            if(lookahead == 't')
                ADVANCE(830);
            END_STATE();
        case 704:
            if(lookahead == 't')
                ADVANCE(523);
            END_STATE();
        case 705:
            if(lookahead == 't')
                ADVANCE(113);
            END_STATE();
        case 706:
            if(lookahead == 't')
                ADVANCE(988);
            END_STATE();
        case 707:
            if(lookahead == 't')
                ADVANCE(307);
            END_STATE();
        case 708:
            if(lookahead == 't')
                ADVANCE(236);
            END_STATE();
        case 709:
            if(lookahead == 't')
                ADVANCE(114);
            END_STATE();
        case 710:
            if(lookahead == 't')
                ADVANCE(634);
            END_STATE();
        case 711:
            if(lookahead == 't')
                ADVANCE(783);
            END_STATE();
        case 712:
            if(lookahead == 't')
                ADVANCE(660);
            END_STATE();
        case 713:
            if(lookahead == 't')
                ADVANCE(443);
            END_STATE();
        case 714:
            if(lookahead == 't')
                ADVANCE(638);
            END_STATE();
        case 715:
            if(lookahead == 't')
                ADVANCE(587);
            END_STATE();
        case 716:
            if(lookahead == 't')
                ADVANCE(469);
            END_STATE();
        case 717:
            if(lookahead == 't')
                ADVANCE(522);
            END_STATE();
        case 718:
            if(lookahead == 't')
                ADVANCE(781);
            END_STATE();
        case 719:
            if(lookahead == 't')
                ADVANCE(449);
            END_STATE();
        case 720:
            if(lookahead == 't')
                ADVANCE(666);
            END_STATE();
        case 721:
            if(lookahead == 't')
                ADVANCE(635);
            END_STATE();
        case 722:
            if(lookahead == 't')
                ADVANCE(382);
            END_STATE();
        case 723:
            if(lookahead == 't')
                ADVANCE(446);
            END_STATE();
        case 724:
            if(lookahead == 't')
                ADVANCE(281);
            END_STATE();
        case 725:
            if(lookahead == 't')
                ADVANCE(711);
            END_STATE();
        case 726:
            if(lookahead == 't')
                ADVANCE(356);
            END_STATE();
        case 727:
            if(lookahead == 't')
                ADVANCE(362);
            END_STATE();
        case 728:
            if(lookahead == 't')
                ADVANCE(397);
            END_STATE();
        case 729:
            if(lookahead == 't')
                ADVANCE(399);
            END_STATE();
        case 730:
            if(lookahead == 't')
                ADVANCE(398);
            END_STATE();
        case 731:
            if(lookahead == 't')
                ADVANCE(580);
            END_STATE();
        case 732:
            if(lookahead == 't')
                ADVANCE(414);
            END_STATE();
        case 733:
            if(lookahead == 't')
                ADVANCE(640);
            END_STATE();
        case 734:
            if(lookahead == 't')
                ADVANCE(639);
            END_STATE();
        case 735:
            if(lookahead == 't')
                ADVANCE(590);
            END_STATE();
        case 736:
            if(lookahead == 't')
                ADVANCE(592);
            END_STATE();
        case 737:
            if(lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 738:
            if(lookahead == 't')
                ADVANCE(473);
            END_STATE();
        case 739:
            if(lookahead == 't')
                ADVANCE(288);
            END_STATE();
        case 740:
            if(lookahead == 't')
                ADVANCE(744);
            END_STATE();
        case 741:
            if(lookahead == 't')
                ADVANCE(405);
            END_STATE();
        case 742:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 743:
            if(lookahead == 't')
                ADVANCE(406);
            END_STATE();
        case 744:
            if(lookahead == 't')
                ADVANCE(786);
            END_STATE();
        case 745:
            if(lookahead == 't')
                ADVANCE(475);
            END_STATE();
        case 746:
            if(lookahead == 't')
                ADVANCE(289);
            END_STATE();
        case 747:
            if(lookahead == 't')
                ADVANCE(655);
            END_STATE();
        case 748:
            if(lookahead == 't')
                ADVANCE(238);
            END_STATE();
        case 749:
            if(lookahead == 'u')
                ADVANCE(517);
            END_STATE();
        case 750:
            if(lookahead == 'u')
                ADVANCE(622);
            END_STATE();
        case 751:
            if(lookahead == 'u')
                ADVANCE(543);
            END_STATE();
        case 752:
            if(lookahead == 'u')
                ADVANCE(500);
            END_STATE();
        case 753:
            if(lookahead == 'u')
                ADVANCE(376);
            END_STATE();
        case 754:
            if(lookahead == 'u')
                ADVANCE(691);
            END_STATE();
        case 755:
            if(lookahead == 'u')
                ADVANCE(387);
            END_STATE();
        case 756:
            if(lookahead == 'u')
                ADVANCE(351);
            END_STATE();
        case 757:
            if(lookahead == 'u')
                ADVANCE(525);
            END_STATE();
        case 758:
            if(lookahead == 'u')
                ADVANCE(298);
            END_STATE();
        case 759:
            if(lookahead == 'u')
                ADVANCE(568);
            END_STATE();
        case 760:
            if(lookahead == 'u')
                ADVANCE(503);
            END_STATE();
        case 761:
            if(lookahead == 'u')
                ADVANCE(313);
            END_STATE();
        case 762:
            if(lookahead == 'u')
                ADVANCE(499);
            END_STATE();
        case 763:
            if(lookahead == 'u')
                ADVANCE(556);
            END_STATE();
        case 764:
            if(lookahead == 'u')
                ADVANCE(504);
            END_STATE();
        case 765:
            if(lookahead == 'u')
                ADVANCE(727);
            END_STATE();
        case 766:
            if(lookahead == 'u')
                ADVANCE(407);
            END_STATE();
        case 767:
            if(lookahead == 'u')
                ADVANCE(303);
            END_STATE();
        case 768:
            if(lookahead == 'v')
                ADVANCE(245);
            END_STATE();
        case 769:
            if(lookahead == 'v')
                ADVANCE(456);
            END_STATE();
        case 770:
            if(lookahead == 'v')
                ADVANCE(445);
            END_STATE();
        case 771:
            if(lookahead == 'v')
                ADVANCE(354);
            END_STATE();
        case 772:
            if(lookahead == 'w')
                ADVANCE(248);
            END_STATE();
        case 773:
            if(lookahead == 'x')
                ADVANCE(1102);
            END_STATE();
        case 774:
            if(lookahead == 'x')
                ADVANCE(698);
            END_STATE();
        case 775:
            if(lookahead == 'y')
                ADVANCE(856);
            END_STATE();
        case 776:
            if(lookahead == 'y')
                ADVANCE(1021);
            END_STATE();
        case 777:
            if(lookahead == 'y')
                ADVANCE(1058);
            END_STATE();
        case 778:
            if(lookahead == 'y')
                ADVANCE(1088);
            END_STATE();
        case 779:
            if(lookahead == 'y')
                ADVANCE(976);
            END_STATE();
        case 780:
            if(lookahead == 'y')
                ADVANCE(1120);
            END_STATE();
        case 781:
            if(lookahead == 'y')
                ADVANCE(1010);
            END_STATE();
        case 782:
            if(lookahead == 'y')
                ADVANCE(482);
            END_STATE();
        case 783:
            if(lookahead == 'y')
                ADVANCE(613);
            END_STATE();
        case 784:
            if(lookahead == 'y')
                ADVANCE(614);
            END_STATE();
        case 785:
            if(lookahead == 'y')
                ADVANCE(615);
            END_STATE();
        case 786:
            if(lookahead == 'y')
                ADVANCE(616);
            END_STATE();
        case 787:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(889);
            END_STATE();
        case 788:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(896);
            END_STATE();
        case 789:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(905);
            END_STATE();
        case 790:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(789);
            END_STATE();
        case 791:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(790);
            END_STATE();
        case 792:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(791);
            END_STATE();
        case 793:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(792);
            END_STATE();
        case 794:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(793);
            END_STATE();
        case 795:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(794);
            END_STATE();
        case 796:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(795);
            END_STATE();
        case 797:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(946);
            END_STATE();
        case 798:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 799:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(798);
            END_STATE();
        case 800:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(805);
            END_STATE();
        case 801:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(805);
            if(lookahead == '\r')
                SKIP(800);
            END_STATE();
        case 802:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(804);
            END_STATE();
        case 803:
            if(eof)
                ADVANCE(806);
            if(lookahead == '\n')
                SKIP(804);
            if(lookahead == '\r')
                SKIP(802);
            END_STATE();
        case 804:
            if(eof)
                ADVANCE(806);
            ADVANCE_MAP(
                '"', 909,
                '%', 873,
                '&', 865,
                '\'', 915,
                '(', 874,
                ')', 875,
                '*', 870,
                '+', 868,
                ',', 858,
                '-', 869,
                '/', 872,
                '0', 893,
                '1', 883,
                ':', 964,
                ';', 965,
                '<', 122,
                '=', 997,
                '>', 855,
                'B', 886,
                'F', 1139,
                'L', 914,
                'O', 1184,
                'T', 1144,
                'V', 1149,
            );
            if(lookahead == '\\')
                SKIP(803);
            if(lookahead == ']')
                ADVANCE(1093);
            if(lookahead == '^')
                ADVANCE(864);
            if(lookahead == 'a')
                ADVANCE(1361);
            if(lookahead == 'b')
                ADVANCE(880);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'd')
                ADVANCE(1389);
            if(lookahead == 'f')
                ADVANCE(1292);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 'm')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1202);
            if(lookahead == 's')
                ADVANCE(1229);
            if(lookahead == 'u')
                ADVANCE(1301);
            if(lookahead == 'w')
                ADVANCE(1195);
            if(lookahead == '{')
                ADVANCE(956);
            if(lookahead == '|')
                ADVANCE(863);
            if(lookahead == '}')
                ADVANCE(957);
            if(lookahead == '~')
                ADVANCE(876);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(804);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 805:
            if(eof)
                ADVANCE(806);
            if(lookahead == '#')
                ADVANCE(323);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == '@')
                ADVANCE(993);
            if(lookahead == '\\')
                SKIP(801);
            if(lookahead == 'a')
                ADVANCE(292);
            if(lookahead == 'b')
                ADVANCE(463);
            if(lookahead == 'c')
                ADVANCE(579);
            if(lookahead == 'e')
                ADVANCE(541);
            if(lookahead == 'h')
                ADVANCE(574);
            if(lookahead == 'i')
                ADVANCE(520);
            if(lookahead == 'l')
                ADVANCE(581);
            if(lookahead == 'm')
                ADVANCE(576);
            if(lookahead == 'n')
                ADVANCE(251);
            if(lookahead == 'p')
                ADVANCE(605);
            if(lookahead == 's')
                ADVANCE(721);
            if(lookahead == 't')
                ADVANCE(785);
            if(lookahead == 'u')
                ADVANCE(567);
            if(lookahead == 'v')
                ADVANCE(270);
            if(lookahead == '}')
                ADVANCE(957);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(805);
            END_STATE();
        case 806:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 807:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 808:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 809:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 810:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 811:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(335);
            END_STATE();
        case 812:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 813:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(511);
            END_STATE();
        case 814:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 815:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 816:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 817:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 818:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 819:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 820:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 821:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 822:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 823:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 824:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 825:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 826:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 827:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 828:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 829:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 830:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 831:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 832:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 833:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(514);
            END_STATE();
        case 834:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 835:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 836:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 837:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 838:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 839:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 840:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 841:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 842:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 843:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 844:
            ACCEPT_TOKEN(anon_sym_char);
            END_STATE();
        case 845:
            ACCEPT_TOKEN(anon_sym_char);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 846:
            ACCEPT_TOKEN(anon_sym_wchar);
            END_STATE();
        case 847:
            ACCEPT_TOKEN(anon_sym_wchar);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 848:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 849:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 850:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 851:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 852:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 853:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 854:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 855:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(866);
            END_STATE();
        case 856:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 857:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 858:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 859:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 860:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 861:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 862:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 863:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 864:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 865:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 866:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 867:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 868:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 869:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 870:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 871:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1539);
            END_STATE();
        case 872:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1537);
            END_STATE();
        case 873:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 874:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'E')
                ADVANCE(171);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'i')
                ADVANCE(685);
            if(lookahead == 'o')
                ADVANCE(578);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'o')
                ADVANCE(578);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'o')
                ADVANCE(1390);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(881);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(894);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(882);
            if(('2' <= lookahead && lookahead <= '8'))
                ADVANCE(887);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(883);
            if(('2' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(884);
            if(('2' <= lookahead && lookahead <= '8'))
                ADVANCE(888);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(887);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(888);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(889);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(890);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(anon_sym_0);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(787);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(885);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(788);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(882);
            if(('2' <= lookahead && lookahead <= '8'))
                ADVANCE(887);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1534);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(886);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1535);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(884);
            if(('2' <= lookahead && lookahead <= '8'))
                ADVANCE(888);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(894);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(896);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(897);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(749);
            if(lookahead == 'v')
                ADVANCE(403);
            if(lookahead == 'x')
                ADVANCE(311);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'D')
                ADVANCE(218);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'e')
                ADVANCE(413);
            if(lookahead == 'o')
                ADVANCE(758);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(53);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(905);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(907);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(912);
            if(lookahead == '/')
                ADVANCE(912);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(912);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(910);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(911);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(912);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(912);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(906);
            if(lookahead == '\r')
                ADVANCE(905);
            if(lookahead == 'U')
                ADVANCE(796);
            if(lookahead == 'u')
                ADVANCE(792);
            if(lookahead == 'x')
                ADVANCE(790);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(908);
            if(lookahead != 0)
                ADVANCE(905);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1537);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(53);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(928);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(928);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1553);
            if(lookahead == '/')
                ADVANCE(1542);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(928);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(926);
            if(lookahead == '\\')
                ADVANCE(925);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(927);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(928);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(928);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(937);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(934);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(935);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(948);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(936);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(939);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(940);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(930);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(933);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(931);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(941);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(797);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '/')
                ADVANCE(797);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(947);
            if(lookahead == '/')
                ADVANCE(797);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(1537);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(946);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(797);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(946);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(797);
            if(lookahead == '\\')
                ADVANCE(944);
            if(lookahead != 0)
                ADVANCE(946);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(952);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(952);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1552);
            if(lookahead == '/')
                ADVANCE(1541);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(952);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(950);
            if(lookahead == '\\')
                ADVANCE(949);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(951);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(952);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(952);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(952);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(848);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(754);
            if(lookahead == 't')
                ADVANCE(112);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1505);
            if(lookahead == 't')
                ADVANCE(1131);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(1334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(515);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(542);
            if(lookahead == 'i')
                ADVANCE(429);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'i')
                ADVANCE(429);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(996);
            if(lookahead == '\r')
                ADVANCE(45);
            if(lookahead == '/')
                ADVANCE(86);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(anon_sym_id);
            if(lookahead == 'l')
                ADVANCE(1047);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(anon_sym_id);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(anon_sym_autoid);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(anon_sym_autoid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(anon_sym_SEQUENTIAL);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(anon_sym_HASH);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(anon_sym_optional);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(anon_sym_optional);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(anon_sym_position);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(anon_sym_position);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(anon_sym_value);
            if(lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(anon_sym_value);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(anon_sym_extensibility);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(anon_sym_extensibility);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(anon_sym_FINAL);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(anon_sym_APPENDABLE);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_MUTABLE);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_final);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_final);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_appendable);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_appendable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_mutable);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_mutable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_key);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_key);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_must_understand);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_must_understand);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_default_literal);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_default_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_range);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_range);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_min);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_min);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_max);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_max);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_unit);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_unit);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_external);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_external);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_nested);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_nested);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_verbatim);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_verbatim);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            if(lookahead == 'a')
                ADVANCE(674);
            if(lookahead == 'h')
                ADVANCE(253);
            if(lookahead == 'o')
                ADVANCE(528);
            if(lookahead == 'u')
                ADVANCE(673);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_c_PLUS_PLUS);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_java);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_idl);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_BEGIN_FILE);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_BEFORE_DECLARATION);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_BEGIN_DECLARATION);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_END_DECLARATION);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_AFTER_DECLARATION);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_END_FILE);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_service);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_service);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_CORBA);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_DDS);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_ami);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(anon_sym_ami);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(anon_sym_ATdefault_literal);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(anon_sym_ATignore_literal_names);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1137);
            if(lookahead == '3')
                ADVANCE(1133);
            if(lookahead == '6')
                ADVANCE(1135);
            if(lookahead == '8')
                ADVANCE(829);
            if(lookahead == 'e')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1137);
            if(lookahead == '3')
                ADVANCE(1133);
            if(lookahead == '6')
                ADVANCE(1135);
            if(lookahead == '8')
                ADVANCE(829);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1138);
            if(lookahead == '3')
                ADVANCE(1134);
            if(lookahead == '6')
                ADVANCE(1136);
            if(lookahead == '8')
                ADVANCE(821);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(816);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(835);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(819);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(838);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(810);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(832);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1143);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(921);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(923);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1145);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1142);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1141);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1190);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1441);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1203);
            if(lookahead == 'i')
                ADVANCE(1521);
            if(lookahead == 'l')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1203);
            if(lookahead == 'i')
                ADVANCE(1371);
            if(lookahead == 'l')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1520);
            if(lookahead == 'i')
                ADVANCE(1358);
            if(lookahead == 'u')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1352);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1448);
            if(lookahead == 'h')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1208);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1191);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1192);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1207);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1194);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1343);
            if(lookahead == 'o')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1344);
            if(lookahead == 'e')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1451);
            if(lookahead == 'n')
                ADVANCE(1523);
            if(lookahead == 't')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1171);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1291);
            if(lookahead == 's')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1291);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1085);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1478);
            if(lookahead == 'n')
                ADVANCE(1230);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1478);
            if(lookahead == 'u')
                ADVANCE(1466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1172);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(967);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(825);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1129);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1001);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1040);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1036);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1024);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1235);
            if(lookahead == 'i')
                ADVANCE(1213);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1235);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1265);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1177);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1420);
            if(lookahead == 'h')
                ADVANCE(1394);
            if(lookahead == 't')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1420);
            if(lookahead == 'h')
                ADVANCE(1394);
            if(lookahead == 't')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1420);
            if(lookahead == 'h')
                ADVANCE(1394);
            if(lookahead == 't')
                ADVANCE(1432);
            if(lookahead == 'u')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1420);
            if(lookahead == 'h')
                ADVANCE(1394);
            if(lookahead == 't')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1220);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1140);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(842);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1128);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1087);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(860);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(979);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1066);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1099);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1064);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1068);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(962);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1383);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1028);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1009);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1020);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1055);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1018);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1114);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1081);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1277);
            if(lookahead == 'o')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1212);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1150);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1167);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1217);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1204);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1221);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1379);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1279);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1091);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1175);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(812);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(850);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(852);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(814);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1246);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1097);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1158);
            if(lookahead == 'o')
                ADVANCE(1386);
            if(lookahead == 'u')
                ADVANCE(1444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1158);
            if(lookahead == 'o')
                ADVANCE(1386);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1521);
            if(lookahead == 'l')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1061);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1454);
            if(lookahead == 'o')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1211);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1188);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1372);
            if(lookahead == 'n')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1372);
            if(lookahead == 'n')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1197);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1366);
            if(lookahead == 'u')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1216);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1395);
            if(lookahead == 's')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1209);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1271);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(986);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1016);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1038);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1005);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1026);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1526);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1233);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1261);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1416);
            if(lookahead == 'n')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1074);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1042);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1151);
            if(lookahead == 's')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1294);
            if(lookahead == 'p')
                ADVANCE(1415);
            if(lookahead == 'u')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1280);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1072);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(823);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(955);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(970);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1007);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1230);
            if(lookahead == 'p')
                ADVANCE(1495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(lookahead == 'v')
                ADVANCE(1273);
            if(lookahead == 'x')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(lookahead == 'x')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1281);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1282);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1210);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1222);
            if(lookahead == 'x')
                ADVANCE(1254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1218);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1219);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1159);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1163);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1205);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1283);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1446);
            if(lookahead == 'r')
                ADVANCE(1385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1164);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1223);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1353);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1348);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1354);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1368);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1428);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1356);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1309);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1166);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1436);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(862);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1231);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1268);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1243);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1404);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1406);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1340);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1293);
            if(lookahead == 'u')
                ADVANCE(1186);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(845);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(847);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1122);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1193);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1525);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1308);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1178);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1278);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1168);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1083);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1241);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1474);
            if(lookahead == 't')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1350);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1131);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1076);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(840);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(827);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(808);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(983);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1070);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(960);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(972);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(974);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1130);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1147);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1034);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(989);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1132);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1263);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1198);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1528);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1305);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1307);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1267);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1431);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1170);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1179);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1232);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1387);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1234);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1174);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(857);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1059);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1089);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(977);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1022);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1011);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1411);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(890);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(897);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1536);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(995);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1547);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(952);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(928);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1546);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1547);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1548);
            if(lookahead == '\\')
                ADVANCE(1544);
            if(lookahead != 0)
                ADVANCE(1547);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1551);
            if(lookahead == '/')
                ADVANCE(1540);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1547);
            END_STATE();
        case 1546:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1545);
            if(lookahead == '\\')
                ADVANCE(65);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1546);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1547);
            END_STATE();
        case 1547:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1547);
            END_STATE();
        case 1548:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1547);
            END_STATE();
        case 1549:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1550:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        case 1551:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1547);
            END_STATE();
        case 1552:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(953);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(952);
            END_STATE();
        case 1553:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(928);
            END_STATE();
        case 1554:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1554);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 805 },
    [2] = { .lex_state = 94 },
    [3] = { .lex_state = 95 },
    [4] = { .lex_state = 94 },
    [5] = { .lex_state = 94 },
    [6] = { .lex_state = 94 },
    [7] = { .lex_state = 94 },
    [8] = { .lex_state = 95 },
    [9] = { .lex_state = 95 },
    [10] = { .lex_state = 96 },
    [11] = { .lex_state = 96 },
    [12] = { .lex_state = 96 },
    [13] = { .lex_state = 96 },
    [14] = { .lex_state = 96 },
    [15] = { .lex_state = 96 },
    [16] = { .lex_state = 96 },
    [17] = { .lex_state = 96 },
    [18] = { .lex_state = 96 },
    [19] = { .lex_state = 96 },
    [20] = { .lex_state = 96 },
    [21] = { .lex_state = 96 },
    [22] = { .lex_state = 804 },
    [23] = { .lex_state = 804 },
    [24] = { .lex_state = 805 },
    [25] = { .lex_state = 805 },
    [26] = { .lex_state = 805 },
    [27] = { .lex_state = 805 },
    [28] = { .lex_state = 805 },
    [29] = { .lex_state = 805 },
    [30] = { .lex_state = 805 },
    [31] = { .lex_state = 805 },
    [32] = { .lex_state = 97 },
    [33] = { .lex_state = 98 },
    [34] = { .lex_state = 82 },
    [35] = { .lex_state = 82 },
    [36] = { .lex_state = 82 },
    [37] = { .lex_state = 82 },
    [38] = { .lex_state = 82 },
    [39] = { .lex_state = 82 },
    [40] = { .lex_state = 82 },
    [41] = { .lex_state = 82 },
    [42] = { .lex_state = 82 },
    [43] = { .lex_state = 82 },
    [44] = { .lex_state = 82 },
    [45] = { .lex_state = 92 },
    [46] = { .lex_state = 85 },
    [47] = { .lex_state = 100 },
    [48] = { .lex_state = 82 },
    [49] = { .lex_state = 100 },
    [50] = { .lex_state = 85 },
    [51] = { .lex_state = 100 },
    [52] = { .lex_state = 94 },
    [53] = { .lex_state = 94 },
    [54] = { .lex_state = 94 },
    [55] = { .lex_state = 94 },
    [56] = { .lex_state = 101 },
    [57] = { .lex_state = 94 },
    [58] = { .lex_state = 94 },
    [59] = { .lex_state = 94 },
    [60] = { .lex_state = 95 },
    [61] = { .lex_state = 95 },
    [62] = { .lex_state = 101 },
    [63] = { .lex_state = 95 },
    [64] = { .lex_state = 95 },
    [65] = { .lex_state = 102 },
    [66] = { .lex_state = 105 },
    [67] = { .lex_state = 105 },
    [68] = { .lex_state = 96 },
    [69] = { .lex_state = 105 },
    [70] = { .lex_state = 96 },
    [71] = { .lex_state = 102 },
    [72] = { .lex_state = 102 },
    [73] = { .lex_state = 102 },
    [74] = { .lex_state = 105 },
    [75] = { .lex_state = 102 },
    [76] = { .lex_state = 105 },
    [77] = { .lex_state = 105 },
    [78] = { .lex_state = 102 },
    [79] = { .lex_state = 105 },
    [80] = { .lex_state = 105 },
    [81] = { .lex_state = 102 },
    [82] = { .lex_state = 102 },
    [83] = { .lex_state = 102 },
    [84] = { .lex_state = 102 },
    [85] = { .lex_state = 106 },
    [86] = { .lex_state = 97 },
    [87] = { .lex_state = 106 },
    [88] = { .lex_state = 77 },
    [89] = { .lex_state = 77 },
    [90] = { .lex_state = 77 },
    [91] = { .lex_state = 77 },
    [92] = { .lex_state = 97 },
    [93] = { .lex_state = 77 },
    [94] = { .lex_state = 77 },
    [95] = { .lex_state = 77 },
    [96] = { .lex_state = 77 },
    [97] = { .lex_state = 77 },
    [98] = { .lex_state = 77 },
    [99] = { .lex_state = 97 },
    [100] = { .lex_state = 97 },
    [101] = { .lex_state = 77 },
    [102] = { .lex_state = 77 },
    [103] = { .lex_state = 77 },
    [104] = { .lex_state = 77 },
    [105] = { .lex_state = 77 },
    [106] = { .lex_state = 77 },
    [107] = { .lex_state = 77 },
    [108] = { .lex_state = 77 },
    [109] = { .lex_state = 77 },
    [110] = { .lex_state = 77 },
    [111] = { .lex_state = 82 },
    [112] = { .lex_state = 77 },
    [113] = { .lex_state = 82 },
    [114] = { .lex_state = 82 },
    [115] = { .lex_state = 82 },
    [116] = { .lex_state = 82 },
    [117] = { .lex_state = 82 },
    [118] = { .lex_state = 77 },
    [119] = { .lex_state = 82 },
    [120] = { .lex_state = 82 },
    [121] = { .lex_state = 82 },
    [122] = { .lex_state = 82 },
    [123] = { .lex_state = 82 },
    [124] = { .lex_state = 82 },
    [125] = { .lex_state = 82 },
    [126] = { .lex_state = 82 },
    [127] = { .lex_state = 82 },
    [128] = { .lex_state = 82 },
    [129] = { .lex_state = 82 },
    [130] = { .lex_state = 82 },
    [131] = { .lex_state = 82 },
    [132] = { .lex_state = 82 },
    [133] = { .lex_state = 82 },
    [134] = { .lex_state = 100 },
    [135] = { .lex_state = 100 },
    [136] = { .lex_state = 100 },
    [137] = { .lex_state = 82 },
    [138] = { .lex_state = 82 },
    [139] = { .lex_state = 82 },
    [140] = { .lex_state = 82 },
    [141] = { .lex_state = 82 },
    [142] = { .lex_state = 82 },
    [143] = { .lex_state = 82 },
    [144] = { .lex_state = 82 },
    [145] = { .lex_state = 82 },
    [146] = { .lex_state = 82 },
    [147] = { .lex_state = 77 },
    [148] = { .lex_state = 100 },
    [149] = { .lex_state = 100 },
    [150] = { .lex_state = 82 },
    [151] = { .lex_state = 82 },
    [152] = { .lex_state = 82 },
    [153] = { .lex_state = 82 },
    [154] = { .lex_state = 82 },
    [155] = { .lex_state = 82 },
    [156] = { .lex_state = 82 },
    [157] = { .lex_state = 82 },
    [158] = { .lex_state = 82 },
    [159] = { .lex_state = 82 },
    [160] = { .lex_state = 82 },
    [161] = { .lex_state = 805 },
    [162] = { .lex_state = 82 },
    [163] = { .lex_state = 82 },
    [164] = { .lex_state = 82 },
    [165] = { .lex_state = 82 },
    [166] = { .lex_state = 82 },
    [167] = { .lex_state = 82 },
    [168] = { .lex_state = 82 },
    [169] = { .lex_state = 82 },
    [170] = { .lex_state = 82 },
    [171] = { .lex_state = 82 },
    [172] = { .lex_state = 82 },
    [173] = { .lex_state = 82 },
    [174] = { .lex_state = 82 },
    [175] = { .lex_state = 107 },
    [176] = { .lex_state = 102 },
    [177] = { .lex_state = 805 },
    [178] = { .lex_state = 805 },
    [179] = { .lex_state = 805 },
    [180] = { .lex_state = 805 },
    [181] = { .lex_state = 805 },
    [182] = { .lex_state = 107 },
    [183] = { .lex_state = 77 },
    [184] = { .lex_state = 805 },
    [185] = { .lex_state = 805 },
    [186] = { .lex_state = 805 },
    [187] = { .lex_state = 805 },
    [188] = { .lex_state = 74 },
    [189] = { .lex_state = 74 },
    [190] = { .lex_state = 74 },
    [191] = { .lex_state = 74 },
    [192] = { .lex_state = 74 },
    [193] = { .lex_state = 74 },
    [194] = { .lex_state = 74 },
    [195] = { .lex_state = 74 },
    [196] = { .lex_state = 74 },
    [197] = { .lex_state = 74 },
    [198] = { .lex_state = 74 },
    [199] = { .lex_state = 74 },
    [200] = { .lex_state = 74 },
    [201] = { .lex_state = 74 },
    [202] = { .lex_state = 74 },
    [203] = { .lex_state = 74 },
    [204] = { .lex_state = 74 },
    [205] = { .lex_state = 74 },
    [206] = { .lex_state = 74 },
    [207] = { .lex_state = 74 },
    [208] = { .lex_state = 74 },
    [209] = { .lex_state = 74 },
    [210] = { .lex_state = 74 },
    [211] = { .lex_state = 74 },
    [212] = { .lex_state = 75 },
    [213] = { .lex_state = 80 },
    [214] = { .lex_state = 804 },
    [215] = { .lex_state = 80 },
    [216] = { .lex_state = 80 },
    [217] = { .lex_state = 80 },
    [218] = { .lex_state = 80 },
    [219] = { .lex_state = 77 },
    [220] = { .lex_state = 77 },
    [221] = { .lex_state = 80 },
    [222] = { .lex_state = 80 },
    [223] = { .lex_state = 80 },
    [224] = { .lex_state = 80 },
    [225] = { .lex_state = 80 },
    [226] = { .lex_state = 80 },
    [227] = { .lex_state = 74 },
    [228] = { .lex_state = 74 },
    [229] = { .lex_state = 80 },
    [230] = { .lex_state = 80 },
    [231] = { .lex_state = 80 },
    [232] = { .lex_state = 74 },
    [233] = { .lex_state = 80 },
    [234] = { .lex_state = 80 },
    [235] = { .lex_state = 80 },
    [236] = { .lex_state = 80 },
    [237] = { .lex_state = 80 },
    [238] = { .lex_state = 80 },
    [239] = { .lex_state = 74 },
    [240] = { .lex_state = 80 },
    [241] = { .lex_state = 80 },
    [242] = { .lex_state = 80 },
    [243] = { .lex_state = 74 },
    [244] = { .lex_state = 80 },
    [245] = { .lex_state = 80 },
    [246] = { .lex_state = 76 },
    [247] = { .lex_state = 74 },
    [248] = { .lex_state = 76 },
    [249] = { .lex_state = 76 },
    [250] = { .lex_state = 76 },
    [251] = { .lex_state = 80 },
    [252] = { .lex_state = 804 },
    [253] = { .lex_state = 83 },
    [254] = { .lex_state = 80 },
    [255] = { .lex_state = 804 },
    [256] = { .lex_state = 74 },
    [257] = { .lex_state = 74 },
    [258] = { .lex_state = 74 },
    [259] = { .lex_state = 74 },
    [260] = { .lex_state = 74 },
    [261] = { .lex_state = 74 },
    [262] = { .lex_state = 74 },
    [263] = { .lex_state = 74 },
    [264] = { .lex_state = 74 },
    [265] = { .lex_state = 74 },
    [266] = { .lex_state = 74 },
    [267] = { .lex_state = 74 },
    [268] = { .lex_state = 83 },
    [269] = { .lex_state = 80 },
    [270] = { .lex_state = 80 },
    [271] = { .lex_state = 83 },
    [272] = { .lex_state = 74 },
    [273] = { .lex_state = 74 },
    [274] = { .lex_state = 83 },
    [275] = { .lex_state = 74 },
    [276] = { .lex_state = 83 },
    [277] = { .lex_state = 83 },
    [278] = { .lex_state = 76 },
    [279] = { .lex_state = 78 },
    [280] = { .lex_state = 83 },
    [281] = { .lex_state = 76 },
    [282] = { .lex_state = 76 },
    [283] = { .lex_state = 76 },
    [284] = { .lex_state = 83 },
    [285] = { .lex_state = 76 },
    [286] = { .lex_state = 83 },
    [287] = { .lex_state = 78 },
    [288] = { .lex_state = 83 },
    [289] = { .lex_state = 83 },
    [290] = { .lex_state = 83 },
    [291] = { .lex_state = 83 },
    [292] = { .lex_state = 83 },
    [293] = { .lex_state = 83 },
    [294] = { .lex_state = 76 },
    [295] = { .lex_state = 76 },
    [296] = { .lex_state = 83 },
    [297] = { .lex_state = 83 },
    [298] = { .lex_state = 83 },
    [299] = { .lex_state = 83 },
    [300] = { .lex_state = 83 },
    [301] = { .lex_state = 83 },
    [302] = { .lex_state = 83 },
    [303] = { .lex_state = 84 },
    [304] = { .lex_state = 83 },
    [305] = { .lex_state = 83 },
    [306] = { .lex_state = 83 },
    [307] = { .lex_state = 83 },
    [308] = { .lex_state = 83 },
    [309] = { .lex_state = 83 },
    [310] = { .lex_state = 83 },
    [311] = { .lex_state = 83 },
    [312] = { .lex_state = 76 },
    [313] = { .lex_state = 83 },
    [314] = { .lex_state = 83 },
    [315] = { .lex_state = 83 },
    [316] = { .lex_state = 83 },
    [317] = { .lex_state = 74 },
    [318] = { .lex_state = 83 },
    [319] = { .lex_state = 83 },
    [320] = { .lex_state = 83 },
    [321] = { .lex_state = 83 },
    [322] = { .lex_state = 83 },
    [323] = { .lex_state = 83 },
    [324] = { .lex_state = 83 },
    [325] = { .lex_state = 83 },
    [326] = { .lex_state = 83 },
    [327] = { .lex_state = 83 },
    [328] = { .lex_state = 83 },
    [329] = { .lex_state = 84 },
    [330] = { .lex_state = 83 },
    [331] = { .lex_state = 83 },
    [332] = { .lex_state = 93 },
    [333] = { .lex_state = 83 },
    [334] = { .lex_state = 74 },
    [335] = { .lex_state = 83 },
    [336] = { .lex_state = 83 },
    [337] = { .lex_state = 74 },
    [338] = { .lex_state = 83 },
    [339] = { .lex_state = 83 },
    [340] = { .lex_state = 74 },
    [341] = { .lex_state = 74 },
    [342] = { .lex_state = 80 },
    [343] = { .lex_state = 80 },
    [344] = { .lex_state = 74 },
    [345] = { .lex_state = 74 },
    [346] = { .lex_state = 74 },
    [347] = { .lex_state = 74 },
    [348] = { .lex_state = 74 },
    [349] = { .lex_state = 74 },
    [350] = { .lex_state = 76 },
    [351] = { .lex_state = 74 },
    [352] = { .lex_state = 74 },
    [353] = { .lex_state = 74 },
    [354] = { .lex_state = 74 },
    [355] = { .lex_state = 84 },
    [356] = { .lex_state = 74 },
    [357] = { .lex_state = 45 },
    [358] = { .lex_state = 45 },
    [359] = { .lex_state = 75 },
    [360] = { .lex_state = 80 },
    [361] = { .lex_state = 84 },
    [362] = { .lex_state = 74 },
    [363] = { .lex_state = 74 },
    [364] = { .lex_state = 75 },
    [365] = { .lex_state = 45 },
    [366] = { .lex_state = 45 },
    [367] = { .lex_state = 74 },
    [368] = { .lex_state = 45 },
    [369] = { .lex_state = 74 },
    [370] = { .lex_state = 80 },
    [371] = { .lex_state = 84 },
    [372] = { .lex_state = 80 },
    [373] = { .lex_state = 75 },
    [374] = { .lex_state = 45 },
    [375] = { .lex_state = 45 },
    [376] = { .lex_state = 45 },
    [377] = { .lex_state = 45 },
    [378] = { .lex_state = 103 },
    [379] = { .lex_state = 80 },
    [380] = { .lex_state = 84 },
    [381] = { .lex_state = 104 },
    [382] = { .lex_state = 80 },
    [383] = { .lex_state = 104 },
    [384] = { .lex_state = 84 },
    [385] = { .lex_state = 80 },
    [386] = { .lex_state = 45 },
    [387] = { .lex_state = 84 },
    [388] = { .lex_state = 78 },
    [389] = { .lex_state = 78 },
    [390] = { .lex_state = 78 },
    [391] = { .lex_state = 80 },
    [392] = { .lex_state = 45 },
    [393] = { .lex_state = 84 },
    [394] = { .lex_state = 45 },
    [395] = { .lex_state = 78 },
    [396] = { .lex_state = 45 },
    [397] = { .lex_state = 75 },
    [398] = { .lex_state = 80 },
    [399] = { .lex_state = 74 },
    [400] = { .lex_state = 78 },
    [401] = { .lex_state = 75 },
    [402] = { .lex_state = 75 },
    [403] = { .lex_state = 78 },
    [404] = { .lex_state = 78 },
    [405] = { .lex_state = 75 },
    [406] = { .lex_state = 80 },
    [407] = { .lex_state = 108 },
    [408] = { .lex_state = 78 },
    [409] = { .lex_state = 78 },
    [410] = { .lex_state = 78 },
    [411] = { .lex_state = 78 },
    [412] = { .lex_state = 78 },
    [413] = { .lex_state = 78 },
    [414] = { .lex_state = 75 },
    [415] = { .lex_state = 75 },
    [416] = { .lex_state = 80 },
    [417] = { .lex_state = 78 },
    [418] = { .lex_state = 75 },
    [419] = { .lex_state = 78 },
    [420] = { .lex_state = 804 },
    [421] = { .lex_state = 75 },
    [422] = { .lex_state = 74 },
    [423] = { .lex_state = 74 },
    [424] = { .lex_state = 75 },
    [425] = { .lex_state = 74 },
    [426] = { .lex_state = 74 },
    [427] = { .lex_state = 75 },
    [428] = { .lex_state = 74 },
    [429] = { .lex_state = 78 },
    [430] = { .lex_state = 75 },
    [431] = { .lex_state = 52 },
    [432] = { .lex_state = 80 },
    [433] = { .lex_state = 804 },
    [434] = { .lex_state = 75 },
    [435] = { .lex_state = 74 },
    [436] = { .lex_state = 74 },
    [437] = { .lex_state = 74 },
    [438] = { .lex_state = 74 },
    [439] = { .lex_state = 78 },
    [440] = { .lex_state = 74 },
    [441] = { .lex_state = 78 },
    [442] = { .lex_state = 74 },
    [443] = { .lex_state = 74 },
    [444] = { .lex_state = 78 },
    [445] = { .lex_state = 74 },
    [446] = { .lex_state = 75 },
    [447] = { .lex_state = 75 },
    [448] = { .lex_state = 52 },
    [449] = { .lex_state = 52 },
    [450] = { .lex_state = 75 },
    [451] = { .lex_state = 84 },
    [452] = { .lex_state = 52 },
    [453] = { .lex_state = 74 },
    [454] = { .lex_state = 84 },
    [455] = { .lex_state = 74 },
    [456] = { .lex_state = 74 },
    [457] = { .lex_state = 804 },
    [458] = { .lex_state = 74 },
    [459] = { .lex_state = 74 },
    [460] = { .lex_state = 80 },
    [461] = { .lex_state = 74 },
    [462] = { .lex_state = 78 },
    [463] = { .lex_state = 804 },
    [464] = { .lex_state = 804 },
    [465] = { .lex_state = 109 },
    [466] = { .lex_state = 78 },
    [467] = { .lex_state = 56 },
    [468] = { .lex_state = 74 },
    [469] = { .lex_state = 74 },
    [470] = { .lex_state = 78 },
    [471] = { .lex_state = 84 },
    [472] = { .lex_state = 52 },
    [473] = { .lex_state = 84 },
    [474] = { .lex_state = 80 },
    [475] = { .lex_state = 804 },
    [476] = { .lex_state = 74 },
    [477] = { .lex_state = 804 },
    [478] = { .lex_state = 45 },
    [479] = { .lex_state = 74 },
    [480] = { .lex_state = 84 },
    [481] = { .lex_state = 45 },
    [482] = { .lex_state = 45 },
    [483] = { .lex_state = 74 },
    [484] = { .lex_state = 45 },
    [485] = { .lex_state = 75 },
    [486] = { .lex_state = 45 },
    [487] = { .lex_state = 78 },
    [488] = { .lex_state = 74 },
    [489] = { .lex_state = 74 },
    [490] = { .lex_state = 74 },
    [491] = { .lex_state = 45 },
    [492] = { .lex_state = 45 },
    [493] = { .lex_state = 74 },
    [494] = { .lex_state = 78 },
    [495] = { .lex_state = 804 },
    [496] = { .lex_state = 45 },
    [497] = { .lex_state = 78 },
    [498] = { .lex_state = 45 },
    [499] = { .lex_state = 75 },
    [500] = { .lex_state = 804 },
    [501] = { .lex_state = 75 },
    [502] = { .lex_state = 56 },
    [503] = { .lex_state = 84 },
    [504] = { .lex_state = 804 },
    [505] = { .lex_state = 74 },
    [506] = { .lex_state = 84 },
    [507] = { .lex_state = 84 },
    [508] = { .lex_state = 84 },
    [509] = { .lex_state = 78 },
    [510] = { .lex_state = 80 },
    [511] = { .lex_state = 92 },
    [512] = { .lex_state = 75 },
    [513] = { .lex_state = 45 },
    [514] = { .lex_state = 56 },
    [515] = { .lex_state = 75 },
    [516] = { .lex_state = 45 },
    [517] = { .lex_state = 804 },
    [518] = { .lex_state = 45 },
    [519] = { .lex_state = 80 },
    [520] = { .lex_state = 804 },
    [521] = { .lex_state = 45 },
    [522] = { .lex_state = 74 },
    [523] = { .lex_state = 74 },
    [524] = { .lex_state = 804 },
    [525] = { .lex_state = 74 },
    [526] = { .lex_state = 804 },
    [527] = { .lex_state = 804 },
    [528] = { .lex_state = 45 },
    [529] = { .lex_state = 45 },
    [530] = { .lex_state = 45 },
    [531] = { .lex_state = 45 },
    [532] = { .lex_state = 45 },
    [533] = { .lex_state = 45 },
    [534] = { .lex_state = 45 },
    [535] = { .lex_state = 45 },
    [536] = { .lex_state = 45 },
    [537] = { .lex_state = 45 },
    [538] = { .lex_state = 45 },
    [539] = { .lex_state = 45 },
    [540] = { .lex_state = 45 },
    [541] = { .lex_state = 804 },
    [542] = { .lex_state = 92 },
    [543] = { .lex_state = 45 },
    [544] = { .lex_state = 75 },
    [545] = { .lex_state = 804 },
    [546] = { .lex_state = 804 },
    [547] = { .lex_state = 804 },
    [548] = { .lex_state = 804 },
    [549] = { .lex_state = 45 },
    [550] = { .lex_state = 45 },
    [551] = { .lex_state = 45 },
    [552] = { .lex_state = 92 },
    [553] = { .lex_state = 804 },
    [554] = { .lex_state = 804 },
    [555] = { .lex_state = 74 },
    [556] = { .lex_state = 45 },
    [557] = { .lex_state = 92 },
    [558] = { .lex_state = 75 },
    [559] = { .lex_state = 92 },
    [560] = { .lex_state = 74 },
    [561] = { .lex_state = 45 },
    [562] = { .lex_state = 74 },
    [563] = { .lex_state = 92 },
    [564] = { .lex_state = 804 },
    [565] = { .lex_state = 45 },
    [566] = { .lex_state = 45 },
    [567] = { .lex_state = 45 },
    [568] = { .lex_state = 45 },
    [569] = { .lex_state = 804 },
    [570] = { .lex_state = 804 },
    [571] = { .lex_state = 804 },
    [572] = { .lex_state = 45 },
    [573] = { .lex_state = 45 },
    [574] = { .lex_state = 804 },
    [575] = { .lex_state = 804 },
    [576] = { .lex_state = 804 },
    [577] = { .lex_state = 45 },
    [578] = { .lex_state = 45 },
    [579] = { .lex_state = 45 },
    [580] = { .lex_state = 45 },
    [581] = { .lex_state = 45 },
    [582] = { .lex_state = 45 },
    [583] = { .lex_state = 45 },
    [584] = { .lex_state = 804 },
    [585] = { .lex_state = 92 },
    [586] = { .lex_state = 804 },
    [587] = { .lex_state = 804 },
    [588] = { .lex_state = 75 },
    [589] = { .lex_state = 804 },
    [590] = { .lex_state = 75 },
    [591] = { .lex_state = 804 },
    [592] = { .lex_state = 804 },
    [593] = { .lex_state = 75 },
    [594] = { .lex_state = 92 },
    [595] = { .lex_state = 804 },
    [596] = { .lex_state = 84 },
    [597] = { .lex_state = 56 },
    [598] = { .lex_state = 804 },
    [599] = { .lex_state = 75 },
    [600] = { .lex_state = 804 },
    [601] = { .lex_state = 75 },
    [602] = { .lex_state = 804 },
    [603] = { .lex_state = 84 },
    [604] = { .lex_state = 804 },
    [605] = { .lex_state = 804 },
    [606] = { .lex_state = 84 },
    [607] = { .lex_state = 80 },
    [608] = { .lex_state = 84 },
    [609] = { .lex_state = 804 },
    [610] = { .lex_state = 804 },
    [611] = { .lex_state = 804 },
    [612] = { .lex_state = 804 },
    [613] = { .lex_state = 84 },
    [614] = { .lex_state = 75 },
    [615] = { .lex_state = 84 },
    [616] = { .lex_state = 84 },
    [617] = { .lex_state = 75 },
    [618] = { .lex_state = 75 },
    [619] = { .lex_state = 804 },
    [620] = { .lex_state = 75 },
    [621] = { .lex_state = 75 },
    [622] = { .lex_state = 75 },
    [623] = { .lex_state = 74 },
    [624] = { .lex_state = 84 },
    [625] = { .lex_state = 74 },
    [626] = { .lex_state = 84 },
    [627] = { .lex_state = 75 },
    [628] = { .lex_state = 84 },
    [629] = { .lex_state = 74 },
    [630] = { .lex_state = 804 },
    [631] = { .lex_state = 84 },
    [632] = { .lex_state = 804 },
    [633] = { .lex_state = 74 },
    [634] = { .lex_state = 74 },
    [635] = { .lex_state = 84 },
    [636] = { .lex_state = 75 },
    [637] = { .lex_state = 84 },
    [638] = { .lex_state = 84 },
    [639] = { .lex_state = 84 },
    [640] = { .lex_state = 84 },
    [641] = { .lex_state = 804 },
    [642] = { .lex_state = 84 },
    [643] = { .lex_state = 804 },
    [644] = { .lex_state = 84 },
    [645] = { .lex_state = 84 },
    [646] = { .lex_state = 80 },
    [647] = { .lex_state = 75 },
    [648] = { .lex_state = 804 },
    [649] = { .lex_state = 74 },
    [650] = { .lex_state = 804 },
    [651] = { .lex_state = 74 },
    [652] = { .lex_state = 804 },
    [653] = { .lex_state = 74 },
    [654] = { .lex_state = 84 },
    [655] = { .lex_state = 74 },
    [656] = { .lex_state = 75 },
    [657] = { .lex_state = 75 },
    [658] = { .lex_state = 84 },
    [659] = { .lex_state = 74 },
    [660] = { .lex_state = 75 },
    [661] = { .lex_state = 75 },
    [662] = { .lex_state = 804 },
    [663] = { .lex_state = 75 },
    [664] = { .lex_state = 804 },
    [665] = { .lex_state = 84 },
    [666] = { .lex_state = 84 },
    [667] = { .lex_state = 92 },
    [668] = { .lex_state = 804 },
    [669] = { .lex_state = 804 },
    [670] = { .lex_state = 92 },
    [671] = { .lex_state = 84 },
    [672] = { .lex_state = 804 },
    [673] = { .lex_state = 74 },
    [674] = { .lex_state = 804 },
    [675] = { .lex_state = 84 },
    [676] = { .lex_state = 84 },
    [677] = { .lex_state = 804 },
    [678] = { .lex_state = 804 },
    [679] = { .lex_state = 75 },
    [680] = { .lex_state = 804 },
    [681] = { .lex_state = 804 },
    [682] = { .lex_state = 804 },
    [683] = { .lex_state = 84 },
    [684] = { .lex_state = 75 },
    [685] = { .lex_state = 84 },
    [686] = { .lex_state = 74 },
    [687] = { .lex_state = 84 },
    [688] = { .lex_state = 92 },
    [689] = { .lex_state = 84 },
    [690] = { .lex_state = 804 },
    [691] = { .lex_state = 804 },
    [692] = { .lex_state = 804 },
    [693] = { .lex_state = 804 },
    [694] = { .lex_state = 804 },
    [695] = { .lex_state = 804 },
    [696] = { .lex_state = 84 },
    [697] = { .lex_state = 804 },
    [698] = { .lex_state = 74 },
    [699] = { .lex_state = 84 },
    [700] = { .lex_state = 804 },
    [701] = { .lex_state = 74 },
    [702] = { .lex_state = 75 },
    [703] = { .lex_state = 804 },
    [704] = { .lex_state = 804 },
    [705] = { .lex_state = 75 },
    [706] = { .lex_state = 804 },
    [707] = { .lex_state = 84 },
    [708] = { .lex_state = 52 },
    [709] = { .lex_state = 84 },
    [710] = { .lex_state = 84 },
    [711] = { .lex_state = 804 },
    [712] = { .lex_state = 84 },
    [713] = { .lex_state = 110 },
    [714] = { .lex_state = 74 },
    [715] = { .lex_state = 80 },
    [716] = { .lex_state = 804 },
    [717] = { .lex_state = 804 },
    [718] = { .lex_state = 74 },
    [719] = { .lex_state = 804 },
    [720] = { .lex_state = 804 },
    [721] = { .lex_state = 74 },
    [722] = { .lex_state = 804 },
    [723] = { .lex_state = 804 },
    [724] = { .lex_state = 74 },
    [725] = { .lex_state = 804 },
    [726] = { .lex_state = 804 },
    [727] = { .lex_state = 75 },
    [728] = { .lex_state = 74 },
    [729] = { .lex_state = 75 },
    [730] = { .lex_state = 74 },
    [731] = { .lex_state = 75 },
    [732] = { .lex_state = 804 },
    [733] = { .lex_state = 105 },
    [734] = { .lex_state = 75 },
    [735] = { .lex_state = 105 },
    [736] = { .lex_state = 105 },
    [737] = { .lex_state = 804 },
    [738] = { .lex_state = 75 },
    [739] = { .lex_state = 804 },
    [740] = { .lex_state = 75 },
    [741] = { .lex_state = 105 },
    [742] = { .lex_state = 80 },
    [743] = { .lex_state = 59 },
    [744] = { .lex_state = 804 },
    [745] = { .lex_state = 74 },
    [746] = { .lex_state = 80 },
    [747] = { .lex_state = 804 },
    [748] = { .lex_state = 804 },
    [749] = { .lex_state = 75 },
    [750] = { .lex_state = 804 },
    [751] = { .lex_state = 105 },
    [752] = { .lex_state = 75 },
    [753] = { .lex_state = 75 },
    [754] = { .lex_state = 804 },
    [755] = { .lex_state = 804 },
    [756] = { .lex_state = 804 },
    [757] = { .lex_state = 75 },
    [758] = { .lex_state = 75 },
    [759] = { .lex_state = 75 },
    [760] = { .lex_state = 804 },
    [761] = { .lex_state = 804 },
    [762] = { .lex_state = 804 },
    [763] = { .lex_state = 92 },
    [764] = { .lex_state = 804 },
    [765] = { .lex_state = 105 },
    [766] = { .lex_state = 75 },
    [767] = { .lex_state = 804 },
    [768] = { .lex_state = 80 },
    [769] = { .lex_state = 804 },
    [770] = { .lex_state = 75 },
    [771] = { .lex_state = 74 },
    [772] = { .lex_state = 92 },
    [773] = { .lex_state = 75 },
    [774] = { .lex_state = 804 },
    [775] = { .lex_state = 74 },
    [776] = { .lex_state = 804 },
    [777] = { .lex_state = 804 },
    [778] = { .lex_state = 75 },
    [779] = { .lex_state = 804 },
    [780] = { .lex_state = 105 },
    [781] = { .lex_state = 92 },
    [782] = { .lex_state = 74 },
    [783] = { .lex_state = 804 },
    [784] = { .lex_state = 804 },
    [785] = { .lex_state = 92 },
    [786] = { .lex_state = 804 },
    [787] = { .lex_state = 75 },
    [788] = { .lex_state = 804 },
    [789] = { .lex_state = 80 },
    [790] = { .lex_state = 75 },
    [791] = { .lex_state = 804 },
    [792] = { .lex_state = 80 },
    [793] = { .lex_state = 75 },
    [794] = { .lex_state = 75 },
    [795] = { .lex_state = 80 },
    [796] = { .lex_state = 75 },
    [797] = { .lex_state = 804 },
    [798] = { .lex_state = 80 },
    [799] = { .lex_state = 804 },
    [800] = { .lex_state = 75 },
    [801] = { .lex_state = 75 },
    [802] = { .lex_state = 75 },
    [803] = { .lex_state = 75 },
    [804] = { .lex_state = 78 },
    [805] = { .lex_state = 92 },
    [806] = { .lex_state = 75 },
    [807] = { .lex_state = 804 },
    [808] = { .lex_state = 75 },
    [809] = { .lex_state = 75 },
    [810] = { .lex_state = 75 },
    [811] = { .lex_state = 804 },
    [812] = { .lex_state = 804 },
    [813] = { .lex_state = 75 },
    [814] = { .lex_state = 92 },
    [815] = { .lex_state = 75 },
    [816] = { .lex_state = 92 },
    [817] = { .lex_state = 80 },
    [818] = { .lex_state = 92 },
    [819] = { .lex_state = 804 },
    [820] = { .lex_state = 75 },
    [821] = { .lex_state = 75 },
    [822] = { .lex_state = 75 },
    [823] = { .lex_state = 75 },
    [824] = { .lex_state = 75 },
    [825] = { .lex_state = 804 },
    [826] = { .lex_state = 75 },
    [827] = { .lex_state = 80 },
    [828] = { .lex_state = 75 },
    [829] = { .lex_state = 75 },
    [830] = { .lex_state = 75 },
    [831] = { .lex_state = 74 },
    [832] = { .lex_state = 80 },
    [833] = { .lex_state = 75 },
    [834] = { .lex_state = 804 },
    [835] = { .lex_state = 804 },
    [836] = { .lex_state = 74 },
    [837] = { .lex_state = 74 },
    [838] = { .lex_state = 804 },
    [839] = { .lex_state = 804 },
    [840] = { .lex_state = 804 },
    [841] = { .lex_state = 105 },
    [842] = { .lex_state = 804 },
    [843] = { .lex_state = 75 },
    [844] = { .lex_state = 804 },
    [845] = { .lex_state = 92 },
    [846] = { .lex_state = 804 },
    [847] = { .lex_state = 74 },
    [848] = { .lex_state = 804 },
    [849] = { .lex_state = 75 },
    [850] = { .lex_state = 74 },
    [851] = { .lex_state = 75 },
    [852] = { .lex_state = 74 },
    [853] = { .lex_state = 75 },
    [854] = { .lex_state = 92 },
    [855] = { .lex_state = 75 },
    [856] = { .lex_state = 75 },
    [857] = { .lex_state = 804 },
    [858] = { .lex_state = 804 },
    [859] = { .lex_state = 75 },
    [860] = { .lex_state = 804 },
    [861] = { .lex_state = 804 },
    [862] = { .lex_state = 75 },
    [863] = { .lex_state = 74 },
    [864] = { .lex_state = 804 },
    [865] = { .lex_state = 804 },
    [866] = { .lex_state = 804 },
    [867] = { .lex_state = 804 },
    [868] = { .lex_state = 804 },
    [869] = { .lex_state = 804 },
    [870] = { .lex_state = 80 },
    [871] = { .lex_state = 804 },
    [872] = { .lex_state = 804 },
    [873] = { .lex_state = 75 },
    [874] = { .lex_state = 92 },
    [875] = { .lex_state = 804 },
    [876] = { .lex_state = 804 },
    [877] = { .lex_state = 804 },
    [878] = { .lex_state = 804 },
    [879] = { .lex_state = 804 },
    [880] = { .lex_state = 804 },
    [881] = { .lex_state = 804 },
    [882] = { .lex_state = 75 },
    [883] = { .lex_state = 75 },
    [884] = { .lex_state = 75 },
    [885] = { .lex_state = 804 },
    [886] = { .lex_state = 804 },
    [887] = { .lex_state = 804 },
    [888] = { .lex_state = 804 },
    [889] = { .lex_state = 804 },
    [890] = { .lex_state = 804 },
    [891] = { .lex_state = 804 },
    [892] = { .lex_state = 804 },
    [893] = { .lex_state = 75 },
    [894] = { .lex_state = 804 },
    [895] = { .lex_state = 804 },
    [896] = { .lex_state = 804 },
    [897] = { .lex_state = 804 },
    [898] = { .lex_state = 804 },
    [899] = { .lex_state = 804 },
    [900] = { .lex_state = 804 },
    [901] = { .lex_state = 804 },
    [902] = { .lex_state = 804 },
    [903] = { .lex_state = 804 },
    [904] = { .lex_state = 804 },
    [905] = { .lex_state = 804 },
    [906] = { .lex_state = 804 },
    [907] = { .lex_state = 804 },
    [908] = { .lex_state = 804 },
    [909] = { .lex_state = 804 },
    [910] = { .lex_state = 92 },
    [911] = { .lex_state = 804 },
    [912] = { .lex_state = 804 },
    [913] = { .lex_state = 804 },
    [914] = { .lex_state = 75 },
    [915] = { .lex_state = 75 },
    [916] = { .lex_state = 804 },
    [917] = { .lex_state = 75 },
    [918] = { .lex_state = 804 },
    [919] = { .lex_state = 804 },
    [920] = { .lex_state = 804 },
    [921] = { .lex_state = 804 },
    [922] = { .lex_state = 804 },
    [923] = { .lex_state = 804 },
    [924] = { .lex_state = 75 },
    [925] = { .lex_state = 80 },
    [926] = { .lex_state = 804 },
    [927] = { .lex_state = 804 },
    [928] = { .lex_state = 74 },
    [929] = { .lex_state = 804 },
    [930] = { .lex_state = 804 },
    [931] = { .lex_state = 804 },
    [932] = { .lex_state = 804 },
    [933] = { .lex_state = 804 },
    [934] = { .lex_state = 92 },
    [935] = { .lex_state = 804 },
    [936] = { .lex_state = 804 },
    [937] = { .lex_state = 804 },
    [938] = { .lex_state = 804 },
    [939] = { .lex_state = 92 },
    [940] = { .lex_state = 92 },
    [941] = { .lex_state = 804 },
    [942] = { .lex_state = 804 },
    [943] = { .lex_state = 92 },
    [944] = { .lex_state = 804 },
    [945] = { .lex_state = 804 },
    [946] = { .lex_state = 75 },
    [947] = { .lex_state = 92 },
    [948] = { .lex_state = 75 },
    [949] = { .lex_state = 804 },
    [950] = { .lex_state = 804 },
    [951] = { .lex_state = 804 },
    [952] = { .lex_state = 804 },
    [953] = { .lex_state = 804 },
    [954] = { .lex_state = 804 },
    [955] = { .lex_state = 804 },
    [956] = { .lex_state = 804 },
    [957] = { .lex_state = 804 },
    [958] = { .lex_state = 804 },
    [959] = { .lex_state = 804 },
    [960] = { .lex_state = 804 },
    [961] = { .lex_state = 804 },
    [962] = { .lex_state = 804 },
    [963] = { .lex_state = 804 },
    [964] = { .lex_state = 804 },
    [965] = { .lex_state = 804 },
    [966] = { .lex_state = 804 },
    [967] = { .lex_state = 804 },
    [968] = { .lex_state = 804 },
    [969] = { .lex_state = 804 },
    [970] = { .lex_state = 804 },
    [971] = { .lex_state = 804 },
    [972] = { .lex_state = 804 },
    [973] = { .lex_state = 804 },
    [974] = { .lex_state = 804 },
    [975] = { .lex_state = 804 },
    [976] = { .lex_state = 804 },
    [977] = { .lex_state = 804 },
    [978] = { .lex_state = 804 },
    [979] = { .lex_state = 804 },
    [980] = { .lex_state = 804 },
    [981] = { .lex_state = 75 },
    [982] = { .lex_state = 804 },
    [983] = { .lex_state = 804 },
    [984] = { .lex_state = 804 },
    [985] = { .lex_state = 75 },
    [986] = { .lex_state = 804 },
    [987] = { .lex_state = 804 },
    [988] = { .lex_state = 804 },
    [989] = { .lex_state = 92 },
    [990] = { .lex_state = 804 },
    [991] = { .lex_state = 804 },
    [992] = { .lex_state = 804 },
    [993] = { .lex_state = 804 },
    [994] = { .lex_state = 60 },
    [995] = { .lex_state = 60 },
    [996] = { .lex_state = 74 },
    [997] = { .lex_state = 804 },
    [998] = { .lex_state = 804 },
    [999] = { .lex_state = 804 },
    [1000] = { .lex_state = 804 },
    [1001] = { .lex_state = 804 },
    [1002] = { .lex_state = 804 },
    [1003] = { .lex_state = 804 },
    [1004] = { .lex_state = 75 },
    [1005] = { .lex_state = 75 },
    [1006] = { .lex_state = 804 },
    [1007] = { .lex_state = 804 },
    [1008] = { .lex_state = 804 },
    [1009] = { .lex_state = 804 },
    [1010] = { .lex_state = 804 },
    [1011] = { .lex_state = 75 },
    [1012] = { .lex_state = 804 },
    [1013] = { .lex_state = 804 },
    [1014] = { .lex_state = 92 },
    [1015] = { .lex_state = 804 },
    [1016] = { .lex_state = 75 },
    [1017] = { .lex_state = 804 },
    [1018] = { .lex_state = 804 },
    [1019] = { .lex_state = 74 },
    [1020] = { .lex_state = 74 },
    [1021] = { .lex_state = 74 },
    [1022] = { .lex_state = 75 },
    [1023] = { .lex_state = 74 },
    [1024] = { .lex_state = 804 },
    [1025] = { .lex_state = 804 },
    [1026] = { .lex_state = 804 },
    [1027] = { .lex_state = 74 },
    [1028] = { .lex_state = 804 },
    [1029] = { .lex_state = 804 },
    [1030] = { .lex_state = 804 },
    [1031] = { .lex_state = 804 },
    [1032] = { .lex_state = 804 },
    [1033] = { .lex_state = 804 },
    [1034] = { .lex_state = 804 },
    [1035] = { .lex_state = 804 },
    [1036] = { .lex_state = 804 },
    [1037] = { .lex_state = 75 },
    [1038] = { .lex_state = 804 },
    [1039] = { .lex_state = 804 },
    [1040] = { .lex_state = 60 },
    [1041] = { .lex_state = 92 },
    [1042] = { .lex_state = 804 },
    [1043] = { .lex_state = 804 },
    [1044] = { .lex_state = 75 },
    [1045] = { .lex_state = 75 },
    [1046] = { .lex_state = 75 },
    [1047] = { .lex_state = 75 },
    [1048] = { .lex_state = 75 },
    [1049] = { .lex_state = 804 },
    [1050] = { .lex_state = 804 },
    [1051] = { .lex_state = 75 },
    [1052] = { .lex_state = 804 },
    [1053] = { .lex_state = 804 },
    [1054] = { .lex_state = 804 },
    [1055] = { .lex_state = 804 },
    [1056] = { .lex_state = 75 },
    [1057] = { .lex_state = 92 },
    [1058] = { .lex_state = 804 },
    [1059] = { .lex_state = 804 },
    [1060] = { .lex_state = 75 },
    [1061] = { .lex_state = 804 },
    [1062] = { .lex_state = 804 },
    [1063] = { .lex_state = 804 },
    [1064] = { .lex_state = 804 },
    [1065] = { .lex_state = 804 },
    [1066] = { .lex_state = 804 },
    [1067] = { .lex_state = 804 },
    [1068] = { .lex_state = 804 },
    [1069] = { .lex_state = 804 },
    [1070] = { .lex_state = 804 },
    [1071] = { .lex_state = 804 },
    [1072] = { .lex_state = 804 },
    [1073] = { .lex_state = 804 },
    [1074] = { .lex_state = 804 },
    [1075] = { .lex_state = 804 },
    [1076] = { .lex_state = 804 },
    [1077] = { .lex_state = 804 },
    [1078] = { .lex_state = 804 },
    [1079] = { .lex_state = 804 },
    [1080] = { .lex_state = 804 },
    [1081] = { .lex_state = 75 },
    [1082] = { .lex_state = 75 },
    [1083] = { .lex_state = 804 },
    [1084] = { .lex_state = 804 },
    [1085] = { .lex_state = 804 },
    [1086] = { .lex_state = 804 },
    [1087] = { .lex_state = 804 },
    [1088] = { .lex_state = 92 },
    [1089] = { .lex_state = 75 },
    [1090] = { .lex_state = 75 },
    [1091] = { .lex_state = 75 },
    [1092] = { .lex_state = 804 },
    [1093] = { .lex_state = 75 },
    [1094] = { .lex_state = 804 },
    [1095] = { .lex_state = 804 },
    [1096] = { .lex_state = 1546 },
    [1097] = { .lex_state = 804 },
    [1098] = { .lex_state = 804 },
    [1099] = { .lex_state = 804 },
    [1100] = { .lex_state = 804 },
    [1101] = { .lex_state = 804 },
    [1102] = { .lex_state = 804 },
    [1103] = { .lex_state = 804 },
    [1104] = { .lex_state = 804 },
    [1105] = { .lex_state = 804 },
    [1106] = { .lex_state = 804 },
    [1107] = { .lex_state = 804 },
    [1108] = { .lex_state = 804 },
    [1109] = { .lex_state = 804 },
    [1110] = { .lex_state = 804 },
    [1111] = { .lex_state = 804 },
    [1112] = { .lex_state = 804 },
    [1113] = { .lex_state = 804 },
    [1114] = { .lex_state = 804 },
    [1115] = { .lex_state = 804 },
    [1116] = { .lex_state = 804 },
    [1117] = { .lex_state = 804 },
    [1118] = { .lex_state = 804 },
    [1119] = { .lex_state = 804 },
    [1120] = { .lex_state = 804 },
    [1121] = { .lex_state = 804 },
    [1122] = { .lex_state = 75 },
    [1123] = { .lex_state = 804 },
    [1124] = { .lex_state = 804 },
    [1125] = { .lex_state = 804 },
    [1126] = { .lex_state = 75 },
    [1127] = { .lex_state = 804 },
    [1128] = { .lex_state = 804 },
    [1129] = { .lex_state = 804 },
    [1130] = { .lex_state = 804 },
    [1131] = { .lex_state = 804 },
    [1132] = { .lex_state = 804 },
    [1133] = { .lex_state = 804 },
    [1134] = { .lex_state = 804 },
    [1135] = { .lex_state = 804 },
    [1136] = { .lex_state = 804 },
    [1137] = { .lex_state = 804 },
    [1138] = { .lex_state = 804 },
    [1139] = { .lex_state = 804 },
    [1140] = { .lex_state = 804 },
    [1141] = { .lex_state = 804 },
    [1142] = { .lex_state = 804 },
    [1143] = { .lex_state = 804 },
    [1144] = { .lex_state = 804 },
    [1145] = { .lex_state = 804 },
    [1146] = { .lex_state = 804 },
    [1147] = { .lex_state = 804 },
    [1148] = { .lex_state = 804 },
    [1149] = { .lex_state = 804 },
    [1150] = { .lex_state = 804 },
    [1151] = { .lex_state = 804 },
    [1152] = { .lex_state = 75 },
    [1153] = { .lex_state = 75 },
    [1154] = { .lex_state = 75 },
    [1155] = { .lex_state = 804 },
    [1156] = { .lex_state = 804 },
    [1157] = { .lex_state = 804 },
    [1158] = { .lex_state = 804 },
    [1159] = { .lex_state = 804 },
    [1160] = { .lex_state = 75 },
    [1161] = { .lex_state = 804 },
    [1162] = { .lex_state = 804 },
    [1163] = { .lex_state = 804 },
    [1164] = { .lex_state = 75 },
    [1165] = { .lex_state = 92 },
    [1166] = { .lex_state = 75 },
    [1167] = { .lex_state = 75 },
    [1168] = { .lex_state = 804 },
    [1169] = { .lex_state = 60 },
    [1170] = { .lex_state = 951 },
    [1171] = { .lex_state = 60 },
    [1172] = { .lex_state = 804 },
    [1173] = { .lex_state = 804 },
    [1174] = { .lex_state = 804 },
    [1175] = { .lex_state = 804 },
    [1176] = { .lex_state = 804 },
    [1177] = { .lex_state = 804 },
    [1178] = { .lex_state = 804 },
    [1179] = { .lex_state = 92 },
    [1180] = { .lex_state = 804 },
    [1181] = { .lex_state = 804 },
    [1182] = { .lex_state = 804 },
    [1183] = { .lex_state = 804 },
    [1184] = { .lex_state = 804 },
    [1185] = { .lex_state = 804 },
    [1186] = { .lex_state = 74 },
    [1187] = { .lex_state = 804 },
    [1188] = { .lex_state = 804 },
    [1189] = { .lex_state = 75 },
    [1190] = { .lex_state = 804 },
    [1191] = { .lex_state = 804 },
    [1192] = { .lex_state = 804 },
    [1193] = { .lex_state = 804 },
    [1194] = { .lex_state = 804 },
    [1195] = { .lex_state = 75 },
    [1196] = { .lex_state = 804 },
    [1197] = { .lex_state = 804 },
    [1198] = { .lex_state = 804 },
    [1199] = { .lex_state = 804 },
    [1200] = { .lex_state = 75 },
    [1201] = { .lex_state = 804 },
    [1202] = { .lex_state = 804 },
    [1203] = { .lex_state = 75 },
    [1204] = { .lex_state = 75 },
    [1205] = { .lex_state = 75 },
    [1206] = { .lex_state = 74 },
    [1207] = { .lex_state = 804 },
    [1208] = { .lex_state = 75 },
    [1209] = { .lex_state = 75 },
    [1210] = { .lex_state = 75 },
    [1211] = { .lex_state = 75 },
    [1212] = { .lex_state = 75 },
    [1213] = { .lex_state = 804 },
    [1214] = { .lex_state = 75 },
    [1215] = { .lex_state = 75 },
    [1216] = { .lex_state = 75 },
    [1217] = { .lex_state = 75 },
    [1218] = { .lex_state = 74 },
    [1219] = { .lex_state = 75 },
    [1220] = { .lex_state = 804 },
    [1221] = { .lex_state = 927 },
    [1222] = { .lex_state = 804 },
    [1223] = { .lex_state = 88 },
    [1224] = { .lex_state = 804 },
    [1225] = { .lex_state = 804 },
    [1226] = { .lex_state = 804 },
    [1227] = { .lex_state = 804 },
    [1228] = { .lex_state = 804 },
    [1229] = { .lex_state = 804 },
    [1230] = { .lex_state = 804 },
    [1231] = { .lex_state = 804 },
    [1232] = { .lex_state = 804 },
    [1233] = { .lex_state = 804 },
    [1234] = { .lex_state = 804 },
    [1235] = { .lex_state = 804 },
    [1236] = { .lex_state = 804 },
    [1237] = { .lex_state = 804 },
    [1238] = { .lex_state = 804 },
    [1239] = { .lex_state = 804 },
    [1240] = { .lex_state = 804 },
    [1241] = { .lex_state = 804 },
    [1242] = { .lex_state = 804 },
    [1243] = { .lex_state = 804 },
    [1244] = { .lex_state = 804 },
    [1245] = { .lex_state = 804 },
    [1246] = { .lex_state = 804 },
    [1247] = { .lex_state = 804 },
    [1248] = { .lex_state = 804 },
    [1249] = { .lex_state = 804 },
    [1250] = { .lex_state = 804 },
    [1251] = { .lex_state = 804 },
    [1252] = { .lex_state = 804 },
    [1253] = { .lex_state = 804 },
    [1254] = { .lex_state = 804 },
    [1255] = { .lex_state = 804 },
    [1256] = { .lex_state = 804 },
    [1257] = { .lex_state = 804 },
    [1258] = { .lex_state = 804 },
    [1259] = { .lex_state = 804 },
    [1260] = { .lex_state = 804 },
    [1261] = { .lex_state = 804 },
    [1262] = { .lex_state = 804 },
    [1263] = { .lex_state = 804 },
    [1264] = { .lex_state = 804 },
    [1265] = { .lex_state = 804 },
    [1266] = { .lex_state = 804 },
    [1267] = { .lex_state = 804 },
    [1268] = { .lex_state = 804 },
    [1269] = { .lex_state = 804 },
    [1270] = { .lex_state = 804 },
    [1271] = { .lex_state = 804 },
    [1272] = { (TSStateId)(-1) },
    [1273] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [anon_sym_char] = ACTIONS(1),
        [anon_sym_wchar] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_id] = ACTIONS(1),
        [anon_sym_autoid] = ACTIONS(1),
        [anon_sym_SEQUENTIAL] = ACTIONS(1),
        [anon_sym_HASH] = ACTIONS(1),
        [anon_sym_optional] = ACTIONS(1),
        [anon_sym_position] = ACTIONS(1),
        [anon_sym_value] = ACTIONS(1),
        [anon_sym_extensibility] = ACTIONS(1),
        [anon_sym_FINAL] = ACTIONS(1),
        [anon_sym_APPENDABLE] = ACTIONS(1),
        [anon_sym_MUTABLE] = ACTIONS(1),
        [anon_sym_final] = ACTIONS(1),
        [anon_sym_appendable] = ACTIONS(1),
        [anon_sym_mutable] = ACTIONS(1),
        [anon_sym_key] = ACTIONS(1),
        [anon_sym_must_understand] = ACTIONS(1),
        [anon_sym_default_literal] = ACTIONS(1),
        [anon_sym_range] = ACTIONS(1),
        [anon_sym_min] = ACTIONS(1),
        [anon_sym_max] = ACTIONS(1),
        [anon_sym_unit] = ACTIONS(1),
        [anon_sym_bit_bound] = ACTIONS(1),
        [anon_sym_external] = ACTIONS(1),
        [anon_sym_nested] = ACTIONS(1),
        [anon_sym_verbatim] = ACTIONS(1),
        [anon_sym_c] = ACTIONS(1),
        [anon_sym_c_PLUS_PLUS] = ACTIONS(1),
        [anon_sym_java] = ACTIONS(1),
        [anon_sym_idl] = ACTIONS(1),
        [anon_sym_BEGIN_FILE] = ACTIONS(1),
        [anon_sym_BEFORE_DECLARATION] = ACTIONS(1),
        [anon_sym_BEGIN_DECLARATION] = ACTIONS(1),
        [anon_sym_END_DECLARATION] = ACTIONS(1),
        [anon_sym_AFTER_DECLARATION] = ACTIONS(1),
        [anon_sym_END_FILE] = ACTIONS(1),
        [anon_sym_service] = ACTIONS(1),
        [anon_sym_CORBA] = ACTIONS(1),
        [anon_sym_DDS] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_ami] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_ATignore_literal_names] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1197),
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1059),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(728),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1059),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1059),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_element] = STATE(54),
        [sym_state_member] = STATE(55),
        [sym_init_dcl] = STATE(55),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1059),
        [sym_import_dcl] = STATE(1059),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(728),
        [sym_op_with_context] = STATE(1059),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1059),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1059),
        [sym_comment] = STATE(2),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_value_def_repeat1] = STATE(6),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(113),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1095),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(625),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1095),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1095),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1095),
        [sym_import_dcl] = STATE(1095),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(625),
        [sym_op_with_context] = STATE(1095),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_home_body] = STATE(1003),
        [sym_home_export] = STATE(60),
        [sym_factory_dcl] = STATE(864),
        [sym_finder_dcl] = STATE(864),
        [sym_type_dcl] = STATE(1095),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1095),
        [sym_comment] = STATE(3),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(157),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(159),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(161),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1059),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(728),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1059),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1059),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_element] = STATE(54),
        [sym_state_member] = STATE(55),
        [sym_init_dcl] = STATE(55),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1059),
        [sym_import_dcl] = STATE(1059),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(728),
        [sym_op_with_context] = STATE(1059),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1059),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1059),
        [sym_comment] = STATE(4),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_value_def_repeat1] = STATE(5),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(163),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1059),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(728),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1059),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1059),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_element] = STATE(54),
        [sym_state_member] = STATE(55),
        [sym_init_dcl] = STATE(55),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1059),
        [sym_import_dcl] = STATE(1059),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(728),
        [sym_op_with_context] = STATE(1059),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1059),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1059),
        [sym_comment] = STATE(5),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(165),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1059),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(728),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1059),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1059),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_element] = STATE(54),
        [sym_state_member] = STATE(55),
        [sym_init_dcl] = STATE(55),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1059),
        [sym_import_dcl] = STATE(1059),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(728),
        [sym_op_with_context] = STATE(1059),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1059),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1059),
        [sym_comment] = STATE(6),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(167),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1059),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(728),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1059),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1059),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_element] = STATE(54),
        [sym_state_member] = STATE(55),
        [sym_init_dcl] = STATE(55),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1059),
        [sym_import_dcl] = STATE(1059),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(728),
        [sym_op_with_context] = STATE(1059),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1059),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1059),
        [sym_comment] = STATE(7),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(169),
        [anon_sym_int16] = ACTIONS(169),
        [anon_sym_long] = ACTIONS(172),
        [anon_sym_int32] = ACTIONS(172),
        [anon_sym_longlong] = ACTIONS(175),
        [anon_sym_int64] = ACTIONS(178),
        [sym_unsigned_tiny_int] = ACTIONS(181),
        [sym_boolean_type] = ACTIONS(184),
        [anon_sym_fixed] = ACTIONS(187),
        [sym_octet_type] = ACTIONS(184),
        [sym_signed_tiny_int] = ACTIONS(190),
        [anon_sym_unsignedshort] = ACTIONS(193),
        [anon_sym_uint16] = ACTIONS(196),
        [anon_sym_unsignedlong] = ACTIONS(199),
        [anon_sym_uint32] = ACTIONS(199),
        [anon_sym_unsignedlonglong] = ACTIONS(202),
        [anon_sym_uint64] = ACTIONS(205),
        [anon_sym_float] = ACTIONS(208),
        [anon_sym_double] = ACTIONS(208),
        [anon_sym_longdouble] = ACTIONS(211),
        [anon_sym_char] = ACTIONS(214),
        [anon_sym_wchar] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(217),
        [anon_sym_string] = ACTIONS(220),
        [anon_sym_wstring] = ACTIONS(220),
        [anon_sym_any] = ACTIONS(223),
        [anon_sym_sequence] = ACTIONS(226),
        [anon_sym_map] = ACTIONS(229),
        [anon_sym_exception] = ACTIONS(232),
        [anon_sym_RBRACE] = ACTIONS(235),
        [anon_sym_abstract] = ACTIONS(237),
        [anon_sym_void] = ACTIONS(240),
        [anon_sym_readonly] = ACTIONS(243),
        [anon_sym_attribute] = ACTIONS(246),
        [anon_sym_bitset] = ACTIONS(249),
        [anon_sym_bitmask] = ACTIONS(252),
        [anon_sym_AT] = ACTIONS(255),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(258),
        [anon_sym_oneway] = ACTIONS(261),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(267),
        [anon_sym_union] = ACTIONS(270),
        [anon_sym_enum] = ACTIONS(273),
        [anon_sym_const] = ACTIONS(276),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(282),
        [anon_sym_private] = ACTIONS(282),
        [anon_sym_factory] = ACTIONS(285),
        [anon_sym_typedef] = ACTIONS(288),
        [anon_sym_ATignore_literal_names] = ACTIONS(291),
        [anon_sym_typeid] = ACTIONS(294),
        [anon_sym_import] = ACTIONS(297),
        [anon_sym_Object] = ACTIONS(300),
        [sym_value_base_type] = ACTIONS(184),
        [anon_sym_native] = ACTIONS(303),
        [sym_identifier] = ACTIONS(306),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1095),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(625),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1095),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1095),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1095),
        [sym_import_dcl] = STATE(1095),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(625),
        [sym_op_with_context] = STATE(1095),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_home_export] = STATE(60),
        [sym_factory_dcl] = STATE(864),
        [sym_finder_dcl] = STATE(864),
        [sym_type_dcl] = STATE(1095),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1095),
        [sym_comment] = STATE(8),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(309),
        [anon_sym_int16] = ACTIONS(309),
        [anon_sym_long] = ACTIONS(312),
        [anon_sym_int32] = ACTIONS(312),
        [anon_sym_longlong] = ACTIONS(315),
        [anon_sym_int64] = ACTIONS(318),
        [sym_unsigned_tiny_int] = ACTIONS(321),
        [sym_boolean_type] = ACTIONS(324),
        [anon_sym_fixed] = ACTIONS(327),
        [sym_octet_type] = ACTIONS(324),
        [sym_signed_tiny_int] = ACTIONS(330),
        [anon_sym_unsignedshort] = ACTIONS(333),
        [anon_sym_uint16] = ACTIONS(336),
        [anon_sym_unsignedlong] = ACTIONS(339),
        [anon_sym_uint32] = ACTIONS(339),
        [anon_sym_unsignedlonglong] = ACTIONS(342),
        [anon_sym_uint64] = ACTIONS(345),
        [anon_sym_float] = ACTIONS(348),
        [anon_sym_double] = ACTIONS(348),
        [anon_sym_longdouble] = ACTIONS(351),
        [anon_sym_char] = ACTIONS(354),
        [anon_sym_wchar] = ACTIONS(354),
        [anon_sym_COLON_COLON] = ACTIONS(357),
        [anon_sym_string] = ACTIONS(360),
        [anon_sym_wstring] = ACTIONS(360),
        [anon_sym_any] = ACTIONS(363),
        [anon_sym_sequence] = ACTIONS(366),
        [anon_sym_map] = ACTIONS(369),
        [anon_sym_exception] = ACTIONS(372),
        [anon_sym_RBRACE] = ACTIONS(375),
        [anon_sym_abstract] = ACTIONS(377),
        [anon_sym_void] = ACTIONS(380),
        [anon_sym_readonly] = ACTIONS(383),
        [anon_sym_attribute] = ACTIONS(386),
        [anon_sym_bitset] = ACTIONS(389),
        [anon_sym_bitmask] = ACTIONS(392),
        [anon_sym_AT] = ACTIONS(395),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(398),
        [anon_sym_oneway] = ACTIONS(401),
        [anon_sym_valuetype] = ACTIONS(404),
        [anon_sym_struct] = ACTIONS(407),
        [anon_sym_union] = ACTIONS(410),
        [anon_sym_enum] = ACTIONS(413),
        [anon_sym_const] = ACTIONS(416),
        [anon_sym_custom] = ACTIONS(419),
        [anon_sym_factory] = ACTIONS(422),
        [anon_sym_typedef] = ACTIONS(425),
        [anon_sym_ATignore_literal_names] = ACTIONS(428),
        [anon_sym_typeid] = ACTIONS(431),
        [anon_sym_import] = ACTIONS(434),
        [anon_sym_Object] = ACTIONS(437),
        [sym_value_base_type] = ACTIONS(324),
        [anon_sym_finder] = ACTIONS(440),
        [anon_sym_native] = ACTIONS(443),
        [sym_identifier] = ACTIONS(446),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1095),
        [sym_export] = STATE(61),
        [sym_op_dcl] = STATE(625),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1095),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1095),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1095),
        [sym_import_dcl] = STATE(1095),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(625),
        [sym_op_with_context] = STATE(1095),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_home_export] = STATE(60),
        [sym_factory_dcl] = STATE(864),
        [sym_finder_dcl] = STATE(864),
        [sym_type_dcl] = STATE(1095),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1095),
        [sym_comment] = STATE(9),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(449),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(159),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(161),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_interface_body] = STATE(1017),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(10),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(451),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_interface_body] = STATE(902),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(11),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(453),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(12),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(455),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(13),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(19),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(457),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(14),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(21),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(459),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(15),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(461),
        [anon_sym_int16] = ACTIONS(461),
        [anon_sym_long] = ACTIONS(464),
        [anon_sym_int32] = ACTIONS(464),
        [anon_sym_longlong] = ACTIONS(467),
        [anon_sym_int64] = ACTIONS(470),
        [sym_unsigned_tiny_int] = ACTIONS(473),
        [sym_boolean_type] = ACTIONS(476),
        [anon_sym_fixed] = ACTIONS(479),
        [sym_octet_type] = ACTIONS(476),
        [sym_signed_tiny_int] = ACTIONS(482),
        [anon_sym_unsignedshort] = ACTIONS(485),
        [anon_sym_uint16] = ACTIONS(488),
        [anon_sym_unsignedlong] = ACTIONS(491),
        [anon_sym_uint32] = ACTIONS(491),
        [anon_sym_unsignedlonglong] = ACTIONS(494),
        [anon_sym_uint64] = ACTIONS(497),
        [anon_sym_float] = ACTIONS(500),
        [anon_sym_double] = ACTIONS(500),
        [anon_sym_longdouble] = ACTIONS(503),
        [anon_sym_char] = ACTIONS(506),
        [anon_sym_wchar] = ACTIONS(506),
        [anon_sym_COLON_COLON] = ACTIONS(509),
        [anon_sym_string] = ACTIONS(512),
        [anon_sym_wstring] = ACTIONS(512),
        [anon_sym_any] = ACTIONS(515),
        [anon_sym_sequence] = ACTIONS(518),
        [anon_sym_map] = ACTIONS(521),
        [anon_sym_exception] = ACTIONS(524),
        [anon_sym_RBRACE] = ACTIONS(527),
        [anon_sym_abstract] = ACTIONS(529),
        [anon_sym_void] = ACTIONS(532),
        [anon_sym_readonly] = ACTIONS(535),
        [anon_sym_attribute] = ACTIONS(538),
        [anon_sym_bitset] = ACTIONS(541),
        [anon_sym_bitmask] = ACTIONS(544),
        [anon_sym_AT] = ACTIONS(547),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(550),
        [anon_sym_oneway] = ACTIONS(553),
        [anon_sym_valuetype] = ACTIONS(556),
        [anon_sym_struct] = ACTIONS(559),
        [anon_sym_union] = ACTIONS(562),
        [anon_sym_enum] = ACTIONS(565),
        [anon_sym_const] = ACTIONS(568),
        [anon_sym_custom] = ACTIONS(571),
        [anon_sym_typedef] = ACTIONS(574),
        [anon_sym_ATignore_literal_names] = ACTIONS(577),
        [anon_sym_typeid] = ACTIONS(580),
        [anon_sym_import] = ACTIONS(583),
        [anon_sym_Object] = ACTIONS(586),
        [sym_value_base_type] = ACTIONS(476),
        [anon_sym_native] = ACTIONS(589),
        [sym_identifier] = ACTIONS(592),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(16),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(17),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(17),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(459),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(18),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(19),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(20),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(599),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(1022),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_except_dcl] = STATE(1018),
        [sym_export] = STATE(68),
        [sym_op_dcl] = STATE(633),
        [sym_op_type_spec] = STATE(1016),
        [sym_attr_dcl] = STATE(1018),
        [sym_readonly_attr_spec] = STATE(1015),
        [sym_attr_spec] = STATE(1015),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_value_dcl] = STATE(1018),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1018),
        [sym_import_dcl] = STATE(1018),
        [sym_object_type] = STATE(470),
        [sym_op_oneway_dcl] = STATE(633),
        [sym_op_with_context] = STATE(1018),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_type_dcl] = STATE(1018),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1018),
        [sym_comment] = STATE(21),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(601),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(255),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(805),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_const_expr] = STATE(805),
        [sym_or_expr] = STATE(350),
        [sym_xor_expr] = STATE(295),
        [sym_and_expr] = STATE(283),
        [sym_shift_expr] = STATE(269),
        [sym_add_expr] = STATE(254),
        [sym_mult_expr] = STATE(244),
        [sym_unary_expr] = STATE(242),
        [sym_primary_expr] = STATE(240),
        [sym_unary_operator] = STATE(183),
        [sym_literal] = STATE(236),
        [sym_integer_literal] = STATE(217),
        [sym_integer_sign] = STATE(334),
        [sym_oct_number] = STATE(218),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(217),
        [sym_fixed_pt_literal] = STATE(217),
        [sym_string_literal] = STATE(217),
        [sym_wide_string_literal] = STATE(217),
        [sym_char_literal] = STATE(217),
        [sym_wide_character_literal] = STATE(217),
        [sym_boolean_literal] = STATE(217),
        [sym_actual_parameters] = STATE(943),
        [sym_actual_parameter] = STATE(585),
        [sym_object_type] = STATE(470),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(603),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(605),
        [anon_sym_DASH] = ACTIONS(605),
        [anon_sym_LPAREN] = ACTIONS(607),
        [anon_sym_TILDE] = ACTIONS(609),
        [sym_bin_number] = ACTIONS(611),
        [aux_sym_oct_number_token1] = ACTIONS(613),
        [aux_sym_oct_number_token2] = ACTIONS(613),
        [anon_sym_0] = ACTIONS(615),
        [aux_sym_dec_number_token1] = ACTIONS(615),
        [sym_hex_number] = ACTIONS(611),
        [anon_sym_DQUOTE] = ACTIONS(617),
        [anon_sym_L] = ACTIONS(619),
        [anon_sym_SQUOTE] = ACTIONS(621),
        [anon_sym_TRUE] = ACTIONS(623),
        [anon_sym_FALSE] = ACTIONS(623),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(625),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(255),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(805),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_const_expr] = STATE(805),
        [sym_or_expr] = STATE(350),
        [sym_xor_expr] = STATE(295),
        [sym_and_expr] = STATE(283),
        [sym_shift_expr] = STATE(269),
        [sym_add_expr] = STATE(254),
        [sym_mult_expr] = STATE(244),
        [sym_unary_expr] = STATE(242),
        [sym_primary_expr] = STATE(240),
        [sym_unary_operator] = STATE(183),
        [sym_literal] = STATE(236),
        [sym_integer_literal] = STATE(217),
        [sym_integer_sign] = STATE(334),
        [sym_oct_number] = STATE(218),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(217),
        [sym_fixed_pt_literal] = STATE(217),
        [sym_string_literal] = STATE(217),
        [sym_wide_string_literal] = STATE(217),
        [sym_char_literal] = STATE(217),
        [sym_wide_character_literal] = STATE(217),
        [sym_boolean_literal] = STATE(217),
        [sym_actual_parameter] = STATE(781),
        [sym_object_type] = STATE(470),
        [sym_comment] = STATE(23),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(603),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(605),
        [anon_sym_DASH] = ACTIONS(605),
        [anon_sym_LPAREN] = ACTIONS(607),
        [anon_sym_TILDE] = ACTIONS(609),
        [sym_bin_number] = ACTIONS(611),
        [aux_sym_oct_number_token1] = ACTIONS(613),
        [aux_sym_oct_number_token2] = ACTIONS(613),
        [anon_sym_0] = ACTIONS(615),
        [aux_sym_dec_number_token1] = ACTIONS(615),
        [sym_hex_number] = ACTIONS(611),
        [anon_sym_DQUOTE] = ACTIONS(617),
        [anon_sym_L] = ACTIONS(619),
        [anon_sym_SQUOTE] = ACTIONS(621),
        [anon_sym_TRUE] = ACTIONS(623),
        [anon_sym_FALSE] = ACTIONS(623),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(625),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(25),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [ts_builtin_sym_end] = ACTIONS(627),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(25),
        [aux_sym_specification_repeat1] = STATE(25),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [ts_builtin_sym_end] = ACTIONS(629),
        [anon_sym_POUNDdefine] = ACTIONS(631),
        [sym_preproc_directive] = ACTIONS(634),
        [aux_sym_preproc_include_token1] = ACTIONS(637),
        [anon_sym_exception] = ACTIONS(640),
        [anon_sym_local] = ACTIONS(643),
        [anon_sym_abstract] = ACTIONS(646),
        [anon_sym_interface] = ACTIONS(649),
        [anon_sym_bitset] = ACTIONS(652),
        [anon_sym_bitmask] = ACTIONS(655),
        [anon_sym_ATannotation] = ACTIONS(658),
        [anon_sym_AT] = ACTIONS(661),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(664),
        [anon_sym_module] = ACTIONS(667),
        [anon_sym_valuetype] = ACTIONS(670),
        [anon_sym_eventtype] = ACTIONS(673),
        [anon_sym_struct] = ACTIONS(676),
        [anon_sym_union] = ACTIONS(679),
        [anon_sym_enum] = ACTIONS(682),
        [anon_sym_const] = ACTIONS(685),
        [anon_sym_custom] = ACTIONS(688),
        [anon_sym_typedef] = ACTIONS(691),
        [anon_sym_ATignore_literal_names] = ACTIONS(694),
        [anon_sym_typeid] = ACTIONS(697),
        [anon_sym_typeprefix] = ACTIONS(700),
        [anon_sym_import] = ACTIONS(703),
        [anon_sym_component] = ACTIONS(706),
        [anon_sym_home] = ACTIONS(709),
        [anon_sym_porttype] = ACTIONS(712),
        [anon_sym_connector] = ACTIONS(715),
        [anon_sym_native] = ACTIONS(718),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1196),
        [sym_template_module_ref] = STATE(1198),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(26),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(721),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(723),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1196),
        [sym_template_module_ref] = STATE(1198),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(27),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(725),
        [anon_sym_RBRACE] = ACTIONS(728),
        [anon_sym_local] = ACTIONS(730),
        [anon_sym_abstract] = ACTIONS(733),
        [anon_sym_interface] = ACTIONS(736),
        [anon_sym_bitset] = ACTIONS(739),
        [anon_sym_bitmask] = ACTIONS(742),
        [anon_sym_ATannotation] = ACTIONS(745),
        [anon_sym_AT] = ACTIONS(748),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(751),
        [anon_sym_module] = ACTIONS(754),
        [anon_sym_valuetype] = ACTIONS(757),
        [anon_sym_eventtype] = ACTIONS(760),
        [anon_sym_struct] = ACTIONS(763),
        [anon_sym_union] = ACTIONS(766),
        [anon_sym_enum] = ACTIONS(769),
        [anon_sym_const] = ACTIONS(772),
        [anon_sym_alias] = ACTIONS(775),
        [anon_sym_custom] = ACTIONS(778),
        [anon_sym_typedef] = ACTIONS(781),
        [anon_sym_ATignore_literal_names] = ACTIONS(784),
        [anon_sym_typeid] = ACTIONS(787),
        [anon_sym_typeprefix] = ACTIONS(790),
        [anon_sym_import] = ACTIONS(793),
        [anon_sym_component] = ACTIONS(796),
        [anon_sym_home] = ACTIONS(799),
        [anon_sym_porttype] = ACTIONS(802),
        [anon_sym_connector] = ACTIONS(805),
        [anon_sym_native] = ACTIONS(808),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1196),
        [sym_template_module_ref] = STATE(1198),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(28),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(811),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(723),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(187),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(29),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_module_dcl_repeat1] = STATE(30),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(813),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(187),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(30),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_module_dcl_repeat1] = STATE(31),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(815),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_except_dcl] = STATE(1196),
        [sym_interface_dcl] = STATE(1196),
        [sym_interface_kind] = STATE(1195),
        [sym_interface_forward_dcl] = STATE(1194),
        [sym_interface_def] = STATE(1194),
        [sym_interface_header] = STATE(1193),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_dcl] = STATE(1196),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_template_module_dcl] = STATE(1196),
        [sym_template_module_inst] = STATE(1196),
        [sym_value_dcl] = STATE(1196),
        [sym_value_def] = STATE(1191),
        [sym_value_kind] = STATE(1189),
        [sym_value_header] = STATE(1188),
        [sym_value_forward_dcl] = STATE(1191),
        [sym_typedef_dcl] = STATE(1187),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_type_id_dcl] = STATE(1196),
        [sym_type_prefix_dcl] = STATE(1196),
        [sym_import_dcl] = STATE(1196),
        [sym_value_box_def] = STATE(1191),
        [sym_value_abs_def] = STATE(1191),
        [sym_component_dcl] = STATE(1196),
        [sym_component_forward_dcl] = STATE(1184),
        [sym_component_def] = STATE(1184),
        [sym_component_header] = STATE(1183),
        [sym_home_dcl] = STATE(1196),
        [sym_home_header] = STATE(1182),
        [sym_event_dcl] = STATE(1196),
        [sym_event_forward_dcl] = STATE(1181),
        [sym_event_abs_def] = STATE(1181),
        [sym_event_def] = STATE(1181),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1196),
        [sym_porttype_forward_dcl] = STATE(1178),
        [sym_porttype_def] = STATE(1178),
        [sym_connector_dcl] = STATE(1196),
        [sym_connector_header] = STATE(1176),
        [sym_definition] = STATE(187),
        [sym_type_dcl] = STATE(1196),
        [sym_constr_type_dcl] = STATE(1187),
        [sym_native_dcl] = STATE(1187),
        [sym_module_dcl] = STATE(1196),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_const_dcl] = STATE(1196),
        [sym_comment] = STATE(31),
        [aux_sym_interface_def_repeat1] = STATE(253),
        [aux_sym_module_dcl_repeat1] = STATE(31),
        [anon_sym_exception] = ACTIONS(817),
        [anon_sym_RBRACE] = ACTIONS(820),
        [anon_sym_local] = ACTIONS(822),
        [anon_sym_abstract] = ACTIONS(825),
        [anon_sym_interface] = ACTIONS(828),
        [anon_sym_bitset] = ACTIONS(831),
        [anon_sym_bitmask] = ACTIONS(834),
        [anon_sym_ATannotation] = ACTIONS(837),
        [anon_sym_AT] = ACTIONS(840),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(843),
        [anon_sym_module] = ACTIONS(846),
        [anon_sym_valuetype] = ACTIONS(849),
        [anon_sym_eventtype] = ACTIONS(852),
        [anon_sym_struct] = ACTIONS(855),
        [anon_sym_union] = ACTIONS(858),
        [anon_sym_enum] = ACTIONS(861),
        [anon_sym_const] = ACTIONS(864),
        [anon_sym_custom] = ACTIONS(867),
        [anon_sym_typedef] = ACTIONS(870),
        [anon_sym_ATignore_literal_names] = ACTIONS(873),
        [anon_sym_typeid] = ACTIONS(876),
        [anon_sym_typeprefix] = ACTIONS(879),
        [anon_sym_import] = ACTIONS(882),
        [anon_sym_component] = ACTIONS(885),
        [anon_sym_home] = ACTIONS(888),
        [anon_sym_porttype] = ACTIONS(891),
        [anon_sym_connector] = ACTIONS(894),
        [anon_sym_native] = ACTIONS(897),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_type_spec] = STATE(434),
        [sym_simple_type_spec] = STATE(487),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(487),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_case_label] = STATE(100),
        [sym_element_spec] = STATE(1069),
        [sym_object_type] = STATE(470),
        [sym_constr_type_dcl] = STATE(434),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_comment] = STATE(32),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [aux_sym_case_repeat1] = STATE(86),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_default] = ACTIONS(900),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_case] = ACTIONS(902),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [33] = {
        [sym_signed_short_int] = STATE(411),
        [sym_signed_long_int] = STATE(411),
        [sym_signed_longlong_int] = STATE(411),
        [sym_unsigned_int] = STATE(395),
        [sym_integer_type] = STATE(470),
        [sym_signed_int] = STATE(395),
        [sym_unsigned_short_int] = STATE(412),
        [sym_unsigned_long_int] = STATE(412),
        [sym_unsigned_longlong_int] = STATE(412),
        [sym_floating_pt_type] = STATE(470),
        [sym_char_type] = STATE(470),
        [sym_scoped_name] = STATE(404),
        [sym_string_type] = STATE(441),
        [sym_simple_type_spec] = STATE(405),
        [sym_base_type_spec] = STATE(439),
        [sym_any_type] = STATE(470),
        [sym_fixed_pt_type] = STATE(441),
        [sym_template_type_spec] = STATE(405),
        [sym_sequence_type] = STATE(441),
        [sym_map_type] = STATE(441),
        [sym_bitset_dcl] = STATE(753),
        [sym_bitmask_dcl] = STATE(753),
        [sym_annotation_appl] = STATE(325),
        [sym_extend_annotation_appl] = STATE(324),
        [sym_type_declarator] = STATE(1055),
        [sym_enum_dcl] = STATE(753),
        [sym_enum_anno] = STATE(1186),
        [sym_union_dcl] = STATE(753),
        [sym_union_forward_dcl] = STATE(758),
        [sym_union_def] = STATE(758),
        [sym_object_type] = STATE(470),
        [sym_constr_type_dcl] = STATE(405),
        [sym_struct_dcl] = STATE(753),
        [sym_struct_forward_dcl] = STATE(766),
        [sym_struct_def] = STATE(766),
        [sym_comment] = STATE(33),
        [aux_sym_interface_def_repeat1] = STATE(322),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_RBRACE,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(34),
    1,
    sym_comment,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(910),
    1,
    anon_sym_RBRACE,
    STATE(35),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [302] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(912),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    sym_comment,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [453] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(914),
    1,
    anon_sym_RBRACE,
    STATE(34),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(37),
    1,
    sym_comment,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [604] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(916),
    1,
    anon_sym_RBRACE,
    STATE(38),
    1,
    sym_comment,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [755] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(916),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(39),
    1,
    sym_comment,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [906] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(918),
    1,
    anon_sym_RBRACE,
    STATE(38),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(40),
    1,
    sym_comment,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1057] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(926),
    1,
    anon_sym_longlong,
    ACTIONS(929),
    1,
    anon_sym_int64,
    ACTIONS(932),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(938),
    1,
    anon_sym_fixed,
    ACTIONS(941),
    1,
    sym_signed_tiny_int,
    ACTIONS(944),
    1,
    anon_sym_unsignedshort,
    ACTIONS(947),
    1,
    anon_sym_uint16,
    ACTIONS(953),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(956),
    1,
    anon_sym_uint64,
    ACTIONS(962),
    1,
    anon_sym_longdouble,
    ACTIONS(968),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(974),
    1,
    anon_sym_any,
    ACTIONS(977),
    1,
    anon_sym_sequence,
    ACTIONS(980),
    1,
    anon_sym_map,
    ACTIONS(983),
    1,
    anon_sym_RBRACE,
    ACTIONS(985),
    1,
    anon_sym_AT,
    ACTIONS(988),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(991),
    1,
    anon_sym_Object,
    ACTIONS(994),
    1,
    sym_identifier,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(920),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(923),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(950),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(959),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(965),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(971),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(41),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(935),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1206] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(997),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    sym_comment,
    STATE(44),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1357] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(999),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(43),
    1,
    sym_comment,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1508] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1001),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(44),
    1,
    sym_comment,
    STATE(48),
    1,
    aux_sym_interface_def_repeat1,
    STATE(117),
    1,
    sym_member,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(402),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1659] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1003),
    1,
    anon_sym_LBRACE,
    ACTIONS(1005),
    1,
    anon_sym_COLON,
    ACTIONS(1007),
    1,
    anon_sym_SEMI,
    ACTIONS(1009),
    1,
    anon_sym_supports,
    STATE(45),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(686),
    1,
    sym_value_inheritance,
    STATE(968),
    1,
    sym_type_spec,
    STATE(1013),
    1,
    sym_value_inheritance_spec,
    STATE(1035),
    1,
    sym_value_supports,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1807] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1011),
    1,
    anon_sym_RPAREN,
    STATE(46),
    1,
    sym_comment,
    STATE(82),
    1,
    sym_param_attribute,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(711),
    1,
    sym_param_dcl,
    STATE(749),
    1,
    sym_type_spec,
    STATE(1207),
    1,
    sym_parameter_dcls,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1013),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1951] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1017),
    1,
    anon_sym_fixed,
    ACTIONS(1019),
    1,
    anon_sym_any,
    ACTIONS(1021),
    1,
    anon_sym_RBRACE,
    STATE(47),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(148),
    1,
    sym_annotation_body,
    STATE(149),
    1,
    sym_annotation_member,
    STATE(800),
    1,
    sym_scoped_name,
    STATE(801),
    1,
    sym_annotation_member_type,
    STATE(1186),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1015),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(981),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(980),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1091),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2095] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_AT,
    ACTIONS(908),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(48),
    1,
    sym_comment,
    STATE(111),
    1,
    aux_sym_interface_def_repeat1,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(401),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [2237] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1029),
    1,
    anon_sym_longlong,
    ACTIONS(1032),
    1,
    anon_sym_int64,
    ACTIONS(1035),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1041),
    1,
    anon_sym_fixed,
    ACTIONS(1044),
    1,
    sym_signed_tiny_int,
    ACTIONS(1047),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1050),
    1,
    anon_sym_uint16,
    ACTIONS(1056),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1059),
    1,
    anon_sym_uint64,
    ACTIONS(1065),
    1,
    anon_sym_longdouble,
    ACTIONS(1071),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1077),
    1,
    anon_sym_any,
    ACTIONS(1080),
    1,
    anon_sym_sequence,
    ACTIONS(1083),
    1,
    anon_sym_RBRACE,
    ACTIONS(1085),
    1,
    anon_sym_enum,
    ACTIONS(1088),
    1,
    anon_sym_const,
    ACTIONS(1091),
    1,
    anon_sym_typedef,
    ACTIONS(1094),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(1097),
    1,
    sym_identifier,
    STATE(148),
    1,
    sym_annotation_body,
    STATE(149),
    1,
    sym_annotation_member,
    STATE(800),
    1,
    sym_scoped_name,
    STATE(801),
    1,
    sym_annotation_member_type,
    STATE(1186),
    1,
    sym_enum_anno,
    ACTIONS(1023),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1026),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1038),
    2,
    sym_boolean_type,
    sym_octet_type,
    ACTIONS(1053),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1062),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(1068),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(1074),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(49),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(981),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(980),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1091),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2379] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(50),
    1,
    sym_comment,
    STATE(82),
    1,
    sym_param_attribute,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(749),
    1,
    sym_type_spec,
    STATE(838),
    1,
    sym_param_dcl,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1013),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [2517] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1017),
    1,
    anon_sym_fixed,
    ACTIONS(1019),
    1,
    anon_sym_any,
    ACTIONS(1100),
    1,
    anon_sym_RBRACE,
    STATE(49),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(51),
    1,
    sym_comment,
    STATE(148),
    1,
    sym_annotation_body,
    STATE(149),
    1,
    sym_annotation_member,
    STATE(800),
    1,
    sym_scoped_name,
    STATE(801),
    1,
    sym_annotation_member_type,
    STATE(1186),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1015),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(981),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(980),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1091),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2661] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(52),
    1,
    sym_comment,
    ACTIONS(1104),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1102),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2731] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(53),
    1,
    sym_comment,
    ACTIONS(1108),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1106),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2801] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(54),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2871] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(55),
    1,
    sym_comment,
    ACTIONS(1116),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1114),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2941] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1118),
    1,
    anon_sym_sequence,
    ACTIONS(1122),
    1,
    anon_sym_const,
    STATE(56),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(594),
    1,
    sym_formal_parameter,
    STATE(946),
    1,
    sym_formal_parameter_type,
    STATE(947),
    1,
    sym_formal_parameters,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(948),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1120),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3071] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1126),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1124),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3141] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(58),
    1,
    sym_comment,
    ACTIONS(1130),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1128),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3211] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(59),
    1,
    sym_comment,
    ACTIONS(1134),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1132),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3281] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(60),
    1,
    sym_comment,
    ACTIONS(1138),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1136),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3350] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(61),
    1,
    sym_comment,
    ACTIONS(1142),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1140),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3419] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1118),
    1,
    anon_sym_sequence,
    ACTIONS(1122),
    1,
    anon_sym_const,
    STATE(62),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(785),
    1,
    sym_formal_parameter,
    STATE(946),
    1,
    sym_formal_parameter_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(948),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1120),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3546] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(63),
    1,
    sym_comment,
    ACTIONS(1130),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1128),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3615] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(64),
    1,
    sym_comment,
    ACTIONS(1146),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1144),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3684] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(65),
    1,
    sym_comment,
    STATE(397),
    1,
    sym_type_spec,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3811] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1148),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1150),
    1,
    anon_sym_default,
    ACTIONS(1152),
    1,
    anon_sym_id,
    ACTIONS(1154),
    1,
    anon_sym_autoid,
    ACTIONS(1156),
    1,
    anon_sym_optional,
    ACTIONS(1158),
    1,
    anon_sym_position,
    ACTIONS(1160),
    1,
    anon_sym_value,
    ACTIONS(1162),
    1,
    anon_sym_extensibility,
    ACTIONS(1164),
    1,
    anon_sym_final,
    ACTIONS(1166),
    1,
    anon_sym_appendable,
    ACTIONS(1168),
    1,
    anon_sym_mutable,
    ACTIONS(1170),
    1,
    anon_sym_key,
    ACTIONS(1172),
    1,
    anon_sym_must_understand,
    ACTIONS(1174),
    1,
    anon_sym_default_literal,
    ACTIONS(1176),
    1,
    anon_sym_range,
    ACTIONS(1178),
    1,
    anon_sym_min,
    ACTIONS(1180),
    1,
    anon_sym_max,
    ACTIONS(1182),
    1,
    anon_sym_unit,
    ACTIONS(1184),
    1,
    anon_sym_bit_bound,
    ACTIONS(1186),
    1,
    anon_sym_external,
    ACTIONS(1188),
    1,
    anon_sym_nested,
    ACTIONS(1190),
    1,
    anon_sym_verbatim,
    ACTIONS(1192),
    1,
    anon_sym_service,
    ACTIONS(1194),
    1,
    anon_sym_oneway,
    ACTIONS(1196),
    1,
    anon_sym_ami,
    ACTIONS(1198),
    1,
    sym_identifier,
    STATE(66),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(376),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(530),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3932] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1148),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1150),
    1,
    anon_sym_default,
    ACTIONS(1152),
    1,
    anon_sym_id,
    ACTIONS(1154),
    1,
    anon_sym_autoid,
    ACTIONS(1156),
    1,
    anon_sym_optional,
    ACTIONS(1158),
    1,
    anon_sym_position,
    ACTIONS(1160),
    1,
    anon_sym_value,
    ACTIONS(1162),
    1,
    anon_sym_extensibility,
    ACTIONS(1164),
    1,
    anon_sym_final,
    ACTIONS(1166),
    1,
    anon_sym_appendable,
    ACTIONS(1168),
    1,
    anon_sym_mutable,
    ACTIONS(1170),
    1,
    anon_sym_key,
    ACTIONS(1172),
    1,
    anon_sym_must_understand,
    ACTIONS(1174),
    1,
    anon_sym_default_literal,
    ACTIONS(1176),
    1,
    anon_sym_range,
    ACTIONS(1178),
    1,
    anon_sym_min,
    ACTIONS(1180),
    1,
    anon_sym_max,
    ACTIONS(1182),
    1,
    anon_sym_unit,
    ACTIONS(1184),
    1,
    anon_sym_bit_bound,
    ACTIONS(1186),
    1,
    anon_sym_external,
    ACTIONS(1188),
    1,
    anon_sym_nested,
    ACTIONS(1190),
    1,
    anon_sym_verbatim,
    ACTIONS(1192),
    1,
    anon_sym_service,
    ACTIONS(1194),
    1,
    anon_sym_oneway,
    ACTIONS(1196),
    1,
    anon_sym_ami,
    ACTIONS(1198),
    1,
    sym_identifier,
    STATE(67),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(528),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(530),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4053] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(68),
    1,
    sym_comment,
    ACTIONS(1202),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1200),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4120] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1204),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1206),
    1,
    anon_sym_default,
    ACTIONS(1208),
    1,
    anon_sym_id,
    ACTIONS(1210),
    1,
    anon_sym_autoid,
    ACTIONS(1212),
    1,
    anon_sym_optional,
    ACTIONS(1214),
    1,
    anon_sym_position,
    ACTIONS(1216),
    1,
    anon_sym_value,
    ACTIONS(1218),
    1,
    anon_sym_extensibility,
    ACTIONS(1220),
    1,
    anon_sym_final,
    ACTIONS(1222),
    1,
    anon_sym_appendable,
    ACTIONS(1224),
    1,
    anon_sym_mutable,
    ACTIONS(1226),
    1,
    anon_sym_key,
    ACTIONS(1228),
    1,
    anon_sym_must_understand,
    ACTIONS(1230),
    1,
    anon_sym_default_literal,
    ACTIONS(1232),
    1,
    anon_sym_range,
    ACTIONS(1234),
    1,
    anon_sym_min,
    ACTIONS(1236),
    1,
    anon_sym_max,
    ACTIONS(1238),
    1,
    anon_sym_unit,
    ACTIONS(1240),
    1,
    anon_sym_bit_bound,
    ACTIONS(1242),
    1,
    anon_sym_external,
    ACTIONS(1244),
    1,
    anon_sym_nested,
    ACTIONS(1246),
    1,
    anon_sym_verbatim,
    ACTIONS(1248),
    1,
    anon_sym_service,
    ACTIONS(1250),
    1,
    anon_sym_oneway,
    ACTIONS(1252),
    1,
    anon_sym_ami,
    ACTIONS(1254),
    1,
    sym_identifier,
    STATE(69),
    1,
    sym_comment,
    STATE(384),
    1,
    sym_scoped_name,
    STATE(624),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(626),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4241] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(70),
    1,
    sym_comment,
    ACTIONS(1130),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1128),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4308] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(71),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(601),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4435] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(72),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(796),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4562] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(73),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(790),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4689] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1256),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1258),
    1,
    anon_sym_default,
    ACTIONS(1260),
    1,
    anon_sym_id,
    ACTIONS(1262),
    1,
    anon_sym_autoid,
    ACTIONS(1264),
    1,
    anon_sym_optional,
    ACTIONS(1266),
    1,
    anon_sym_position,
    ACTIONS(1268),
    1,
    anon_sym_value,
    ACTIONS(1270),
    1,
    anon_sym_extensibility,
    ACTIONS(1272),
    1,
    anon_sym_final,
    ACTIONS(1274),
    1,
    anon_sym_appendable,
    ACTIONS(1276),
    1,
    anon_sym_mutable,
    ACTIONS(1278),
    1,
    anon_sym_key,
    ACTIONS(1280),
    1,
    anon_sym_must_understand,
    ACTIONS(1282),
    1,
    anon_sym_default_literal,
    ACTIONS(1284),
    1,
    anon_sym_range,
    ACTIONS(1286),
    1,
    anon_sym_min,
    ACTIONS(1288),
    1,
    anon_sym_max,
    ACTIONS(1290),
    1,
    anon_sym_unit,
    ACTIONS(1292),
    1,
    anon_sym_bit_bound,
    ACTIONS(1294),
    1,
    anon_sym_external,
    ACTIONS(1296),
    1,
    anon_sym_nested,
    ACTIONS(1298),
    1,
    anon_sym_verbatim,
    ACTIONS(1300),
    1,
    anon_sym_service,
    ACTIONS(1302),
    1,
    anon_sym_oneway,
    ACTIONS(1304),
    1,
    anon_sym_ami,
    ACTIONS(1306),
    1,
    sym_identifier,
    STATE(74),
    1,
    sym_comment,
    STATE(126),
    1,
    sym_scoped_name,
    STATE(174),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(173),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4810] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(75),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(930),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4937] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1148),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1150),
    1,
    anon_sym_default,
    ACTIONS(1152),
    1,
    anon_sym_id,
    ACTIONS(1154),
    1,
    anon_sym_autoid,
    ACTIONS(1156),
    1,
    anon_sym_optional,
    ACTIONS(1158),
    1,
    anon_sym_position,
    ACTIONS(1160),
    1,
    anon_sym_value,
    ACTIONS(1162),
    1,
    anon_sym_extensibility,
    ACTIONS(1164),
    1,
    anon_sym_final,
    ACTIONS(1166),
    1,
    anon_sym_appendable,
    ACTIONS(1168),
    1,
    anon_sym_mutable,
    ACTIONS(1170),
    1,
    anon_sym_key,
    ACTIONS(1172),
    1,
    anon_sym_must_understand,
    ACTIONS(1174),
    1,
    anon_sym_default_literal,
    ACTIONS(1176),
    1,
    anon_sym_range,
    ACTIONS(1178),
    1,
    anon_sym_min,
    ACTIONS(1180),
    1,
    anon_sym_max,
    ACTIONS(1182),
    1,
    anon_sym_unit,
    ACTIONS(1184),
    1,
    anon_sym_bit_bound,
    ACTIONS(1186),
    1,
    anon_sym_external,
    ACTIONS(1188),
    1,
    anon_sym_nested,
    ACTIONS(1190),
    1,
    anon_sym_verbatim,
    ACTIONS(1192),
    1,
    anon_sym_service,
    ACTIONS(1194),
    1,
    anon_sym_oneway,
    ACTIONS(1196),
    1,
    anon_sym_ami,
    ACTIONS(1198),
    1,
    sym_identifier,
    STATE(76),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(366),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(530),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5058] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1308),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1310),
    1,
    anon_sym_default,
    ACTIONS(1312),
    1,
    anon_sym_id,
    ACTIONS(1314),
    1,
    anon_sym_autoid,
    ACTIONS(1316),
    1,
    anon_sym_optional,
    ACTIONS(1318),
    1,
    anon_sym_position,
    ACTIONS(1320),
    1,
    anon_sym_value,
    ACTIONS(1322),
    1,
    anon_sym_extensibility,
    ACTIONS(1324),
    1,
    anon_sym_final,
    ACTIONS(1326),
    1,
    anon_sym_appendable,
    ACTIONS(1328),
    1,
    anon_sym_mutable,
    ACTIONS(1330),
    1,
    anon_sym_key,
    ACTIONS(1332),
    1,
    anon_sym_must_understand,
    ACTIONS(1334),
    1,
    anon_sym_default_literal,
    ACTIONS(1336),
    1,
    anon_sym_range,
    ACTIONS(1338),
    1,
    anon_sym_min,
    ACTIONS(1340),
    1,
    anon_sym_max,
    ACTIONS(1342),
    1,
    anon_sym_unit,
    ACTIONS(1344),
    1,
    anon_sym_bit_bound,
    ACTIONS(1346),
    1,
    anon_sym_external,
    ACTIONS(1348),
    1,
    anon_sym_nested,
    ACTIONS(1350),
    1,
    anon_sym_verbatim,
    ACTIONS(1352),
    1,
    anon_sym_service,
    ACTIONS(1354),
    1,
    anon_sym_oneway,
    ACTIONS(1356),
    1,
    anon_sym_ami,
    ACTIONS(1358),
    1,
    sym_identifier,
    STATE(77),
    1,
    sym_comment,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(338),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(296),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5179] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(78),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(544),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5306] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1148),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1150),
    1,
    anon_sym_default,
    ACTIONS(1152),
    1,
    anon_sym_id,
    ACTIONS(1154),
    1,
    anon_sym_autoid,
    ACTIONS(1156),
    1,
    anon_sym_optional,
    ACTIONS(1158),
    1,
    anon_sym_position,
    ACTIONS(1160),
    1,
    anon_sym_value,
    ACTIONS(1162),
    1,
    anon_sym_extensibility,
    ACTIONS(1164),
    1,
    anon_sym_final,
    ACTIONS(1166),
    1,
    anon_sym_appendable,
    ACTIONS(1168),
    1,
    anon_sym_mutable,
    ACTIONS(1170),
    1,
    anon_sym_key,
    ACTIONS(1172),
    1,
    anon_sym_must_understand,
    ACTIONS(1174),
    1,
    anon_sym_default_literal,
    ACTIONS(1176),
    1,
    anon_sym_range,
    ACTIONS(1178),
    1,
    anon_sym_min,
    ACTIONS(1180),
    1,
    anon_sym_max,
    ACTIONS(1182),
    1,
    anon_sym_unit,
    ACTIONS(1184),
    1,
    anon_sym_bit_bound,
    ACTIONS(1186),
    1,
    anon_sym_external,
    ACTIONS(1188),
    1,
    anon_sym_nested,
    ACTIONS(1190),
    1,
    anon_sym_verbatim,
    ACTIONS(1192),
    1,
    anon_sym_service,
    ACTIONS(1194),
    1,
    anon_sym_oneway,
    ACTIONS(1196),
    1,
    anon_sym_ami,
    ACTIONS(1198),
    1,
    sym_identifier,
    STATE(79),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(368),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(530),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5427] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1148),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1150),
    1,
    anon_sym_default,
    ACTIONS(1152),
    1,
    anon_sym_id,
    ACTIONS(1154),
    1,
    anon_sym_autoid,
    ACTIONS(1156),
    1,
    anon_sym_optional,
    ACTIONS(1158),
    1,
    anon_sym_position,
    ACTIONS(1160),
    1,
    anon_sym_value,
    ACTIONS(1162),
    1,
    anon_sym_extensibility,
    ACTIONS(1164),
    1,
    anon_sym_final,
    ACTIONS(1166),
    1,
    anon_sym_appendable,
    ACTIONS(1168),
    1,
    anon_sym_mutable,
    ACTIONS(1170),
    1,
    anon_sym_key,
    ACTIONS(1172),
    1,
    anon_sym_must_understand,
    ACTIONS(1174),
    1,
    anon_sym_default_literal,
    ACTIONS(1176),
    1,
    anon_sym_range,
    ACTIONS(1178),
    1,
    anon_sym_min,
    ACTIONS(1180),
    1,
    anon_sym_max,
    ACTIONS(1182),
    1,
    anon_sym_unit,
    ACTIONS(1184),
    1,
    anon_sym_bit_bound,
    ACTIONS(1186),
    1,
    anon_sym_external,
    ACTIONS(1188),
    1,
    anon_sym_nested,
    ACTIONS(1190),
    1,
    anon_sym_verbatim,
    ACTIONS(1192),
    1,
    anon_sym_service,
    ACTIONS(1194),
    1,
    anon_sym_oneway,
    ACTIONS(1196),
    1,
    anon_sym_ami,
    ACTIONS(1198),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(357),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(530),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5548] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1360),
    1,
    sym_identifier,
    STATE(81),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(816),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5675] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(82),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(787),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5802] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(83),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(830),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5929] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1360),
    1,
    sym_identifier,
    STATE(84),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_scoped_name,
    STATE(439),
    1,
    sym_base_type_spec,
    STATE(763),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(487),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(441),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(470),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [6056] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1017),
    1,
    anon_sym_fixed,
    STATE(85),
    1,
    sym_comment,
    STATE(773),
    1,
    sym_scoped_name,
    STATE(883),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1015),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1091),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [6161] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1366),
    1,
    anon_sym_default,
    ACTIONS(1369),
    1,
    anon_sym_case,
    STATE(100),
    1,
    sym_case_label,
    STATE(86),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1364),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1362),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6224] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1017),
    1,
    anon_sym_fixed,
    STATE(87),
    1,
    sym_comment,
    STATE(773),
    1,
    sym_scoped_name,
    STATE(1082),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1015),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1091),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [6329] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1372),
    1,
    sym_identifier,
    STATE(88),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(526),
    1,
    sym_annotation_appl_param,
    STATE(891),
    1,
    sym_annotation_appl_params,
    STATE(951),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6441] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1372),
    1,
    sym_identifier,
    STATE(89),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(526),
    1,
    sym_annotation_appl_param,
    STATE(951),
    1,
    sym_const_expr,
    STATE(1116),
    1,
    sym_annotation_appl_params,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6553] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1372),
    1,
    sym_identifier,
    STATE(90),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(526),
    1,
    sym_annotation_appl_param,
    STATE(951),
    1,
    sym_const_expr,
    STATE(1080),
    1,
    sym_annotation_appl_params,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6665] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1372),
    1,
    sym_identifier,
    STATE(91),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(526),
    1,
    sym_annotation_appl_param,
    STATE(951),
    1,
    sym_const_expr,
    STATE(1147),
    1,
    sym_annotation_appl_params,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6777] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(92),
    1,
    sym_comment,
    ACTIONS(1376),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1374),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6832] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(93),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(1165),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6941] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(94),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(868),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7050] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(95),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(931),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7159] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(96),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(910),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7268] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(97),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(934),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7377] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(98),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(1179),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7486] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(99),
    1,
    sym_comment,
    ACTIONS(1380),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1378),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7541] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(100),
    1,
    sym_comment,
    ACTIONS(1384),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1382),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7596] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(101),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(511),
    1,
    sym_const_expr,
    STATE(818),
    1,
    sym_positive_int_const,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7705] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(102),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(1224),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7811] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(103),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(791),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7917] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(104),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(1002),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8023] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(105),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(870),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8129] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(889),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8235] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(107),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(295),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(350),
    1,
    sym_or_expr,
    STATE(866),
    1,
    sym_const_expr,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8341] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(108),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(283),
    1,
    sym_and_expr,
    STATE(312),
    1,
    sym_xor_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8441] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(109),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(269),
    1,
    sym_shift_expr,
    STATE(285),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8538] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(110),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(254),
    1,
    sym_add_expr,
    STATE(270),
    1,
    sym_shift_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8632] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1390),
    1,
    anon_sym_AT,
    ACTIONS(1393),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(155),
    1,
    sym_annotation_appl,
    STATE(156),
    1,
    sym_extend_annotation_appl,
    STATE(111),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    ACTIONS(1388),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1386),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8690] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(112),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(244),
    1,
    sym_mult_expr,
    STATE(251),
    1,
    sym_add_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8781] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1400),
    1,
    anon_sym_LPAREN,
    STATE(113),
    1,
    sym_comment,
    ACTIONS(1398),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1396),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8831] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1406),
    1,
    anon_sym_LPAREN,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(1404),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1402),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8881] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1410),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1408),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8929] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(1414),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1412),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8977] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(1418),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1416),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9025] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(118),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(231),
    1,
    sym_mult_expr,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(242),
    1,
    sym_unary_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9113] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1424),
    1,
    anon_sym_LPAREN,
    STATE(119),
    1,
    sym_comment,
    ACTIONS(1422),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1420),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9163] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1430),
    1,
    anon_sym_LPAREN,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1428),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1426),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9213] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1436),
    1,
    anon_sym_LPAREN,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1434),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1432),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9263] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1442),
    1,
    anon_sym_LPAREN,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1440),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1438),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9313] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1448),
    1,
    anon_sym_LPAREN,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1446),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1444),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9363] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1454),
    1,
    anon_sym_LPAREN,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1452),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1450),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9413] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1460),
    1,
    anon_sym_LPAREN,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1458),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1456),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9463] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1466),
    1,
    anon_sym_LPAREN,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1464),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1462),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9513] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1470),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1468),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9561] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1474),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1472),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9609] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1478),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1476),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9657] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1482),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1480),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9705] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(1486),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1484),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9753] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(1490),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1488),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9800] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1494),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1492),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9847] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1498),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1496),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9894] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1502),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1500),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9941] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1506),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1504),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9988] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1510),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1508),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10035] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1514),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1512),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10082] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1518),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1516),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10129] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1522),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1520),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10176] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1526),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1524),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10223] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1530),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1528),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10270] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1534),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1532),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10317] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1538),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1536),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10364] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1542),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1540),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10411] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1546),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1544),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10458] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(609),
    1,
    anon_sym_TILDE,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(147),
    1,
    sym_comment,
    STATE(183),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_unary_expr,
    STATE(236),
    1,
    sym_literal,
    STATE(240),
    1,
    sym_primary_expr,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(605),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10543] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(1550),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1548),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10590] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1554),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1552),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10637] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1558),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1556),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10684] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(1562),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1560),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10731] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1566),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1564),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10778] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(1570),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1568),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10825] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1574),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1572),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10872] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1578),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1576),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10919] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1582),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1580),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10966] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(1586),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1584),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11013] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(158),
    1,
    sym_comment,
    ACTIONS(1590),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1588),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11060] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(1594),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1592),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11107] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(160),
    1,
    sym_comment,
    ACTIONS(1598),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1596),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11154] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(161),
    1,
    sym_comment,
    ACTIONS(1602),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1600),
    30,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11201] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(1606),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1604),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11248] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1610),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1608),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11295] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(164),
    1,
    sym_comment,
    ACTIONS(1614),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1612),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11342] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(165),
    1,
    sym_comment,
    ACTIONS(1618),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1616),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11389] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(166),
    1,
    sym_comment,
    ACTIONS(1622),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1620),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11436] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(1626),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1624),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11483] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(1630),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1628),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11530] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1634),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1632),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11577] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(170),
    1,
    sym_comment,
    ACTIONS(1638),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1636),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11624] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(1642),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1640),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11671] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(1646),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1644),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11718] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(1650),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1648),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11765] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(1654),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1652),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11812] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1656),
    1,
    sym_boolean_type,
    STATE(175),
    1,
    sym_comment,
    STATE(857),
    1,
    sym_scoped_name,
    STATE(1222),
    1,
    sym_switch_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(871),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [11895] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(1660),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1658),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11940] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(1664),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1662),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11985] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(1668),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1666),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12030] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(179),
    1,
    sym_comment,
    ACTIONS(1672),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1670),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12075] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(1676),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1674),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12120] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(181),
    1,
    sym_comment,
    ACTIONS(1680),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1678),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12165] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1656),
    1,
    sym_boolean_type,
    STATE(182),
    1,
    sym_comment,
    STATE(857),
    1,
    sym_scoped_name,
    STATE(867),
    1,
    sym_switch_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(871),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [12248] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(607),
    1,
    anon_sym_LPAREN,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_L,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(183),
    1,
    sym_comment,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(229),
    1,
    sym_primary_expr,
    STATE(236),
    1,
    sym_literal,
    STATE(334),
    1,
    sym_integer_sign,
    ACTIONS(611),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(613),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(623),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12324] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1686),
    1,
    anon_sym_AT,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(1684),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12367] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1690),
    1,
    anon_sym_AT,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(1688),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12410] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1694),
    1,
    anon_sym_AT,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(1692),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12453] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1698),
    1,
    anon_sym_AT,
    STATE(187),
    1,
    sym_comment,
    ACTIONS(1696),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12495] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_long,
    ACTIONS(89),
    1,
    anon_sym_unsignedlong,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1702),
    1,
    anon_sym_int32,
    ACTIONS(1704),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1708),
    1,
    sym_signed_tiny_int,
    ACTIONS(1710),
    1,
    anon_sym_uint32,
    STATE(188),
    1,
    sym_comment,
    STATE(939),
    1,
    sym_destination_type,
    STATE(940),
    1,
    sym_integer_type,
    ACTIONS(73),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(85),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(91),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1700),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1706),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(395),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(411),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(412),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [12563] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(189),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1071),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12628] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(190),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1106),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12693] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(191),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1097),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12758] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(192),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(944),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12823] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(193),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(937),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12888] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(194),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(973),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12953] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(195),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1061),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13018] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(196),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(966),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13083] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(197),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(965),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13148] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(198),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1133),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13213] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(199),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1137),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13278] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(200),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1102),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13343] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(201),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1128),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13408] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(202),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(979),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13473] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(203),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1070),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13538] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(204),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1066),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13603] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(205),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1138),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13668] = 18,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    ACTIONS(1716),
    1,
    anon_sym_L,
    STATE(206),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1107),
    1,
    sym_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(217),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13733] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1720),
    1,
    anon_sym_RBRACE,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1730),
    1,
    anon_sym_emits,
    ACTIONS(1732),
    1,
    anon_sym_publishes,
    ACTIONS(1734),
    1,
    anon_sym_consumes,
    STATE(207),
    1,
    sym_comment,
    STATE(209),
    1,
    aux_sym_component_body_repeat1,
    STATE(275),
    1,
    sym_component_export,
    STATE(1007),
    1,
    sym_component_body,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1008),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13793] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(208),
    1,
    sym_comment,
    ACTIONS(1476),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1478),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13828] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1730),
    1,
    anon_sym_emits,
    ACTIONS(1732),
    1,
    anon_sym_publishes,
    ACTIONS(1734),
    1,
    anon_sym_consumes,
    ACTIONS(1738),
    1,
    anon_sym_RBRACE,
    STATE(209),
    1,
    sym_comment,
    STATE(211),
    1,
    aux_sym_component_body_repeat1,
    STATE(275),
    1,
    sym_component_export,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1008),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13885] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1480),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1482),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13920] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1740),
    1,
    anon_sym_RBRACE,
    ACTIONS(1742),
    1,
    anon_sym_readonly,
    ACTIONS(1745),
    1,
    anon_sym_attribute,
    ACTIONS(1748),
    1,
    anon_sym_provides,
    ACTIONS(1751),
    1,
    anon_sym_uses,
    ACTIONS(1754),
    1,
    anon_sym_emits,
    ACTIONS(1757),
    1,
    anon_sym_publishes,
    ACTIONS(1760),
    1,
    anon_sym_consumes,
    STATE(275),
    1,
    sym_component_export,
    ACTIONS(1763),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(211),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1008),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13975] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(1484),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1486),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [14009] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(1766),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1768),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14042] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1772),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1774),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14075] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1780),
    1,
    anon_sym_DOT,
    STATE(215),
    1,
    sym_comment,
    ACTIONS(1776),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1778),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14108] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_DOT,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1782),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1784),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14141] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(1788),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1790),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14171] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1782),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1784),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14201] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(219),
    1,
    sym_comment,
    ACTIONS(1792),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1794),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14231] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(220),
    1,
    sym_comment,
    ACTIONS(1792),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1794),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14261] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1796),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1798),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14291] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(222),
    1,
    sym_comment,
    ACTIONS(1800),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1802),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14321] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1804),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1806),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14351] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(224),
    1,
    sym_comment,
    ACTIONS(1808),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1810),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14381] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(225),
    1,
    sym_comment,
    ACTIONS(1812),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1814),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14411] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1816),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1818),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14441] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1820),
    1,
    anon_sym_RBRACE,
    STATE(227),
    1,
    sym_comment,
    STATE(243),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(345),
    1,
    sym_port_ref,
    STATE(351),
    1,
    sym_connector_export,
    STATE(1000),
    1,
    sym_attr_dcl,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14491] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1822),
    1,
    anon_sym_RBRACE,
    STATE(228),
    1,
    sym_comment,
    STATE(232),
    1,
    aux_sym_port_body_repeat1,
    STATE(344),
    1,
    sym_port_export,
    STATE(356),
    1,
    sym_port_ref,
    STATE(878),
    1,
    sym_attr_dcl,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14541] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(229),
    1,
    sym_comment,
    ACTIONS(1824),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1826),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14571] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(230),
    1,
    sym_comment,
    ACTIONS(1828),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1830),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14601] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1832),
    1,
    anon_sym_GT,
    ACTIONS(1838),
    1,
    anon_sym_SLASH,
    STATE(231),
    1,
    sym_comment,
    ACTIONS(1836),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1834),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14635] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1840),
    1,
    anon_sym_RBRACE,
    STATE(232),
    1,
    sym_comment,
    STATE(239),
    1,
    aux_sym_port_body_repeat1,
    STATE(344),
    1,
    sym_port_export,
    STATE(356),
    1,
    sym_port_ref,
    STATE(878),
    1,
    sym_attr_dcl,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14685] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1842),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1844),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14715] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(234),
    1,
    sym_comment,
    ACTIONS(1846),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1848),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14745] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(1850),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1852),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14775] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1772),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1774),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14805] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1854),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1856),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14835] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1776),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1778),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14865] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1858),
    1,
    anon_sym_RBRACE,
    ACTIONS(1860),
    1,
    anon_sym_readonly,
    ACTIONS(1863),
    1,
    anon_sym_attribute,
    ACTIONS(1866),
    1,
    anon_sym_provides,
    ACTIONS(1869),
    1,
    anon_sym_uses,
    STATE(344),
    1,
    sym_port_export,
    STATE(356),
    1,
    sym_port_ref,
    STATE(878),
    1,
    sym_attr_dcl,
    ACTIONS(1872),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(239),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14913] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1875),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1877),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14943] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(241),
    1,
    sym_comment,
    ACTIONS(1879),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1881),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14973] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(242),
    1,
    sym_comment,
    ACTIONS(1883),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1885),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15003] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_RBRACE,
    ACTIONS(1889),
    1,
    anon_sym_readonly,
    ACTIONS(1892),
    1,
    anon_sym_attribute,
    ACTIONS(1895),
    1,
    anon_sym_provides,
    ACTIONS(1898),
    1,
    anon_sym_uses,
    STATE(345),
    1,
    sym_port_ref,
    STATE(351),
    1,
    sym_connector_export,
    STATE(1000),
    1,
    sym_attr_dcl,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(243),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15051] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1838),
    1,
    anon_sym_SLASH,
    ACTIONS(1904),
    1,
    anon_sym_GT,
    STATE(244),
    1,
    sym_comment,
    ACTIONS(1836),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1906),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15085] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(245),
    1,
    sym_comment,
    ACTIONS(1908),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1910),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15115] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1914),
    1,
    anon_sym_c,
    STATE(246),
    1,
    sym_comment,
    STATE(1112),
    1,
    sym_string_literal,
    STATE(1251),
    1,
    sym_verbatim_language,
    STATE(1252),
    1,
    sym_placement_kind,
    ACTIONS(1912),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15154] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_readonly,
    ACTIONS(1724),
    1,
    anon_sym_attribute,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    STATE(227),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(247),
    1,
    sym_comment,
    STATE(345),
    1,
    sym_port_ref,
    STATE(351),
    1,
    sym_connector_export,
    STATE(1000),
    1,
    sym_attr_dcl,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1015),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15201] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1914),
    1,
    anon_sym_c,
    STATE(248),
    1,
    sym_comment,
    STATE(1143),
    1,
    sym_string_literal,
    STATE(1265),
    1,
    sym_verbatim_language,
    STATE(1266),
    1,
    sym_placement_kind,
    ACTIONS(1912),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15240] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1914),
    1,
    anon_sym_c,
    STATE(249),
    1,
    sym_comment,
    STATE(1076),
    1,
    sym_string_literal,
    STATE(1237),
    1,
    sym_verbatim_language,
    STATE(1238),
    1,
    sym_placement_kind,
    ACTIONS(1912),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15279] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1914),
    1,
    anon_sym_c,
    STATE(250),
    1,
    sym_comment,
    STATE(956),
    1,
    sym_placement_kind,
    STATE(957),
    1,
    sym_verbatim_language,
    STATE(958),
    1,
    sym_string_literal,
    ACTIONS(1912),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15318] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1918),
    1,
    anon_sym_GT,
    STATE(251),
    1,
    sym_comment,
    ACTIONS(1922),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1920),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15347] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1484),
    1,
    anon_sym_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_EQ,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(1486),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [15376] = 15,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1926),
    1,
    anon_sym_bitmask,
    ACTIONS(1928),
    1,
    anon_sym_AT,
    ACTIONS(1930),
    1,
    anon_sym_struct,
    ACTIONS(1932),
    1,
    anon_sym_union,
    STATE(253),
    1,
    sym_comment,
    STATE(268),
    1,
    aux_sym_interface_def_repeat1,
    STATE(324),
    1,
    sym_extend_annotation_appl,
    STATE(325),
    1,
    sym_annotation_appl,
    STATE(1043),
    1,
    sym_interface_header,
    STATE(1044),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    [15423] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1934),
    1,
    anon_sym_GT,
    STATE(254),
    1,
    sym_comment,
    ACTIONS(1922),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1936),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15452] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1772),
    1,
    anon_sym_SLASH,
    ACTIONS(1938),
    1,
    anon_sym_GT,
    ACTIONS(1940),
    1,
    anon_sym_COMMA,
    STATE(255),
    1,
    sym_comment,
    ACTIONS(1774),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [15485] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(256),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1073),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15525] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(257),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1140),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15565] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(258),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(974),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15605] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(259),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(978),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15645] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(260),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1101),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15685] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(261),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1065),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15725] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(262),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1109),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15765] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(263),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1098),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15805] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(264),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1129),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15845] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(265),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(963),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15885] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(266),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1132),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15925] = 12,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(611),
    1,
    sym_bin_number,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(1714),
    1,
    sym_hex_number,
    STATE(267),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_integer_sign,
    STATE(1062),
    1,
    sym_integer_literal,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(218),
    2,
    sym_oct_number,
    sym_dec_number,
    [15965] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1942),
    1,
    anon_sym_AT,
    ACTIONS(1945),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(324),
    1,
    sym_extend_annotation_appl,
    STATE(325),
    1,
    sym_annotation_appl,
    STATE(268),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    ACTIONS(1388),
    6,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    [15996] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1948),
    1,
    anon_sym_GT,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(1952),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1950),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16023] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1954),
    1,
    anon_sym_GT,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(1952),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1956),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16050] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1478),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16072] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(1958),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [16094] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_provides,
    ACTIONS(1728),
    1,
    anon_sym_uses,
    ACTIONS(1960),
    1,
    anon_sym_RBRACE,
    STATE(228),
    1,
    sym_port_ref,
    STATE(273),
    1,
    sym_comment,
    STATE(926),
    1,
    sym_port_body,
    ACTIONS(1736),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(999),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [16128] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1962),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1964),
    1,
    anon_sym_LPAREN,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1464),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16154] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1966),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [16176] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1486),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16198] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(1482),
    10,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16220] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(278),
    1,
    sym_comment,
    STATE(987),
    1,
    sym_string_literal,
    STATE(988),
    1,
    sym_placement_kind,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [16247] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1478),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [16268] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1968),
    1,
    anon_sym_LPAREN,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1422),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16291] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(281),
    1,
    sym_comment,
    STATE(1149),
    1,
    sym_string_literal,
    STATE(1267),
    1,
    sym_placement_kind,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [16318] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(282),
    1,
    sym_comment,
    STATE(1084),
    1,
    sym_string_literal,
    STATE(1239),
    1,
    sym_placement_kind,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [16345] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1972),
    1,
    anon_sym_AMP,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1970),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16368] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1974),
    1,
    anon_sym_LPAREN,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1440),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16391] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1972),
    1,
    anon_sym_AMP,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1976),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16414] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1978),
    1,
    anon_sym_LPAREN,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(1458),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16437] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1482),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [16458] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1980),
    1,
    anon_sym_LPAREN,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1404),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16481] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1982),
    1,
    anon_sym_LPAREN,
    STATE(289),
    1,
    sym_comment,
    ACTIONS(1428),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16504] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1984),
    1,
    anon_sym_LPAREN,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1452),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16527] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1986),
    1,
    anon_sym_LPAREN,
    STATE(291),
    1,
    sym_comment,
    ACTIONS(1434),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16550] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1988),
    1,
    anon_sym_LPAREN,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1446),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16573] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1990),
    1,
    anon_sym_LPAREN,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1398),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16596] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(294),
    1,
    sym_comment,
    STATE(1118),
    1,
    sym_string_literal,
    STATE(1253),
    1,
    sym_placement_kind,
    ACTIONS(1916),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [16623] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1994),
    1,
    anon_sym_CARET,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1992),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16645] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1650),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16665] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1610),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16685] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1614),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16705] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1618),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16725] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1622),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16745] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1626),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16765] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1630),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16785] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1996),
    1,
    anon_sym_RBRACE,
    ACTIONS(1998),
    1,
    anon_sym_AT,
    ACTIONS(2000),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2002),
    1,
    sym_identifier,
    STATE(303),
    1,
    sym_comment,
    STATE(371),
    1,
    aux_sym_interface_def_repeat1,
    STATE(596),
    1,
    sym_annotation_appl,
    STATE(606),
    1,
    sym_extend_annotation_appl,
    STATE(619),
    1,
    sym_bit_value,
    [16819] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(304),
    1,
    sym_comment,
    ACTIONS(1586),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16839] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1642),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16859] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1574),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16879] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(307),
    1,
    sym_comment,
    ACTIONS(1570),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16899] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(308),
    1,
    sym_comment,
    ACTIONS(1598),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16919] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(309),
    1,
    sym_comment,
    ACTIONS(1566),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16939] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(310),
    1,
    sym_comment,
    ACTIONS(1562),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16959] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(311),
    1,
    sym_comment,
    ACTIONS(1558),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [16979] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1994),
    1,
    anon_sym_CARET,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(2004),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17001] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1546),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17021] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1542),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17041] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(1538),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17061] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1594),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17081] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2006),
    1,
    anon_sym_COMMA,
    ACTIONS(2008),
    1,
    anon_sym_SEMI,
    ACTIONS(2010),
    1,
    anon_sym_getraises,
    ACTIONS(2012),
    1,
    anon_sym_setraises,
    STATE(317),
    1,
    sym_comment,
    STATE(701),
    1,
    sym_get_excep_expr,
    STATE(703),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1192),
    1,
    sym_attr_raises_expr,
    STATE(1199),
    1,
    sym_set_excep_expr,
    [17115] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(318),
    1,
    sym_comment,
    ACTIONS(1534),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17135] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(1494),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17155] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(320),
    1,
    sym_comment,
    ACTIONS(1530),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17175] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(321),
    1,
    sym_comment,
    ACTIONS(1526),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17195] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1926),
    1,
    anon_sym_bitmask,
    ACTIONS(1928),
    1,
    anon_sym_AT,
    ACTIONS(1930),
    1,
    anon_sym_struct,
    ACTIONS(1932),
    1,
    anon_sym_union,
    STATE(268),
    1,
    aux_sym_interface_def_repeat1,
    STATE(322),
    1,
    sym_comment,
    STATE(324),
    1,
    sym_extend_annotation_appl,
    STATE(325),
    1,
    sym_annotation_appl,
    [17229] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(323),
    1,
    sym_comment,
    ACTIONS(1590),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17249] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(324),
    1,
    sym_comment,
    ACTIONS(1582),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17269] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(325),
    1,
    sym_comment,
    ACTIONS(1578),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17289] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(326),
    1,
    sym_comment,
    ACTIONS(1606),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17309] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(327),
    1,
    sym_comment,
    ACTIONS(1510),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17329] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1638),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17349] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1998),
    1,
    anon_sym_AT,
    ACTIONS(2000),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2002),
    1,
    sym_identifier,
    ACTIONS(2014),
    1,
    anon_sym_RBRACE,
    STATE(329),
    1,
    sym_comment,
    STATE(371),
    1,
    aux_sym_interface_def_repeat1,
    STATE(596),
    1,
    sym_annotation_appl,
    STATE(598),
    1,
    sym_bit_value,
    STATE(606),
    1,
    sym_extend_annotation_appl,
    [17383] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(330),
    1,
    sym_comment,
    ACTIONS(1514),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17403] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(331),
    1,
    sym_comment,
    ACTIONS(1646),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17423] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(332),
    1,
    sym_comment,
    ACTIONS(1486),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [17443] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(1518),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17463] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(2016),
    1,
    sym_bin_number,
    ACTIONS(2018),
    1,
    sym_hex_number,
    STATE(215),
    1,
    sym_dec_number,
    STATE(238),
    1,
    sym_oct_number,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [17495] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(1522),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17515] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(336),
    1,
    sym_comment,
    ACTIONS(1634),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17535] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    aux_sym_oct_number_token1,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1712),
    1,
    aux_sym_oct_number_token2,
    ACTIONS(2016),
    1,
    sym_bin_number,
    ACTIONS(2018),
    1,
    sym_hex_number,
    STATE(337),
    1,
    sym_comment,
    ACTIONS(615),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    STATE(238),
    2,
    sym_oct_number,
    sym_dec_number,
    [17565] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(338),
    1,
    sym_comment,
    ACTIONS(1654),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17585] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(339),
    1,
    sym_comment,
    ACTIONS(1490),
    8,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    [17605] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2020),
    1,
    anon_sym_RBRACE,
    ACTIONS(2022),
    1,
    anon_sym_default,
    ACTIONS(2024),
    1,
    anon_sym_case,
    STATE(32),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(340),
    1,
    sym_comment,
    STATE(346),
    1,
    aux_sym_union_def_repeat1,
    STATE(623),
    1,
    sym_case,
    [17636] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2026),
    1,
    anon_sym_RBRACE,
    ACTIONS(2028),
    1,
    anon_sym_default,
    ACTIONS(2031),
    1,
    anon_sym_case,
    STATE(32),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(623),
    1,
    sym_case,
    STATE(341),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [17665] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2034),
    1,
    anon_sym_LBRACE,
    ACTIONS(2036),
    1,
    anon_sym_COLON,
    ACTIONS(2038),
    1,
    anon_sym_SEMI,
    ACTIONS(2040),
    1,
    anon_sym_supports,
    STATE(342),
    1,
    sym_comment,
    STATE(686),
    1,
    sym_value_inheritance,
    STATE(1035),
    1,
    sym_value_supports,
    STATE(1036),
    1,
    sym_value_inheritance_spec,
    [17696] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2036),
    1,
    anon_sym_COLON,
    ACTIONS(2040),
    1,
    anon_sym_supports,
    ACTIONS(2042),
    1,
    anon_sym_LBRACE,
    ACTIONS(2044),
    1,
    anon_sym_SEMI,
    STATE(343),
    1,
    sym_comment,
    STATE(686),
    1,
    sym_value_inheritance,
    STATE(991),
    1,
    sym_value_inheritance_spec,
    STATE(1035),
    1,
    sym_value_supports,
    [17727] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(344),
    1,
    sym_comment,
    ACTIONS(2046),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(345),
    1,
    sym_comment,
    ACTIONS(2048),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17765] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2022),
    1,
    anon_sym_default,
    ACTIONS(2024),
    1,
    anon_sym_case,
    ACTIONS(2050),
    1,
    anon_sym_RBRACE,
    STATE(32),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(341),
    1,
    aux_sym_union_def_repeat1,
    STATE(346),
    1,
    sym_comment,
    STATE(623),
    1,
    sym_case,
    [17796] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2022),
    1,
    anon_sym_default,
    ACTIONS(2024),
    1,
    anon_sym_case,
    ACTIONS(2050),
    1,
    anon_sym_RBRACE,
    STATE(32),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(347),
    1,
    sym_comment,
    STATE(348),
    1,
    aux_sym_union_def_repeat1,
    STATE(623),
    1,
    sym_case,
    [17827] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2022),
    1,
    anon_sym_default,
    ACTIONS(2024),
    1,
    anon_sym_case,
    ACTIONS(2052),
    1,
    anon_sym_RBRACE,
    STATE(32),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(341),
    1,
    aux_sym_union_def_repeat1,
    STATE(348),
    1,
    sym_comment,
    STATE(623),
    1,
    sym_case,
    [17858] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(349),
    1,
    sym_comment,
    ACTIONS(2054),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [17877] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_PIPE,
    STATE(350),
    1,
    sym_comment,
    ACTIONS(2056),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(351),
    1,
    sym_comment,
    ACTIONS(2060),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17917] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(352),
    1,
    sym_comment,
    ACTIONS(2062),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(353),
    1,
    sym_comment,
    ACTIONS(2064),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17955] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(2066),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17974] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1998),
    1,
    anon_sym_AT,
    ACTIONS(2000),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2002),
    1,
    sym_identifier,
    STATE(355),
    1,
    sym_comment,
    STATE(371),
    1,
    aux_sym_interface_def_repeat1,
    STATE(596),
    1,
    sym_annotation_appl,
    STATE(606),
    1,
    sym_extend_annotation_appl,
    STATE(811),
    1,
    sym_bit_value,
    [18005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(2068),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18024] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2074),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(357),
    1,
    sym_comment,
    STATE(374),
    1,
    aux_sym_interface_def_repeat1,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18052] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2078),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(358),
    1,
    sym_comment,
    STATE(375),
    1,
    aux_sym_interface_def_repeat1,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18080] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(359),
    1,
    sym_comment,
    STATE(776),
    1,
    sym_scoped_name,
    STATE(1052),
    1,
    sym_imported_scope,
    STATE(1053),
    1,
    sym_string_literal,
    [18108] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_LBRACE,
    ACTIONS(2084),
    1,
    anon_sym_COLON,
    ACTIONS(2086),
    1,
    anon_sym_SEMI,
    ACTIONS(2088),
    1,
    anon_sym_supports,
    STATE(360),
    1,
    sym_comment,
    STATE(659),
    1,
    sym_component_inheritance_spec,
    STATE(1028),
    1,
    sym_supported_interface_spec,
    [18136] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1388),
    1,
    sym_identifier,
    ACTIONS(2090),
    1,
    anon_sym_AT,
    ACTIONS(2093),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(596),
    1,
    sym_annotation_appl,
    STATE(606),
    1,
    sym_extend_annotation_appl,
    STATE(361),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    [18162] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    anon_sym_LBRACK,
    STATE(362),
    1,
    sym_comment,
    STATE(363),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(428),
    1,
    sym_fixed_array_size,
    ACTIONS(2096),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18186] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2102),
    1,
    anon_sym_LBRACK,
    STATE(428),
    1,
    sym_fixed_array_size,
    STATE(363),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2100),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18208] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2105),
    1,
    anon_sym_RBRACE,
    ACTIONS(2107),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2109),
    1,
    sym_identifier,
    STATE(364),
    1,
    sym_comment,
    STATE(421),
    1,
    aux_sym_enumerator_repeat1,
    STATE(609),
    1,
    sym_enumerator,
    STATE(813),
    1,
    sym_enum_modifier,
    [18236] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2111),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(365),
    1,
    sym_comment,
    STATE(375),
    1,
    aux_sym_interface_def_repeat1,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18264] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2113),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(365),
    1,
    aux_sym_interface_def_repeat1,
    STATE(366),
    1,
    sym_comment,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18292] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(367),
    1,
    sym_comment,
    ACTIONS(2117),
    2,
    aux_sym_oct_number_token2,
    sym_hex_number,
    ACTIONS(2115),
    4,
    sym_bin_number,
    aux_sym_oct_number_token1,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [18312] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2119),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(358),
    1,
    aux_sym_interface_def_repeat1,
    STATE(368),
    1,
    sym_comment,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18340] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    anon_sym_LBRACK,
    STATE(362),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(369),
    1,
    sym_comment,
    STATE(428),
    1,
    sym_fixed_array_size,
    ACTIONS(2054),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18364] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2036),
    1,
    anon_sym_COLON,
    ACTIONS(2040),
    1,
    anon_sym_supports,
    ACTIONS(2121),
    1,
    anon_sym_LBRACE,
    STATE(370),
    1,
    sym_comment,
    STATE(686),
    1,
    sym_value_inheritance,
    STATE(932),
    1,
    sym_value_inheritance_spec,
    STATE(1035),
    1,
    sym_value_supports,
    [18392] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1998),
    1,
    anon_sym_AT,
    ACTIONS(2000),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2123),
    1,
    sym_identifier,
    STATE(361),
    1,
    aux_sym_interface_def_repeat1,
    STATE(371),
    1,
    sym_comment,
    STATE(596),
    1,
    sym_annotation_appl,
    STATE(606),
    1,
    sym_extend_annotation_appl,
    [18420] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2036),
    1,
    anon_sym_COLON,
    ACTIONS(2040),
    1,
    anon_sym_supports,
    ACTIONS(2125),
    1,
    anon_sym_LBRACE,
    STATE(372),
    1,
    sym_comment,
    STATE(686),
    1,
    sym_value_inheritance,
    STATE(992),
    1,
    sym_value_inheritance_spec,
    STATE(1035),
    1,
    sym_value_supports,
    [18448] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2107),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2109),
    1,
    sym_identifier,
    ACTIONS(2127),
    1,
    anon_sym_RBRACE,
    STATE(373),
    1,
    sym_comment,
    STATE(421),
    1,
    aux_sym_enumerator_repeat1,
    STATE(574),
    1,
    sym_enumerator,
    STATE(813),
    1,
    sym_enum_modifier,
    [18476] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2129),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(374),
    1,
    sym_comment,
    STATE(375),
    1,
    aux_sym_interface_def_repeat1,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18504] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1386),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2131),
    1,
    anon_sym_AT,
    ACTIONS(2134),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    STATE(375),
    2,
    sym_comment,
    aux_sym_interface_def_repeat1,
    [18530] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2137),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(376),
    1,
    sym_comment,
    STATE(377),
    1,
    aux_sym_interface_def_repeat1,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18558] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2139),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(375),
    1,
    aux_sym_interface_def_repeat1,
    STATE(377),
    1,
    sym_comment,
    STATE(529),
    1,
    sym_extend_annotation_appl,
    STATE(538),
    1,
    sym_annotation_appl,
    [18586] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_Object,
    ACTIONS(2143),
    1,
    anon_sym_multiple,
    STATE(378),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_scoped_name,
    STATE(914),
    1,
    sym_interface_type,
    [18614] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2145),
    1,
    anon_sym_RBRACE,
    ACTIONS(2147),
    1,
    anon_sym_bitfield,
    STATE(599),
    1,
    sym_bitfield_spec,
    STATE(795),
    1,
    sym_bitfield,
    STATE(379),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [18637] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(380),
    1,
    sym_comment,
    ACTIONS(1486),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18654] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_Object,
    STATE(381),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_scoped_name,
    STATE(893),
    1,
    sym_interface_type,
    [18679] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2150),
    1,
    anon_sym_RBRACE,
    ACTIONS(2152),
    1,
    anon_sym_bitfield,
    STATE(379),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(382),
    1,
    sym_comment,
    STATE(599),
    1,
    sym_bitfield_spec,
    STATE(795),
    1,
    sym_bitfield,
    [18704] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_Object,
    STATE(383),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_scoped_name,
    STATE(915),
    1,
    sym_interface_type,
    [18729] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2154),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2156),
    1,
    anon_sym_LPAREN,
    STATE(384),
    1,
    sym_comment,
    ACTIONS(1464),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18750] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2152),
    1,
    anon_sym_bitfield,
    ACTIONS(2158),
    1,
    anon_sym_RBRACE,
    STATE(379),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(385),
    1,
    sym_comment,
    STATE(599),
    1,
    sym_bitfield_spec,
    STATE(795),
    1,
    sym_bitfield,
    [18775] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(386),
    1,
    sym_comment,
    ACTIONS(1480),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18792] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(387),
    1,
    sym_comment,
    ACTIONS(1482),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(388),
    1,
    sym_comment,
    ACTIONS(2160),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18826] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(389),
    1,
    sym_comment,
    ACTIONS(2162),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18843] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(390),
    1,
    sym_comment,
    ACTIONS(2164),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18860] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2152),
    1,
    anon_sym_bitfield,
    ACTIONS(2166),
    1,
    anon_sym_RBRACE,
    STATE(385),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(391),
    1,
    sym_comment,
    STATE(599),
    1,
    sym_bitfield_spec,
    STATE(795),
    1,
    sym_bitfield,
    [18885] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(392),
    1,
    sym_comment,
    ACTIONS(1476),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18902] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(393),
    1,
    sym_comment,
    ACTIONS(1478),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18919] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2168),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2170),
    1,
    anon_sym_LPAREN,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(1462),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(2172),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18957] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(396),
    1,
    sym_comment,
    ACTIONS(1484),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18974] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(397),
    1,
    sym_comment,
    STATE(483),
    1,
    sym_declarator,
    STATE(869),
    1,
    sym_declarators,
    STATE(523),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18997] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2176),
    1,
    anon_sym_COLON,
    ACTIONS(2178),
    1,
    anon_sym_supports,
    ACTIONS(2180),
    1,
    anon_sym_manages,
    STATE(398),
    1,
    sym_comment,
    STATE(655),
    1,
    sym_home_inheritance_spec,
    STATE(1027),
    1,
    sym_supported_interface_spec,
    [19022] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2006),
    1,
    anon_sym_COMMA,
    ACTIONS(2182),
    1,
    anon_sym_SEMI,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    STATE(399),
    1,
    sym_comment,
    STATE(680),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1174),
    1,
    sym_raises_expr,
    [19047] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_LT,
    STATE(400),
    1,
    sym_comment,
    ACTIONS(2188),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19066] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(401),
    1,
    sym_comment,
    STATE(483),
    1,
    sym_declarator,
    STATE(629),
    1,
    sym_declarators,
    STATE(523),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19089] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(402),
    1,
    sym_comment,
    STATE(483),
    1,
    sym_declarator,
    STATE(525),
    1,
    sym_declarators,
    STATE(523),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19112] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(403),
    1,
    sym_comment,
    ACTIONS(2190),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19129] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    STATE(404),
    1,
    sym_comment,
    ACTIONS(1940),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19148] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(405),
    1,
    sym_comment,
    STATE(672),
    1,
    sym_any_declarator,
    STATE(1032),
    1,
    sym_any_declarators,
    STATE(788),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19171] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2152),
    1,
    anon_sym_bitfield,
    ACTIONS(2194),
    1,
    anon_sym_RBRACE,
    STATE(382),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(406),
    1,
    sym_comment,
    STATE(599),
    1,
    sym_bitfield_spec,
    STATE(795),
    1,
    sym_bitfield,
    [19196] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1360),
    1,
    sym_identifier,
    ACTIONS(2196),
    1,
    anon_sym_truncatable,
    STATE(407),
    1,
    sym_comment,
    STATE(440),
    1,
    sym_value_name,
    STATE(442),
    1,
    sym_scoped_name,
    [19221] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(408),
    1,
    sym_comment,
    ACTIONS(2198),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(409),
    1,
    sym_comment,
    ACTIONS(2200),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19255] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(410),
    1,
    sym_comment,
    ACTIONS(2202),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19272] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(411),
    1,
    sym_comment,
    ACTIONS(2204),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(412),
    1,
    sym_comment,
    ACTIONS(2206),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19306] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2208),
    1,
    anon_sym_LT,
    ACTIONS(2210),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2212),
    1,
    sym_identifier,
    STATE(413),
    1,
    sym_comment,
    STATE(1169),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [19329] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2107),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2109),
    1,
    sym_identifier,
    STATE(414),
    1,
    sym_comment,
    STATE(421),
    1,
    aux_sym_enumerator_repeat1,
    STATE(774),
    1,
    sym_enumerator,
    STATE(813),
    1,
    sym_enum_modifier,
    [19354] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(415),
    1,
    sym_comment,
    STATE(442),
    1,
    sym_scoped_name,
    STATE(673),
    1,
    sym_value_name,
    [19376] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2216),
    1,
    anon_sym_RPAREN,
    ACTIONS(2218),
    1,
    anon_sym_in,
    STATE(416),
    1,
    sym_comment,
    STATE(716),
    1,
    sym_init_param_dcl,
    STATE(1225),
    1,
    sym_init_param_dcls,
    [19398] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(417),
    1,
    sym_comment,
    ACTIONS(2220),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19414] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2222),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(813),
    1,
    sym_enum_modifier,
    STATE(418),
    2,
    sym_comment,
    aux_sym_enumerator_repeat1,
    [19434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(419),
    1,
    sym_comment,
    ACTIONS(2227),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19450] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2231),
    1,
    anon_sym_RPAREN,
    STATE(420),
    1,
    sym_comment,
    STATE(554),
    1,
    aux_sym_raises_expr_repeat1,
    [19472] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2107),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2233),
    1,
    sym_identifier,
    STATE(418),
    1,
    aux_sym_enumerator_repeat1,
    STATE(421),
    1,
    sym_comment,
    STATE(813),
    1,
    sym_enum_modifier,
    [19494] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COMMA,
    ACTIONS(2237),
    1,
    anon_sym_LBRACE,
    ACTIONS(2239),
    1,
    anon_sym_supports,
    STATE(422),
    1,
    sym_comment,
    STATE(425),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [19516] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2241),
    1,
    anon_sym_COMMA,
    ACTIONS(2244),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(423),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [19534] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(424),
    1,
    sym_comment,
    STATE(584),
    1,
    sym_scoped_name,
    STATE(674),
    1,
    sym_interface_name,
    [19556] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2246),
    1,
    anon_sym_COMMA,
    ACTIONS(2249),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(425),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [19574] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COMMA,
    ACTIONS(2237),
    1,
    anon_sym_LBRACE,
    ACTIONS(2239),
    1,
    anon_sym_supports,
    STATE(426),
    1,
    sym_comment,
    STATE(438),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [19596] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(427),
    1,
    sym_comment,
    STATE(724),
    1,
    sym_declarator,
    STATE(523),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(428),
    1,
    sym_comment,
    ACTIONS(2251),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [19632] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(429),
    1,
    sym_comment,
    ACTIONS(2253),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19648] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(430),
    1,
    sym_comment,
    STATE(860),
    1,
    sym_any_declarator,
    STATE(788),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19668] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2255),
    1,
    sym_escape_sequence,
    ACTIONS(2257),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2259),
    1,
    aux_sym_string_literal_token1,
    STATE(431),
    1,
    sym_comment,
    STATE(448),
    1,
    aux_sym_string_literal_repeat1,
    [19690] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_in,
    ACTIONS(2261),
    1,
    anon_sym_RPAREN,
    STATE(432),
    1,
    sym_comment,
    STATE(716),
    1,
    sym_init_param_dcl,
    STATE(1213),
    1,
    sym_init_param_dcls,
    [19712] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2263),
    1,
    anon_sym_LBRACE,
    STATE(433),
    1,
    sym_comment,
    STATE(589),
    1,
    aux_sym_raises_expr_repeat1,
    [19734] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    sym_identifier,
    STATE(434),
    1,
    sym_comment,
    STATE(876),
    1,
    sym_declarator,
    STATE(523),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19754] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(435),
    1,
    sym_comment,
    STATE(1113),
    1,
    sym_service_platform,
    ACTIONS(2265),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [19772] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2267),
    1,
    anon_sym_LBRACE,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    STATE(436),
    1,
    sym_comment,
    STATE(872),
    1,
    sym_primary_key_spec,
    [19794] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2271),
    1,
    anon_sym_RPAREN,
    STATE(437),
    1,
    sym_comment,
    STATE(1063),
    1,
    sym_autoid_kind,
    ACTIONS(2273),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [19814] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COMMA,
    ACTIONS(2275),
    1,
    anon_sym_LBRACE,
    ACTIONS(2277),
    1,
    anon_sym_supports,
    STATE(425),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(438),
    1,
    sym_comment,
    [19836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(439),
    1,
    sym_comment,
    ACTIONS(1940),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19852] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COMMA,
    ACTIONS(2279),
    1,
    anon_sym_LBRACE,
    ACTIONS(2281),
    1,
    anon_sym_supports,
    STATE(422),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(440),
    1,
    sym_comment,
    [19874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(441),
    1,
    sym_comment,
    ACTIONS(2283),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19890] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    STATE(442),
    1,
    sym_comment,
    ACTIONS(2285),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [19908] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(443),
    1,
    sym_comment,
    STATE(1103),
    1,
    sym_extensibility_kind,
    ACTIONS(2287),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [19926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(444),
    1,
    sym_comment,
    ACTIONS(2289),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19942] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2291),
    1,
    anon_sym_COMMA,
    STATE(423),
    1,
    aux_sym_declarators_repeat1,
    STATE(445),
    1,
    sym_comment,
    ACTIONS(2293),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [19962] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(426),
    1,
    sym_value_name,
    STATE(442),
    1,
    sym_scoped_name,
    STATE(446),
    1,
    sym_comment,
    [19984] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(447),
    1,
    sym_comment,
    STATE(584),
    1,
    sym_scoped_name,
    STATE(697),
    1,
    sym_interface_name,
    [20006] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2295),
    1,
    sym_escape_sequence,
    ACTIONS(2298),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2300),
    1,
    aux_sym_string_literal_token1,
    STATE(448),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [20026] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2255),
    1,
    sym_escape_sequence,
    ACTIONS(2259),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2303),
    1,
    anon_sym_DQUOTE,
    STATE(431),
    1,
    aux_sym_string_literal_repeat1,
    STATE(449),
    1,
    sym_comment,
    [20048] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(450),
    1,
    sym_comment,
    STATE(584),
    1,
    sym_scoped_name,
    STATE(760),
    1,
    sym_interface_name,
    [20070] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2305),
    1,
    anon_sym_LPAREN,
    STATE(451),
    1,
    sym_comment,
    ACTIONS(1422),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20088] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2255),
    1,
    sym_escape_sequence,
    ACTIONS(2259),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2307),
    1,
    anon_sym_DQUOTE,
    STATE(452),
    1,
    sym_comment,
    STATE(472),
    1,
    aux_sym_string_literal_repeat1,
    [20110] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2309),
    1,
    anon_sym_RPAREN,
    STATE(453),
    1,
    sym_comment,
    STATE(1130),
    1,
    sym_autoid_kind,
    ACTIONS(2273),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20130] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2311),
    1,
    anon_sym_LPAREN,
    STATE(454),
    1,
    sym_comment,
    ACTIONS(1428),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20148] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    STATE(455),
    1,
    sym_comment,
    STATE(837),
    1,
    sym_raises_expr,
    ACTIONS(2313),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [20168] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(456),
    1,
    sym_comment,
    STATE(1077),
    1,
    sym_service_platform,
    ACTIONS(2265),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20186] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2315),
    1,
    anon_sym_RPAREN,
    STATE(457),
    1,
    sym_comment,
    STATE(1131),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20206] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(458),
    1,
    sym_comment,
    STATE(1144),
    1,
    sym_service_platform,
    ACTIONS(2265),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20224] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    ACTIONS(2317),
    1,
    anon_sym_LBRACE,
    STATE(459),
    1,
    sym_comment,
    STATE(1185),
    1,
    sym_primary_key_spec,
    [20246] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2319),
    1,
    anon_sym_LBRACE,
    ACTIONS(2321),
    1,
    anon_sym_COLON,
    ACTIONS(2323),
    1,
    anon_sym_SEMI,
    STATE(460),
    1,
    sym_comment,
    STATE(1025),
    1,
    sym_interface_inheritance_spec,
    [20268] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    anon_sym_RPAREN,
    STATE(461),
    1,
    sym_comment,
    STATE(1099),
    1,
    sym_autoid_kind,
    ACTIONS(2273),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(462),
    1,
    sym_comment,
    ACTIONS(2327),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20304] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2329),
    1,
    anon_sym_RPAREN,
    STATE(463),
    1,
    sym_comment,
    STATE(1064),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20324] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2331),
    1,
    anon_sym_RPAREN,
    STATE(464),
    1,
    sym_comment,
    STATE(571),
    1,
    aux_sym_raises_expr_repeat1,
    [20346] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2333),
    1,
    anon_sym_LBRACE,
    ACTIONS(2335),
    1,
    anon_sym_COLON,
    STATE(465),
    1,
    sym_comment,
    ACTIONS(2337),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [20366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(466),
    1,
    sym_comment,
    ACTIONS(2339),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20382] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2344),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2341),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(467),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [20400] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(468),
    1,
    sym_comment,
    STATE(1067),
    1,
    sym_extensibility_kind,
    ACTIONS(2287),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20418] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    STATE(469),
    1,
    sym_comment,
    STATE(782),
    1,
    sym_raises_expr,
    ACTIONS(2346),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [20438] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(470),
    1,
    sym_comment,
    ACTIONS(2348),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20454] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2350),
    1,
    anon_sym_LPAREN,
    STATE(471),
    1,
    sym_comment,
    ACTIONS(1458),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20472] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2255),
    1,
    sym_escape_sequence,
    ACTIONS(2259),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2352),
    1,
    anon_sym_DQUOTE,
    STATE(448),
    1,
    aux_sym_string_literal_repeat1,
    STATE(472),
    1,
    sym_comment,
    [20494] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2354),
    1,
    anon_sym_LPAREN,
    STATE(473),
    1,
    sym_comment,
    ACTIONS(1440),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20512] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2356),
    1,
    anon_sym_RPAREN,
    ACTIONS(2358),
    1,
    anon_sym_in,
    STATE(474),
    1,
    sym_comment,
    STATE(669),
    1,
    sym_in_param_dcl,
    STATE(1054),
    1,
    sym_in_parameter_dcls,
    [20534] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2360),
    1,
    anon_sym_RPAREN,
    STATE(475),
    1,
    sym_comment,
    STATE(1100),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20554] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2362),
    1,
    anon_sym_RPAREN,
    STATE(476),
    1,
    sym_comment,
    STATE(976),
    1,
    sym_autoid_kind,
    ACTIONS(2273),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20574] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2364),
    1,
    anon_sym_RPAREN,
    STATE(477),
    1,
    sym_comment,
    STATE(975),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20594] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2366),
    1,
    anon_sym_LPAREN,
    STATE(478),
    1,
    sym_comment,
    ACTIONS(1396),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20612] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(479),
    1,
    sym_comment,
    STATE(971),
    1,
    sym_extensibility_kind,
    ACTIONS(2287),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20630] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2368),
    1,
    anon_sym_LPAREN,
    STATE(480),
    1,
    sym_comment,
    ACTIONS(1434),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20648] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2370),
    1,
    anon_sym_LPAREN,
    STATE(481),
    1,
    sym_comment,
    ACTIONS(1450),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20666] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2372),
    1,
    anon_sym_LPAREN,
    STATE(482),
    1,
    sym_comment,
    ACTIONS(1402),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20684] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2291),
    1,
    anon_sym_COMMA,
    STATE(445),
    1,
    aux_sym_declarators_repeat1,
    STATE(483),
    1,
    sym_comment,
    ACTIONS(2374),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [20704] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2376),
    1,
    anon_sym_LPAREN,
    STATE(484),
    1,
    sym_comment,
    ACTIONS(1444),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20722] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(485),
    1,
    sym_comment,
    STATE(584),
    1,
    sym_scoped_name,
    STATE(630),
    1,
    sym_interface_name,
    [20744] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2378),
    1,
    anon_sym_LPAREN,
    STATE(486),
    1,
    sym_comment,
    ACTIONS(1432),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20762] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(487),
    1,
    sym_comment,
    ACTIONS(2380),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20778] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2263),
    1,
    anon_sym_manages,
    ACTIONS(2382),
    1,
    anon_sym_COMMA,
    STATE(488),
    1,
    sym_comment,
    STATE(730),
    1,
    aux_sym_raises_expr_repeat1,
    [20800] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(489),
    1,
    sym_comment,
    STATE(1134),
    1,
    sym_extensibility_kind,
    ACTIONS(2287),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20818] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(490),
    1,
    sym_comment,
    STATE(954),
    1,
    sym_service_platform,
    ACTIONS(2265),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20836] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2384),
    1,
    anon_sym_LPAREN,
    STATE(491),
    1,
    sym_comment,
    ACTIONS(1438),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20854] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2386),
    1,
    anon_sym_LPAREN,
    STATE(492),
    1,
    sym_comment,
    ACTIONS(1456),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20872] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2269),
    1,
    anon_sym_primarykey,
    ACTIONS(2388),
    1,
    anon_sym_LBRACE,
    STATE(493),
    1,
    sym_comment,
    STATE(1177),
    1,
    sym_primary_key_spec,
    [20894] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(494),
    1,
    sym_comment,
    ACTIONS(2390),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20910] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2392),
    1,
    anon_sym_COMMA,
    ACTIONS(2395),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(495),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [20928] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2397),
    1,
    anon_sym_LPAREN,
    STATE(496),
    1,
    sym_comment,
    ACTIONS(1426),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20946] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(497),
    1,
    sym_comment,
    ACTIONS(2399),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20962] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2401),
    1,
    anon_sym_LPAREN,
    STATE(498),
    1,
    sym_comment,
    ACTIONS(1420),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20980] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(499),
    1,
    sym_comment,
    STATE(548),
    1,
    sym_interface_name,
    STATE(584),
    1,
    sym_scoped_name,
    [21002] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(621),
    1,
    anon_sym_SQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(222),
    1,
    sym_string_literal,
    STATE(235),
    1,
    sym_char_literal,
    STATE(500),
    1,
    sym_comment,
    [21024] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(501),
    1,
    sym_comment,
    STATE(584),
    1,
    sym_scoped_name,
    STATE(942),
    1,
    sym_interface_name,
    [21046] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2405),
    1,
    anon_sym_SQUOTE,
    STATE(467),
    1,
    aux_sym_char_literal_repeat1,
    STATE(502),
    1,
    sym_comment,
    ACTIONS(2403),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [21066] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2407),
    1,
    anon_sym_LPAREN,
    STATE(503),
    1,
    sym_comment,
    ACTIONS(1446),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21084] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(2395),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [21102] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(505),
    1,
    sym_comment,
    ACTIONS(2409),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [21118] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2411),
    1,
    anon_sym_LPAREN,
    STATE(506),
    1,
    sym_comment,
    ACTIONS(1404),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21136] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2413),
    1,
    anon_sym_LPAREN,
    STATE(507),
    1,
    sym_comment,
    ACTIONS(1452),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21154] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2415),
    1,
    anon_sym_LPAREN,
    STATE(508),
    1,
    sym_comment,
    ACTIONS(1398),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(509),
    1,
    sym_comment,
    ACTIONS(2417),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21188] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2419),
    1,
    anon_sym_RPAREN,
    ACTIONS(2421),
    1,
    anon_sym_in,
    STATE(510),
    1,
    sym_comment,
    STATE(720),
    1,
    sym_factory_param_dcl,
    STATE(1163),
    1,
    sym_factory_param_dcls,
    [21210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(511),
    1,
    sym_comment,
    ACTIONS(2423),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [21225] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2425),
    1,
    anon_sym_SEMI,
    ACTIONS(2427),
    1,
    sym_identifier,
    STATE(512),
    1,
    sym_comment,
    STATE(636),
    1,
    aux_sym_bitfield_repeat1,
    [21244] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(513),
    1,
    sym_comment,
    ACTIONS(1596),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21259] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(514),
    1,
    sym_comment,
    ACTIONS(2429),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [21274] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(515),
    1,
    sym_comment,
    STATE(825),
    1,
    sym_scoped_name,
    [21293] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(516),
    1,
    sym_comment,
    ACTIONS(1640),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21308] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(517),
    1,
    sym_comment,
    STATE(1079),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21325] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(1592),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21340] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(519),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_dec_number,
    ACTIONS(2431),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [21357] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    ACTIONS(2435),
    1,
    anon_sym_RBRACE,
    STATE(520),
    1,
    sym_comment,
    STATE(641),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [21376] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(521),
    1,
    sym_comment,
    ACTIONS(1588),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21391] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    STATE(522),
    1,
    sym_comment,
    ACTIONS(2395),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [21408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(2437),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21423] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(524),
    1,
    sym_comment,
    STATE(1078),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21440] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2439),
    1,
    anon_sym_SEMI,
    ACTIONS(2441),
    1,
    anon_sym_default,
    STATE(525),
    1,
    sym_comment,
    STATE(913),
    1,
    sym_default,
    [21459] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2445),
    1,
    anon_sym_RPAREN,
    STATE(526),
    1,
    sym_comment,
    STATE(553),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [21478] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(527),
    1,
    sym_comment,
    STATE(1115),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21495] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(528),
    1,
    sym_comment,
    ACTIONS(1652),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21510] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(529),
    1,
    sym_comment,
    ACTIONS(1580),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21525] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(530),
    1,
    sym_comment,
    ACTIONS(1648),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21540] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(531),
    1,
    sym_comment,
    ACTIONS(1644),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21555] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(532),
    1,
    sym_comment,
    ACTIONS(1488),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21570] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(533),
    1,
    sym_comment,
    ACTIONS(1636),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21585] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(534),
    1,
    sym_comment,
    ACTIONS(1632),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21600] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(535),
    1,
    sym_comment,
    ACTIONS(1628),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21615] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(536),
    1,
    sym_comment,
    ACTIONS(1624),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21630] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1620),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21645] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(538),
    1,
    sym_comment,
    ACTIONS(1576),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21660] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(539),
    1,
    sym_comment,
    ACTIONS(1616),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21675] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(540),
    1,
    sym_comment,
    ACTIONS(1612),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21690] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(541),
    1,
    sym_comment,
    STATE(1075),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21707] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2447),
    1,
    anon_sym_GT,
    ACTIONS(2449),
    1,
    anon_sym_COMMA,
    STATE(542),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [21724] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(543),
    1,
    sym_comment,
    ACTIONS(1608),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21739] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(317),
    1,
    sym_simple_declarator,
    STATE(544),
    1,
    sym_comment,
    STATE(880),
    1,
    sym_attr_declarator,
    [21758] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(545),
    1,
    sym_comment,
    STATE(1074),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21775] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(546),
    1,
    sym_comment,
    STATE(1104),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21792] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(547),
    1,
    sym_comment,
    STATE(1105),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21809] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2456),
    1,
    anon_sym_LBRACE,
    STATE(548),
    1,
    sym_comment,
    STATE(600),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21828] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(549),
    1,
    sym_comment,
    ACTIONS(1604),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21843] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(550),
    1,
    sym_comment,
    ACTIONS(1584),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21858] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(551),
    1,
    sym_comment,
    ACTIONS(1572),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21873] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2458),
    1,
    anon_sym_GT,
    ACTIONS(2460),
    1,
    anon_sym_COMMA,
    STATE(542),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(552),
    1,
    sym_comment,
    [21892] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2462),
    1,
    anon_sym_RPAREN,
    STATE(553),
    1,
    sym_comment,
    STATE(664),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [21911] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2464),
    1,
    anon_sym_RPAREN,
    STATE(495),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(554),
    1,
    sym_comment,
    [21930] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(555),
    1,
    sym_comment,
    ACTIONS(2466),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [21945] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(556),
    1,
    sym_comment,
    ACTIONS(1568),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21960] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2468),
    1,
    anon_sym_GT,
    ACTIONS(2470),
    1,
    anon_sym_COMMA,
    STATE(557),
    1,
    sym_comment,
    STATE(667),
    1,
    aux_sym_formal_parameters_repeat1,
    [21979] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(459),
    1,
    sym_scoped_name,
    STATE(558),
    1,
    sym_comment,
    [21998] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2460),
    1,
    anon_sym_COMMA,
    ACTIONS(2472),
    1,
    anon_sym_GT,
    STATE(552),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(559),
    1,
    sym_comment,
    [22017] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    STATE(560),
    1,
    sym_comment,
    ACTIONS(2474),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [22034] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(561),
    1,
    sym_comment,
    ACTIONS(1564),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22049] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1770),
    1,
    anon_sym_COLON_COLON,
    STATE(562),
    1,
    sym_comment,
    ACTIONS(2476),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [22066] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2478),
    1,
    anon_sym_GT,
    ACTIONS(2480),
    1,
    anon_sym_COMMA,
    STATE(563),
    1,
    sym_comment,
    STATE(670),
    1,
    aux_sym_actual_parameters_repeat1,
    [22085] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2482),
    1,
    anon_sym_COMMA,
    ACTIONS(2484),
    1,
    anon_sym_SEMI,
    STATE(564),
    1,
    sym_comment,
    STATE(587),
    1,
    aux_sym_any_declarators_repeat1,
    [22104] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(565),
    1,
    sym_comment,
    ACTIONS(1560),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22119] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(566),
    1,
    sym_comment,
    ACTIONS(1556),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22134] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(567),
    1,
    sym_comment,
    ACTIONS(1544),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22149] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(568),
    1,
    sym_comment,
    ACTIONS(1540),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22164] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(569),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22181] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2486),
    1,
    anon_sym_COMMA,
    ACTIONS(2489),
    1,
    anon_sym_RPAREN,
    STATE(570),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [22198] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2491),
    1,
    anon_sym_RPAREN,
    STATE(495),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(571),
    1,
    sym_comment,
    [22217] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(572),
    1,
    sym_comment,
    ACTIONS(1536),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22232] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(573),
    1,
    sym_comment,
    ACTIONS(1532),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22247] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2105),
    1,
    anon_sym_RBRACE,
    ACTIONS(2493),
    1,
    anon_sym_COMMA,
    STATE(574),
    1,
    sym_comment,
    STATE(575),
    1,
    aux_sym_enum_dcl_repeat1,
    [22266] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2493),
    1,
    anon_sym_COMMA,
    ACTIONS(2495),
    1,
    anon_sym_RBRACE,
    STATE(575),
    1,
    sym_comment,
    STATE(681),
    1,
    aux_sym_enum_dcl_repeat1,
    [22285] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(576),
    1,
    sym_comment,
    STATE(1111),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22302] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(577),
    1,
    sym_comment,
    ACTIONS(1492),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22317] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(578),
    1,
    sym_comment,
    ACTIONS(1528),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22332] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(579),
    1,
    sym_comment,
    ACTIONS(1524),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22347] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(580),
    1,
    sym_comment,
    ACTIONS(1520),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22362] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(581),
    1,
    sym_comment,
    ACTIONS(1516),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22377] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(582),
    1,
    sym_comment,
    ACTIONS(1512),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22392] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(583),
    1,
    sym_comment,
    ACTIONS(1508),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22407] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    STATE(584),
    1,
    sym_comment,
    ACTIONS(2497),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [22424] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2480),
    1,
    anon_sym_COMMA,
    ACTIONS(2499),
    1,
    anon_sym_GT,
    STATE(563),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(585),
    1,
    sym_comment,
    [22443] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(586),
    1,
    sym_comment,
    STATE(1114),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22460] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2501),
    1,
    anon_sym_COMMA,
    ACTIONS(2504),
    1,
    anon_sym_SEMI,
    STATE(587),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [22477] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(504),
    1,
    sym_scoped_name,
    STATE(588),
    1,
    sym_comment,
    [22496] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2229),
    1,
    anon_sym_COMMA,
    ACTIONS(2506),
    1,
    anon_sym_LBRACE,
    STATE(495),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(589),
    1,
    sym_comment,
    [22515] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(590),
    1,
    sym_comment,
    STATE(762),
    1,
    sym_scoped_name,
    [22534] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2508),
    1,
    anon_sym_LBRACE,
    STATE(591),
    1,
    sym_comment,
    STATE(694),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22553] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(592),
    1,
    sym_comment,
    STATE(865),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22570] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(493),
    1,
    sym_scoped_name,
    STATE(593),
    1,
    sym_comment,
    [22589] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2470),
    1,
    anon_sym_COMMA,
    ACTIONS(2510),
    1,
    anon_sym_GT,
    STATE(557),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(594),
    1,
    sym_comment,
    [22608] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(595),
    1,
    sym_comment,
    STATE(1068),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22625] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(596),
    1,
    sym_comment,
    ACTIONS(1578),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22640] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(502),
    1,
    aux_sym_char_literal_repeat1,
    STATE(597),
    1,
    sym_comment,
    ACTIONS(2403),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [22657] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1996),
    1,
    anon_sym_RBRACE,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    STATE(520),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(598),
    1,
    sym_comment,
    [22676] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2427),
    1,
    sym_identifier,
    ACTIONS(2512),
    1,
    anon_sym_SEMI,
    STATE(512),
    1,
    aux_sym_bitfield_repeat1,
    STATE(599),
    1,
    sym_comment,
    [22695] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2514),
    1,
    anon_sym_LBRACE,
    STATE(600),
    1,
    sym_comment,
    STATE(694),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22714] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(399),
    1,
    sym_simple_declarator,
    STATE(601),
    1,
    sym_comment,
    STATE(1190),
    1,
    sym_readonly_attr_declarator,
    [22733] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2519),
    1,
    anon_sym_RPAREN,
    STATE(602),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [22750] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(603),
    1,
    sym_comment,
    ACTIONS(1638),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22765] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2521),
    1,
    anon_sym_COMMA,
    ACTIONS(2524),
    1,
    anon_sym_RPAREN,
    STATE(604),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [22782] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2526),
    1,
    anon_sym_RPAREN,
    STATE(605),
    1,
    sym_comment,
    STATE(706),
    1,
    sym_string_literal,
    [22801] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(606),
    1,
    sym_comment,
    ACTIONS(1582),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22816] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2319),
    1,
    anon_sym_LBRACE,
    ACTIONS(2321),
    1,
    anon_sym_COLON,
    STATE(607),
    1,
    sym_comment,
    STATE(1025),
    1,
    sym_interface_inheritance_spec,
    [22835] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(608),
    1,
    sym_comment,
    ACTIONS(1590),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22850] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2493),
    1,
    anon_sym_COMMA,
    ACTIONS(2495),
    1,
    anon_sym_RBRACE,
    STATE(609),
    1,
    sym_comment,
    STATE(717),
    1,
    aux_sym_enum_dcl_repeat1,
    [22869] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2528),
    1,
    anon_sym_COMMA,
    ACTIONS(2531),
    1,
    anon_sym_RPAREN,
    STATE(610),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [22886] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_COMMA,
    ACTIONS(2536),
    1,
    anon_sym_RPAREN,
    STATE(611),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [22903] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2538),
    1,
    anon_sym_COMMA,
    ACTIONS(2540),
    1,
    anon_sym_RPAREN,
    STATE(570),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(612),
    1,
    sym_comment,
    [22922] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(613),
    1,
    sym_comment,
    ACTIONS(1594),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22937] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(420),
    1,
    sym_scoped_name,
    STATE(614),
    1,
    sym_comment,
    [22956] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(615),
    1,
    sym_comment,
    ACTIONS(1598),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22971] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(616),
    1,
    sym_comment,
    ACTIONS(1642),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22986] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(617),
    1,
    sym_comment,
    STATE(826),
    1,
    sym_scoped_name,
    [23005] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(618),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_scoped_name,
    [23024] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    ACTIONS(2435),
    1,
    anon_sym_RBRACE,
    STATE(619),
    1,
    sym_comment,
    STATE(722),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [23043] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(620),
    1,
    sym_comment,
    STATE(823),
    1,
    sym_scoped_name,
    [23062] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(621),
    1,
    sym_comment,
    STATE(725),
    1,
    sym_scoped_name,
    [23081] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(622),
    1,
    sym_comment,
    STATE(822),
    1,
    sym_scoped_name,
    [23100] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(623),
    1,
    sym_comment,
    ACTIONS(2542),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [23115] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(624),
    1,
    sym_comment,
    ACTIONS(1654),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23130] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_SEMI,
    ACTIONS(2546),
    1,
    anon_sym_context,
    STATE(625),
    1,
    sym_comment,
    STATE(921),
    1,
    sym_context_expr,
    [23149] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(626),
    1,
    sym_comment,
    ACTIONS(1650),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23164] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(627),
    1,
    sym_comment,
    STATE(726),
    1,
    sym_scoped_name,
    [23183] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(628),
    1,
    sym_comment,
    ACTIONS(1646),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23198] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2441),
    1,
    anon_sym_default,
    ACTIONS(2548),
    1,
    anon_sym_SEMI,
    STATE(629),
    1,
    sym_comment,
    STATE(1270),
    1,
    sym_default,
    [23217] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2550),
    1,
    anon_sym_LBRACE,
    STATE(591),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(630),
    1,
    sym_comment,
    [23236] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(631),
    1,
    sym_comment,
    ACTIONS(1490),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23251] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2550),
    1,
    anon_sym_LBRACE,
    STATE(632),
    1,
    sym_comment,
    STATE(694),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [23270] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2546),
    1,
    anon_sym_context,
    ACTIONS(2552),
    1,
    anon_sym_SEMI,
    STATE(633),
    1,
    sym_comment,
    STATE(921),
    1,
    sym_context_expr,
    [23289] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2395),
    1,
    anon_sym_manages,
    ACTIONS(2554),
    1,
    anon_sym_COMMA,
    STATE(634),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [23306] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(635),
    1,
    sym_comment,
    ACTIONS(1634),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23321] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2557),
    1,
    anon_sym_SEMI,
    ACTIONS(2559),
    1,
    sym_identifier,
    STATE(636),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [23338] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(637),
    1,
    sym_comment,
    ACTIONS(1630),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23353] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(638),
    1,
    sym_comment,
    ACTIONS(1626),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23368] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(639),
    1,
    sym_comment,
    ACTIONS(1622),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23383] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(640),
    1,
    sym_comment,
    ACTIONS(1618),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23398] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2562),
    1,
    anon_sym_COMMA,
    ACTIONS(2565),
    1,
    anon_sym_RBRACE,
    STATE(641),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [23415] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(642),
    1,
    sym_comment,
    ACTIONS(1614),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23430] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(643),
    1,
    sym_comment,
    STATE(1135),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23447] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(644),
    1,
    sym_comment,
    ACTIONS(1610),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23462] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(645),
    1,
    sym_comment,
    ACTIONS(1606),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23477] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(646),
    1,
    sym_comment,
    STATE(742),
    1,
    sym_dec_number,
    ACTIONS(2431),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [23494] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(647),
    1,
    sym_comment,
    STATE(819),
    1,
    sym_scoped_name,
    [23513] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(648),
    1,
    sym_comment,
    STATE(1136),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23530] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2567),
    1,
    anon_sym_SEMI,
    STATE(649),
    1,
    sym_comment,
    STATE(881),
    1,
    sym_raises_expr,
    [23549] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2569),
    1,
    anon_sym_COMMA,
    ACTIONS(2571),
    1,
    anon_sym_RPAREN,
    STATE(602),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(650),
    1,
    sym_comment,
    [23568] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2573),
    1,
    anon_sym_SEMI,
    STATE(651),
    1,
    sym_comment,
    STATE(886),
    1,
    sym_raises_expr,
    [23587] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2575),
    1,
    anon_sym_COMMA,
    ACTIONS(2577),
    1,
    anon_sym_RPAREN,
    STATE(604),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(652),
    1,
    sym_comment,
    [23606] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2579),
    1,
    anon_sym_SEMI,
    STATE(653),
    1,
    sym_comment,
    STATE(890),
    1,
    sym_raises_expr,
    [23625] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(654),
    1,
    sym_comment,
    ACTIONS(1586),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23640] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    anon_sym_supports,
    ACTIONS(2581),
    1,
    anon_sym_manages,
    STATE(655),
    1,
    sym_comment,
    STATE(928),
    1,
    sym_supported_interface_spec,
    [23659] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(436),
    1,
    sym_scoped_name,
    STATE(656),
    1,
    sym_comment,
    [23678] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(560),
    1,
    sym_scoped_name,
    STATE(657),
    1,
    sym_comment,
    [23697] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(658),
    1,
    sym_comment,
    ACTIONS(1574),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23712] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2088),
    1,
    anon_sym_supports,
    ACTIONS(2583),
    1,
    anon_sym_LBRACE,
    STATE(659),
    1,
    sym_comment,
    STATE(929),
    1,
    sym_supported_interface_spec,
    [23731] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(433),
    1,
    sym_scoped_name,
    STATE(660),
    1,
    sym_comment,
    [23750] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(562),
    1,
    sym_scoped_name,
    STATE(661),
    1,
    sym_comment,
    [23769] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2585),
    1,
    anon_sym_COMMA,
    ACTIONS(2587),
    1,
    anon_sym_RPAREN,
    STATE(610),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(662),
    1,
    sym_comment,
    [23788] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2589),
    1,
    sym_identifier,
    STATE(663),
    1,
    sym_comment,
    STATE(772),
    1,
    sym_scoped_name,
    [23807] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2591),
    1,
    anon_sym_COMMA,
    ACTIONS(2594),
    1,
    anon_sym_RPAREN,
    STATE(664),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [23824] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(665),
    1,
    sym_comment,
    ACTIONS(1570),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23839] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1566),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23854] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2596),
    1,
    anon_sym_GT,
    ACTIONS(2598),
    1,
    anon_sym_COMMA,
    STATE(667),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [23871] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2601),
    1,
    anon_sym_COMMA,
    ACTIONS(2603),
    1,
    anon_sym_RPAREN,
    STATE(611),
    1,
    aux_sym_context_expr_repeat1,
    STATE(668),
    1,
    sym_comment,
    [23890] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2538),
    1,
    anon_sym_COMMA,
    ACTIONS(2605),
    1,
    anon_sym_RPAREN,
    STATE(612),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(669),
    1,
    sym_comment,
    [23909] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2607),
    1,
    anon_sym_GT,
    ACTIONS(2609),
    1,
    anon_sym_COMMA,
    STATE(670),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [23926] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(671),
    1,
    sym_comment,
    ACTIONS(1562),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23941] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2482),
    1,
    anon_sym_COMMA,
    ACTIONS(2612),
    1,
    anon_sym_SEMI,
    STATE(564),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(672),
    1,
    sym_comment,
    [23960] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(673),
    1,
    sym_comment,
    ACTIONS(2249),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [23975] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2275),
    1,
    anon_sym_LBRACE,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    STATE(674),
    1,
    sym_comment,
    STATE(693),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [23994] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(675),
    1,
    sym_comment,
    ACTIONS(1558),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24009] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(676),
    1,
    sym_comment,
    ACTIONS(1546),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24024] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(677),
    1,
    sym_comment,
    STATE(1141),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24041] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2614),
    1,
    anon_sym_COMMA,
    ACTIONS(2617),
    1,
    anon_sym_SEMI,
    STATE(678),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [24058] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(679),
    1,
    sym_comment,
    [24077] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2006),
    1,
    anon_sym_COMMA,
    ACTIONS(2619),
    1,
    anon_sym_SEMI,
    STATE(678),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(680),
    1,
    sym_comment,
    [24096] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2621),
    1,
    anon_sym_COMMA,
    ACTIONS(2624),
    1,
    anon_sym_RBRACE,
    STATE(681),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [24113] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(682),
    1,
    sym_comment,
    STATE(1142),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24130] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(683),
    1,
    sym_comment,
    ACTIONS(1542),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24145] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(684),
    1,
    sym_comment,
    STATE(807),
    1,
    sym_scoped_name,
    [24164] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(685),
    1,
    sym_comment,
    ACTIONS(1538),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24179] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2040),
    1,
    anon_sym_supports,
    ACTIONS(2626),
    1,
    anon_sym_LBRACE,
    STATE(686),
    1,
    sym_comment,
    STATE(941),
    1,
    sym_value_supports,
    [24198] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1534),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24213] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1486),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2628),
    1,
    anon_sym_LT,
    ACTIONS(2630),
    1,
    anon_sym_LBRACE,
    STATE(688),
    1,
    sym_comment,
    [24232] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(1494),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24247] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(690),
    1,
    sym_comment,
    STATE(952),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24264] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(691),
    1,
    sym_comment,
    STATE(953),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24281] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(692),
    1,
    sym_comment,
    STATE(961),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24298] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2632),
    1,
    anon_sym_LBRACE,
    STATE(693),
    1,
    sym_comment,
    STATE(694),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [24317] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2634),
    1,
    anon_sym_COMMA,
    ACTIONS(2637),
    1,
    anon_sym_LBRACE,
    STATE(694),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [24334] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(695),
    1,
    sym_comment,
    STATE(962),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24351] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(696),
    1,
    sym_comment,
    ACTIONS(1530),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24366] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2454),
    1,
    anon_sym_COMMA,
    ACTIONS(2632),
    1,
    anon_sym_LBRACE,
    STATE(632),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(697),
    1,
    sym_comment,
    [24385] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2639),
    1,
    anon_sym_interface,
    ACTIONS(2641),
    1,
    anon_sym_valuetype,
    ACTIONS(2643),
    1,
    anon_sym_eventtype,
    STATE(698),
    1,
    sym_comment,
    [24404] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(699),
    1,
    sym_comment,
    ACTIONS(1526),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24419] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(700),
    1,
    sym_comment,
    STATE(969),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24436] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2012),
    1,
    anon_sym_setraises,
    ACTIONS(2645),
    1,
    anon_sym_SEMI,
    STATE(701),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_set_excep_expr,
    [24455] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(702),
    1,
    sym_comment,
    STATE(814),
    1,
    sym_scoped_name,
    [24474] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2006),
    1,
    anon_sym_COMMA,
    ACTIONS(2647),
    1,
    anon_sym_SEMI,
    STATE(678),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(703),
    1,
    sym_comment,
    [24493] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(704),
    1,
    sym_comment,
    STATE(970),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24510] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2080),
    1,
    sym_identifier,
    STATE(705),
    1,
    sym_comment,
    STATE(797),
    1,
    sym_scoped_name,
    [24529] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2601),
    1,
    anon_sym_COMMA,
    ACTIONS(2649),
    1,
    anon_sym_RPAREN,
    STATE(668),
    1,
    aux_sym_context_expr_repeat1,
    STATE(706),
    1,
    sym_comment,
    [24548] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(707),
    1,
    sym_comment,
    ACTIONS(1522),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24563] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2653),
    1,
    aux_sym_string_literal_token1,
    STATE(708),
    1,
    sym_comment,
    ACTIONS(2651),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [24580] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(709),
    1,
    sym_comment,
    ACTIONS(1518),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24595] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(710),
    1,
    sym_comment,
    ACTIONS(1514),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24610] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2585),
    1,
    anon_sym_COMMA,
    ACTIONS(2655),
    1,
    anon_sym_RPAREN,
    STATE(662),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(711),
    1,
    sym_comment,
    [24629] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(712),
    1,
    sym_comment,
    ACTIONS(1510),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24644] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2657),
    1,
    anon_sym_SEMI,
    ACTIONS(2659),
    1,
    anon_sym_switch,
    ACTIONS(2661),
    1,
    sym_identifier,
    STATE(713),
    1,
    sym_comment,
    [24663] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2663),
    1,
    anon_sym_SEMI,
    STATE(714),
    1,
    sym_comment,
    STATE(887),
    1,
    sym_raises_expr,
    [24682] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2665),
    1,
    anon_sym_LBRACE,
    ACTIONS(2667),
    1,
    anon_sym_COLON,
    STATE(715),
    1,
    sym_comment,
    STATE(1026),
    1,
    sym_connector_inherit_spec,
    [24701] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2575),
    1,
    anon_sym_COMMA,
    ACTIONS(2669),
    1,
    anon_sym_RPAREN,
    STATE(652),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(716),
    1,
    sym_comment,
    [24720] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2493),
    1,
    anon_sym_COMMA,
    ACTIONS(2671),
    1,
    anon_sym_RBRACE,
    STATE(681),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(717),
    1,
    sym_comment,
    [24739] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2673),
    1,
    anon_sym_SEMI,
    STATE(718),
    1,
    sym_comment,
    STATE(990),
    1,
    sym_raises_expr,
    [24758] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(719),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24775] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2569),
    1,
    anon_sym_COMMA,
    ACTIONS(2675),
    1,
    anon_sym_RPAREN,
    STATE(650),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(720),
    1,
    sym_comment,
    [24794] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2184),
    1,
    anon_sym_raises,
    ACTIONS(2677),
    1,
    anon_sym_SEMI,
    STATE(721),
    1,
    sym_comment,
    STATE(986),
    1,
    sym_raises_expr,
    [24813] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    ACTIONS(2679),
    1,
    anon_sym_RBRACE,
    STATE(641),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(722),
    1,
    sym_comment,
    [24832] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(723),
    1,
    sym_comment,
    STATE(1146),
    1,
    sym_boolean_literal,
    ACTIONS(1718),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(724),
    1,
    sym_comment,
    ACTIONS(2244),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [24864] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    STATE(725),
    1,
    sym_comment,
    STATE(1029),
    1,
    sym_string_literal,
    [24883] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    STATE(726),
    1,
    sym_comment,
    STATE(1030),
    1,
    sym_string_literal,
    [24902] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(488),
    1,
    sym_scoped_name,
    STATE(727),
    1,
    sym_comment,
    [24921] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2546),
    1,
    anon_sym_context,
    ACTIONS(2681),
    1,
    anon_sym_SEMI,
    STATE(728),
    1,
    sym_comment,
    STATE(921),
    1,
    sym_context_expr,
    [24940] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(603),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    sym_identifier,
    STATE(522),
    1,
    sym_scoped_name,
    STATE(729),
    1,
    sym_comment,
    [24959] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2382),
    1,
    anon_sym_COMMA,
    ACTIONS(2506),
    1,
    anon_sym_manages,
    STATE(634),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(730),
    1,
    sym_comment,
    [24978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(2683),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(732),
    1,
    sym_comment,
    ACTIONS(2685),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25006] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2687),
    1,
    anon_sym_min,
    STATE(733),
    1,
    sym_comment,
    STATE(1264),
    1,
    sym_min_expr,
    [25022] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(734),
    1,
    sym_comment,
    ACTIONS(2689),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25036] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2687),
    1,
    anon_sym_min,
    STATE(735),
    1,
    sym_comment,
    STATE(1250),
    1,
    sym_min_expr,
    [25052] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2687),
    1,
    anon_sym_min,
    STATE(736),
    1,
    sym_comment,
    STATE(1236),
    1,
    sym_min_expr,
    [25068] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(737),
    1,
    sym_comment,
    STATE(1151),
    1,
    sym_string_literal,
    [25084] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(738),
    1,
    sym_comment,
    ACTIONS(2691),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25098] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(739),
    1,
    sym_comment,
    STATE(1150),
    1,
    sym_string_literal,
    [25114] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(740),
    1,
    sym_comment,
    ACTIONS(2693),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25128] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_max,
    STATE(741),
    1,
    sym_comment,
    STATE(1148),
    1,
    sym_max_expr,
    [25144] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2697),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2699),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(742),
    1,
    sym_comment,
    [25160] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2701),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2703),
    1,
    sym_preproc_arg,
    STATE(743),
    1,
    sym_comment,
    [25176] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(744),
    1,
    sym_comment,
    STATE(1139),
    1,
    sym_string_literal,
    [25192] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2705),
    1,
    anon_sym_valuetype,
    ACTIONS(2707),
    1,
    anon_sym_eventtype,
    STATE(745),
    1,
    sym_comment,
    [25208] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2709),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2711),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(746),
    1,
    sym_comment,
    [25224] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(747),
    1,
    sym_comment,
    STATE(1120),
    1,
    sym_string_literal,
    [25240] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(748),
    1,
    sym_comment,
    STATE(936),
    1,
    sym_string_literal,
    [25256] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(749),
    1,
    sym_comment,
    STATE(783),
    1,
    sym_simple_declarator,
    [25272] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(750),
    1,
    sym_comment,
    STATE(1119),
    1,
    sym_string_literal,
    [25288] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_max,
    STATE(751),
    1,
    sym_comment,
    STATE(1117),
    1,
    sym_max_expr,
    [25304] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(752),
    1,
    sym_comment,
    STATE(1049),
    1,
    sym_simple_declarator,
    [25320] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(753),
    1,
    sym_comment,
    ACTIONS(2713),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25334] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(754),
    1,
    sym_comment,
    STATE(1108),
    1,
    sym_string_literal,
    [25350] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2715),
    1,
    anon_sym_LPAREN,
    STATE(755),
    1,
    sym_comment,
    STATE(1031),
    1,
    sym_exception_list,
    [25366] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2715),
    1,
    anon_sym_LPAREN,
    STATE(756),
    1,
    sym_comment,
    STATE(771),
    1,
    sym_exception_list,
    [25382] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(757),
    1,
    sym_comment,
    STATE(769),
    1,
    sym_simple_declarator,
    [25398] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(758),
    1,
    sym_comment,
    ACTIONS(2717),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25412] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(2719),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25426] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(760),
    1,
    sym_comment,
    ACTIONS(2637),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [25440] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(761),
    1,
    sym_comment,
    STATE(1087),
    1,
    sym_string_literal,
    [25456] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2721),
    1,
    anon_sym_LBRACE,
    STATE(762),
    1,
    sym_comment,
    [25472] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_GT,
    ACTIONS(2725),
    1,
    anon_sym_COMMA,
    STATE(763),
    1,
    sym_comment,
    [25488] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(764),
    1,
    sym_comment,
    STATE(1085),
    1,
    sym_string_literal,
    [25504] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_max,
    STATE(765),
    1,
    sym_comment,
    STATE(1083),
    1,
    sym_max_expr,
    [25520] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(766),
    1,
    sym_comment,
    ACTIONS(2727),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25534] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(767),
    1,
    sym_comment,
    STATE(1072),
    1,
    sym_string_literal,
    [25550] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2729),
    1,
    anon_sym_LBRACE,
    ACTIONS(2731),
    1,
    anon_sym_COLON,
    STATE(768),
    1,
    sym_comment,
    [25566] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(769),
    1,
    sym_comment,
    ACTIONS(2617),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25580] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(770),
    1,
    sym_comment,
    ACTIONS(2733),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25594] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(2735),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [25608] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2737),
    1,
    anon_sym_LT,
    STATE(772),
    1,
    sym_comment,
    [25624] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2739),
    1,
    sym_identifier,
    STATE(773),
    1,
    sym_comment,
    [25640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(774),
    1,
    sym_comment,
    ACTIONS(2624),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(775),
    1,
    sym_comment,
    ACTIONS(2741),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25668] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2743),
    1,
    anon_sym_SEMI,
    STATE(776),
    1,
    sym_comment,
    [25684] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2745),
    1,
    anon_sym_LBRACE,
    ACTIONS(2747),
    1,
    anon_sym_SEMI,
    STATE(777),
    1,
    sym_comment,
    [25700] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(778),
    1,
    sym_comment,
    ACTIONS(2749),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25714] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(779),
    1,
    sym_comment,
    STATE(834),
    1,
    sym_string_literal,
    [25730] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2687),
    1,
    anon_sym_min,
    STATE(780),
    1,
    sym_comment,
    STATE(967),
    1,
    sym_min_expr,
    [25746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(781),
    1,
    sym_comment,
    ACTIONS(2607),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25760] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(782),
    1,
    sym_comment,
    ACTIONS(2313),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25774] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(783),
    1,
    sym_comment,
    ACTIONS(2751),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25788] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(784),
    1,
    sym_comment,
    STATE(964),
    1,
    sym_string_literal,
    [25804] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(785),
    1,
    sym_comment,
    ACTIONS(2596),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25818] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(786),
    1,
    sym_comment,
    ACTIONS(2594),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25832] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(787),
    1,
    sym_comment,
    STATE(840),
    1,
    sym_simple_declarator,
    [25848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(788),
    1,
    sym_comment,
    ACTIONS(2753),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25862] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2755),
    1,
    anon_sym_LBRACE,
    ACTIONS(2757),
    1,
    anon_sym_COLON,
    STATE(789),
    1,
    sym_comment,
    [25878] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(790),
    1,
    sym_comment,
    STATE(842),
    1,
    sym_simple_declarator,
    [25894] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(791),
    1,
    sym_comment,
    ACTIONS(2759),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25908] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_in,
    STATE(792),
    1,
    sym_comment,
    STATE(844),
    1,
    sym_init_param_dcl,
    [25924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(793),
    1,
    sym_comment,
    ACTIONS(2761),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(794),
    1,
    sym_comment,
    ACTIONS(2763),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(795),
    1,
    sym_comment,
    ACTIONS(2765),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [25966] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(796),
    1,
    sym_comment,
    STATE(846),
    1,
    sym_simple_declarator,
    [25982] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2767),
    1,
    anon_sym_LBRACE,
    STATE(797),
    1,
    sym_comment,
    [25998] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2421),
    1,
    anon_sym_in,
    STATE(798),
    1,
    sym_comment,
    STATE(848),
    1,
    sym_factory_param_dcl,
    [26014] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(799),
    1,
    sym_comment,
    ACTIONS(2769),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26028] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2771),
    1,
    sym_identifier,
    STATE(800),
    1,
    sym_comment,
    [26044] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(801),
    1,
    sym_comment,
    STATE(836),
    1,
    sym_simple_declarator,
    [26060] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(802),
    1,
    sym_comment,
    ACTIONS(2773),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26074] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(803),
    1,
    sym_comment,
    ACTIONS(2775),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26088] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_LT,
    ACTIONS(2779),
    1,
    sym_identifier,
    STATE(804),
    1,
    sym_comment,
    [26104] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(805),
    1,
    sym_comment,
    ACTIONS(2781),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26118] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(806),
    1,
    sym_comment,
    ACTIONS(2783),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26132] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2785),
    1,
    anon_sym_LBRACE,
    STATE(807),
    1,
    sym_comment,
    [26148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(808),
    1,
    sym_comment,
    ACTIONS(2787),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26162] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(809),
    1,
    sym_comment,
    ACTIONS(2789),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [26176] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(810),
    1,
    sym_comment,
    ACTIONS(2791),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26190] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(811),
    1,
    sym_comment,
    ACTIONS(2565),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26204] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(812),
    1,
    sym_comment,
    ACTIONS(2793),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26218] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(813),
    1,
    sym_comment,
    ACTIONS(2795),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [26232] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2797),
    1,
    anon_sym_LT,
    STATE(814),
    1,
    sym_comment,
    [26248] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(815),
    1,
    sym_comment,
    ACTIONS(2799),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26262] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2801),
    1,
    anon_sym_GT,
    ACTIONS(2803),
    1,
    anon_sym_COMMA,
    STATE(816),
    1,
    sym_comment,
    [26278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(817),
    1,
    sym_comment,
    ACTIONS(2805),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [26292] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2807),
    1,
    anon_sym_GT,
    ACTIONS(2809),
    1,
    anon_sym_COMMA,
    STATE(818),
    1,
    sym_comment,
    [26308] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2811),
    1,
    anon_sym_LBRACE,
    STATE(819),
    1,
    sym_comment,
    [26324] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(820),
    1,
    sym_comment,
    ACTIONS(2813),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26338] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2815),
    1,
    sym_identifier,
    STATE(821),
    1,
    sym_comment,
    [26354] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2817),
    1,
    sym_identifier,
    STATE(822),
    1,
    sym_comment,
    [26370] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2819),
    1,
    sym_identifier,
    STATE(823),
    1,
    sym_comment,
    [26386] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2821),
    1,
    sym_identifier,
    STATE(824),
    1,
    sym_comment,
    [26402] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2823),
    1,
    anon_sym_LBRACE,
    STATE(825),
    1,
    sym_comment,
    [26418] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2825),
    1,
    sym_identifier,
    STATE(826),
    1,
    sym_comment,
    [26434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(827),
    1,
    sym_comment,
    ACTIONS(2827),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [26448] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(828),
    1,
    sym_comment,
    ACTIONS(2829),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26462] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(829),
    1,
    sym_comment,
    ACTIONS(2831),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26476] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2452),
    1,
    sym_identifier,
    STATE(732),
    1,
    sym_simple_declarator,
    STATE(830),
    1,
    sym_comment,
    [26492] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(831),
    1,
    sym_comment,
    ACTIONS(2833),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26506] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2358),
    1,
    anon_sym_in,
    STATE(832),
    1,
    sym_comment,
    STATE(858),
    1,
    sym_in_param_dcl,
    [26522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(833),
    1,
    sym_comment,
    ACTIONS(2835),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(834),
    1,
    sym_comment,
    ACTIONS(2536),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(835),
    1,
    sym_comment,
    ACTIONS(2837),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26564] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2839),
    1,
    anon_sym_SEMI,
    ACTIONS(2841),
    1,
    anon_sym_default,
    STATE(836),
    1,
    sym_comment,
    [26580] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(837),
    1,
    sym_comment,
    ACTIONS(2843),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26594] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(838),
    1,
    sym_comment,
    ACTIONS(2531),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26608] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(617),
    1,
    anon_sym_DQUOTE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(839),
    1,
    sym_comment,
    STATE(997),
    1,
    sym_string_literal,
    [26624] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(840),
    1,
    sym_comment,
    ACTIONS(2845),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26638] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_max,
    STATE(841),
    1,
    sym_comment,
    STATE(983),
    1,
    sym_max_expr,
    [26654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(842),
    1,
    sym_comment,
    ACTIONS(2847),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26668] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2849),
    1,
    sym_identifier,
    STATE(786),
    1,
    sym_annotation_appl_param,
    STATE(843),
    1,
    sym_comment,
    [26684] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(844),
    1,
    sym_comment,
    ACTIONS(2524),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26698] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(845),
    1,
    sym_comment,
    ACTIONS(2447),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26712] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(846),
    1,
    sym_comment,
    ACTIONS(2851),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26726] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(847),
    1,
    sym_comment,
    ACTIONS(2853),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26740] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(848),
    1,
    sym_comment,
    ACTIONS(2519),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26754] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(849),
    1,
    sym_comment,
    ACTIONS(2855),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26768] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(850),
    1,
    sym_comment,
    ACTIONS(2857),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(851),
    1,
    sym_comment,
    ACTIONS(2859),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(852),
    1,
    sym_comment,
    ACTIONS(2861),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(853),
    1,
    sym_comment,
    ACTIONS(2863),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26824] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(854),
    1,
    sym_comment,
    ACTIONS(2865),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26838] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2867),
    1,
    sym_identifier,
    STATE(855),
    1,
    sym_comment,
    STATE(874),
    1,
    sym_formal_parameter_names,
    [26854] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(856),
    1,
    sym_comment,
    ACTIONS(2869),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26868] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2192),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2871),
    1,
    anon_sym_RPAREN,
    STATE(857),
    1,
    sym_comment,
    [26884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(858),
    1,
    sym_comment,
    ACTIONS(2489),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(859),
    1,
    sym_comment,
    ACTIONS(2873),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(860),
    1,
    sym_comment,
    ACTIONS(2504),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [26926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(861),
    1,
    sym_comment,
    ACTIONS(2875),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(862),
    1,
    sym_comment,
    ACTIONS(2877),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26954] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(863),
    1,
    sym_comment,
    ACTIONS(2879),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26968] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2881),
    1,
    anon_sym_SEMI,
    STATE(864),
    1,
    sym_comment,
    [26981] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2883),
    1,
    anon_sym_RPAREN,
    STATE(865),
    1,
    sym_comment,
    [26994] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2885),
    1,
    anon_sym_SEMI,
    STATE(866),
    1,
    sym_comment,
    [27007] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2887),
    1,
    anon_sym_RPAREN,
    STATE(867),
    1,
    sym_comment,
    [27020] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2889),
    1,
    anon_sym_RBRACK,
    STATE(868),
    1,
    sym_comment,
    [27033] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2891),
    1,
    anon_sym_SEMI,
    STATE(869),
    1,
    sym_comment,
    [27046] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2893),
    1,
    anon_sym_COLON,
    STATE(870),
    1,
    sym_comment,
    [27059] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_RPAREN,
    STATE(871),
    1,
    sym_comment,
    [27072] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2317),
    1,
    anon_sym_LBRACE,
    STATE(872),
    1,
    sym_comment,
    [27085] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2895),
    1,
    sym_identifier,
    STATE(873),
    1,
    sym_comment,
    [27098] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2897),
    1,
    anon_sym_GT,
    STATE(874),
    1,
    sym_comment,
    [27111] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2899),
    1,
    anon_sym_SEMI,
    STATE(875),
    1,
    sym_comment,
    [27124] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2901),
    1,
    anon_sym_SEMI,
    STATE(876),
    1,
    sym_comment,
    [27137] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2903),
    1,
    anon_sym_SEMI,
    STATE(877),
    1,
    sym_comment,
    [27150] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2905),
    1,
    anon_sym_SEMI,
    STATE(878),
    1,
    sym_comment,
    [27163] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2907),
    1,
    anon_sym_LBRACE,
    STATE(879),
    1,
    sym_comment,
    [27176] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2909),
    1,
    anon_sym_SEMI,
    STATE(880),
    1,
    sym_comment,
    [27189] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2911),
    1,
    anon_sym_SEMI,
    STATE(881),
    1,
    sym_comment,
    [27202] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    sym_identifier,
    STATE(882),
    1,
    sym_comment,
    [27215] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2915),
    1,
    sym_identifier,
    STATE(883),
    1,
    sym_comment,
    [27228] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2917),
    1,
    sym_identifier,
    STATE(884),
    1,
    sym_comment,
    [27241] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2919),
    1,
    anon_sym_LPAREN,
    STATE(885),
    1,
    sym_comment,
    [27254] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2921),
    1,
    anon_sym_SEMI,
    STATE(886),
    1,
    sym_comment,
    [27267] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2579),
    1,
    anon_sym_SEMI,
    STATE(887),
    1,
    sym_comment,
    [27280] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2923),
    1,
    anon_sym_SEMI,
    STATE(888),
    1,
    sym_comment,
    [27293] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2925),
    1,
    anon_sym_RPAREN,
    STATE(889),
    1,
    sym_comment,
    [27306] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2927),
    1,
    anon_sym_SEMI,
    STATE(890),
    1,
    sym_comment,
    [27319] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2929),
    1,
    anon_sym_RPAREN,
    STATE(891),
    1,
    sym_comment,
    [27332] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2931),
    1,
    anon_sym_SEMI,
    STATE(892),
    1,
    sym_comment,
    [27345] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2933),
    1,
    sym_identifier,
    STATE(893),
    1,
    sym_comment,
    [27358] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2935),
    1,
    anon_sym_SEMI,
    STATE(894),
    1,
    sym_comment,
    [27371] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2937),
    1,
    anon_sym_SEMI,
    STATE(895),
    1,
    sym_comment,
    [27384] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2939),
    1,
    anon_sym_SEMI,
    STATE(896),
    1,
    sym_comment,
    [27397] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2941),
    1,
    anon_sym_SEMI,
    STATE(897),
    1,
    sym_comment,
    [27410] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2943),
    1,
    anon_sym_SEMI,
    STATE(898),
    1,
    sym_comment,
    [27423] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2945),
    1,
    anon_sym_SEMI,
    STATE(899),
    1,
    sym_comment,
    [27436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2947),
    1,
    anon_sym_SEMI,
    STATE(900),
    1,
    sym_comment,
    [27449] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2949),
    1,
    anon_sym_SEMI,
    STATE(901),
    1,
    sym_comment,
    [27462] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2951),
    1,
    anon_sym_RBRACE,
    STATE(902),
    1,
    sym_comment,
    [27475] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2953),
    1,
    anon_sym_LPAREN,
    STATE(903),
    1,
    sym_comment,
    [27488] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2955),
    1,
    anon_sym_SEMI,
    STATE(904),
    1,
    sym_comment,
    [27501] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2957),
    1,
    anon_sym_SEMI,
    STATE(905),
    1,
    sym_comment,
    [27514] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2959),
    1,
    anon_sym_SEMI,
    STATE(906),
    1,
    sym_comment,
    [27527] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2961),
    1,
    anon_sym_LPAREN,
    STATE(907),
    1,
    sym_comment,
    [27540] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2963),
    1,
    anon_sym_LPAREN,
    STATE(908),
    1,
    sym_comment,
    [27553] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2965),
    1,
    anon_sym_SEMI,
    STATE(909),
    1,
    sym_comment,
    [27566] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2967),
    1,
    anon_sym_GT,
    STATE(910),
    1,
    sym_comment,
    [27579] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2969),
    1,
    anon_sym_SEMI,
    STATE(911),
    1,
    sym_comment,
    [27592] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2971),
    1,
    anon_sym_SEMI,
    STATE(912),
    1,
    sym_comment,
    [27605] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2973),
    1,
    anon_sym_SEMI,
    STATE(913),
    1,
    sym_comment,
    [27618] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2975),
    1,
    sym_identifier,
    STATE(914),
    1,
    sym_comment,
    [27631] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2977),
    1,
    sym_identifier,
    STATE(915),
    1,
    sym_comment,
    [27644] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2979),
    1,
    anon_sym_SEMI,
    STATE(916),
    1,
    sym_comment,
    [27657] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2815),
    1,
    sym_identifier,
    STATE(917),
    1,
    sym_comment,
    [27670] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2981),
    1,
    anon_sym_SEMI,
    STATE(918),
    1,
    sym_comment,
    [27683] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2983),
    1,
    anon_sym_LPAREN,
    STATE(919),
    1,
    sym_comment,
    [27696] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2985),
    1,
    anon_sym_LPAREN,
    STATE(920),
    1,
    sym_comment,
    [27709] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2987),
    1,
    anon_sym_SEMI,
    STATE(921),
    1,
    sym_comment,
    [27722] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2989),
    1,
    anon_sym_LPAREN,
    STATE(922),
    1,
    sym_comment,
    [27735] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2991),
    1,
    anon_sym_SEMI,
    STATE(923),
    1,
    sym_comment,
    [27748] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2993),
    1,
    sym_identifier,
    STATE(924),
    1,
    sym_comment,
    [27761] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2995),
    1,
    anon_sym_COLON,
    STATE(925),
    1,
    sym_comment,
    [27774] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2997),
    1,
    anon_sym_RBRACE,
    STATE(926),
    1,
    sym_comment,
    [27787] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2999),
    1,
    anon_sym_SEMI,
    STATE(927),
    1,
    sym_comment,
    [27800] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3001),
    1,
    anon_sym_manages,
    STATE(928),
    1,
    sym_comment,
    [27813] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3003),
    1,
    anon_sym_LBRACE,
    STATE(929),
    1,
    sym_comment,
    [27826] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3005),
    1,
    anon_sym_COMMA,
    STATE(930),
    1,
    sym_comment,
    [27839] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3007),
    1,
    anon_sym_COMMA,
    STATE(931),
    1,
    sym_comment,
    [27852] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3009),
    1,
    anon_sym_LBRACE,
    STATE(932),
    1,
    sym_comment,
    [27865] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3011),
    1,
    anon_sym_SEMI,
    STATE(933),
    1,
    sym_comment,
    [27878] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3013),
    1,
    anon_sym_GT,
    STATE(934),
    1,
    sym_comment,
    [27891] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3015),
    1,
    anon_sym_SEMI,
    STATE(935),
    1,
    sym_comment,
    [27904] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3017),
    1,
    anon_sym_RPAREN,
    STATE(936),
    1,
    sym_comment,
    [27917] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3019),
    1,
    anon_sym_RPAREN,
    STATE(937),
    1,
    sym_comment,
    [27930] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3021),
    1,
    anon_sym_SEMI,
    STATE(938),
    1,
    sym_comment,
    [27943] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3023),
    1,
    anon_sym_GT,
    STATE(939),
    1,
    sym_comment,
    [27956] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3025),
    1,
    anon_sym_GT,
    STATE(940),
    1,
    sym_comment,
    [27969] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2279),
    1,
    anon_sym_LBRACE,
    STATE(941),
    1,
    sym_comment,
    [27982] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3027),
    1,
    anon_sym_LBRACE,
    STATE(942),
    1,
    sym_comment,
    [27995] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3029),
    1,
    anon_sym_GT,
    STATE(943),
    1,
    sym_comment,
    [28008] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3031),
    1,
    anon_sym_COMMA,
    STATE(944),
    1,
    sym_comment,
    [28021] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3033),
    1,
    anon_sym_SEMI,
    STATE(945),
    1,
    sym_comment,
    [28034] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3035),
    1,
    sym_identifier,
    STATE(946),
    1,
    sym_comment,
    [28047] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3037),
    1,
    anon_sym_GT,
    STATE(947),
    1,
    sym_comment,
    [28060] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2779),
    1,
    sym_identifier,
    STATE(948),
    1,
    sym_comment,
    [28073] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3039),
    1,
    anon_sym_LBRACE,
    STATE(949),
    1,
    sym_comment,
    [28086] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3041),
    1,
    anon_sym_EQ,
    STATE(950),
    1,
    sym_comment,
    [28099] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2445),
    1,
    anon_sym_RPAREN,
    STATE(951),
    1,
    sym_comment,
    [28112] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3043),
    1,
    anon_sym_RPAREN,
    STATE(952),
    1,
    sym_comment,
    [28125] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3045),
    1,
    anon_sym_RPAREN,
    STATE(953),
    1,
    sym_comment,
    [28138] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3047),
    1,
    anon_sym_RPAREN,
    STATE(954),
    1,
    sym_comment,
    [28151] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3049),
    1,
    anon_sym_RPAREN,
    STATE(955),
    1,
    sym_comment,
    [28164] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3051),
    1,
    anon_sym_COMMA,
    STATE(956),
    1,
    sym_comment,
    [28177] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3053),
    1,
    anon_sym_COMMA,
    STATE(957),
    1,
    sym_comment,
    [28190] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3055),
    1,
    anon_sym_RPAREN,
    STATE(958),
    1,
    sym_comment,
    [28203] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3057),
    1,
    anon_sym_COMMA,
    STATE(959),
    1,
    sym_comment,
    [28216] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3059),
    1,
    anon_sym_COMMA,
    STATE(960),
    1,
    sym_comment,
    [28229] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3061),
    1,
    anon_sym_RPAREN,
    STATE(961),
    1,
    sym_comment,
    [28242] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3063),
    1,
    anon_sym_RPAREN,
    STATE(962),
    1,
    sym_comment,
    [28255] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3065),
    1,
    anon_sym_RPAREN,
    STATE(963),
    1,
    sym_comment,
    [28268] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3067),
    1,
    anon_sym_RPAREN,
    STATE(964),
    1,
    sym_comment,
    [28281] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3069),
    1,
    anon_sym_RPAREN,
    STATE(965),
    1,
    sym_comment,
    [28294] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3071),
    1,
    anon_sym_RPAREN,
    STATE(966),
    1,
    sym_comment,
    [28307] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3073),
    1,
    anon_sym_COMMA,
    STATE(967),
    1,
    sym_comment,
    [28320] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3075),
    1,
    anon_sym_SEMI,
    STATE(968),
    1,
    sym_comment,
    [28333] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3077),
    1,
    anon_sym_RPAREN,
    STATE(969),
    1,
    sym_comment,
    [28346] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3079),
    1,
    anon_sym_RPAREN,
    STATE(970),
    1,
    sym_comment,
    [28359] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3081),
    1,
    anon_sym_RPAREN,
    STATE(971),
    1,
    sym_comment,
    [28372] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3083),
    1,
    anon_sym_RPAREN,
    STATE(972),
    1,
    sym_comment,
    [28385] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3085),
    1,
    anon_sym_RPAREN,
    STATE(973),
    1,
    sym_comment,
    [28398] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3087),
    1,
    anon_sym_RPAREN,
    STATE(974),
    1,
    sym_comment,
    [28411] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3089),
    1,
    anon_sym_RPAREN,
    STATE(975),
    1,
    sym_comment,
    [28424] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3091),
    1,
    anon_sym_RPAREN,
    STATE(976),
    1,
    sym_comment,
    [28437] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3093),
    1,
    anon_sym_RPAREN,
    STATE(977),
    1,
    sym_comment,
    [28450] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3095),
    1,
    anon_sym_RPAREN,
    STATE(978),
    1,
    sym_comment,
    [28463] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3097),
    1,
    anon_sym_RPAREN,
    STATE(979),
    1,
    sym_comment,
    [28476] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3099),
    1,
    anon_sym_SEMI,
    STATE(980),
    1,
    sym_comment,
    [28489] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2771),
    1,
    sym_identifier,
    STATE(981),
    1,
    sym_comment,
    [28502] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3101),
    1,
    anon_sym_EQ,
    STATE(982),
    1,
    sym_comment,
    [28515] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3103),
    1,
    anon_sym_RPAREN,
    STATE(983),
    1,
    sym_comment,
    [28528] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3105),
    1,
    anon_sym_SEMI,
    STATE(984),
    1,
    sym_comment,
    [28541] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3107),
    1,
    sym_identifier,
    STATE(985),
    1,
    sym_comment,
    [28554] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2567),
    1,
    anon_sym_SEMI,
    STATE(986),
    1,
    sym_comment,
    [28567] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3109),
    1,
    anon_sym_RPAREN,
    STATE(987),
    1,
    sym_comment,
    [28580] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3111),
    1,
    anon_sym_COMMA,
    STATE(988),
    1,
    sym_comment,
    [28593] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3113),
    1,
    anon_sym_LT,
    STATE(989),
    1,
    sym_comment,
    [28606] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2573),
    1,
    anon_sym_SEMI,
    STATE(990),
    1,
    sym_comment,
    [28619] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3115),
    1,
    anon_sym_LBRACE,
    STATE(991),
    1,
    sym_comment,
    [28632] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3117),
    1,
    anon_sym_LBRACE,
    STATE(992),
    1,
    sym_comment,
    [28645] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3119),
    1,
    anon_sym_SEMI,
    STATE(993),
    1,
    sym_comment,
    [28658] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1814),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(994),
    1,
    sym_comment,
    [28671] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3121),
    1,
    aux_sym_preproc_call_token1,
    STATE(995),
    1,
    sym_comment,
    [28684] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3123),
    1,
    anon_sym_switch,
    STATE(996),
    1,
    sym_comment,
    [28697] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3125),
    1,
    anon_sym_RPAREN,
    STATE(997),
    1,
    sym_comment,
    [28710] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3127),
    1,
    anon_sym_LBRACE,
    STATE(998),
    1,
    sym_comment,
    [28723] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3129),
    1,
    anon_sym_SEMI,
    STATE(999),
    1,
    sym_comment,
    [28736] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3131),
    1,
    anon_sym_SEMI,
    STATE(1000),
    1,
    sym_comment,
    [28749] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3133),
    1,
    anon_sym_SEMI,
    STATE(1001),
    1,
    sym_comment,
    [28762] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3135),
    1,
    anon_sym_SEMI,
    STATE(1002),
    1,
    sym_comment,
    [28775] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3137),
    1,
    anon_sym_RBRACE,
    STATE(1003),
    1,
    sym_comment,
    [28788] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3139),
    1,
    sym_identifier,
    STATE(1004),
    1,
    sym_comment,
    [28801] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3141),
    1,
    sym_identifier,
    STATE(1005),
    1,
    sym_comment,
    [28814] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3143),
    1,
    anon_sym_SEMI,
    STATE(1006),
    1,
    sym_comment,
    [28827] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3145),
    1,
    anon_sym_RBRACE,
    STATE(1007),
    1,
    sym_comment,
    [28840] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3147),
    1,
    anon_sym_SEMI,
    STATE(1008),
    1,
    sym_comment,
    [28853] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3149),
    1,
    anon_sym_SEMI,
    STATE(1009),
    1,
    sym_comment,
    [28866] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3151),
    1,
    anon_sym_LBRACE,
    STATE(1010),
    1,
    sym_comment,
    [28879] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3153),
    1,
    sym_identifier,
    STATE(1011),
    1,
    sym_comment,
    [28892] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3155),
    1,
    anon_sym_SEMI,
    STATE(1012),
    1,
    sym_comment,
    [28905] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3157),
    1,
    anon_sym_LBRACE,
    STATE(1013),
    1,
    sym_comment,
    [28918] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3159),
    1,
    anon_sym_LT,
    STATE(1014),
    1,
    sym_comment,
    [28931] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3161),
    1,
    anon_sym_SEMI,
    STATE(1015),
    1,
    sym_comment,
    [28944] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3163),
    1,
    sym_identifier,
    STATE(1016),
    1,
    sym_comment,
    [28957] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(453),
    1,
    anon_sym_RBRACE,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    STATE(1017),
    1,
    sym_comment,
    [28970] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2552),
    1,
    anon_sym_SEMI,
    STATE(1018),
    1,
    sym_comment,
    [28983] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2705),
    1,
    anon_sym_valuetype,
    STATE(1019),
    1,
    sym_comment,
    [28996] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3165),
    1,
    anon_sym_void,
    STATE(1020),
    1,
    sym_comment,
    [29009] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3167),
    1,
    anon_sym_attribute,
    STATE(1021),
    1,
    sym_comment,
    [29022] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3169),
    1,
    sym_identifier,
    STATE(1022),
    1,
    sym_comment,
    [29035] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_valuetype,
    STATE(1023),
    1,
    sym_comment,
    [29048] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3171),
    1,
    anon_sym_SEMI,
    STATE(1024),
    1,
    sym_comment,
    [29061] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3173),
    1,
    anon_sym_LBRACE,
    STATE(1025),
    1,
    sym_comment,
    [29074] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3175),
    1,
    anon_sym_LBRACE,
    STATE(1026),
    1,
    sym_comment,
    [29087] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2581),
    1,
    anon_sym_manages,
    STATE(1027),
    1,
    sym_comment,
    [29100] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2583),
    1,
    anon_sym_LBRACE,
    STATE(1028),
    1,
    sym_comment,
    [29113] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3177),
    1,
    anon_sym_SEMI,
    STATE(1029),
    1,
    sym_comment,
    [29126] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3179),
    1,
    anon_sym_SEMI,
    STATE(1030),
    1,
    sym_comment,
    [29139] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3181),
    1,
    anon_sym_SEMI,
    STATE(1031),
    1,
    sym_comment,
    [29152] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3183),
    1,
    anon_sym_SEMI,
    STATE(1032),
    1,
    sym_comment,
    [29165] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3185),
    1,
    anon_sym_EQ,
    STATE(1033),
    1,
    sym_comment,
    [29178] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3187),
    1,
    anon_sym_LPAREN,
    STATE(1034),
    1,
    sym_comment,
    [29191] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2626),
    1,
    anon_sym_LBRACE,
    STATE(1035),
    1,
    sym_comment,
    [29204] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    anon_sym_LBRACE,
    STATE(1036),
    1,
    sym_comment,
    [29217] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3189),
    1,
    sym_identifier,
    STATE(1037),
    1,
    sym_comment,
    [29230] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_EQ,
    STATE(1038),
    1,
    sym_comment,
    [29243] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3191),
    1,
    anon_sym_SEMI,
    STATE(1039),
    1,
    sym_comment,
    [29256] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1810),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    STATE(1040),
    1,
    sym_comment,
    [29269] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3193),
    1,
    anon_sym_GT,
    STATE(1041),
    1,
    sym_comment,
    [29282] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3195),
    1,
    anon_sym_LPAREN,
    STATE(1042),
    1,
    sym_comment,
    [29295] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3197),
    1,
    anon_sym_LBRACE,
    STATE(1043),
    1,
    sym_comment,
    [29308] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3199),
    1,
    sym_identifier,
    STATE(1044),
    1,
    sym_comment,
    [29321] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3201),
    1,
    sym_identifier,
    STATE(1045),
    1,
    sym_comment,
    [29334] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3203),
    1,
    sym_identifier,
    STATE(1046),
    1,
    sym_comment,
    [29347] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3205),
    1,
    sym_identifier,
    STATE(1047),
    1,
    sym_comment,
    [29360] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3207),
    1,
    sym_identifier,
    STATE(1048),
    1,
    sym_comment,
    [29373] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3209),
    1,
    anon_sym_SEMI,
    STATE(1049),
    1,
    sym_comment,
    [29386] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3211),
    1,
    anon_sym_SEMI,
    STATE(1050),
    1,
    sym_comment,
    [29399] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3213),
    1,
    sym_identifier,
    STATE(1051),
    1,
    sym_comment,
    [29412] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3215),
    1,
    anon_sym_SEMI,
    STATE(1052),
    1,
    sym_comment,
    [29425] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2743),
    1,
    anon_sym_SEMI,
    STATE(1053),
    1,
    sym_comment,
    [29438] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3217),
    1,
    anon_sym_RPAREN,
    STATE(1054),
    1,
    sym_comment,
    [29451] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3219),
    1,
    anon_sym_SEMI,
    STATE(1055),
    1,
    sym_comment,
    [29464] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3221),
    1,
    sym_identifier,
    STATE(1056),
    1,
    sym_comment,
    [29477] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3223),
    1,
    anon_sym_LT,
    STATE(1057),
    1,
    sym_comment,
    [29490] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3225),
    1,
    anon_sym_LPAREN,
    STATE(1058),
    1,
    sym_comment,
    [29503] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2681),
    1,
    anon_sym_SEMI,
    STATE(1059),
    1,
    sym_comment,
    [29516] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3227),
    1,
    sym_identifier,
    STATE(1060),
    1,
    sym_comment,
    [29529] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3229),
    1,
    anon_sym_RPAREN,
    STATE(1061),
    1,
    sym_comment,
    [29542] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3231),
    1,
    anon_sym_RPAREN,
    STATE(1062),
    1,
    sym_comment,
    [29555] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3233),
    1,
    anon_sym_RPAREN,
    STATE(1063),
    1,
    sym_comment,
    [29568] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3235),
    1,
    anon_sym_RPAREN,
    STATE(1064),
    1,
    sym_comment,
    [29581] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3237),
    1,
    anon_sym_RPAREN,
    STATE(1065),
    1,
    sym_comment,
    [29594] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3239),
    1,
    anon_sym_RPAREN,
    STATE(1066),
    1,
    sym_comment,
    [29607] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3241),
    1,
    anon_sym_RPAREN,
    STATE(1067),
    1,
    sym_comment,
    [29620] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3243),
    1,
    anon_sym_RPAREN,
    STATE(1068),
    1,
    sym_comment,
    [29633] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3245),
    1,
    anon_sym_SEMI,
    STATE(1069),
    1,
    sym_comment,
    [29646] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3247),
    1,
    anon_sym_RPAREN,
    STATE(1070),
    1,
    sym_comment,
    [29659] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3249),
    1,
    anon_sym_RPAREN,
    STATE(1071),
    1,
    sym_comment,
    [29672] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3251),
    1,
    anon_sym_RPAREN,
    STATE(1072),
    1,
    sym_comment,
    [29685] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3253),
    1,
    anon_sym_RPAREN,
    STATE(1073),
    1,
    sym_comment,
    [29698] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3255),
    1,
    anon_sym_RPAREN,
    STATE(1074),
    1,
    sym_comment,
    [29711] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3257),
    1,
    anon_sym_RPAREN,
    STATE(1075),
    1,
    sym_comment,
    [29724] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3259),
    1,
    anon_sym_RPAREN,
    STATE(1076),
    1,
    sym_comment,
    [29737] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3261),
    1,
    anon_sym_RPAREN,
    STATE(1077),
    1,
    sym_comment,
    [29750] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3263),
    1,
    anon_sym_RPAREN,
    STATE(1078),
    1,
    sym_comment,
    [29763] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3265),
    1,
    anon_sym_RPAREN,
    STATE(1079),
    1,
    sym_comment,
    [29776] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3267),
    1,
    anon_sym_RPAREN,
    STATE(1080),
    1,
    sym_comment,
    [29789] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3269),
    1,
    sym_identifier,
    STATE(1081),
    1,
    sym_comment,
    [29802] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3271),
    1,
    sym_identifier,
    STATE(1082),
    1,
    sym_comment,
    [29815] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3273),
    1,
    anon_sym_RPAREN,
    STATE(1083),
    1,
    sym_comment,
    [29828] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3275),
    1,
    anon_sym_RPAREN,
    STATE(1084),
    1,
    sym_comment,
    [29841] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3277),
    1,
    anon_sym_RPAREN,
    STATE(1085),
    1,
    sym_comment,
    [29854] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3279),
    1,
    anon_sym_LBRACE,
    STATE(1086),
    1,
    sym_comment,
    [29867] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3281),
    1,
    anon_sym_RPAREN,
    STATE(1087),
    1,
    sym_comment,
    [29880] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_LT,
    STATE(1088),
    1,
    sym_comment,
    [29893] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3283),
    1,
    sym_identifier,
    STATE(1089),
    1,
    sym_comment,
    [29906] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3285),
    1,
    sym_identifier,
    STATE(1090),
    1,
    sym_comment,
    [29919] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2739),
    1,
    sym_identifier,
    STATE(1091),
    1,
    sym_comment,
    [29932] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3287),
    1,
    anon_sym_LBRACE,
    STATE(1092),
    1,
    sym_comment,
    [29945] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3289),
    1,
    sym_identifier,
    STATE(1093),
    1,
    sym_comment,
    [29958] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3291),
    1,
    anon_sym_SEMI,
    STATE(1094),
    1,
    sym_comment,
    [29971] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_SEMI,
    STATE(1095),
    1,
    sym_comment,
    [29984] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3293),
    1,
    aux_sym_comment_token1,
    STATE(1096),
    1,
    sym_comment,
    [29997] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3295),
    1,
    anon_sym_RPAREN,
    STATE(1097),
    1,
    sym_comment,
    [30010] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3297),
    1,
    anon_sym_RPAREN,
    STATE(1098),
    1,
    sym_comment,
    [30023] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3299),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [30036] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3301),
    1,
    anon_sym_RPAREN,
    STATE(1100),
    1,
    sym_comment,
    [30049] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3303),
    1,
    anon_sym_RPAREN,
    STATE(1101),
    1,
    sym_comment,
    [30062] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3305),
    1,
    anon_sym_RPAREN,
    STATE(1102),
    1,
    sym_comment,
    [30075] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3307),
    1,
    anon_sym_RPAREN,
    STATE(1103),
    1,
    sym_comment,
    [30088] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3309),
    1,
    anon_sym_RPAREN,
    STATE(1104),
    1,
    sym_comment,
    [30101] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3311),
    1,
    anon_sym_RPAREN,
    STATE(1105),
    1,
    sym_comment,
    [30114] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3313),
    1,
    anon_sym_RPAREN,
    STATE(1106),
    1,
    sym_comment,
    [30127] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3315),
    1,
    anon_sym_RPAREN,
    STATE(1107),
    1,
    sym_comment,
    [30140] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3317),
    1,
    anon_sym_RPAREN,
    STATE(1108),
    1,
    sym_comment,
    [30153] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3319),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [30166] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3321),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [30179] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3323),
    1,
    anon_sym_RPAREN,
    STATE(1111),
    1,
    sym_comment,
    [30192] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3325),
    1,
    anon_sym_RPAREN,
    STATE(1112),
    1,
    sym_comment,
    [30205] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3327),
    1,
    anon_sym_RPAREN,
    STATE(1113),
    1,
    sym_comment,
    [30218] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3329),
    1,
    anon_sym_RPAREN,
    STATE(1114),
    1,
    sym_comment,
    [30231] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3331),
    1,
    anon_sym_RPAREN,
    STATE(1115),
    1,
    sym_comment,
    [30244] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3333),
    1,
    anon_sym_RPAREN,
    STATE(1116),
    1,
    sym_comment,
    [30257] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3335),
    1,
    anon_sym_RPAREN,
    STATE(1117),
    1,
    sym_comment,
    [30270] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3337),
    1,
    anon_sym_RPAREN,
    STATE(1118),
    1,
    sym_comment,
    [30283] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3339),
    1,
    anon_sym_RPAREN,
    STATE(1119),
    1,
    sym_comment,
    [30296] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3341),
    1,
    anon_sym_RPAREN,
    STATE(1120),
    1,
    sym_comment,
    [30309] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3343),
    1,
    anon_sym_LPAREN,
    STATE(1121),
    1,
    sym_comment,
    [30322] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3345),
    1,
    sym_identifier,
    STATE(1122),
    1,
    sym_comment,
    [30335] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3347),
    1,
    anon_sym_LPAREN,
    STATE(1123),
    1,
    sym_comment,
    [30348] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3349),
    1,
    anon_sym_LPAREN,
    STATE(1124),
    1,
    sym_comment,
    [30361] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3351),
    1,
    anon_sym_LPAREN,
    STATE(1125),
    1,
    sym_comment,
    [30374] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3353),
    1,
    sym_identifier,
    STATE(1126),
    1,
    sym_comment,
    [30387] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3355),
    1,
    anon_sym_LPAREN,
    STATE(1127),
    1,
    sym_comment,
    [30400] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3357),
    1,
    anon_sym_RPAREN,
    STATE(1128),
    1,
    sym_comment,
    [30413] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3359),
    1,
    anon_sym_RPAREN,
    STATE(1129),
    1,
    sym_comment,
    [30426] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3361),
    1,
    anon_sym_RPAREN,
    STATE(1130),
    1,
    sym_comment,
    [30439] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3363),
    1,
    anon_sym_RPAREN,
    STATE(1131),
    1,
    sym_comment,
    [30452] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3365),
    1,
    anon_sym_RPAREN,
    STATE(1132),
    1,
    sym_comment,
    [30465] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3367),
    1,
    anon_sym_RPAREN,
    STATE(1133),
    1,
    sym_comment,
    [30478] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3369),
    1,
    anon_sym_RPAREN,
    STATE(1134),
    1,
    sym_comment,
    [30491] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3371),
    1,
    anon_sym_RPAREN,
    STATE(1135),
    1,
    sym_comment,
    [30504] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3373),
    1,
    anon_sym_RPAREN,
    STATE(1136),
    1,
    sym_comment,
    [30517] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3375),
    1,
    anon_sym_RPAREN,
    STATE(1137),
    1,
    sym_comment,
    [30530] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3377),
    1,
    anon_sym_RPAREN,
    STATE(1138),
    1,
    sym_comment,
    [30543] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3379),
    1,
    anon_sym_RPAREN,
    STATE(1139),
    1,
    sym_comment,
    [30556] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3381),
    1,
    anon_sym_RPAREN,
    STATE(1140),
    1,
    sym_comment,
    [30569] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3383),
    1,
    anon_sym_RPAREN,
    STATE(1141),
    1,
    sym_comment,
    [30582] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3385),
    1,
    anon_sym_RPAREN,
    STATE(1142),
    1,
    sym_comment,
    [30595] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3387),
    1,
    anon_sym_RPAREN,
    STATE(1143),
    1,
    sym_comment,
    [30608] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3389),
    1,
    anon_sym_RPAREN,
    STATE(1144),
    1,
    sym_comment,
    [30621] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3391),
    1,
    anon_sym_RPAREN,
    STATE(1145),
    1,
    sym_comment,
    [30634] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3393),
    1,
    anon_sym_RPAREN,
    STATE(1146),
    1,
    sym_comment,
    [30647] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3395),
    1,
    anon_sym_RPAREN,
    STATE(1147),
    1,
    sym_comment,
    [30660] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3397),
    1,
    anon_sym_RPAREN,
    STATE(1148),
    1,
    sym_comment,
    [30673] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3399),
    1,
    anon_sym_RPAREN,
    STATE(1149),
    1,
    sym_comment,
    [30686] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3401),
    1,
    anon_sym_RPAREN,
    STATE(1150),
    1,
    sym_comment,
    [30699] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3403),
    1,
    anon_sym_RPAREN,
    STATE(1151),
    1,
    sym_comment,
    [30712] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3405),
    1,
    sym_identifier,
    STATE(1152),
    1,
    sym_comment,
    [30725] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3407),
    1,
    sym_identifier,
    STATE(1153),
    1,
    sym_comment,
    [30738] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3409),
    1,
    sym_identifier,
    STATE(1154),
    1,
    sym_comment,
    [30751] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3411),
    1,
    anon_sym_LPAREN,
    STATE(1155),
    1,
    sym_comment,
    [30764] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3413),
    1,
    anon_sym_LPAREN,
    STATE(1156),
    1,
    sym_comment,
    [30777] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3415),
    1,
    anon_sym_LPAREN,
    STATE(1157),
    1,
    sym_comment,
    [30790] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3417),
    1,
    anon_sym_LPAREN,
    STATE(1158),
    1,
    sym_comment,
    [30803] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3419),
    1,
    anon_sym_LPAREN,
    STATE(1159),
    1,
    sym_comment,
    [30816] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3421),
    1,
    sym_identifier,
    STATE(1160),
    1,
    sym_comment,
    [30829] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3423),
    1,
    anon_sym_LBRACE,
    STATE(1161),
    1,
    sym_comment,
    [30842] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3425),
    1,
    anon_sym_LBRACE,
    STATE(1162),
    1,
    sym_comment,
    [30855] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3427),
    1,
    anon_sym_RPAREN,
    STATE(1163),
    1,
    sym_comment,
    [30868] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3429),
    1,
    sym_identifier,
    STATE(1164),
    1,
    sym_comment,
    [30881] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3431),
    1,
    anon_sym_GT,
    STATE(1165),
    1,
    sym_comment,
    [30894] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3433),
    1,
    sym_identifier,
    STATE(1166),
    1,
    sym_comment,
    [30907] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3435),
    1,
    sym_identifier,
    STATE(1167),
    1,
    sym_comment,
    [30920] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3437),
    1,
    anon_sym_LBRACE,
    STATE(1168),
    1,
    sym_comment,
    [30933] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3439),
    1,
    aux_sym_preproc_call_token1,
    STATE(1169),
    1,
    sym_comment,
    [30946] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3441),
    1,
    sym_system_lib_path,
    STATE(1170),
    1,
    sym_comment,
    [30959] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3443),
    1,
    aux_sym_preproc_call_token1,
    STATE(1171),
    1,
    sym_comment,
    [30972] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3445),
    1,
    anon_sym_SLASH,
    STATE(1172),
    1,
    sym_comment,
    [30985] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3447),
    1,
    anon_sym_LPAREN,
    STATE(1173),
    1,
    sym_comment,
    [30998] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2619),
    1,
    anon_sym_SEMI,
    STATE(1174),
    1,
    sym_comment,
    [31011] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3449),
    1,
    anon_sym_LPAREN,
    STATE(1175),
    1,
    sym_comment,
    [31024] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3451),
    1,
    anon_sym_LBRACE,
    STATE(1176),
    1,
    sym_comment,
    [31037] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3453),
    1,
    anon_sym_LBRACE,
    STATE(1177),
    1,
    sym_comment,
    [31050] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3455),
    1,
    anon_sym_SEMI,
    STATE(1178),
    1,
    sym_comment,
    [31063] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3457),
    1,
    anon_sym_GT,
    STATE(1179),
    1,
    sym_comment,
    [31076] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3459),
    1,
    anon_sym_LBRACE,
    STATE(1180),
    1,
    sym_comment,
    [31089] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3461),
    1,
    anon_sym_SEMI,
    STATE(1181),
    1,
    sym_comment,
    [31102] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3463),
    1,
    anon_sym_LBRACE,
    STATE(1182),
    1,
    sym_comment,
    [31115] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3465),
    1,
    anon_sym_LBRACE,
    STATE(1183),
    1,
    sym_comment,
    [31128] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3467),
    1,
    anon_sym_SEMI,
    STATE(1184),
    1,
    sym_comment,
    [31141] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2388),
    1,
    anon_sym_LBRACE,
    STATE(1185),
    1,
    sym_comment,
    [31154] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3469),
    1,
    anon_sym_enum,
    STATE(1186),
    1,
    sym_comment,
    [31167] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3471),
    1,
    anon_sym_SEMI,
    STATE(1187),
    1,
    sym_comment,
    [31180] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3473),
    1,
    anon_sym_LBRACE,
    STATE(1188),
    1,
    sym_comment,
    [31193] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3475),
    1,
    sym_identifier,
    STATE(1189),
    1,
    sym_comment,
    [31206] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3477),
    1,
    anon_sym_SEMI,
    STATE(1190),
    1,
    sym_comment,
    [31219] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3479),
    1,
    anon_sym_SEMI,
    STATE(1191),
    1,
    sym_comment,
    [31232] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2647),
    1,
    anon_sym_SEMI,
    STATE(1192),
    1,
    sym_comment,
    [31245] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3481),
    1,
    anon_sym_LBRACE,
    STATE(1193),
    1,
    sym_comment,
    [31258] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3483),
    1,
    anon_sym_SEMI,
    STATE(1194),
    1,
    sym_comment,
    [31271] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3485),
    1,
    sym_identifier,
    STATE(1195),
    1,
    sym_comment,
    [31284] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3487),
    1,
    anon_sym_SEMI,
    STATE(1196),
    1,
    sym_comment,
    [31297] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3489),
    1,
    ts_builtin_sym_end,
    STATE(1197),
    1,
    sym_comment,
    [31310] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3491),
    1,
    anon_sym_SEMI,
    STATE(1198),
    1,
    sym_comment,
    [31323] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_SEMI,
    STATE(1199),
    1,
    sym_comment,
    [31336] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3493),
    1,
    sym_identifier,
    STATE(1200),
    1,
    sym_comment,
    [31349] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3495),
    1,
    anon_sym_SEMI,
    STATE(1201),
    1,
    sym_comment,
    [31362] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3497),
    1,
    anon_sym_SEMI,
    STATE(1202),
    1,
    sym_comment,
    [31375] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3499),
    1,
    sym_identifier,
    STATE(1203),
    1,
    sym_comment,
    [31388] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3501),
    1,
    sym_identifier,
    STATE(1204),
    1,
    sym_comment,
    [31401] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3503),
    1,
    sym_identifier,
    STATE(1205),
    1,
    sym_comment,
    [31414] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3505),
    1,
    anon_sym_enum,
    STATE(1206),
    1,
    sym_comment,
    [31427] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3507),
    1,
    anon_sym_RPAREN,
    STATE(1207),
    1,
    sym_comment,
    [31440] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3509),
    1,
    sym_identifier,
    STATE(1208),
    1,
    sym_comment,
    [31453] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3511),
    1,
    sym_identifier,
    STATE(1209),
    1,
    sym_comment,
    [31466] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3513),
    1,
    sym_identifier,
    STATE(1210),
    1,
    sym_comment,
    [31479] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3515),
    1,
    sym_identifier,
    STATE(1211),
    1,
    sym_comment,
    [31492] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3517),
    1,
    sym_identifier,
    STATE(1212),
    1,
    sym_comment,
    [31505] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3519),
    1,
    anon_sym_RPAREN,
    STATE(1213),
    1,
    sym_comment,
    [31518] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3521),
    1,
    sym_identifier,
    STATE(1214),
    1,
    sym_comment,
    [31531] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3523),
    1,
    sym_identifier,
    STATE(1215),
    1,
    sym_comment,
    [31544] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3525),
    1,
    sym_identifier,
    STATE(1216),
    1,
    sym_comment,
    [31557] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3527),
    1,
    sym_identifier,
    STATE(1217),
    1,
    sym_comment,
    [31570] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2639),
    1,
    anon_sym_interface,
    STATE(1218),
    1,
    sym_comment,
    [31583] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3529),
    1,
    sym_identifier,
    STATE(1219),
    1,
    sym_comment,
    [31596] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3531),
    1,
    anon_sym_SEMI,
    STATE(1220),
    1,
    sym_comment,
    [31609] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3533),
    1,
    aux_sym_preproc_define_token1,
    STATE(1221),
    1,
    sym_comment,
    [31622] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3535),
    1,
    anon_sym_RPAREN,
    STATE(1222),
    1,
    sym_comment,
    [31635] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3537),
    1,
    aux_sym_comment_token2,
    STATE(1223),
    1,
    sym_comment,
    [31648] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3539),
    1,
    anon_sym_SEMI,
    STATE(1224),
    1,
    sym_comment,
    [31661] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3541),
    1,
    anon_sym_RPAREN,
    STATE(1225),
    1,
    sym_comment,
    [31674] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3543),
    1,
    anon_sym_LPAREN,
    STATE(1226),
    1,
    sym_comment,
    [31687] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3545),
    1,
    anon_sym_LPAREN,
    STATE(1227),
    1,
    sym_comment,
    [31700] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3547),
    1,
    anon_sym_LPAREN,
    STATE(1228),
    1,
    sym_comment,
    [31713] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3549),
    1,
    anon_sym_LPAREN,
    STATE(1229),
    1,
    sym_comment,
    [31726] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3551),
    1,
    anon_sym_LPAREN,
    STATE(1230),
    1,
    sym_comment,
    [31739] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3553),
    1,
    anon_sym_LPAREN,
    STATE(1231),
    1,
    sym_comment,
    [31752] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3555),
    1,
    anon_sym_LPAREN,
    STATE(1232),
    1,
    sym_comment,
    [31765] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3557),
    1,
    anon_sym_LPAREN,
    STATE(1233),
    1,
    sym_comment,
    [31778] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3559),
    1,
    anon_sym_LPAREN,
    STATE(1234),
    1,
    sym_comment,
    [31791] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3561),
    1,
    anon_sym_LPAREN,
    STATE(1235),
    1,
    sym_comment,
    [31804] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3563),
    1,
    anon_sym_COMMA,
    STATE(1236),
    1,
    sym_comment,
    [31817] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3565),
    1,
    anon_sym_COMMA,
    STATE(1237),
    1,
    sym_comment,
    [31830] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3567),
    1,
    anon_sym_COMMA,
    STATE(1238),
    1,
    sym_comment,
    [31843] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3569),
    1,
    anon_sym_COMMA,
    STATE(1239),
    1,
    sym_comment,
    [31856] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3571),
    1,
    anon_sym_LPAREN,
    STATE(1240),
    1,
    sym_comment,
    [31869] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3573),
    1,
    anon_sym_LPAREN,
    STATE(1241),
    1,
    sym_comment,
    [31882] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3575),
    1,
    anon_sym_LPAREN,
    STATE(1242),
    1,
    sym_comment,
    [31895] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3577),
    1,
    anon_sym_LPAREN,
    STATE(1243),
    1,
    sym_comment,
    [31908] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3579),
    1,
    anon_sym_LPAREN,
    STATE(1244),
    1,
    sym_comment,
    [31921] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3581),
    1,
    anon_sym_LPAREN,
    STATE(1245),
    1,
    sym_comment,
    [31934] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3583),
    1,
    anon_sym_LPAREN,
    STATE(1246),
    1,
    sym_comment,
    [31947] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3585),
    1,
    anon_sym_LPAREN,
    STATE(1247),
    1,
    sym_comment,
    [31960] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3587),
    1,
    anon_sym_LPAREN,
    STATE(1248),
    1,
    sym_comment,
    [31973] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3589),
    1,
    anon_sym_LPAREN,
    STATE(1249),
    1,
    sym_comment,
    [31986] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3591),
    1,
    anon_sym_COMMA,
    STATE(1250),
    1,
    sym_comment,
    [31999] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3593),
    1,
    anon_sym_COMMA,
    STATE(1251),
    1,
    sym_comment,
    [32012] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3595),
    1,
    anon_sym_COMMA,
    STATE(1252),
    1,
    sym_comment,
    [32025] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3597),
    1,
    anon_sym_COMMA,
    STATE(1253),
    1,
    sym_comment,
    [32038] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3599),
    1,
    anon_sym_LPAREN,
    STATE(1254),
    1,
    sym_comment,
    [32051] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3601),
    1,
    anon_sym_LPAREN,
    STATE(1255),
    1,
    sym_comment,
    [32064] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3603),
    1,
    anon_sym_LPAREN,
    STATE(1256),
    1,
    sym_comment,
    [32077] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3605),
    1,
    anon_sym_LPAREN,
    STATE(1257),
    1,
    sym_comment,
    [32090] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3607),
    1,
    anon_sym_LPAREN,
    STATE(1258),
    1,
    sym_comment,
    [32103] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3609),
    1,
    anon_sym_LPAREN,
    STATE(1259),
    1,
    sym_comment,
    [32116] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3611),
    1,
    anon_sym_LPAREN,
    STATE(1260),
    1,
    sym_comment,
    [32129] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3613),
    1,
    anon_sym_LPAREN,
    STATE(1261),
    1,
    sym_comment,
    [32142] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3615),
    1,
    anon_sym_LPAREN,
    STATE(1262),
    1,
    sym_comment,
    [32155] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3617),
    1,
    anon_sym_LPAREN,
    STATE(1263),
    1,
    sym_comment,
    [32168] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3619),
    1,
    anon_sym_COMMA,
    STATE(1264),
    1,
    sym_comment,
    [32181] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3621),
    1,
    anon_sym_COMMA,
    STATE(1265),
    1,
    sym_comment,
    [32194] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3623),
    1,
    anon_sym_COMMA,
    STATE(1266),
    1,
    sym_comment,
    [32207] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3625),
    1,
    anon_sym_COMMA,
    STATE(1267),
    1,
    sym_comment,
    [32220] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3627),
    1,
    anon_sym_SEMI,
    STATE(1268),
    1,
    sym_comment,
    [32233] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3629),
    1,
    anon_sym_SEMI,
    STATE(1269),
    1,
    sym_comment,
    [32246] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3631),
    1,
    anon_sym_SEMI,
    STATE(1270),
    1,
    sym_comment,
    [32259] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(625),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3633),
    1,
    anon_sym_LPAREN,
    STATE(1271),
    1,
    sym_comment,
    [32272] = 1,
    ACTIONS(3635),
    1,
    ts_builtin_sym_end,
    [32276] = 1,
    ACTIONS(3637),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(34)] = 0,
    [SMALL_STATE(35)] = 151,
    [SMALL_STATE(36)] = 302,
    [SMALL_STATE(37)] = 453,
    [SMALL_STATE(38)] = 604,
    [SMALL_STATE(39)] = 755,
    [SMALL_STATE(40)] = 906,
    [SMALL_STATE(41)] = 1057,
    [SMALL_STATE(42)] = 1206,
    [SMALL_STATE(43)] = 1357,
    [SMALL_STATE(44)] = 1508,
    [SMALL_STATE(45)] = 1659,
    [SMALL_STATE(46)] = 1807,
    [SMALL_STATE(47)] = 1951,
    [SMALL_STATE(48)] = 2095,
    [SMALL_STATE(49)] = 2237,
    [SMALL_STATE(50)] = 2379,
    [SMALL_STATE(51)] = 2517,
    [SMALL_STATE(52)] = 2661,
    [SMALL_STATE(53)] = 2731,
    [SMALL_STATE(54)] = 2801,
    [SMALL_STATE(55)] = 2871,
    [SMALL_STATE(56)] = 2941,
    [SMALL_STATE(57)] = 3071,
    [SMALL_STATE(58)] = 3141,
    [SMALL_STATE(59)] = 3211,
    [SMALL_STATE(60)] = 3281,
    [SMALL_STATE(61)] = 3350,
    [SMALL_STATE(62)] = 3419,
    [SMALL_STATE(63)] = 3546,
    [SMALL_STATE(64)] = 3615,
    [SMALL_STATE(65)] = 3684,
    [SMALL_STATE(66)] = 3811,
    [SMALL_STATE(67)] = 3932,
    [SMALL_STATE(68)] = 4053,
    [SMALL_STATE(69)] = 4120,
    [SMALL_STATE(70)] = 4241,
    [SMALL_STATE(71)] = 4308,
    [SMALL_STATE(72)] = 4435,
    [SMALL_STATE(73)] = 4562,
    [SMALL_STATE(74)] = 4689,
    [SMALL_STATE(75)] = 4810,
    [SMALL_STATE(76)] = 4937,
    [SMALL_STATE(77)] = 5058,
    [SMALL_STATE(78)] = 5179,
    [SMALL_STATE(79)] = 5306,
    [SMALL_STATE(80)] = 5427,
    [SMALL_STATE(81)] = 5548,
    [SMALL_STATE(82)] = 5675,
    [SMALL_STATE(83)] = 5802,
    [SMALL_STATE(84)] = 5929,
    [SMALL_STATE(85)] = 6056,
    [SMALL_STATE(86)] = 6161,
    [SMALL_STATE(87)] = 6224,
    [SMALL_STATE(88)] = 6329,
    [SMALL_STATE(89)] = 6441,
    [SMALL_STATE(90)] = 6553,
    [SMALL_STATE(91)] = 6665,
    [SMALL_STATE(92)] = 6777,
    [SMALL_STATE(93)] = 6832,
    [SMALL_STATE(94)] = 6941,
    [SMALL_STATE(95)] = 7050,
    [SMALL_STATE(96)] = 7159,
    [SMALL_STATE(97)] = 7268,
    [SMALL_STATE(98)] = 7377,
    [SMALL_STATE(99)] = 7486,
    [SMALL_STATE(100)] = 7541,
    [SMALL_STATE(101)] = 7596,
    [SMALL_STATE(102)] = 7705,
    [SMALL_STATE(103)] = 7811,
    [SMALL_STATE(104)] = 7917,
    [SMALL_STATE(105)] = 8023,
    [SMALL_STATE(106)] = 8129,
    [SMALL_STATE(107)] = 8235,
    [SMALL_STATE(108)] = 8341,
    [SMALL_STATE(109)] = 8441,
    [SMALL_STATE(110)] = 8538,
    [SMALL_STATE(111)] = 8632,
    [SMALL_STATE(112)] = 8690,
    [SMALL_STATE(113)] = 8781,
    [SMALL_STATE(114)] = 8831,
    [SMALL_STATE(115)] = 8881,
    [SMALL_STATE(116)] = 8929,
    [SMALL_STATE(117)] = 8977,
    [SMALL_STATE(118)] = 9025,
    [SMALL_STATE(119)] = 9113,
    [SMALL_STATE(120)] = 9163,
    [SMALL_STATE(121)] = 9213,
    [SMALL_STATE(122)] = 9263,
    [SMALL_STATE(123)] = 9313,
    [SMALL_STATE(124)] = 9363,
    [SMALL_STATE(125)] = 9413,
    [SMALL_STATE(126)] = 9463,
    [SMALL_STATE(127)] = 9513,
    [SMALL_STATE(128)] = 9561,
    [SMALL_STATE(129)] = 9609,
    [SMALL_STATE(130)] = 9657,
    [SMALL_STATE(131)] = 9705,
    [SMALL_STATE(132)] = 9753,
    [SMALL_STATE(133)] = 9800,
    [SMALL_STATE(134)] = 9847,
    [SMALL_STATE(135)] = 9894,
    [SMALL_STATE(136)] = 9941,
    [SMALL_STATE(137)] = 9988,
    [SMALL_STATE(138)] = 10035,
    [SMALL_STATE(139)] = 10082,
    [SMALL_STATE(140)] = 10129,
    [SMALL_STATE(141)] = 10176,
    [SMALL_STATE(142)] = 10223,
    [SMALL_STATE(143)] = 10270,
    [SMALL_STATE(144)] = 10317,
    [SMALL_STATE(145)] = 10364,
    [SMALL_STATE(146)] = 10411,
    [SMALL_STATE(147)] = 10458,
    [SMALL_STATE(148)] = 10543,
    [SMALL_STATE(149)] = 10590,
    [SMALL_STATE(150)] = 10637,
    [SMALL_STATE(151)] = 10684,
    [SMALL_STATE(152)] = 10731,
    [SMALL_STATE(153)] = 10778,
    [SMALL_STATE(154)] = 10825,
    [SMALL_STATE(155)] = 10872,
    [SMALL_STATE(156)] = 10919,
    [SMALL_STATE(157)] = 10966,
    [SMALL_STATE(158)] = 11013,
    [SMALL_STATE(159)] = 11060,
    [SMALL_STATE(160)] = 11107,
    [SMALL_STATE(161)] = 11154,
    [SMALL_STATE(162)] = 11201,
    [SMALL_STATE(163)] = 11248,
    [SMALL_STATE(164)] = 11295,
    [SMALL_STATE(165)] = 11342,
    [SMALL_STATE(166)] = 11389,
    [SMALL_STATE(167)] = 11436,
    [SMALL_STATE(168)] = 11483,
    [SMALL_STATE(169)] = 11530,
    [SMALL_STATE(170)] = 11577,
    [SMALL_STATE(171)] = 11624,
    [SMALL_STATE(172)] = 11671,
    [SMALL_STATE(173)] = 11718,
    [SMALL_STATE(174)] = 11765,
    [SMALL_STATE(175)] = 11812,
    [SMALL_STATE(176)] = 11895,
    [SMALL_STATE(177)] = 11940,
    [SMALL_STATE(178)] = 11985,
    [SMALL_STATE(179)] = 12030,
    [SMALL_STATE(180)] = 12075,
    [SMALL_STATE(181)] = 12120,
    [SMALL_STATE(182)] = 12165,
    [SMALL_STATE(183)] = 12248,
    [SMALL_STATE(184)] = 12324,
    [SMALL_STATE(185)] = 12367,
    [SMALL_STATE(186)] = 12410,
    [SMALL_STATE(187)] = 12453,
    [SMALL_STATE(188)] = 12495,
    [SMALL_STATE(189)] = 12563,
    [SMALL_STATE(190)] = 12628,
    [SMALL_STATE(191)] = 12693,
    [SMALL_STATE(192)] = 12758,
    [SMALL_STATE(193)] = 12823,
    [SMALL_STATE(194)] = 12888,
    [SMALL_STATE(195)] = 12953,
    [SMALL_STATE(196)] = 13018,
    [SMALL_STATE(197)] = 13083,
    [SMALL_STATE(198)] = 13148,
    [SMALL_STATE(199)] = 13213,
    [SMALL_STATE(200)] = 13278,
    [SMALL_STATE(201)] = 13343,
    [SMALL_STATE(202)] = 13408,
    [SMALL_STATE(203)] = 13473,
    [SMALL_STATE(204)] = 13538,
    [SMALL_STATE(205)] = 13603,
    [SMALL_STATE(206)] = 13668,
    [SMALL_STATE(207)] = 13733,
    [SMALL_STATE(208)] = 13793,
    [SMALL_STATE(209)] = 13828,
    [SMALL_STATE(210)] = 13885,
    [SMALL_STATE(211)] = 13920,
    [SMALL_STATE(212)] = 13975,
    [SMALL_STATE(213)] = 14009,
    [SMALL_STATE(214)] = 14042,
    [SMALL_STATE(215)] = 14075,
    [SMALL_STATE(216)] = 14108,
    [SMALL_STATE(217)] = 14141,
    [SMALL_STATE(218)] = 14171,
    [SMALL_STATE(219)] = 14201,
    [SMALL_STATE(220)] = 14231,
    [SMALL_STATE(221)] = 14261,
    [SMALL_STATE(222)] = 14291,
    [SMALL_STATE(223)] = 14321,
    [SMALL_STATE(224)] = 14351,
    [SMALL_STATE(225)] = 14381,
    [SMALL_STATE(226)] = 14411,
    [SMALL_STATE(227)] = 14441,
    [SMALL_STATE(228)] = 14491,
    [SMALL_STATE(229)] = 14541,
    [SMALL_STATE(230)] = 14571,
    [SMALL_STATE(231)] = 14601,
    [SMALL_STATE(232)] = 14635,
    [SMALL_STATE(233)] = 14685,
    [SMALL_STATE(234)] = 14715,
    [SMALL_STATE(235)] = 14745,
    [SMALL_STATE(236)] = 14775,
    [SMALL_STATE(237)] = 14805,
    [SMALL_STATE(238)] = 14835,
    [SMALL_STATE(239)] = 14865,
    [SMALL_STATE(240)] = 14913,
    [SMALL_STATE(241)] = 14943,
    [SMALL_STATE(242)] = 14973,
    [SMALL_STATE(243)] = 15003,
    [SMALL_STATE(244)] = 15051,
    [SMALL_STATE(245)] = 15085,
    [SMALL_STATE(246)] = 15115,
    [SMALL_STATE(247)] = 15154,
    [SMALL_STATE(248)] = 15201,
    [SMALL_STATE(249)] = 15240,
    [SMALL_STATE(250)] = 15279,
    [SMALL_STATE(251)] = 15318,
    [SMALL_STATE(252)] = 15347,
    [SMALL_STATE(253)] = 15376,
    [SMALL_STATE(254)] = 15423,
    [SMALL_STATE(255)] = 15452,
    [SMALL_STATE(256)] = 15485,
    [SMALL_STATE(257)] = 15525,
    [SMALL_STATE(258)] = 15565,
    [SMALL_STATE(259)] = 15605,
    [SMALL_STATE(260)] = 15645,
    [SMALL_STATE(261)] = 15685,
    [SMALL_STATE(262)] = 15725,
    [SMALL_STATE(263)] = 15765,
    [SMALL_STATE(264)] = 15805,
    [SMALL_STATE(265)] = 15845,
    [SMALL_STATE(266)] = 15885,
    [SMALL_STATE(267)] = 15925,
    [SMALL_STATE(268)] = 15965,
    [SMALL_STATE(269)] = 15996,
    [SMALL_STATE(270)] = 16023,
    [SMALL_STATE(271)] = 16050,
    [SMALL_STATE(272)] = 16072,
    [SMALL_STATE(273)] = 16094,
    [SMALL_STATE(274)] = 16128,
    [SMALL_STATE(275)] = 16154,
    [SMALL_STATE(276)] = 16176,
    [SMALL_STATE(277)] = 16198,
    [SMALL_STATE(278)] = 16220,
    [SMALL_STATE(279)] = 16247,
    [SMALL_STATE(280)] = 16268,
    [SMALL_STATE(281)] = 16291,
    [SMALL_STATE(282)] = 16318,
    [SMALL_STATE(283)] = 16345,
    [SMALL_STATE(284)] = 16368,
    [SMALL_STATE(285)] = 16391,
    [SMALL_STATE(286)] = 16414,
    [SMALL_STATE(287)] = 16437,
    [SMALL_STATE(288)] = 16458,
    [SMALL_STATE(289)] = 16481,
    [SMALL_STATE(290)] = 16504,
    [SMALL_STATE(291)] = 16527,
    [SMALL_STATE(292)] = 16550,
    [SMALL_STATE(293)] = 16573,
    [SMALL_STATE(294)] = 16596,
    [SMALL_STATE(295)] = 16623,
    [SMALL_STATE(296)] = 16645,
    [SMALL_STATE(297)] = 16665,
    [SMALL_STATE(298)] = 16685,
    [SMALL_STATE(299)] = 16705,
    [SMALL_STATE(300)] = 16725,
    [SMALL_STATE(301)] = 16745,
    [SMALL_STATE(302)] = 16765,
    [SMALL_STATE(303)] = 16785,
    [SMALL_STATE(304)] = 16819,
    [SMALL_STATE(305)] = 16839,
    [SMALL_STATE(306)] = 16859,
    [SMALL_STATE(307)] = 16879,
    [SMALL_STATE(308)] = 16899,
    [SMALL_STATE(309)] = 16919,
    [SMALL_STATE(310)] = 16939,
    [SMALL_STATE(311)] = 16959,
    [SMALL_STATE(312)] = 16979,
    [SMALL_STATE(313)] = 17001,
    [SMALL_STATE(314)] = 17021,
    [SMALL_STATE(315)] = 17041,
    [SMALL_STATE(316)] = 17061,
    [SMALL_STATE(317)] = 17081,
    [SMALL_STATE(318)] = 17115,
    [SMALL_STATE(319)] = 17135,
    [SMALL_STATE(320)] = 17155,
    [SMALL_STATE(321)] = 17175,
    [SMALL_STATE(322)] = 17195,
    [SMALL_STATE(323)] = 17229,
    [SMALL_STATE(324)] = 17249,
    [SMALL_STATE(325)] = 17269,
    [SMALL_STATE(326)] = 17289,
    [SMALL_STATE(327)] = 17309,
    [SMALL_STATE(328)] = 17329,
    [SMALL_STATE(329)] = 17349,
    [SMALL_STATE(330)] = 17383,
    [SMALL_STATE(331)] = 17403,
    [SMALL_STATE(332)] = 17423,
    [SMALL_STATE(333)] = 17443,
    [SMALL_STATE(334)] = 17463,
    [SMALL_STATE(335)] = 17495,
    [SMALL_STATE(336)] = 17515,
    [SMALL_STATE(337)] = 17535,
    [SMALL_STATE(338)] = 17565,
    [SMALL_STATE(339)] = 17585,
    [SMALL_STATE(340)] = 17605,
    [SMALL_STATE(341)] = 17636,
    [SMALL_STATE(342)] = 17665,
    [SMALL_STATE(343)] = 17696,
    [SMALL_STATE(344)] = 17727,
    [SMALL_STATE(345)] = 17746,
    [SMALL_STATE(346)] = 17765,
    [SMALL_STATE(347)] = 17796,
    [SMALL_STATE(348)] = 17827,
    [SMALL_STATE(349)] = 17858,
    [SMALL_STATE(350)] = 17877,
    [SMALL_STATE(351)] = 17898,
    [SMALL_STATE(352)] = 17917,
    [SMALL_STATE(353)] = 17936,
    [SMALL_STATE(354)] = 17955,
    [SMALL_STATE(355)] = 17974,
    [SMALL_STATE(356)] = 18005,
    [SMALL_STATE(357)] = 18024,
    [SMALL_STATE(358)] = 18052,
    [SMALL_STATE(359)] = 18080,
    [SMALL_STATE(360)] = 18108,
    [SMALL_STATE(361)] = 18136,
    [SMALL_STATE(362)] = 18162,
    [SMALL_STATE(363)] = 18186,
    [SMALL_STATE(364)] = 18208,
    [SMALL_STATE(365)] = 18236,
    [SMALL_STATE(366)] = 18264,
    [SMALL_STATE(367)] = 18292,
    [SMALL_STATE(368)] = 18312,
    [SMALL_STATE(369)] = 18340,
    [SMALL_STATE(370)] = 18364,
    [SMALL_STATE(371)] = 18392,
    [SMALL_STATE(372)] = 18420,
    [SMALL_STATE(373)] = 18448,
    [SMALL_STATE(374)] = 18476,
    [SMALL_STATE(375)] = 18504,
    [SMALL_STATE(376)] = 18530,
    [SMALL_STATE(377)] = 18558,
    [SMALL_STATE(378)] = 18586,
    [SMALL_STATE(379)] = 18614,
    [SMALL_STATE(380)] = 18637,
    [SMALL_STATE(381)] = 18654,
    [SMALL_STATE(382)] = 18679,
    [SMALL_STATE(383)] = 18704,
    [SMALL_STATE(384)] = 18729,
    [SMALL_STATE(385)] = 18750,
    [SMALL_STATE(386)] = 18775,
    [SMALL_STATE(387)] = 18792,
    [SMALL_STATE(388)] = 18809,
    [SMALL_STATE(389)] = 18826,
    [SMALL_STATE(390)] = 18843,
    [SMALL_STATE(391)] = 18860,
    [SMALL_STATE(392)] = 18885,
    [SMALL_STATE(393)] = 18902,
    [SMALL_STATE(394)] = 18919,
    [SMALL_STATE(395)] = 18940,
    [SMALL_STATE(396)] = 18957,
    [SMALL_STATE(397)] = 18974,
    [SMALL_STATE(398)] = 18997,
    [SMALL_STATE(399)] = 19022,
    [SMALL_STATE(400)] = 19047,
    [SMALL_STATE(401)] = 19066,
    [SMALL_STATE(402)] = 19089,
    [SMALL_STATE(403)] = 19112,
    [SMALL_STATE(404)] = 19129,
    [SMALL_STATE(405)] = 19148,
    [SMALL_STATE(406)] = 19171,
    [SMALL_STATE(407)] = 19196,
    [SMALL_STATE(408)] = 19221,
    [SMALL_STATE(409)] = 19238,
    [SMALL_STATE(410)] = 19255,
    [SMALL_STATE(411)] = 19272,
    [SMALL_STATE(412)] = 19289,
    [SMALL_STATE(413)] = 19306,
    [SMALL_STATE(414)] = 19329,
    [SMALL_STATE(415)] = 19354,
    [SMALL_STATE(416)] = 19376,
    [SMALL_STATE(417)] = 19398,
    [SMALL_STATE(418)] = 19414,
    [SMALL_STATE(419)] = 19434,
    [SMALL_STATE(420)] = 19450,
    [SMALL_STATE(421)] = 19472,
    [SMALL_STATE(422)] = 19494,
    [SMALL_STATE(423)] = 19516,
    [SMALL_STATE(424)] = 19534,
    [SMALL_STATE(425)] = 19556,
    [SMALL_STATE(426)] = 19574,
    [SMALL_STATE(427)] = 19596,
    [SMALL_STATE(428)] = 19616,
    [SMALL_STATE(429)] = 19632,
    [SMALL_STATE(430)] = 19648,
    [SMALL_STATE(431)] = 19668,
    [SMALL_STATE(432)] = 19690,
    [SMALL_STATE(433)] = 19712,
    [SMALL_STATE(434)] = 19734,
    [SMALL_STATE(435)] = 19754,
    [SMALL_STATE(436)] = 19772,
    [SMALL_STATE(437)] = 19794,
    [SMALL_STATE(438)] = 19814,
    [SMALL_STATE(439)] = 19836,
    [SMALL_STATE(440)] = 19852,
    [SMALL_STATE(441)] = 19874,
    [SMALL_STATE(442)] = 19890,
    [SMALL_STATE(443)] = 19908,
    [SMALL_STATE(444)] = 19926,
    [SMALL_STATE(445)] = 19942,
    [SMALL_STATE(446)] = 19962,
    [SMALL_STATE(447)] = 19984,
    [SMALL_STATE(448)] = 20006,
    [SMALL_STATE(449)] = 20026,
    [SMALL_STATE(450)] = 20048,
    [SMALL_STATE(451)] = 20070,
    [SMALL_STATE(452)] = 20088,
    [SMALL_STATE(453)] = 20110,
    [SMALL_STATE(454)] = 20130,
    [SMALL_STATE(455)] = 20148,
    [SMALL_STATE(456)] = 20168,
    [SMALL_STATE(457)] = 20186,
    [SMALL_STATE(458)] = 20206,
    [SMALL_STATE(459)] = 20224,
    [SMALL_STATE(460)] = 20246,
    [SMALL_STATE(461)] = 20268,
    [SMALL_STATE(462)] = 20288,
    [SMALL_STATE(463)] = 20304,
    [SMALL_STATE(464)] = 20324,
    [SMALL_STATE(465)] = 20346,
    [SMALL_STATE(466)] = 20366,
    [SMALL_STATE(467)] = 20382,
    [SMALL_STATE(468)] = 20400,
    [SMALL_STATE(469)] = 20418,
    [SMALL_STATE(470)] = 20438,
    [SMALL_STATE(471)] = 20454,
    [SMALL_STATE(472)] = 20472,
    [SMALL_STATE(473)] = 20494,
    [SMALL_STATE(474)] = 20512,
    [SMALL_STATE(475)] = 20534,
    [SMALL_STATE(476)] = 20554,
    [SMALL_STATE(477)] = 20574,
    [SMALL_STATE(478)] = 20594,
    [SMALL_STATE(479)] = 20612,
    [SMALL_STATE(480)] = 20630,
    [SMALL_STATE(481)] = 20648,
    [SMALL_STATE(482)] = 20666,
    [SMALL_STATE(483)] = 20684,
    [SMALL_STATE(484)] = 20704,
    [SMALL_STATE(485)] = 20722,
    [SMALL_STATE(486)] = 20744,
    [SMALL_STATE(487)] = 20762,
    [SMALL_STATE(488)] = 20778,
    [SMALL_STATE(489)] = 20800,
    [SMALL_STATE(490)] = 20818,
    [SMALL_STATE(491)] = 20836,
    [SMALL_STATE(492)] = 20854,
    [SMALL_STATE(493)] = 20872,
    [SMALL_STATE(494)] = 20894,
    [SMALL_STATE(495)] = 20910,
    [SMALL_STATE(496)] = 20928,
    [SMALL_STATE(497)] = 20946,
    [SMALL_STATE(498)] = 20962,
    [SMALL_STATE(499)] = 20980,
    [SMALL_STATE(500)] = 21002,
    [SMALL_STATE(501)] = 21024,
    [SMALL_STATE(502)] = 21046,
    [SMALL_STATE(503)] = 21066,
    [SMALL_STATE(504)] = 21084,
    [SMALL_STATE(505)] = 21102,
    [SMALL_STATE(506)] = 21118,
    [SMALL_STATE(507)] = 21136,
    [SMALL_STATE(508)] = 21154,
    [SMALL_STATE(509)] = 21172,
    [SMALL_STATE(510)] = 21188,
    [SMALL_STATE(511)] = 21210,
    [SMALL_STATE(512)] = 21225,
    [SMALL_STATE(513)] = 21244,
    [SMALL_STATE(514)] = 21259,
    [SMALL_STATE(515)] = 21274,
    [SMALL_STATE(516)] = 21293,
    [SMALL_STATE(517)] = 21308,
    [SMALL_STATE(518)] = 21325,
    [SMALL_STATE(519)] = 21340,
    [SMALL_STATE(520)] = 21357,
    [SMALL_STATE(521)] = 21376,
    [SMALL_STATE(522)] = 21391,
    [SMALL_STATE(523)] = 21408,
    [SMALL_STATE(524)] = 21423,
    [SMALL_STATE(525)] = 21440,
    [SMALL_STATE(526)] = 21459,
    [SMALL_STATE(527)] = 21478,
    [SMALL_STATE(528)] = 21495,
    [SMALL_STATE(529)] = 21510,
    [SMALL_STATE(530)] = 21525,
    [SMALL_STATE(531)] = 21540,
    [SMALL_STATE(532)] = 21555,
    [SMALL_STATE(533)] = 21570,
    [SMALL_STATE(534)] = 21585,
    [SMALL_STATE(535)] = 21600,
    [SMALL_STATE(536)] = 21615,
    [SMALL_STATE(537)] = 21630,
    [SMALL_STATE(538)] = 21645,
    [SMALL_STATE(539)] = 21660,
    [SMALL_STATE(540)] = 21675,
    [SMALL_STATE(541)] = 21690,
    [SMALL_STATE(542)] = 21707,
    [SMALL_STATE(543)] = 21724,
    [SMALL_STATE(544)] = 21739,
    [SMALL_STATE(545)] = 21758,
    [SMALL_STATE(546)] = 21775,
    [SMALL_STATE(547)] = 21792,
    [SMALL_STATE(548)] = 21809,
    [SMALL_STATE(549)] = 21828,
    [SMALL_STATE(550)] = 21843,
    [SMALL_STATE(551)] = 21858,
    [SMALL_STATE(552)] = 21873,
    [SMALL_STATE(553)] = 21892,
    [SMALL_STATE(554)] = 21911,
    [SMALL_STATE(555)] = 21930,
    [SMALL_STATE(556)] = 21945,
    [SMALL_STATE(557)] = 21960,
    [SMALL_STATE(558)] = 21979,
    [SMALL_STATE(559)] = 21998,
    [SMALL_STATE(560)] = 22017,
    [SMALL_STATE(561)] = 22034,
    [SMALL_STATE(562)] = 22049,
    [SMALL_STATE(563)] = 22066,
    [SMALL_STATE(564)] = 22085,
    [SMALL_STATE(565)] = 22104,
    [SMALL_STATE(566)] = 22119,
    [SMALL_STATE(567)] = 22134,
    [SMALL_STATE(568)] = 22149,
    [SMALL_STATE(569)] = 22164,
    [SMALL_STATE(570)] = 22181,
    [SMALL_STATE(571)] = 22198,
    [SMALL_STATE(572)] = 22217,
    [SMALL_STATE(573)] = 22232,
    [SMALL_STATE(574)] = 22247,
    [SMALL_STATE(575)] = 22266,
    [SMALL_STATE(576)] = 22285,
    [SMALL_STATE(577)] = 22302,
    [SMALL_STATE(578)] = 22317,
    [SMALL_STATE(579)] = 22332,
    [SMALL_STATE(580)] = 22347,
    [SMALL_STATE(581)] = 22362,
    [SMALL_STATE(582)] = 22377,
    [SMALL_STATE(583)] = 22392,
    [SMALL_STATE(584)] = 22407,
    [SMALL_STATE(585)] = 22424,
    [SMALL_STATE(586)] = 22443,
    [SMALL_STATE(587)] = 22460,
    [SMALL_STATE(588)] = 22477,
    [SMALL_STATE(589)] = 22496,
    [SMALL_STATE(590)] = 22515,
    [SMALL_STATE(591)] = 22534,
    [SMALL_STATE(592)] = 22553,
    [SMALL_STATE(593)] = 22570,
    [SMALL_STATE(594)] = 22589,
    [SMALL_STATE(595)] = 22608,
    [SMALL_STATE(596)] = 22625,
    [SMALL_STATE(597)] = 22640,
    [SMALL_STATE(598)] = 22657,
    [SMALL_STATE(599)] = 22676,
    [SMALL_STATE(600)] = 22695,
    [SMALL_STATE(601)] = 22714,
    [SMALL_STATE(602)] = 22733,
    [SMALL_STATE(603)] = 22750,
    [SMALL_STATE(604)] = 22765,
    [SMALL_STATE(605)] = 22782,
    [SMALL_STATE(606)] = 22801,
    [SMALL_STATE(607)] = 22816,
    [SMALL_STATE(608)] = 22835,
    [SMALL_STATE(609)] = 22850,
    [SMALL_STATE(610)] = 22869,
    [SMALL_STATE(611)] = 22886,
    [SMALL_STATE(612)] = 22903,
    [SMALL_STATE(613)] = 22922,
    [SMALL_STATE(614)] = 22937,
    [SMALL_STATE(615)] = 22956,
    [SMALL_STATE(616)] = 22971,
    [SMALL_STATE(617)] = 22986,
    [SMALL_STATE(618)] = 23005,
    [SMALL_STATE(619)] = 23024,
    [SMALL_STATE(620)] = 23043,
    [SMALL_STATE(621)] = 23062,
    [SMALL_STATE(622)] = 23081,
    [SMALL_STATE(623)] = 23100,
    [SMALL_STATE(624)] = 23115,
    [SMALL_STATE(625)] = 23130,
    [SMALL_STATE(626)] = 23149,
    [SMALL_STATE(627)] = 23164,
    [SMALL_STATE(628)] = 23183,
    [SMALL_STATE(629)] = 23198,
    [SMALL_STATE(630)] = 23217,
    [SMALL_STATE(631)] = 23236,
    [SMALL_STATE(632)] = 23251,
    [SMALL_STATE(633)] = 23270,
    [SMALL_STATE(634)] = 23289,
    [SMALL_STATE(635)] = 23306,
    [SMALL_STATE(636)] = 23321,
    [SMALL_STATE(637)] = 23338,
    [SMALL_STATE(638)] = 23353,
    [SMALL_STATE(639)] = 23368,
    [SMALL_STATE(640)] = 23383,
    [SMALL_STATE(641)] = 23398,
    [SMALL_STATE(642)] = 23415,
    [SMALL_STATE(643)] = 23430,
    [SMALL_STATE(644)] = 23447,
    [SMALL_STATE(645)] = 23462,
    [SMALL_STATE(646)] = 23477,
    [SMALL_STATE(647)] = 23494,
    [SMALL_STATE(648)] = 23513,
    [SMALL_STATE(649)] = 23530,
    [SMALL_STATE(650)] = 23549,
    [SMALL_STATE(651)] = 23568,
    [SMALL_STATE(652)] = 23587,
    [SMALL_STATE(653)] = 23606,
    [SMALL_STATE(654)] = 23625,
    [SMALL_STATE(655)] = 23640,
    [SMALL_STATE(656)] = 23659,
    [SMALL_STATE(657)] = 23678,
    [SMALL_STATE(658)] = 23697,
    [SMALL_STATE(659)] = 23712,
    [SMALL_STATE(660)] = 23731,
    [SMALL_STATE(661)] = 23750,
    [SMALL_STATE(662)] = 23769,
    [SMALL_STATE(663)] = 23788,
    [SMALL_STATE(664)] = 23807,
    [SMALL_STATE(665)] = 23824,
    [SMALL_STATE(666)] = 23839,
    [SMALL_STATE(667)] = 23854,
    [SMALL_STATE(668)] = 23871,
    [SMALL_STATE(669)] = 23890,
    [SMALL_STATE(670)] = 23909,
    [SMALL_STATE(671)] = 23926,
    [SMALL_STATE(672)] = 23941,
    [SMALL_STATE(673)] = 23960,
    [SMALL_STATE(674)] = 23975,
    [SMALL_STATE(675)] = 23994,
    [SMALL_STATE(676)] = 24009,
    [SMALL_STATE(677)] = 24024,
    [SMALL_STATE(678)] = 24041,
    [SMALL_STATE(679)] = 24058,
    [SMALL_STATE(680)] = 24077,
    [SMALL_STATE(681)] = 24096,
    [SMALL_STATE(682)] = 24113,
    [SMALL_STATE(683)] = 24130,
    [SMALL_STATE(684)] = 24145,
    [SMALL_STATE(685)] = 24164,
    [SMALL_STATE(686)] = 24179,
    [SMALL_STATE(687)] = 24198,
    [SMALL_STATE(688)] = 24213,
    [SMALL_STATE(689)] = 24232,
    [SMALL_STATE(690)] = 24247,
    [SMALL_STATE(691)] = 24264,
    [SMALL_STATE(692)] = 24281,
    [SMALL_STATE(693)] = 24298,
    [SMALL_STATE(694)] = 24317,
    [SMALL_STATE(695)] = 24334,
    [SMALL_STATE(696)] = 24351,
    [SMALL_STATE(697)] = 24366,
    [SMALL_STATE(698)] = 24385,
    [SMALL_STATE(699)] = 24404,
    [SMALL_STATE(700)] = 24419,
    [SMALL_STATE(701)] = 24436,
    [SMALL_STATE(702)] = 24455,
    [SMALL_STATE(703)] = 24474,
    [SMALL_STATE(704)] = 24493,
    [SMALL_STATE(705)] = 24510,
    [SMALL_STATE(706)] = 24529,
    [SMALL_STATE(707)] = 24548,
    [SMALL_STATE(708)] = 24563,
    [SMALL_STATE(709)] = 24580,
    [SMALL_STATE(710)] = 24595,
    [SMALL_STATE(711)] = 24610,
    [SMALL_STATE(712)] = 24629,
    [SMALL_STATE(713)] = 24644,
    [SMALL_STATE(714)] = 24663,
    [SMALL_STATE(715)] = 24682,
    [SMALL_STATE(716)] = 24701,
    [SMALL_STATE(717)] = 24720,
    [SMALL_STATE(718)] = 24739,
    [SMALL_STATE(719)] = 24758,
    [SMALL_STATE(720)] = 24775,
    [SMALL_STATE(721)] = 24794,
    [SMALL_STATE(722)] = 24813,
    [SMALL_STATE(723)] = 24832,
    [SMALL_STATE(724)] = 24849,
    [SMALL_STATE(725)] = 24864,
    [SMALL_STATE(726)] = 24883,
    [SMALL_STATE(727)] = 24902,
    [SMALL_STATE(728)] = 24921,
    [SMALL_STATE(729)] = 24940,
    [SMALL_STATE(730)] = 24959,
    [SMALL_STATE(731)] = 24978,
    [SMALL_STATE(732)] = 24992,
    [SMALL_STATE(733)] = 25006,
    [SMALL_STATE(734)] = 25022,
    [SMALL_STATE(735)] = 25036,
    [SMALL_STATE(736)] = 25052,
    [SMALL_STATE(737)] = 25068,
    [SMALL_STATE(738)] = 25084,
    [SMALL_STATE(739)] = 25098,
    [SMALL_STATE(740)] = 25114,
    [SMALL_STATE(741)] = 25128,
    [SMALL_STATE(742)] = 25144,
    [SMALL_STATE(743)] = 25160,
    [SMALL_STATE(744)] = 25176,
    [SMALL_STATE(745)] = 25192,
    [SMALL_STATE(746)] = 25208,
    [SMALL_STATE(747)] = 25224,
    [SMALL_STATE(748)] = 25240,
    [SMALL_STATE(749)] = 25256,
    [SMALL_STATE(750)] = 25272,
    [SMALL_STATE(751)] = 25288,
    [SMALL_STATE(752)] = 25304,
    [SMALL_STATE(753)] = 25320,
    [SMALL_STATE(754)] = 25334,
    [SMALL_STATE(755)] = 25350,
    [SMALL_STATE(756)] = 25366,
    [SMALL_STATE(757)] = 25382,
    [SMALL_STATE(758)] = 25398,
    [SMALL_STATE(759)] = 25412,
    [SMALL_STATE(760)] = 25426,
    [SMALL_STATE(761)] = 25440,
    [SMALL_STATE(762)] = 25456,
    [SMALL_STATE(763)] = 25472,
    [SMALL_STATE(764)] = 25488,
    [SMALL_STATE(765)] = 25504,
    [SMALL_STATE(766)] = 25520,
    [SMALL_STATE(767)] = 25534,
    [SMALL_STATE(768)] = 25550,
    [SMALL_STATE(769)] = 25566,
    [SMALL_STATE(770)] = 25580,
    [SMALL_STATE(771)] = 25594,
    [SMALL_STATE(772)] = 25608,
    [SMALL_STATE(773)] = 25624,
    [SMALL_STATE(774)] = 25640,
    [SMALL_STATE(775)] = 25654,
    [SMALL_STATE(776)] = 25668,
    [SMALL_STATE(777)] = 25684,
    [SMALL_STATE(778)] = 25700,
    [SMALL_STATE(779)] = 25714,
    [SMALL_STATE(780)] = 25730,
    [SMALL_STATE(781)] = 25746,
    [SMALL_STATE(782)] = 25760,
    [SMALL_STATE(783)] = 25774,
    [SMALL_STATE(784)] = 25788,
    [SMALL_STATE(785)] = 25804,
    [SMALL_STATE(786)] = 25818,
    [SMALL_STATE(787)] = 25832,
    [SMALL_STATE(788)] = 25848,
    [SMALL_STATE(789)] = 25862,
    [SMALL_STATE(790)] = 25878,
    [SMALL_STATE(791)] = 25894,
    [SMALL_STATE(792)] = 25908,
    [SMALL_STATE(793)] = 25924,
    [SMALL_STATE(794)] = 25938,
    [SMALL_STATE(795)] = 25952,
    [SMALL_STATE(796)] = 25966,
    [SMALL_STATE(797)] = 25982,
    [SMALL_STATE(798)] = 25998,
    [SMALL_STATE(799)] = 26014,
    [SMALL_STATE(800)] = 26028,
    [SMALL_STATE(801)] = 26044,
    [SMALL_STATE(802)] = 26060,
    [SMALL_STATE(803)] = 26074,
    [SMALL_STATE(804)] = 26088,
    [SMALL_STATE(805)] = 26104,
    [SMALL_STATE(806)] = 26118,
    [SMALL_STATE(807)] = 26132,
    [SMALL_STATE(808)] = 26148,
    [SMALL_STATE(809)] = 26162,
    [SMALL_STATE(810)] = 26176,
    [SMALL_STATE(811)] = 26190,
    [SMALL_STATE(812)] = 26204,
    [SMALL_STATE(813)] = 26218,
    [SMALL_STATE(814)] = 26232,
    [SMALL_STATE(815)] = 26248,
    [SMALL_STATE(816)] = 26262,
    [SMALL_STATE(817)] = 26278,
    [SMALL_STATE(818)] = 26292,
    [SMALL_STATE(819)] = 26308,
    [SMALL_STATE(820)] = 26324,
    [SMALL_STATE(821)] = 26338,
    [SMALL_STATE(822)] = 26354,
    [SMALL_STATE(823)] = 26370,
    [SMALL_STATE(824)] = 26386,
    [SMALL_STATE(825)] = 26402,
    [SMALL_STATE(826)] = 26418,
    [SMALL_STATE(827)] = 26434,
    [SMALL_STATE(828)] = 26448,
    [SMALL_STATE(829)] = 26462,
    [SMALL_STATE(830)] = 26476,
    [SMALL_STATE(831)] = 26492,
    [SMALL_STATE(832)] = 26506,
    [SMALL_STATE(833)] = 26522,
    [SMALL_STATE(834)] = 26536,
    [SMALL_STATE(835)] = 26550,
    [SMALL_STATE(836)] = 26564,
    [SMALL_STATE(837)] = 26580,
    [SMALL_STATE(838)] = 26594,
    [SMALL_STATE(839)] = 26608,
    [SMALL_STATE(840)] = 26624,
    [SMALL_STATE(841)] = 26638,
    [SMALL_STATE(842)] = 26654,
    [SMALL_STATE(843)] = 26668,
    [SMALL_STATE(844)] = 26684,
    [SMALL_STATE(845)] = 26698,
    [SMALL_STATE(846)] = 26712,
    [SMALL_STATE(847)] = 26726,
    [SMALL_STATE(848)] = 26740,
    [SMALL_STATE(849)] = 26754,
    [SMALL_STATE(850)] = 26768,
    [SMALL_STATE(851)] = 26782,
    [SMALL_STATE(852)] = 26796,
    [SMALL_STATE(853)] = 26810,
    [SMALL_STATE(854)] = 26824,
    [SMALL_STATE(855)] = 26838,
    [SMALL_STATE(856)] = 26854,
    [SMALL_STATE(857)] = 26868,
    [SMALL_STATE(858)] = 26884,
    [SMALL_STATE(859)] = 26898,
    [SMALL_STATE(860)] = 26912,
    [SMALL_STATE(861)] = 26926,
    [SMALL_STATE(862)] = 26940,
    [SMALL_STATE(863)] = 26954,
    [SMALL_STATE(864)] = 26968,
    [SMALL_STATE(865)] = 26981,
    [SMALL_STATE(866)] = 26994,
    [SMALL_STATE(867)] = 27007,
    [SMALL_STATE(868)] = 27020,
    [SMALL_STATE(869)] = 27033,
    [SMALL_STATE(870)] = 27046,
    [SMALL_STATE(871)] = 27059,
    [SMALL_STATE(872)] = 27072,
    [SMALL_STATE(873)] = 27085,
    [SMALL_STATE(874)] = 27098,
    [SMALL_STATE(875)] = 27111,
    [SMALL_STATE(876)] = 27124,
    [SMALL_STATE(877)] = 27137,
    [SMALL_STATE(878)] = 27150,
    [SMALL_STATE(879)] = 27163,
    [SMALL_STATE(880)] = 27176,
    [SMALL_STATE(881)] = 27189,
    [SMALL_STATE(882)] = 27202,
    [SMALL_STATE(883)] = 27215,
    [SMALL_STATE(884)] = 27228,
    [SMALL_STATE(885)] = 27241,
    [SMALL_STATE(886)] = 27254,
    [SMALL_STATE(887)] = 27267,
    [SMALL_STATE(888)] = 27280,
    [SMALL_STATE(889)] = 27293,
    [SMALL_STATE(890)] = 27306,
    [SMALL_STATE(891)] = 27319,
    [SMALL_STATE(892)] = 27332,
    [SMALL_STATE(893)] = 27345,
    [SMALL_STATE(894)] = 27358,
    [SMALL_STATE(895)] = 27371,
    [SMALL_STATE(896)] = 27384,
    [SMALL_STATE(897)] = 27397,
    [SMALL_STATE(898)] = 27410,
    [SMALL_STATE(899)] = 27423,
    [SMALL_STATE(900)] = 27436,
    [SMALL_STATE(901)] = 27449,
    [SMALL_STATE(902)] = 27462,
    [SMALL_STATE(903)] = 27475,
    [SMALL_STATE(904)] = 27488,
    [SMALL_STATE(905)] = 27501,
    [SMALL_STATE(906)] = 27514,
    [SMALL_STATE(907)] = 27527,
    [SMALL_STATE(908)] = 27540,
    [SMALL_STATE(909)] = 27553,
    [SMALL_STATE(910)] = 27566,
    [SMALL_STATE(911)] = 27579,
    [SMALL_STATE(912)] = 27592,
    [SMALL_STATE(913)] = 27605,
    [SMALL_STATE(914)] = 27618,
    [SMALL_STATE(915)] = 27631,
    [SMALL_STATE(916)] = 27644,
    [SMALL_STATE(917)] = 27657,
    [SMALL_STATE(918)] = 27670,
    [SMALL_STATE(919)] = 27683,
    [SMALL_STATE(920)] = 27696,
    [SMALL_STATE(921)] = 27709,
    [SMALL_STATE(922)] = 27722,
    [SMALL_STATE(923)] = 27735,
    [SMALL_STATE(924)] = 27748,
    [SMALL_STATE(925)] = 27761,
    [SMALL_STATE(926)] = 27774,
    [SMALL_STATE(927)] = 27787,
    [SMALL_STATE(928)] = 27800,
    [SMALL_STATE(929)] = 27813,
    [SMALL_STATE(930)] = 27826,
    [SMALL_STATE(931)] = 27839,
    [SMALL_STATE(932)] = 27852,
    [SMALL_STATE(933)] = 27865,
    [SMALL_STATE(934)] = 27878,
    [SMALL_STATE(935)] = 27891,
    [SMALL_STATE(936)] = 27904,
    [SMALL_STATE(937)] = 27917,
    [SMALL_STATE(938)] = 27930,
    [SMALL_STATE(939)] = 27943,
    [SMALL_STATE(940)] = 27956,
    [SMALL_STATE(941)] = 27969,
    [SMALL_STATE(942)] = 27982,
    [SMALL_STATE(943)] = 27995,
    [SMALL_STATE(944)] = 28008,
    [SMALL_STATE(945)] = 28021,
    [SMALL_STATE(946)] = 28034,
    [SMALL_STATE(947)] = 28047,
    [SMALL_STATE(948)] = 28060,
    [SMALL_STATE(949)] = 28073,
    [SMALL_STATE(950)] = 28086,
    [SMALL_STATE(951)] = 28099,
    [SMALL_STATE(952)] = 28112,
    [SMALL_STATE(953)] = 28125,
    [SMALL_STATE(954)] = 28138,
    [SMALL_STATE(955)] = 28151,
    [SMALL_STATE(956)] = 28164,
    [SMALL_STATE(957)] = 28177,
    [SMALL_STATE(958)] = 28190,
    [SMALL_STATE(959)] = 28203,
    [SMALL_STATE(960)] = 28216,
    [SMALL_STATE(961)] = 28229,
    [SMALL_STATE(962)] = 28242,
    [SMALL_STATE(963)] = 28255,
    [SMALL_STATE(964)] = 28268,
    [SMALL_STATE(965)] = 28281,
    [SMALL_STATE(966)] = 28294,
    [SMALL_STATE(967)] = 28307,
    [SMALL_STATE(968)] = 28320,
    [SMALL_STATE(969)] = 28333,
    [SMALL_STATE(970)] = 28346,
    [SMALL_STATE(971)] = 28359,
    [SMALL_STATE(972)] = 28372,
    [SMALL_STATE(973)] = 28385,
    [SMALL_STATE(974)] = 28398,
    [SMALL_STATE(975)] = 28411,
    [SMALL_STATE(976)] = 28424,
    [SMALL_STATE(977)] = 28437,
    [SMALL_STATE(978)] = 28450,
    [SMALL_STATE(979)] = 28463,
    [SMALL_STATE(980)] = 28476,
    [SMALL_STATE(981)] = 28489,
    [SMALL_STATE(982)] = 28502,
    [SMALL_STATE(983)] = 28515,
    [SMALL_STATE(984)] = 28528,
    [SMALL_STATE(985)] = 28541,
    [SMALL_STATE(986)] = 28554,
    [SMALL_STATE(987)] = 28567,
    [SMALL_STATE(988)] = 28580,
    [SMALL_STATE(989)] = 28593,
    [SMALL_STATE(990)] = 28606,
    [SMALL_STATE(991)] = 28619,
    [SMALL_STATE(992)] = 28632,
    [SMALL_STATE(993)] = 28645,
    [SMALL_STATE(994)] = 28658,
    [SMALL_STATE(995)] = 28671,
    [SMALL_STATE(996)] = 28684,
    [SMALL_STATE(997)] = 28697,
    [SMALL_STATE(998)] = 28710,
    [SMALL_STATE(999)] = 28723,
    [SMALL_STATE(1000)] = 28736,
    [SMALL_STATE(1001)] = 28749,
    [SMALL_STATE(1002)] = 28762,
    [SMALL_STATE(1003)] = 28775,
    [SMALL_STATE(1004)] = 28788,
    [SMALL_STATE(1005)] = 28801,
    [SMALL_STATE(1006)] = 28814,
    [SMALL_STATE(1007)] = 28827,
    [SMALL_STATE(1008)] = 28840,
    [SMALL_STATE(1009)] = 28853,
    [SMALL_STATE(1010)] = 28866,
    [SMALL_STATE(1011)] = 28879,
    [SMALL_STATE(1012)] = 28892,
    [SMALL_STATE(1013)] = 28905,
    [SMALL_STATE(1014)] = 28918,
    [SMALL_STATE(1015)] = 28931,
    [SMALL_STATE(1016)] = 28944,
    [SMALL_STATE(1017)] = 28957,
    [SMALL_STATE(1018)] = 28970,
    [SMALL_STATE(1019)] = 28983,
    [SMALL_STATE(1020)] = 28996,
    [SMALL_STATE(1021)] = 29009,
    [SMALL_STATE(1022)] = 29022,
    [SMALL_STATE(1023)] = 29035,
    [SMALL_STATE(1024)] = 29048,
    [SMALL_STATE(1025)] = 29061,
    [SMALL_STATE(1026)] = 29074,
    [SMALL_STATE(1027)] = 29087,
    [SMALL_STATE(1028)] = 29100,
    [SMALL_STATE(1029)] = 29113,
    [SMALL_STATE(1030)] = 29126,
    [SMALL_STATE(1031)] = 29139,
    [SMALL_STATE(1032)] = 29152,
    [SMALL_STATE(1033)] = 29165,
    [SMALL_STATE(1034)] = 29178,
    [SMALL_STATE(1035)] = 29191,
    [SMALL_STATE(1036)] = 29204,
    [SMALL_STATE(1037)] = 29217,
    [SMALL_STATE(1038)] = 29230,
    [SMALL_STATE(1039)] = 29243,
    [SMALL_STATE(1040)] = 29256,
    [SMALL_STATE(1041)] = 29269,
    [SMALL_STATE(1042)] = 29282,
    [SMALL_STATE(1043)] = 29295,
    [SMALL_STATE(1044)] = 29308,
    [SMALL_STATE(1045)] = 29321,
    [SMALL_STATE(1046)] = 29334,
    [SMALL_STATE(1047)] = 29347,
    [SMALL_STATE(1048)] = 29360,
    [SMALL_STATE(1049)] = 29373,
    [SMALL_STATE(1050)] = 29386,
    [SMALL_STATE(1051)] = 29399,
    [SMALL_STATE(1052)] = 29412,
    [SMALL_STATE(1053)] = 29425,
    [SMALL_STATE(1054)] = 29438,
    [SMALL_STATE(1055)] = 29451,
    [SMALL_STATE(1056)] = 29464,
    [SMALL_STATE(1057)] = 29477,
    [SMALL_STATE(1058)] = 29490,
    [SMALL_STATE(1059)] = 29503,
    [SMALL_STATE(1060)] = 29516,
    [SMALL_STATE(1061)] = 29529,
    [SMALL_STATE(1062)] = 29542,
    [SMALL_STATE(1063)] = 29555,
    [SMALL_STATE(1064)] = 29568,
    [SMALL_STATE(1065)] = 29581,
    [SMALL_STATE(1066)] = 29594,
    [SMALL_STATE(1067)] = 29607,
    [SMALL_STATE(1068)] = 29620,
    [SMALL_STATE(1069)] = 29633,
    [SMALL_STATE(1070)] = 29646,
    [SMALL_STATE(1071)] = 29659,
    [SMALL_STATE(1072)] = 29672,
    [SMALL_STATE(1073)] = 29685,
    [SMALL_STATE(1074)] = 29698,
    [SMALL_STATE(1075)] = 29711,
    [SMALL_STATE(1076)] = 29724,
    [SMALL_STATE(1077)] = 29737,
    [SMALL_STATE(1078)] = 29750,
    [SMALL_STATE(1079)] = 29763,
    [SMALL_STATE(1080)] = 29776,
    [SMALL_STATE(1081)] = 29789,
    [SMALL_STATE(1082)] = 29802,
    [SMALL_STATE(1083)] = 29815,
    [SMALL_STATE(1084)] = 29828,
    [SMALL_STATE(1085)] = 29841,
    [SMALL_STATE(1086)] = 29854,
    [SMALL_STATE(1087)] = 29867,
    [SMALL_STATE(1088)] = 29880,
    [SMALL_STATE(1089)] = 29893,
    [SMALL_STATE(1090)] = 29906,
    [SMALL_STATE(1091)] = 29919,
    [SMALL_STATE(1092)] = 29932,
    [SMALL_STATE(1093)] = 29945,
    [SMALL_STATE(1094)] = 29958,
    [SMALL_STATE(1095)] = 29971,
    [SMALL_STATE(1096)] = 29984,
    [SMALL_STATE(1097)] = 29997,
    [SMALL_STATE(1098)] = 30010,
    [SMALL_STATE(1099)] = 30023,
    [SMALL_STATE(1100)] = 30036,
    [SMALL_STATE(1101)] = 30049,
    [SMALL_STATE(1102)] = 30062,
    [SMALL_STATE(1103)] = 30075,
    [SMALL_STATE(1104)] = 30088,
    [SMALL_STATE(1105)] = 30101,
    [SMALL_STATE(1106)] = 30114,
    [SMALL_STATE(1107)] = 30127,
    [SMALL_STATE(1108)] = 30140,
    [SMALL_STATE(1109)] = 30153,
    [SMALL_STATE(1110)] = 30166,
    [SMALL_STATE(1111)] = 30179,
    [SMALL_STATE(1112)] = 30192,
    [SMALL_STATE(1113)] = 30205,
    [SMALL_STATE(1114)] = 30218,
    [SMALL_STATE(1115)] = 30231,
    [SMALL_STATE(1116)] = 30244,
    [SMALL_STATE(1117)] = 30257,
    [SMALL_STATE(1118)] = 30270,
    [SMALL_STATE(1119)] = 30283,
    [SMALL_STATE(1120)] = 30296,
    [SMALL_STATE(1121)] = 30309,
    [SMALL_STATE(1122)] = 30322,
    [SMALL_STATE(1123)] = 30335,
    [SMALL_STATE(1124)] = 30348,
    [SMALL_STATE(1125)] = 30361,
    [SMALL_STATE(1126)] = 30374,
    [SMALL_STATE(1127)] = 30387,
    [SMALL_STATE(1128)] = 30400,
    [SMALL_STATE(1129)] = 30413,
    [SMALL_STATE(1130)] = 30426,
    [SMALL_STATE(1131)] = 30439,
    [SMALL_STATE(1132)] = 30452,
    [SMALL_STATE(1133)] = 30465,
    [SMALL_STATE(1134)] = 30478,
    [SMALL_STATE(1135)] = 30491,
    [SMALL_STATE(1136)] = 30504,
    [SMALL_STATE(1137)] = 30517,
    [SMALL_STATE(1138)] = 30530,
    [SMALL_STATE(1139)] = 30543,
    [SMALL_STATE(1140)] = 30556,
    [SMALL_STATE(1141)] = 30569,
    [SMALL_STATE(1142)] = 30582,
    [SMALL_STATE(1143)] = 30595,
    [SMALL_STATE(1144)] = 30608,
    [SMALL_STATE(1145)] = 30621,
    [SMALL_STATE(1146)] = 30634,
    [SMALL_STATE(1147)] = 30647,
    [SMALL_STATE(1148)] = 30660,
    [SMALL_STATE(1149)] = 30673,
    [SMALL_STATE(1150)] = 30686,
    [SMALL_STATE(1151)] = 30699,
    [SMALL_STATE(1152)] = 30712,
    [SMALL_STATE(1153)] = 30725,
    [SMALL_STATE(1154)] = 30738,
    [SMALL_STATE(1155)] = 30751,
    [SMALL_STATE(1156)] = 30764,
    [SMALL_STATE(1157)] = 30777,
    [SMALL_STATE(1158)] = 30790,
    [SMALL_STATE(1159)] = 30803,
    [SMALL_STATE(1160)] = 30816,
    [SMALL_STATE(1161)] = 30829,
    [SMALL_STATE(1162)] = 30842,
    [SMALL_STATE(1163)] = 30855,
    [SMALL_STATE(1164)] = 30868,
    [SMALL_STATE(1165)] = 30881,
    [SMALL_STATE(1166)] = 30894,
    [SMALL_STATE(1167)] = 30907,
    [SMALL_STATE(1168)] = 30920,
    [SMALL_STATE(1169)] = 30933,
    [SMALL_STATE(1170)] = 30946,
    [SMALL_STATE(1171)] = 30959,
    [SMALL_STATE(1172)] = 30972,
    [SMALL_STATE(1173)] = 30985,
    [SMALL_STATE(1174)] = 30998,
    [SMALL_STATE(1175)] = 31011,
    [SMALL_STATE(1176)] = 31024,
    [SMALL_STATE(1177)] = 31037,
    [SMALL_STATE(1178)] = 31050,
    [SMALL_STATE(1179)] = 31063,
    [SMALL_STATE(1180)] = 31076,
    [SMALL_STATE(1181)] = 31089,
    [SMALL_STATE(1182)] = 31102,
    [SMALL_STATE(1183)] = 31115,
    [SMALL_STATE(1184)] = 31128,
    [SMALL_STATE(1185)] = 31141,
    [SMALL_STATE(1186)] = 31154,
    [SMALL_STATE(1187)] = 31167,
    [SMALL_STATE(1188)] = 31180,
    [SMALL_STATE(1189)] = 31193,
    [SMALL_STATE(1190)] = 31206,
    [SMALL_STATE(1191)] = 31219,
    [SMALL_STATE(1192)] = 31232,
    [SMALL_STATE(1193)] = 31245,
    [SMALL_STATE(1194)] = 31258,
    [SMALL_STATE(1195)] = 31271,
    [SMALL_STATE(1196)] = 31284,
    [SMALL_STATE(1197)] = 31297,
    [SMALL_STATE(1198)] = 31310,
    [SMALL_STATE(1199)] = 31323,
    [SMALL_STATE(1200)] = 31336,
    [SMALL_STATE(1201)] = 31349,
    [SMALL_STATE(1202)] = 31362,
    [SMALL_STATE(1203)] = 31375,
    [SMALL_STATE(1204)] = 31388,
    [SMALL_STATE(1205)] = 31401,
    [SMALL_STATE(1206)] = 31414,
    [SMALL_STATE(1207)] = 31427,
    [SMALL_STATE(1208)] = 31440,
    [SMALL_STATE(1209)] = 31453,
    [SMALL_STATE(1210)] = 31466,
    [SMALL_STATE(1211)] = 31479,
    [SMALL_STATE(1212)] = 31492,
    [SMALL_STATE(1213)] = 31505,
    [SMALL_STATE(1214)] = 31518,
    [SMALL_STATE(1215)] = 31531,
    [SMALL_STATE(1216)] = 31544,
    [SMALL_STATE(1217)] = 31557,
    [SMALL_STATE(1218)] = 31570,
    [SMALL_STATE(1219)] = 31583,
    [SMALL_STATE(1220)] = 31596,
    [SMALL_STATE(1221)] = 31609,
    [SMALL_STATE(1222)] = 31622,
    [SMALL_STATE(1223)] = 31635,
    [SMALL_STATE(1224)] = 31648,
    [SMALL_STATE(1225)] = 31661,
    [SMALL_STATE(1226)] = 31674,
    [SMALL_STATE(1227)] = 31687,
    [SMALL_STATE(1228)] = 31700,
    [SMALL_STATE(1229)] = 31713,
    [SMALL_STATE(1230)] = 31726,
    [SMALL_STATE(1231)] = 31739,
    [SMALL_STATE(1232)] = 31752,
    [SMALL_STATE(1233)] = 31765,
    [SMALL_STATE(1234)] = 31778,
    [SMALL_STATE(1235)] = 31791,
    [SMALL_STATE(1236)] = 31804,
    [SMALL_STATE(1237)] = 31817,
    [SMALL_STATE(1238)] = 31830,
    [SMALL_STATE(1239)] = 31843,
    [SMALL_STATE(1240)] = 31856,
    [SMALL_STATE(1241)] = 31869,
    [SMALL_STATE(1242)] = 31882,
    [SMALL_STATE(1243)] = 31895,
    [SMALL_STATE(1244)] = 31908,
    [SMALL_STATE(1245)] = 31921,
    [SMALL_STATE(1246)] = 31934,
    [SMALL_STATE(1247)] = 31947,
    [SMALL_STATE(1248)] = 31960,
    [SMALL_STATE(1249)] = 31973,
    [SMALL_STATE(1250)] = 31986,
    [SMALL_STATE(1251)] = 31999,
    [SMALL_STATE(1252)] = 32012,
    [SMALL_STATE(1253)] = 32025,
    [SMALL_STATE(1254)] = 32038,
    [SMALL_STATE(1255)] = 32051,
    [SMALL_STATE(1256)] = 32064,
    [SMALL_STATE(1257)] = 32077,
    [SMALL_STATE(1258)] = 32090,
    [SMALL_STATE(1259)] = 32103,
    [SMALL_STATE(1260)] = 32116,
    [SMALL_STATE(1261)] = 32129,
    [SMALL_STATE(1262)] = 32142,
    [SMALL_STATE(1263)] = 32155,
    [SMALL_STATE(1264)] = 32168,
    [SMALL_STATE(1265)] = 32181,
    [SMALL_STATE(1266)] = 32194,
    [SMALL_STATE(1267)] = 32207,
    [SMALL_STATE(1268)] = 32220,
    [SMALL_STATE(1269)] = 32233,
    [SMALL_STATE(1270)] = 32246,
    [SMALL_STATE(1271)] = 32259,
    [SMALL_STATE(1272)] = 32272,
    [SMALL_STATE(1273)] = 32276,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1096),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1223),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1221),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(743),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(413),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1219),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1218),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1217),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1216),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1215),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1214),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(77),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(76),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(663),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1212),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1211),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1210),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1209),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1208),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(745),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(33),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1206),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(627),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(621),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(359),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1205),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1204),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1203),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1200),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(752),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(388),
    [71] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(389),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(390),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(412),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(470),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1014),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(411),
    [85] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(410),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(409),
    [91] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(408),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(408),
    [95] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(497),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(497),
    [99] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(403),
    [101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1089),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(400),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(466),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1088),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1057),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1219),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1012),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1023),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1022),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1021),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(78),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1216),
    [125] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1215),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1020),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1212),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1210),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1209),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1208),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(87),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1019),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(65),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1011),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(33),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(627),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(359),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(444),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(752),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(212),
    [157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1006),
    [159] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1005),
    [161] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1004),
    [163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1001),
    [165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(918),
    [169] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [172] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [175] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [178] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [181] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [184] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [187] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [190] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [193] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [196] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [199] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [202] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [205] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [208] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [211] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [214] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [217] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1089),
    [220] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(400),
    [223] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [226] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1088),
    [229] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1057),
    [232] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [237] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [240] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1022),
    [243] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [246] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [249] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [252] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [255] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [258] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [261] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1020),
    [264] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [267] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [270] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [273] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [276] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [279] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [282] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [285] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1011),
    [288] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [291] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [294] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [297] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [300] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(444),
    [303] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [312] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [315] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [333] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [339] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [342] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [348] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [354] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [357] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1089),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(400),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1088),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1057),
    [372] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1022),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [392] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [395] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [398] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1020),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1005),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [428] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(444),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1004),
    [443] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [446] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1024),
    [453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(923),
    [455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(899),
    [459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(916),
    [461] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [464] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [467] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [470] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [473] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [476] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [479] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [482] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [485] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [488] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [491] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [494] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [497] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [500] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [503] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [506] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [509] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1089),
    [512] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(400),
    [515] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [518] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1088),
    [521] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1057),
    [524] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [527] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [529] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [532] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1022),
    [535] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [538] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [541] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [544] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [547] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [550] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [553] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1020),
    [556] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [559] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [562] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [565] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [568] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [571] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [574] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [577] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [580] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [583] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [586] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(444),
    [589] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [592] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(900),
    [597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(933),
    [599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1268),
    [601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1269),
    [603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1122),
    [605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(220),
    [607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(218),
    [613] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(233),
    [615] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(213),
    [617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(449),
    [619] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(500),
    [621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [623] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(234),
    [625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1096),
    [627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [629] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [631] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1221),
    [634] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(743),
    [637] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(413),
    [640] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [643] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1218),
    [646] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(698),
    [649] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1217),
    [652] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [655] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [658] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1214),
    [661] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [664] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [667] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(663),
    [670] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [673] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [676] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [679] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [682] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [685] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [688] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(745),
    [691] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [694] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [697] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [700] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(621),
    [703] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [706] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1205),
    [709] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [712] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [715] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1200),
    [718] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(935),
    [723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(702),
    [725] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [730] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1218),
    [733] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(698),
    [736] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1217),
    [739] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1214),
    [748] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(663),
    [757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [766] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [769] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [772] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [775] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(702),
    [778] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(745),
    [781] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [784] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [787] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [790] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(621),
    [793] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1205),
    [799] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [802] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [805] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1200),
    [808] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1202),
    [813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(945),
    [815] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(875),
    [817] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1219),
    [820] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [822] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1218),
    [825] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(698),
    [828] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1217),
    [831] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1216),
    [834] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1215),
    [837] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1214),
    [840] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [843] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [846] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(663),
    [849] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1212),
    [852] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1211),
    [855] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1210),
    [858] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1209),
    [861] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [864] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [867] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(745),
    [870] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [873] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [876] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [879] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(621),
    [882] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(359),
    [885] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1205),
    [888] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1204),
    [891] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1203),
    [894] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1200),
    [897] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(752),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(925),
    [902] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(105),
    [904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(851),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(66),
    [910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(993),
    [912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(856),
    [918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(806),
    [920] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [923] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [926] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [929] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [932] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [935] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [938] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [941] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [944] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [947] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [950] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [953] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [956] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [959] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [962] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [965] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [968] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1089),
    [971] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(400),
    [974] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [977] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1088),
    [980] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1057),
    [983] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [985] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [988] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [991] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(444),
    [994] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(778),
    [999] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(901),
    [1001] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(759),
    [1003] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1005] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(407),
    [1007] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1009] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(501),
    [1011] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(469),
    [1013] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(176),
    [1015] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1091),
    [1017] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1090),
    [1019] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(985),
    [1021] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(984),
    [1023] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(388),
    [1026] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [1029] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [1032] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [1035] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [1038] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1091),
    [1041] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1090),
    [1044] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [1047] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [1050] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [1053] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(409),
    [1056] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [1059] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [1062] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [1065] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [1068] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [1071] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1089),
    [1074] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(400),
    [1077] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(985),
    [1080] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1088),
    [1083] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1085] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1208),
    [1088] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(87),
    [1091] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [1094] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1206),
    [1097] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [1100] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(892),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1104] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1116] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(804),
    [1120] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(948),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [1124] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1126] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1130] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1138] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1142] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1144] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1146] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1148] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1051),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1226),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1227),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(498),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(496),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1228),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1229),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1230),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(521),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(518),
    [1168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(513),
    [1170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(492),
    [1172] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(491),
    [1174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(516),
    [1176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1271),
    [1178] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1231),
    [1180] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1232),
    [1182] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1233),
    [1184] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1234),
    [1186] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(486),
    [1188] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(484),
    [1190] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1235),
    [1192] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(482),
    [1194] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(481),
    [1196] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(478),
    [1198] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(396),
    [1200] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1202] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1204] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1153),
    [1206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1254),
    [1208] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1255),
    [1210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(451),
    [1212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(454),
    [1214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1256),
    [1216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1257),
    [1218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1258),
    [1220] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(608),
    [1222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(613),
    [1224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(615),
    [1226] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(471),
    [1228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(473),
    [1230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(616),
    [1232] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1042),
    [1234] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1259),
    [1236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1260),
    [1238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1261),
    [1240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1262),
    [1242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(480),
    [1244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(503),
    [1246] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1263),
    [1248] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(506),
    [1250] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(507),
    [1252] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(508),
    [1254] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(380),
    [1256] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1152),
    [1258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1240),
    [1260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1241),
    [1262] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(119),
    [1264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [1266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1242),
    [1268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1243),
    [1270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1244),
    [1272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(158),
    [1274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(159),
    [1276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(160),
    [1278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(125),
    [1280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(122),
    [1282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(171),
    [1284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1173),
    [1286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1245),
    [1288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1246),
    [1290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1247),
    [1292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1248),
    [1294] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(121),
    [1296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(123),
    [1298] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1249),
    [1300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(114),
    [1302] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(124),
    [1304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(113),
    [1306] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(131),
    [1308] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1160),
    [1310] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1159),
    [1312] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1158),
    [1314] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(280),
    [1316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(289),
    [1318] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1157),
    [1320] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1156),
    [1322] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1155),
    [1324] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(323),
    [1326] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(316),
    [1328] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(308),
    [1330] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(286),
    [1332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(284),
    [1334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(305),
    [1336] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1127),
    [1338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1125),
    [1340] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1124),
    [1342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1123),
    [1344] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1121),
    [1346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(291),
    [1348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(292),
    [1350] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1058),
    [1352] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(288),
    [1354] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [1356] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(293),
    [1358] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(276),
    [1360] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(332),
    [1362] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1364] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(925),
    [1369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(105),
    [1372] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(252),
    [1374] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1376] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1378] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1380] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1382] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1384] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1386] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    [1388] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    [1390] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [1393] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [1396] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1398] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1400] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(527),
    [1402] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1404] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1406] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(435),
    [1408] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 8),
    [1410] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 8),
    [1412] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 6),
    [1414] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 6),
    [1416] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1418] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1420] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1422] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1424] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(461),
    [1426] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1428] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(475),
    [1432] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1434] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(569),
    [1438] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1440] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1442] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(547),
    [1444] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1446] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1448] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(576),
    [1450] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1452] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1454] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(586),
    [1456] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(546),
    [1462] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1464] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1466] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [1468] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 8),
    [1470] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 8),
    [1472] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 6),
    [1474] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 6),
    [1476] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1478] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1480] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1482] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1484] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1486] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1488] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1490] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1492] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1494] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1496] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1498] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1500] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1502] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1504] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1506] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1508] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 13),
    [1510] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 13),
    [1512] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1514] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1516] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1520] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1522] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1524] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1528] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1530] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1532] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1536] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1540] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1544] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1546] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1548] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1550] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1552] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1554] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1556] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1558] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1560] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1562] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1564] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1566] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1568] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1570] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1572] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1574] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1576] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 1, 0, 0),
    [1578] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 1, 0, 0),
    [1580] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1582] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1584] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1588] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1590] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1592] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1596] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1602] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1604] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1608] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1612] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1614] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1616] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1618] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1620] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1622] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1624] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1628] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1630] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1632] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1634] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1636] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1638] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1640] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1642] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1644] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1648] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1652] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1654] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1656] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(871),
    [1658] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1662] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1664] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1668] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1670] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1672] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1674] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1676] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1678] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1680] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(367),
    [1684] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1686] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1688] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1690] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1694] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1696] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1698] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1700] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [1702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [1704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(412),
    [1706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(940),
    [1708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(411),
    [1710] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(409),
    [1712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(233),
    [1714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(218),
    [1716] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(500),
    [1718] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(234),
    [1720] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1009),
    [1722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1021),
    [1724] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [1726] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [1728] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [1730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(622),
    [1732] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(620),
    [1734] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(618),
    [1736] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(617),
    [1738] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1740] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [1745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [1748] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(383),
    [1751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(378),
    [1754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(622),
    [1757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(620),
    [1760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(618),
    [1763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(617),
    [1766] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1768] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1126),
    [1772] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1774] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1776] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1778] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1780] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(646),
    [1782] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1784] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(519),
    [1788] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1790] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1792] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1794] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1796] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1798] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1800] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1802] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1804] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1806] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1808] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1810] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1812] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1814] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1816] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1818] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1820] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(904),
    [1822] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [1824] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1826] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1828] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1830] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1832] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1834] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1836] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(147),
    [1838] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(147),
    [1840] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1842] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1844] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1846] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1848] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1850] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1852] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1854] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1858] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [1860] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [1863] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [1866] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(383),
    [1869] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(378),
    [1872] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(617),
    [1875] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1877] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1879] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1881] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1883] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1885] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1887] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1889] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1021),
    [1892] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [1895] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(383),
    [1898] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(378),
    [1901] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(617),
    [1904] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1906] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1908] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1910] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(960),
    [1914] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(960),
    [1916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(959),
    [1918] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1920] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1922] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(118),
    [1924] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(103),
    [1926] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1047),
    [1928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [1930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1046),
    [1932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1045),
    [1934] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1936] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1938] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1940] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1942] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [1945] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [1948] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1950] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1952] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(112),
    [1954] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1956] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1958] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [1960] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(927),
    [1962] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1037),
    [1964] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
    [1966] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [1968] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(476),
    [1970] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [1972] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [1974] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(700),
    [1976] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [1978] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(704),
    [1980] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(490),
    [1982] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [1984] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(691),
    [1986] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(695),
    [1988] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(692),
    [1990] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(690),
    [1992] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [1996] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(833),
    [1998] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [2002] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(799),
    [2004] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [2006] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(757),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [2010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(756),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(755),
    [2014] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [2016] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(238),
    [2018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(238),
    [2020] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(820),
    [2022] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(925),
    [2024] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(105),
    [2026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2028] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(925),
    [2031] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(105),
    [2034] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2036] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(407),
    [2038] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2040] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(501),
    [2042] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [2044] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2046] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2048] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2050] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(859),
    [2052] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(849),
    [2054] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2056] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2058] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(108),
    [2060] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2062] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2064] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2066] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2068] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2070] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(67),
    [2072] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(80),
    [2074] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(531),
    [2076] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1223),
    [2078] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(635),
    [2080] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(212),
    [2082] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2084] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(661),
    [2086] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2088] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(660),
    [2090] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(69),
    [2093] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [2096] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2100] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2102] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(94),
    [2105] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(862),
    [2107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(809),
    [2109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(812),
    [2111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(336),
    [2113] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(331),
    [2115] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2117] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(628),
    [2121] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(835),
    [2125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(16),
    [2127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(808),
    [2129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(534),
    [2131] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(67),
    [2134] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(80),
    [2137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(172),
    [2139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(169),
    [2141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(917),
    [2143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(381),
    [2145] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2147] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [2150] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(740),
    [2152] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(989),
    [2154] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1154),
    [2156] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [2158] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(829),
    [2160] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2162] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2164] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2166] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(793),
    [2168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1056),
    [2170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(90),
    [2172] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2174] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [2176] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(657),
    [2178] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(727),
    [2180] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(656),
    [2182] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2184] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1175),
    [2186] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [2188] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2190] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_type, 1, 0, 0),
    [2192] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1093),
    [2194] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [2196] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(446),
    [2198] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2200] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2202] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2204] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2206] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1170),
    [2210] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(452),
    [2212] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1169),
    [2214] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(332),
    [2216] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(714),
    [2218] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [2220] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2222] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(809),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(588),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(852),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(861),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(415),
    [2237] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(447),
    [2241] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [2244] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2246] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(415),
    [2249] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2251] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2255] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(708),
    [2257] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(225),
    [2259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(708),
    [2261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(721),
    [2263] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(955),
    [2267] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(590),
    [2271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(532),
    [2273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(977),
    [2275] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [2279] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(424),
    [2283] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2285] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(972),
    [2289] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(427),
    [2293] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2295] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(708),
    [2298] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2300] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(708),
    [2303] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(224),
    [2305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(453),
    [2307] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1040),
    [2309] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(631),
    [2311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(457),
    [2313] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2315] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(603),
    [2317] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2319] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [2323] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(132),
    [2327] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(533),
    [2331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(863),
    [2333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [2335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(684),
    [2337] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2339] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2341] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(514),
    [2344] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2346] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2348] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2350] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(643),
    [2352] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(994),
    [2354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [2356] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(775),
    [2358] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [2360] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [2362] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(339),
    [2364] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(328),
    [2366] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(517),
    [2368] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(677),
    [2370] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(524),
    [2372] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(456),
    [2374] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2376] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(541),
    [2378] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(545),
    [2380] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2382] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(729),
    [2384] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(592),
    [2386] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(595),
    [2388] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2390] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2392] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(588),
    [2395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2397] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(463),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2401] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(437),
    [2403] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(514),
    [2405] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(241),
    [2407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(682),
    [2409] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(458),
    [2413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(719),
    [2415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(723),
    [2417] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(718),
    [2421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [2423] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(817),
    [2427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(828),
    [2429] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2431] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [2433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(355),
    [2435] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [2437] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(116),
    [2441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [2443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(843),
    [2445] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2447] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2449] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(882),
    [2452] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(349),
    [2454] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [2456] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(882),
    [2462] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2464] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(847),
    [2466] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2468] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2470] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [2472] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2474] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2476] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2478] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2480] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(23),
    [2482] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(430),
    [2484] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2486] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(832),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(850),
    [2493] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(414),
    [2495] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(770),
    [2497] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2499] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2501] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(430),
    [2504] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2506] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2510] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2512] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(827),
    [2514] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2516] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(798),
    [2519] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2521] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(792),
    [2524] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2526] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1201),
    [2528] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(50),
    [2531] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2533] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(779),
    [2536] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2538] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(832),
    [2540] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2544] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [2546] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(922),
    [2548] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(127),
    [2550] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2552] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [2554] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(729),
    [2557] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2559] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(828),
    [2562] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(355),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2567] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(798),
    [2571] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2573] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(792),
    [2577] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [2581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(558),
    [2583] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(50),
    [2587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(688),
    [2591] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(843),
    [2594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2596] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2598] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [2601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(779),
    [2603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(895),
    [2605] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2607] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2609] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(23),
    [2612] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2614] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(757),
    [2617] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2619] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2621] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(414),
    [2624] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2628] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2630] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [2632] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2634] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(450),
    [2637] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1167),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1166),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1164),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1050),
    [2651] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2653] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2655] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2657] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2659] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1034),
    [2661] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2663] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [2665] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(647),
    [2669] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2671] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(794),
    [2673] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2675] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2677] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2679] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(802),
    [2681] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [2683] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2685] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2687] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(950),
    [2689] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 0),
    [2691] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2693] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2695] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(982),
    [2697] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(245),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(226),
    [2701] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [2703] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1171),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1081),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1060),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(221),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(223),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2715] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(679),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 7),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(429),
    [2725] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [2727] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [2729] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [2731] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(705),
    [2733] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [2735] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2737] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2743] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2745] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(273),
    [2747] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [2749] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 7),
    [2751] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(39),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(515),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 7, 0, 0),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(406),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 7, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 12),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_modifier, 1, 0, 0),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
    [2797] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(855),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [2801] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(462),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(738),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(188),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(896),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(897),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(898),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [2825] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2829] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2831] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2835] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2837] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2839] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [2841] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [2843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2849] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1038),
    [2851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2853] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2855] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 10, 0, 0),
    [2857] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2859] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 8, 0, 12),
    [2861] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2863] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2865] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2871] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(551),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [2887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1086),
    [2889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(505),
    [2891] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [2893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [2895] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1039),
    [2897] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(884),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [2901] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [2903] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [2905] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(354),
    [2907] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(28),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [2911] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [2913] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(845),
    [2915] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [2917] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(888),
    [2919] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(474),
    [2921] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [2923] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [2925] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(237),
    [2927] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [2929] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(321),
    [2931] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [2933] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1220),
    [2935] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [2937] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [2939] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [2941] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [2943] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [2945] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [2947] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [2949] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [2951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(912),
    [2953] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [2955] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [2957] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [2959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [2961] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(432),
    [2963] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(510),
    [2965] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [2967] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(419),
    [2969] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [2971] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 5, 0, 0),
    [2973] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(128),
    [2975] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [2977] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(938),
    [2979] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [2981] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [2983] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(416),
    [2985] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(46),
    [2987] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [2989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(605),
    [2991] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [2993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(885),
    [2995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [2997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(877),
    [2999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3001] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(593),
    [3003] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3005] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [3007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [3009] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3011] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3013] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(417),
    [3015] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [3017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [3019] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [3021] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3023] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(853),
    [3025] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [3027] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3029] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(873),
    [3031] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3033] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3035] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(854),
    [3037] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(879),
    [3039] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(347),
    [3041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [3043] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(320),
    [3045] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(319),
    [3047] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(318),
    [3049] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3051] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(839),
    [3053] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [3055] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(315),
    [3057] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3059] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3061] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [3063] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(313),
    [3065] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(311),
    [3067] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [3069] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [3071] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(307),
    [3073] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [3075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3077] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [3079] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [3081] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(326),
    [3083] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [3085] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(297),
    [3087] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(298),
    [3089] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(299),
    [3091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(300),
    [3093] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [3095] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(301),
    [3097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [3099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(134),
    [3101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [3103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(335),
    [3105] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [3107] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [3109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(333),
    [3111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [3113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [3115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [3117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(14),
    [3119] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [3121] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [3123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(903),
    [3125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(330),
    [3127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [3129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(353),
    [3131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(352),
    [3133] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [3135] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(906),
    [3139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(907),
    [3141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(908),
    [3143] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(909),
    [3147] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [3149] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3151] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(364),
    [3153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(919),
    [3155] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3157] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [3161] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(920),
    [3165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(924),
    [3167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [3169] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3171] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3173] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3175] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3177] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3179] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3181] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [3183] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [3187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [3189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [3191] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(995),
    [3195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(733),
    [3197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(11),
    [3199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(607),
    [3201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(996),
    [3203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(789),
    [3205] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(998),
    [3207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1010),
    [3209] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3211] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [3213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(386),
    [3215] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(831),
    [3219] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(392),
    [3223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [3225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [3227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [3229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(535),
    [3231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(536),
    [3233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(537),
    [3235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(539),
    [3237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(540),
    [3239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(543),
    [3241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(549),
    [3243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(550),
    [3245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(555),
    [3247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(556),
    [3249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [3251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(565),
    [3253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [3255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(567),
    [3257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(568),
    [3259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(572),
    [3261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [3263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(577),
    [3265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(578),
    [3267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(579),
    [3269] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1033),
    [3273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [3275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(581),
    [3277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [3279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [3281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(583),
    [3283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(287),
    [3285] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(373),
    [3289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(279),
    [3291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [3293] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1272),
    [3295] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(168),
    [3297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [3299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [3301] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [3303] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [3305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(163),
    [3307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(162),
    [3309] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [3311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [3313] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3315] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [3317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [3319] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [3321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [3323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [3327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [3329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [3331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [3333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [3335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3337] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [3339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [3341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [3343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(265),
    [3345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(210),
    [3347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(784),
    [3349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3351] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [3353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(208),
    [3355] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [3357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [3359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(638),
    [3361] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(639),
    [3363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(640),
    [3365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(642),
    [3367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(644),
    [3369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(645),
    [3371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(654),
    [3373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(658),
    [3375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(665),
    [3377] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [3381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(675),
    [3383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(676),
    [3385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(683),
    [3387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(685),
    [3389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(687),
    [3391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(689),
    [3393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(696),
    [3395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(699),
    [3397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(707),
    [3399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(709),
    [3401] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(710),
    [3403] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(712),
    [3405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(130),
    [3407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(387),
    [3409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [3411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(479),
    [3413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [3415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(258),
    [3417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(259),
    [3419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(202),
    [3421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(277),
    [3423] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [3425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(329),
    [3427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(651),
    [3429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [3431] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(494),
    [3433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(372),
    [3435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [3439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [3441] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1041),
    [3443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [3445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1273),
    [3447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(735),
    [3449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(614),
    [3451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(247),
    [3453] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [3455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(509),
    [3459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [3461] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3463] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(3),
    [3465] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [3467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3469] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1048),
    [3471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3473] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(2),
    [3475] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(45),
    [3477] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3479] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3481] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(460),
    [3487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [3489] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(184),
    [3493] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(715),
    [3495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3497] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(777),
    [3501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(398),
    [3503] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(360),
    [3505] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_anno, 1, 0, 0),
    [3507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(455),
    [3509] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1092),
    [3511] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(713),
    [3513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(465),
    [3515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(342),
    [3517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(649),
    [3521] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1161),
    [3523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1162),
    [3525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(768),
    [3527] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1168),
    [3531] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3533] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(177),
    [3535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(949),
    [3537] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1172),
    [3539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(135),
    [3541] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(653),
    [3543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(195),
    [3545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(267),
    [3547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(261),
    [3549] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(468),
    [3553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [3557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(767),
    [3559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [3561] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(249),
    [3563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(765),
    [3565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(282),
    [3567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(764),
    [3569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(761),
    [3571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [3573] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(263),
    [3575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [3577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [3579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(443),
    [3581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [3583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [3585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(754),
    [3587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(262),
    [3589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(751),
    [3593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(294),
    [3595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(750),
    [3597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(747),
    [3599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(201),
    [3601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(264),
    [3603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(266),
    [3605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(198),
    [3607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(489),
    [3609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [3611] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [3613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(744),
    [3615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [3617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [3619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(741),
    [3621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(281),
    [3623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(739),
    [3625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(737),
    [3627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3629] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3631] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(115),
    [3633] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(736),
    [3635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3637] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
